
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQAbstractNetworkCache.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtNetwork.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQAbstractNetworkCache_EventAdaptor.h"
#include "gsiDeclQAbstractNetworkCache_Enums.h"

// -----------------------------------------------------------------------
// class QAbstractNetworkCache

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QAbstractNetworkCache::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// qint64 QAbstractNetworkCache::cacheSize()

static void _init_f_cacheSize_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qint64 > ();
}

static void _call_f_cacheSize_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qint64 >::tag (), (qint64)((QAbstractNetworkCache *)cls)->cacheSize ());
}

static qt_gsi::GenericMethod *_create_f_cacheSize_c0_0 ()
{
  return new qt_gsi::GenericMethod ("cacheSize", "@brief Method qint64 QAbstractNetworkCache::cacheSize()\n@args \n", true, &_init_f_cacheSize_c0_0, &_call_f_cacheSize_c0_0);
}

// void QAbstractNetworkCache::clear()

static void _init_f_clear_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_clear_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QAbstractNetworkCache *)cls)->clear ();
}

static qt_gsi::GenericMethod *_create_f_clear_0_0 ()
{
  return new qt_gsi::GenericMethod ("clear", "@brief Method void QAbstractNetworkCache::clear()\n@args \n", false, &_init_f_clear_0_0, &_call_f_clear_0_0);
}

// QIODevice * QAbstractNetworkCache::data(const QUrl &url)

static void _init_f_data_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<class QIODevice * > ();
}

static void _call_f_data_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<class QIODevice * >::tag (), (class QIODevice *)((QAbstractNetworkCache *)cls)->data (arg1));
}

static qt_gsi::GenericMethod *_create_f_data_2379_0 ()
{
  return new qt_gsi::GenericMethod ("data", "@brief Method QIODevice * QAbstractNetworkCache::data(const QUrl &url)\n@args url\n", false, &_init_f_data_2379_0, &_call_f_data_2379_0);
}

// void QAbstractNetworkCache::insert(QIODevice *device)

static void _init_f_insert_2125_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QIODevice * > ();
  decl->set_return<void > ();
}

static void _call_f_insert_2125_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QIODevice * arg1 = args.get_value<class QIODevice * > (gsi::type_traits<class QIODevice * >::tag ());
  ((QAbstractNetworkCache *)cls)->insert (arg1);
}

static qt_gsi::GenericMethod *_create_f_insert_2125_0 ()
{
  return new qt_gsi::GenericMethod ("insert", "@brief Method void QAbstractNetworkCache::insert(QIODevice *device)\n@args device\n", false, &_init_f_insert_2125_0, &_call_f_insert_2125_0);
}

// QNetworkCacheMetaData QAbstractNetworkCache::metaData(const QUrl &url)

static void _init_f_metaData_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<class QNetworkCacheMetaData > ();
}

static void _call_f_metaData_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<class QNetworkCacheMetaData >::tag (), (class QNetworkCacheMetaData)((QAbstractNetworkCache *)cls)->metaData (arg1));
}

static qt_gsi::GenericMethod *_create_f_metaData_2379_0 ()
{
  return new qt_gsi::GenericMethod ("metaData", "@brief Method QNetworkCacheMetaData QAbstractNetworkCache::metaData(const QUrl &url)\n@args url\n", false, &_init_f_metaData_2379_0, &_call_f_metaData_2379_0);
}

// QIODevice * QAbstractNetworkCache::prepare(const QNetworkCacheMetaData &metaData)

static void _init_f_prepare_4055_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QNetworkCacheMetaData & > ();
  decl->set_return<class QIODevice * > ();
}

static void _call_f_prepare_4055_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QNetworkCacheMetaData & arg1 = args.get_value<const class QNetworkCacheMetaData & > (gsi::type_traits<const class QNetworkCacheMetaData & >::tag ());
  ret.set_value (gsi::type_traits<class QIODevice * >::tag (), (class QIODevice *)((QAbstractNetworkCache *)cls)->prepare (arg1));
}

static qt_gsi::GenericMethod *_create_f_prepare_4055_0 ()
{
  return new qt_gsi::GenericMethod ("prepare", "@brief Method QIODevice * QAbstractNetworkCache::prepare(const QNetworkCacheMetaData &metaData)\n@args metaData\n", false, &_init_f_prepare_4055_0, &_call_f_prepare_4055_0);
}

// bool QAbstractNetworkCache::remove(const QUrl &url)

static void _init_f_remove_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<bool > ();
}

static void _call_f_remove_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QAbstractNetworkCache *)cls)->remove (arg1));
}

static qt_gsi::GenericMethod *_create_f_remove_2379_0 ()
{
  return new qt_gsi::GenericMethod ("remove", "@brief Method bool QAbstractNetworkCache::remove(const QUrl &url)\n@args url\n", false, &_init_f_remove_2379_0, &_call_f_remove_2379_0);
}

// void QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData &metaData)

static void _init_f_updateMetaData_4055_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QNetworkCacheMetaData & > ();
  decl->set_return<void > ();
}

static void _call_f_updateMetaData_4055_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QNetworkCacheMetaData & arg1 = args.get_value<const class QNetworkCacheMetaData & > (gsi::type_traits<const class QNetworkCacheMetaData & >::tag ());
  ((QAbstractNetworkCache *)cls)->updateMetaData (arg1);
}

static qt_gsi::GenericMethod *_create_f_updateMetaData_4055_0 ()
{
  return new qt_gsi::GenericMethod ("updateMetaData", "@brief Method void QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData &metaData)\n@args metaData\n", false, &_init_f_updateMetaData_4055_0, &_call_f_updateMetaData_4055_0);
}

// static QString QAbstractNetworkCache::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QAbstractNetworkCache::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QAbstractNetworkCache::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QAbstractNetworkCache::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QAbstractNetworkCache::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QAbstractNetworkCache::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QAbstractNetworkCache::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QAbstractNetworkCache::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QAbstractNetworkCache::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QAbstractNetworkCache::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QAbstractNetworkCache::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QAbstractNetworkCache::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QAbstractNetworkCache::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QAbstractNetworkCache, QAbstractNetworkCache_EventAdaptor> ea_QAbstractNetworkCache;

template <>
gsi::Class<QAbstractNetworkCache> gsi::Class<QAbstractNetworkCache>::decl (ea_QAbstractNetworkCache, gsi::Class<QObject>::decl, "QAbstractNetworkCache_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_cacheSize_c0_0 ()) +
  gsi::Methods(_create_f_clear_0_0 ()) +
  gsi::Methods(_create_f_data_2379_0 ()) +
  gsi::Methods(_create_f_insert_2125_0 ()) +
  gsi::Methods(_create_f_metaData_2379_0 ()) +
  gsi::Methods(_create_f_prepare_4055_0 ()) +
  gsi::Methods(_create_f_remove_2379_0 ()) +
  gsi::Methods(_create_f_updateMetaData_4055_0 ()) +
  qt_gsi::qt_signal<QAbstractNetworkCache, QAbstractNetworkCache_EventAdaptor, class QObject *> ("destroyed", &QAbstractNetworkCache_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QAbstractNetworkCache::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QAbstractNetworkCache");

class KLAYOUT_DLL QAbstractNetworkCache_Adaptor : public QAbstractNetworkCache, public qt_gsi::QtObjectBase
{
public:

  virtual ~QAbstractNetworkCache_Adaptor();

  //  int QAbstractNetworkCache::receivers(const char *signal)
  int fp_QAbstractNetworkCache_receivers_c1731_0 (const char * signal) const {
    return QAbstractNetworkCache::receivers(signal);
  }

  //  QObject * QAbstractNetworkCache::sender()
  class QObject * fp_QAbstractNetworkCache_sender_c0_0 () const {
    return QAbstractNetworkCache::sender();
  }

  //  [adaptor impl] qint64 QAbstractNetworkCache::cacheSize()
  qint64 cbs_cacheSize_c0_0() const
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual qint64 cacheSize() const
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, qint64>(cb_cacheSize_c0_0, &QAbstractNetworkCache_Adaptor::cbs_cacheSize_c0_0);
  }

  //  [adaptor impl] void QAbstractNetworkCache::clear()
  void cbs_clear_0_0()
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual void clear()
  {
    gsi::issue<QAbstractNetworkCache_Adaptor>(cb_clear_0_0, &QAbstractNetworkCache_Adaptor::cbs_clear_0_0);
  }

  //  [adaptor impl] QIODevice * QAbstractNetworkCache::data(const QUrl &url)
  class QIODevice * cbs_data_2379_0(const class QUrl & url)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual QIODevice * data(const QUrl &url)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, class QIODevice *, const class QUrl &>(cb_data_2379_0, &QAbstractNetworkCache_Adaptor::cbs_data_2379_0, url);
  }

  //  [adaptor impl] bool QAbstractNetworkCache::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QAbstractNetworkCache::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QAbstractNetworkCache_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QAbstractNetworkCache::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QAbstractNetworkCache::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QAbstractNetworkCache_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] void QAbstractNetworkCache::insert(QIODevice *device)
  void cbs_insert_2125_0(class QIODevice * device)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual void insert(QIODevice *device)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, class QIODevice *>(cb_insert_2125_0, &QAbstractNetworkCache_Adaptor::cbs_insert_2125_0, device);
  }

  //  [adaptor impl] QNetworkCacheMetaData QAbstractNetworkCache::metaData(const QUrl &url)
  class QNetworkCacheMetaData cbs_metaData_2379_0(const class QUrl & url)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual QNetworkCacheMetaData metaData(const QUrl &url)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, class QNetworkCacheMetaData, const class QUrl &>(cb_metaData_2379_0, &QAbstractNetworkCache_Adaptor::cbs_metaData_2379_0, url);
  }

  //  [adaptor impl] QIODevice * QAbstractNetworkCache::prepare(const QNetworkCacheMetaData &metaData)
  class QIODevice * cbs_prepare_4055_0(const class QNetworkCacheMetaData & metaData)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual QIODevice * prepare(const QNetworkCacheMetaData &metaData)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, class QIODevice *, const class QNetworkCacheMetaData &>(cb_prepare_4055_0, &QAbstractNetworkCache_Adaptor::cbs_prepare_4055_0, metaData);
  }

  //  [adaptor impl] bool QAbstractNetworkCache::remove(const QUrl &url)
  bool cbs_remove_2379_0(const class QUrl & url)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual bool remove(const QUrl &url)
  {
    return gsi::issue<QAbstractNetworkCache_Adaptor, bool, const class QUrl &>(cb_remove_2379_0, &QAbstractNetworkCache_Adaptor::cbs_remove_2379_0, url);
  }

  //  [adaptor impl] void QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData &metaData)
  void cbs_updateMetaData_4055_0(const class QNetworkCacheMetaData & metaData)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual void updateMetaData(const QNetworkCacheMetaData &metaData)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, const class QNetworkCacheMetaData &>(cb_updateMetaData_4055_0, &QAbstractNetworkCache_Adaptor::cbs_updateMetaData_4055_0, metaData);
  }

  //  [adaptor impl] void QAbstractNetworkCache::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QAbstractNetworkCache::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QAbstractNetworkCache_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QAbstractNetworkCache::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QAbstractNetworkCache::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QAbstractNetworkCache_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QAbstractNetworkCache::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QAbstractNetworkCache::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QAbstractNetworkCache_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QAbstractNetworkCache::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QAbstractNetworkCache::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QAbstractNetworkCache_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QAbstractNetworkCache_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_cacheSize_c0_0;
  gsi::Callback cb_clear_0_0;
  gsi::Callback cb_data_2379_0;
  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_insert_2125_0;
  gsi::Callback cb_metaData_2379_0;
  gsi::Callback cb_prepare_4055_0;
  gsi::Callback cb_remove_2379_0;
  gsi::Callback cb_updateMetaData_4055_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QAbstractNetworkCache_Adaptor::~QAbstractNetworkCache_Adaptor() { }

// int QAbstractNetworkCache::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QAbstractNetworkCache_Adaptor *)cls)->fp_QAbstractNetworkCache_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QAbstractNetworkCache::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QAbstractNetworkCache::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QAbstractNetworkCache_Adaptor *)cls)->fp_QAbstractNetworkCache_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QAbstractNetworkCache::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// qint64 QAbstractNetworkCache::cacheSize()

static void _init_cbs_cacheSize_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qint64 > ();
}

static void _call_cbs_cacheSize_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qint64 >::tag (), (qint64)((QAbstractNetworkCache_Adaptor *)cls)->cbs_cacheSize_c0_0 ());
}

static void _set_callback_cbs_cacheSize_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_cacheSize_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_cacheSize_c0_0 ()
{
  return new qt_gsi::GenericMethod ("cacheSize", "@hide", true, &_init_cbs_cacheSize_c0_0, &_call_cbs_cacheSize_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_cacheSize_c0_0 ()
{
  return new qt_gsi::GenericMethod ("cacheSize", "@brief Virtual method qint64 QAbstractNetworkCache::cacheSize()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_cacheSize_c0_0, &_call_cbs_cacheSize_c0_0, &_set_callback_cbs_cacheSize_c0_0);
}


// void QAbstractNetworkCache::clear()

static void _init_cbs_clear_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_clear_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_clear_0_0 ();
}

static void _set_callback_cbs_clear_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_clear_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_clear_0_0 ()
{
  return new qt_gsi::GenericMethod ("clear", "@hide", false, &_init_cbs_clear_0_0, &_call_cbs_clear_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_clear_0_0 ()
{
  return new qt_gsi::GenericMethod ("clear", "@brief Virtual method void QAbstractNetworkCache::clear()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_clear_0_0, &_call_cbs_clear_0_0, &_set_callback_cbs_clear_0_0);
}


// QIODevice * QAbstractNetworkCache::data(const QUrl &url)

static void _init_cbs_data_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<class QIODevice * > ();
}

static void _call_cbs_data_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<class QIODevice * >::tag (), (class QIODevice *)((QAbstractNetworkCache_Adaptor *)cls)->cbs_data_2379_0 (arg1));
}

static void _set_callback_cbs_data_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_data_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_data_2379_0 ()
{
  return new qt_gsi::GenericMethod ("data", "@hide", false, &_init_cbs_data_2379_0, &_call_cbs_data_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_data_2379_0 ()
{
  return new qt_gsi::GenericMethod ("data", "@brief Virtual method QIODevice * QAbstractNetworkCache::data(const QUrl &url)\n@args url\nThis method can be reimplemented in a derived class.", false, &_init_cbs_data_2379_0, &_call_cbs_data_2379_0, &_set_callback_cbs_data_2379_0);
}


// bool QAbstractNetworkCache::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QAbstractNetworkCache_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QAbstractNetworkCache::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QAbstractNetworkCache::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QAbstractNetworkCache_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QAbstractNetworkCache::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// void QAbstractNetworkCache::insert(QIODevice *device)

static void _init_cbs_insert_2125_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QIODevice * > ();
  decl->set_return<void > ();
}

static void _call_cbs_insert_2125_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QIODevice * arg1 = args.get_value<class QIODevice * > (gsi::type_traits<class QIODevice * >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_insert_2125_0 (arg1);
}

static void _set_callback_cbs_insert_2125_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_insert_2125_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_insert_2125_0 ()
{
  return new qt_gsi::GenericMethod ("insert", "@hide", false, &_init_cbs_insert_2125_0, &_call_cbs_insert_2125_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_insert_2125_0 ()
{
  return new qt_gsi::GenericMethod ("insert", "@brief Virtual method void QAbstractNetworkCache::insert(QIODevice *device)\n@args device\nThis method can be reimplemented in a derived class.", false, &_init_cbs_insert_2125_0, &_call_cbs_insert_2125_0, &_set_callback_cbs_insert_2125_0);
}


// QNetworkCacheMetaData QAbstractNetworkCache::metaData(const QUrl &url)

static void _init_cbs_metaData_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<class QNetworkCacheMetaData > ();
}

static void _call_cbs_metaData_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<class QNetworkCacheMetaData >::tag (), (class QNetworkCacheMetaData)((QAbstractNetworkCache_Adaptor *)cls)->cbs_metaData_2379_0 (arg1));
}

static void _set_callback_cbs_metaData_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_metaData_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_metaData_2379_0 ()
{
  return new qt_gsi::GenericMethod ("metaData", "@hide", false, &_init_cbs_metaData_2379_0, &_call_cbs_metaData_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_metaData_2379_0 ()
{
  return new qt_gsi::GenericMethod ("metaData", "@brief Virtual method QNetworkCacheMetaData QAbstractNetworkCache::metaData(const QUrl &url)\n@args url\nThis method can be reimplemented in a derived class.", false, &_init_cbs_metaData_2379_0, &_call_cbs_metaData_2379_0, &_set_callback_cbs_metaData_2379_0);
}


// QIODevice * QAbstractNetworkCache::prepare(const QNetworkCacheMetaData &metaData)

static void _init_cbs_prepare_4055_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QNetworkCacheMetaData & > ();
  decl->set_return<class QIODevice * > ();
}

static void _call_cbs_prepare_4055_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QNetworkCacheMetaData & arg1 = args.get_value<const class QNetworkCacheMetaData & > (gsi::type_traits<const class QNetworkCacheMetaData & >::tag ());
  ret.set_value (gsi::type_traits<class QIODevice * >::tag (), (class QIODevice *)((QAbstractNetworkCache_Adaptor *)cls)->cbs_prepare_4055_0 (arg1));
}

static void _set_callback_cbs_prepare_4055_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_prepare_4055_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_prepare_4055_0 ()
{
  return new qt_gsi::GenericMethod ("prepare", "@hide", false, &_init_cbs_prepare_4055_0, &_call_cbs_prepare_4055_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_prepare_4055_0 ()
{
  return new qt_gsi::GenericMethod ("prepare", "@brief Virtual method QIODevice * QAbstractNetworkCache::prepare(const QNetworkCacheMetaData &metaData)\n@args metaData\nThis method can be reimplemented in a derived class.", false, &_init_cbs_prepare_4055_0, &_call_cbs_prepare_4055_0, &_set_callback_cbs_prepare_4055_0);
}


// bool QAbstractNetworkCache::remove(const QUrl &url)

static void _init_cbs_remove_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QUrl & > ();
  decl->set_return<bool > ();
}

static void _call_cbs_remove_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QUrl & arg1 = args.get_value<const class QUrl & > (gsi::type_traits<const class QUrl & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QAbstractNetworkCache_Adaptor *)cls)->cbs_remove_2379_0 (arg1));
}

static void _set_callback_cbs_remove_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_remove_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_remove_2379_0 ()
{
  return new qt_gsi::GenericMethod ("remove", "@hide", false, &_init_cbs_remove_2379_0, &_call_cbs_remove_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_remove_2379_0 ()
{
  return new qt_gsi::GenericMethod ("remove", "@brief Virtual method bool QAbstractNetworkCache::remove(const QUrl &url)\n@args url\nThis method can be reimplemented in a derived class.", false, &_init_cbs_remove_2379_0, &_call_cbs_remove_2379_0, &_set_callback_cbs_remove_2379_0);
}


// void QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData &metaData)

static void _init_cbs_updateMetaData_4055_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QNetworkCacheMetaData & > ();
  decl->set_return<void > ();
}

static void _call_cbs_updateMetaData_4055_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QNetworkCacheMetaData & arg1 = args.get_value<const class QNetworkCacheMetaData & > (gsi::type_traits<const class QNetworkCacheMetaData & >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_updateMetaData_4055_0 (arg1);
}

static void _set_callback_cbs_updateMetaData_4055_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_updateMetaData_4055_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_updateMetaData_4055_0 ()
{
  return new qt_gsi::GenericMethod ("updateMetaData", "@hide", false, &_init_cbs_updateMetaData_4055_0, &_call_cbs_updateMetaData_4055_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_updateMetaData_4055_0 ()
{
  return new qt_gsi::GenericMethod ("updateMetaData", "@brief Virtual method void QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData &metaData)\n@args metaData\nThis method can be reimplemented in a derived class.", false, &_init_cbs_updateMetaData_4055_0, &_call_cbs_updateMetaData_4055_0, &_set_callback_cbs_updateMetaData_4055_0);
}


// void QAbstractNetworkCache::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QAbstractNetworkCache::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QAbstractNetworkCache::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QAbstractNetworkCache::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QAbstractNetworkCache::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QAbstractNetworkCache::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QAbstractNetworkCache::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QAbstractNetworkCache_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QAbstractNetworkCache_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QAbstractNetworkCache::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QAbstractNetworkCache_Adaptor> gsi::Class<QAbstractNetworkCache_Adaptor>::decl (gsi::Class<QAbstractNetworkCache>::decl, "QAbstractNetworkCache",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_cacheSize_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_cacheSize_c0_0 ()) +
  gsi::Methods (_create_cbs_clear_0_0 ()) +
  gsi::Methods (_create_callback_cbs_clear_0_0 ()) +
  gsi::Methods (_create_cbs_data_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_data_2379_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_insert_2125_0 ()) +
  gsi::Methods (_create_callback_cbs_insert_2125_0 ()) +
  gsi::Methods (_create_cbs_metaData_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_metaData_2379_0 ()) +
  gsi::Methods (_create_cbs_prepare_4055_0 ()) +
  gsi::Methods (_create_callback_cbs_prepare_4055_0 ()) +
  gsi::Methods (_create_cbs_remove_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_remove_2379_0 ()) +
  gsi::Methods (_create_cbs_updateMetaData_4055_0 ()) +
  gsi::Methods (_create_callback_cbs_updateMetaData_4055_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()),
  "@qt\n@brief Binding of QAbstractNetworkCache");

