
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QAbstractSocket
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQAbstractSocket_EventAdaptor
#define _HDR_gsiDeclQAbstractSocket_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtNetwork.h"
#include "gsiDeclQAbstractSocket_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QAbstractSocket_EventAdaptor

class QAbstractSocket_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QAbstractSocket_EventAdaptor (QObject *host);

public slots:
  void aboutToClose();
  void bytesWritten(qint64 );
  void connected();
  void destroyed(QObject *);
  void disconnected();
  void error(QAbstractSocket::SocketError );
  void hostFound();
  void proxyAuthenticationRequired(const QNetworkProxy &, QAuthenticator *);
  void readChannelFinished();
  void readyRead();
  void stateChanged(QAbstractSocket::SocketState );

public:
  gsi::event<> aboutToClose_e_0;
  gsi::event<qint64> bytesWritten_e_986;
  gsi::event<> connected_e_0;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<> disconnected_e_0;
  gsi::event<const qt_gsi::Converter<enum QAbstractSocket::SocketError>::target_type &> error_e_2156;
  gsi::event<> hostFound_e_0;
  gsi::event<const class QNetworkProxy &, class QAuthenticator *> proxyAuthenticationRequired_e_6008;
  gsi::event<> readChannelFinished_e_0;
  gsi::event<> readyRead_e_0;
  gsi::event<const qt_gsi::Converter<enum QAbstractSocket::SocketState>::target_type &> stateChanged_e_2147;
};

#endif
