
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QComboBox
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQComboBox_EventAdaptor
#define _HDR_gsiDeclQComboBox_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQComboBox_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QComboBox_EventAdaptor

class QComboBox_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QComboBox_EventAdaptor (QObject *host);

public slots:
  void activated(const QString &);
  void activated(int );
  void currentIndexChanged(const QString &);
  void currentIndexChanged(int );
  void customContextMenuRequested(const QPoint &);
  void destroyed(QObject *);
  void editTextChanged(const QString &);
  void highlighted(const QString &);
  void highlighted(int );

public:
  gsi::event<const class QString &> activated_e_2703;
  gsi::event<int> activated_e_767;
  gsi::event<const class QString &> currentIndexChanged_e_2703;
  gsi::event<int> currentIndexChanged_e_767;
  gsi::event<const class QPoint &> customContextMenuRequested_e_2594;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const class QString &> editTextChanged_e_2703;
  gsi::event<const class QString &> highlighted_e_2703;
  gsi::event<int> highlighted_e_767;
};

#endif
