
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQDataWidgetMapper.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQDataWidgetMapper_EventAdaptor.h"
#include "gsiDeclQDataWidgetMapper_Enums.h"

// -----------------------------------------------------------------------
// class QDataWidgetMapper

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QDataWidgetMapper::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// void QDataWidgetMapper::addMapping(QWidget *widget, int section)

static void _init_f_addMapping_2652_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_addMapping_2652_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QDataWidgetMapper *)cls)->addMapping (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_addMapping_2652_0 ()
{
  return new qt_gsi::GenericMethod ("addMapping", "@brief Method void QDataWidgetMapper::addMapping(QWidget *widget, int section)\n@args widget, section\n", false, &_init_f_addMapping_2652_0, &_call_f_addMapping_2652_0);
}

// void QDataWidgetMapper::addMapping(QWidget *widget, int section, const QByteArray &propertyName)

static void _init_f_addMapping_5531_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->add_arg<int > ();
  decl->add_arg<const qt_gsi::Converter<class QByteArray>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_addMapping_5531_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const qt_gsi::Converter<class QByteArray>::target_type & arg3 = args.get_value<const qt_gsi::Converter<class QByteArray>::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QByteArray>::target_type & >::tag ());
  ((QDataWidgetMapper *)cls)->addMapping (arg1, arg2, qt_gsi::QtToCppAdaptor<class QByteArray>(arg3).cref ());
}

static qt_gsi::GenericMethod *_create_f_addMapping_5531_0 ()
{
  return new qt_gsi::GenericMethod ("addMapping", "@brief Method void QDataWidgetMapper::addMapping(QWidget *widget, int section, const QByteArray &propertyName)\n@args widget, section, propertyName\n", false, &_init_f_addMapping_5531_0, &_call_f_addMapping_5531_0);
}

// void QDataWidgetMapper::clearMapping()

static void _init_f_clearMapping_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_clearMapping_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->clearMapping ();
}

static qt_gsi::GenericMethod *_create_f_clearMapping_0_0 ()
{
  return new qt_gsi::GenericMethod ("clearMapping", "@brief Method void QDataWidgetMapper::clearMapping()\n@args \n", false, &_init_f_clearMapping_0_0, &_call_f_clearMapping_0_0);
}

// int QDataWidgetMapper::currentIndex()

static void _init_f_currentIndex_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_currentIndex_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QDataWidgetMapper *)cls)->currentIndex ());
}

static qt_gsi::GenericMethod *_create_f_currentIndex_c0_0 ()
{
  return new qt_gsi::GenericMethod ("currentIndex", "@brief Method int QDataWidgetMapper::currentIndex()\n@args \n", true, &_init_f_currentIndex_c0_0, &_call_f_currentIndex_c0_0);
}

// QAbstractItemDelegate * QDataWidgetMapper::itemDelegate()

static void _init_f_itemDelegate_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QAbstractItemDelegate * > ();
}

static void _call_f_itemDelegate_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QAbstractItemDelegate * >::tag (), (class QAbstractItemDelegate *)((QDataWidgetMapper *)cls)->itemDelegate ());
}

static qt_gsi::GenericMethod *_create_f_itemDelegate_c0_0 ()
{
  return new qt_gsi::GenericMethod ("itemDelegate", "@brief Method QAbstractItemDelegate * QDataWidgetMapper::itemDelegate()\n@args \n", true, &_init_f_itemDelegate_c0_0, &_call_f_itemDelegate_c0_0);
}

// QByteArray QDataWidgetMapper::mappedPropertyName(QWidget *widget)

static void _init_f_mappedPropertyName_c1993_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return<qt_gsi::Converter<class QByteArray>::target_type > ();
}

static void _call_f_mappedPropertyName_c1993_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QByteArray>::target_type >::tag (), (qt_gsi::Converter<class QByteArray>::target_type)qt_gsi::CppToQtAdaptor<class QByteArray>(((QDataWidgetMapper *)cls)->mappedPropertyName (arg1)));
}

static qt_gsi::GenericMethod *_create_f_mappedPropertyName_c1993_0 ()
{
  return new qt_gsi::GenericMethod ("mappedPropertyName", "@brief Method QByteArray QDataWidgetMapper::mappedPropertyName(QWidget *widget)\n@args widget\n", true, &_init_f_mappedPropertyName_c1993_0, &_call_f_mappedPropertyName_c1993_0);
}

// int QDataWidgetMapper::mappedSection(QWidget *widget)

static void _init_f_mappedSection_c1993_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return<int > ();
}

static void _call_f_mappedSection_c1993_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QDataWidgetMapper *)cls)->mappedSection (arg1));
}

static qt_gsi::GenericMethod *_create_f_mappedSection_c1993_0 ()
{
  return new qt_gsi::GenericMethod ("mappedSection", "@brief Method int QDataWidgetMapper::mappedSection(QWidget *widget)\n@args widget\n", true, &_init_f_mappedSection_c1993_0, &_call_f_mappedSection_c1993_0);
}

// QWidget * QDataWidgetMapper::mappedWidgetAt(int section)

static void _init_f_mappedWidgetAt_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<class QWidget * > ();
}

static void _call_f_mappedWidgetAt_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QWidget * >::tag (), (class QWidget *)((QDataWidgetMapper *)cls)->mappedWidgetAt (arg1));
}

static qt_gsi::GenericMethod *_create_f_mappedWidgetAt_c767_0 ()
{
  return new qt_gsi::GenericMethod ("mappedWidgetAt", "@brief Method QWidget * QDataWidgetMapper::mappedWidgetAt(int section)\n@args section\n", true, &_init_f_mappedWidgetAt_c767_0, &_call_f_mappedWidgetAt_c767_0);
}

// QAbstractItemModel * QDataWidgetMapper::model()

static void _init_f_model_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QAbstractItemModel * > ();
}

static void _call_f_model_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QAbstractItemModel * >::tag (), (class QAbstractItemModel *)((QDataWidgetMapper *)cls)->model ());
}

static qt_gsi::GenericMethod *_create_f_model_c0_0 ()
{
  return new qt_gsi::GenericMethod ("model", "@brief Method QAbstractItemModel * QDataWidgetMapper::model()\n@args \n", true, &_init_f_model_c0_0, &_call_f_model_c0_0);
}

// Qt::Orientation QDataWidgetMapper::orientation()

static void _init_f_orientation_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<enum Qt::Orientation>::target_type > ();
}

static void _call_f_orientation_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<enum Qt::Orientation>::target_type >::tag (), (qt_gsi::Converter<enum Qt::Orientation>::target_type)qt_gsi::CppToQtAdaptor<enum Qt::Orientation>(((QDataWidgetMapper *)cls)->orientation ()));
}

static qt_gsi::GenericMethod *_create_f_orientation_c0_0 ()
{
  return new qt_gsi::GenericMethod ("orientation", "@brief Method Qt::Orientation QDataWidgetMapper::orientation()\n@args \n", true, &_init_f_orientation_c0_0, &_call_f_orientation_c0_0);
}

// void QDataWidgetMapper::removeMapping(QWidget *widget)

static void _init_f_removeMapping_1993_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return<void > ();
}

static void _call_f_removeMapping_1993_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ((QDataWidgetMapper *)cls)->removeMapping (arg1);
}

static qt_gsi::GenericMethod *_create_f_removeMapping_1993_0 ()
{
  return new qt_gsi::GenericMethod ("removeMapping", "@brief Method void QDataWidgetMapper::removeMapping(QWidget *widget)\n@args widget\n", false, &_init_f_removeMapping_1993_0, &_call_f_removeMapping_1993_0);
}

// void QDataWidgetMapper::revert()

static void _init_f_revert_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_revert_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->revert ();
}

static qt_gsi::GenericMethod *_create_f_revert_0_0 ()
{
  return new qt_gsi::GenericMethod ("revert", "@brief Method void QDataWidgetMapper::revert()\n@args \n", false, &_init_f_revert_0_0, &_call_f_revert_0_0);
}

// QModelIndex QDataWidgetMapper::rootIndex()

static void _init_f_rootIndex_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QModelIndex > ();
}

static void _call_f_rootIndex_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QModelIndex >::tag (), (class QModelIndex)((QDataWidgetMapper *)cls)->rootIndex ());
}

static qt_gsi::GenericMethod *_create_f_rootIndex_c0_0 ()
{
  return new qt_gsi::GenericMethod ("rootIndex", "@brief Method QModelIndex QDataWidgetMapper::rootIndex()\n@args \n", true, &_init_f_rootIndex_c0_0, &_call_f_rootIndex_c0_0);
}

// void QDataWidgetMapper::setCurrentIndex(int index)

static void _init_f_setCurrentIndex_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentIndex_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QDataWidgetMapper *)cls)->setCurrentIndex (arg1);
}

static qt_gsi::GenericMethod *_create_f_setCurrentIndex_767_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentIndex|currentIndex=", "@brief Method void QDataWidgetMapper::setCurrentIndex(int index)\n@args index\n", false, &_init_f_setCurrentIndex_767_0, &_call_f_setCurrentIndex_767_0);
}

// void QDataWidgetMapper::setCurrentModelIndex(const QModelIndex &index)

static void _init_f_setCurrentModelIndex_3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentModelIndex_3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QDataWidgetMapper *)cls)->setCurrentModelIndex (arg1);
}

static qt_gsi::GenericMethod *_create_f_setCurrentModelIndex_3073_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentModelIndex", "@brief Method void QDataWidgetMapper::setCurrentModelIndex(const QModelIndex &index)\n@args index\n", false, &_init_f_setCurrentModelIndex_3073_0, &_call_f_setCurrentModelIndex_3073_0);
}

// void QDataWidgetMapper::setItemDelegate(QAbstractItemDelegate *delegate)

static void _init_f_setItemDelegate_3395_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QAbstractItemDelegate * > ();
  decl->set_return<void > ();
}

static void _call_f_setItemDelegate_3395_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QAbstractItemDelegate * arg1 = args.get_value<class QAbstractItemDelegate * > (gsi::type_traits<class QAbstractItemDelegate * >::tag ());
  ((QDataWidgetMapper *)cls)->setItemDelegate (arg1);
}

static qt_gsi::GenericMethod *_create_f_setItemDelegate_3395_0 ()
{
  return new qt_gsi::GenericMethod ("setItemDelegate|itemDelegate=", "@brief Method void QDataWidgetMapper::setItemDelegate(QAbstractItemDelegate *delegate)\n@args delegate\n", false, &_init_f_setItemDelegate_3395_0, &_call_f_setItemDelegate_3395_0);
}

// void QDataWidgetMapper::setModel(QAbstractItemModel *model)

static void _init_f_setModel_3097_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QAbstractItemModel * > ();
  decl->set_return<void > ();
}

static void _call_f_setModel_3097_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QAbstractItemModel * arg1 = args.get_value<class QAbstractItemModel * > (gsi::type_traits<class QAbstractItemModel * >::tag ());
  ((QDataWidgetMapper *)cls)->setModel (arg1);
}

static qt_gsi::GenericMethod *_create_f_setModel_3097_0 ()
{
  return new qt_gsi::GenericMethod ("setModel|model=", "@brief Method void QDataWidgetMapper::setModel(QAbstractItemModel *model)\n@args model\n", false, &_init_f_setModel_3097_0, &_call_f_setModel_3097_0);
}

// void QDataWidgetMapper::setOrientation(Qt::Orientation aOrientation)

static void _init_f_setOrientation_2494_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<enum Qt::Orientation>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setOrientation_2494_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<enum Qt::Orientation>::target_type & arg1 = args.get_value<const qt_gsi::Converter<enum Qt::Orientation>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::Orientation>::target_type & >::tag ());
  ((QDataWidgetMapper *)cls)->setOrientation (qt_gsi::QtToCppAdaptor<enum Qt::Orientation>(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_setOrientation_2494_0 ()
{
  return new qt_gsi::GenericMethod ("setOrientation|orientation=", "@brief Method void QDataWidgetMapper::setOrientation(Qt::Orientation aOrientation)\n@args aOrientation\n", false, &_init_f_setOrientation_2494_0, &_call_f_setOrientation_2494_0);
}

// void QDataWidgetMapper::setRootIndex(const QModelIndex &index)

static void _init_f_setRootIndex_3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_f_setRootIndex_3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QDataWidgetMapper *)cls)->setRootIndex (arg1);
}

static qt_gsi::GenericMethod *_create_f_setRootIndex_3073_0 ()
{
  return new qt_gsi::GenericMethod ("setRootIndex|rootIndex=", "@brief Method void QDataWidgetMapper::setRootIndex(const QModelIndex &index)\n@args index\n", false, &_init_f_setRootIndex_3073_0, &_call_f_setRootIndex_3073_0);
}

// void QDataWidgetMapper::setSubmitPolicy(QDataWidgetMapper::SubmitPolicy policy)

static void _init_f_setSubmitPolicy_2269_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setSubmitPolicy_2269_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type & arg1 = args.get_value<const qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type & >::tag ());
  ((QDataWidgetMapper *)cls)->setSubmitPolicy (qt_gsi::QtToCppAdaptor<enum QDataWidgetMapper::SubmitPolicy>(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_setSubmitPolicy_2269_0 ()
{
  return new qt_gsi::GenericMethod ("setSubmitPolicy|submitPolicy=", "@brief Method void QDataWidgetMapper::setSubmitPolicy(QDataWidgetMapper::SubmitPolicy policy)\n@args policy\n", false, &_init_f_setSubmitPolicy_2269_0, &_call_f_setSubmitPolicy_2269_0);
}

// bool QDataWidgetMapper::submit()

static void _init_f_submit_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_submit_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QDataWidgetMapper *)cls)->submit ());
}

static qt_gsi::GenericMethod *_create_f_submit_0_0 ()
{
  return new qt_gsi::GenericMethod ("submit", "@brief Method bool QDataWidgetMapper::submit()\n@args \n", false, &_init_f_submit_0_0, &_call_f_submit_0_0);
}

// QDataWidgetMapper::SubmitPolicy QDataWidgetMapper::submitPolicy()

static void _init_f_submitPolicy_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type > ();
}

static void _call_f_submitPolicy_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type >::tag (), (qt_gsi::Converter<enum QDataWidgetMapper::SubmitPolicy>::target_type)qt_gsi::CppToQtAdaptor<enum QDataWidgetMapper::SubmitPolicy>(((QDataWidgetMapper *)cls)->submitPolicy ()));
}

static qt_gsi::GenericMethod *_create_f_submitPolicy_c0_0 ()
{
  return new qt_gsi::GenericMethod ("submitPolicy", "@brief Method QDataWidgetMapper::SubmitPolicy QDataWidgetMapper::submitPolicy()\n@args \n", true, &_init_f_submitPolicy_c0_0, &_call_f_submitPolicy_c0_0);
}

// void QDataWidgetMapper::toFirst()

static void _init_f_toFirst_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_toFirst_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->toFirst ();
}

static qt_gsi::GenericMethod *_create_f_toFirst_0_0 ()
{
  return new qt_gsi::GenericMethod ("toFirst", "@brief Method void QDataWidgetMapper::toFirst()\n@args \n", false, &_init_f_toFirst_0_0, &_call_f_toFirst_0_0);
}

// void QDataWidgetMapper::toLast()

static void _init_f_toLast_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_toLast_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->toLast ();
}

static qt_gsi::GenericMethod *_create_f_toLast_0_0 ()
{
  return new qt_gsi::GenericMethod ("toLast", "@brief Method void QDataWidgetMapper::toLast()\n@args \n", false, &_init_f_toLast_0_0, &_call_f_toLast_0_0);
}

// void QDataWidgetMapper::toNext()

static void _init_f_toNext_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_toNext_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->toNext ();
}

static qt_gsi::GenericMethod *_create_f_toNext_0_0 ()
{
  return new qt_gsi::GenericMethod ("toNext", "@brief Method void QDataWidgetMapper::toNext()\n@args \n", false, &_init_f_toNext_0_0, &_call_f_toNext_0_0);
}

// void QDataWidgetMapper::toPrevious()

static void _init_f_toPrevious_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_toPrevious_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QDataWidgetMapper *)cls)->toPrevious ();
}

static qt_gsi::GenericMethod *_create_f_toPrevious_0_0 ()
{
  return new qt_gsi::GenericMethod ("toPrevious", "@brief Method void QDataWidgetMapper::toPrevious()\n@args \n", false, &_init_f_toPrevious_0_0, &_call_f_toPrevious_0_0);
}

// static QString QDataWidgetMapper::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QDataWidgetMapper::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QDataWidgetMapper::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QDataWidgetMapper::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QDataWidgetMapper::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QDataWidgetMapper::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QDataWidgetMapper::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QDataWidgetMapper::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QDataWidgetMapper::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QDataWidgetMapper::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QDataWidgetMapper::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QDataWidgetMapper::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QDataWidgetMapper::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

//  enum QDataWidgetMapper::AutoSubmit
static qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum c_QDataWidgetMapper_AutoSubmit() {
  return qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum (QDataWidgetMapper::AutoSubmit);
}

//  enum QDataWidgetMapper::ManualSubmit
static qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum c_QDataWidgetMapper_ManualSubmit() {
  return qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum (QDataWidgetMapper::ManualSubmit);
}

static qt_gsi::QObjectConnector<QDataWidgetMapper, QDataWidgetMapper_EventAdaptor> ea_QDataWidgetMapper;

template <>
gsi::Class<QDataWidgetMapper> gsi::Class<QDataWidgetMapper>::decl (ea_QDataWidgetMapper, gsi::Class<QObject>::decl, "QDataWidgetMapper_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_addMapping_2652_0 ()) +
  gsi::Methods(_create_f_addMapping_5531_0 ()) +
  gsi::Methods(_create_f_clearMapping_0_0 ()) +
  gsi::Methods(_create_f_currentIndex_c0_0 ()) +
  gsi::Methods(_create_f_itemDelegate_c0_0 ()) +
  gsi::Methods(_create_f_mappedPropertyName_c1993_0 ()) +
  gsi::Methods(_create_f_mappedSection_c1993_0 ()) +
  gsi::Methods(_create_f_mappedWidgetAt_c767_0 ()) +
  gsi::Methods(_create_f_model_c0_0 ()) +
  gsi::Methods(_create_f_orientation_c0_0 ()) +
  gsi::Methods(_create_f_removeMapping_1993_0 ()) +
  gsi::Methods(_create_f_revert_0_0 ()) +
  gsi::Methods(_create_f_rootIndex_c0_0 ()) +
  gsi::Methods(_create_f_setCurrentIndex_767_0 ()) +
  gsi::Methods(_create_f_setCurrentModelIndex_3073_0 ()) +
  gsi::Methods(_create_f_setItemDelegate_3395_0 ()) +
  gsi::Methods(_create_f_setModel_3097_0 ()) +
  gsi::Methods(_create_f_setOrientation_2494_0 ()) +
  gsi::Methods(_create_f_setRootIndex_3073_0 ()) +
  gsi::Methods(_create_f_setSubmitPolicy_2269_0 ()) +
  gsi::Methods(_create_f_submit_0_0 ()) +
  gsi::Methods(_create_f_submitPolicy_c0_0 ()) +
  gsi::Methods(_create_f_toFirst_0_0 ()) +
  gsi::Methods(_create_f_toLast_0_0 ()) +
  gsi::Methods(_create_f_toNext_0_0 ()) +
  gsi::Methods(_create_f_toPrevious_0_0 ()) +
  qt_gsi::qt_signal<QDataWidgetMapper, QDataWidgetMapper_EventAdaptor, int> ("currentIndexChanged", &QDataWidgetMapper_EventAdaptor::currentIndexChanged_e_767, "@brief Signal declaration for QDataWidgetMapper::currentIndexChanged(int index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QDataWidgetMapper, QDataWidgetMapper_EventAdaptor, class QObject *> ("destroyed", &QDataWidgetMapper_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QDataWidgetMapper::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()) +
  gsi::method("AutoSubmit", &::c_QDataWidgetMapper_AutoSubmit, "@brief Enum constant enum QDataWidgetMapper::AutoSubmit") +
  gsi::method("ManualSubmit", &::c_QDataWidgetMapper_ManualSubmit, "@brief Enum constant enum QDataWidgetMapper::ManualSubmit"),
  "@hide\n@alias QDataWidgetMapper");

class KLAYOUT_DLL QDataWidgetMapper_Adaptor : public QDataWidgetMapper, public qt_gsi::QtObjectBase
{
public:

  virtual ~QDataWidgetMapper_Adaptor();

  //  [adaptor ctor] QDataWidgetMapper::QDataWidgetMapper(QObject *parent)
  QDataWidgetMapper_Adaptor() : QDataWidgetMapper()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QDataWidgetMapper::QDataWidgetMapper(QObject *parent)
  QDataWidgetMapper_Adaptor(QObject *parent) : QDataWidgetMapper(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QDataWidgetMapper::receivers(const char *signal)
  int fp_QDataWidgetMapper_receivers_c1731_0 (const char * signal) const {
    return QDataWidgetMapper::receivers(signal);
  }

  //  QObject * QDataWidgetMapper::sender()
  class QObject * fp_QDataWidgetMapper_sender_c0_0 () const {
    return QDataWidgetMapper::sender();
  }

  //  [adaptor impl] bool QDataWidgetMapper::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QDataWidgetMapper::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QDataWidgetMapper_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QDataWidgetMapper_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QDataWidgetMapper::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QDataWidgetMapper::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QDataWidgetMapper_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QDataWidgetMapper_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] void QDataWidgetMapper::setCurrentIndex(int index)
  void cbs_setCurrentIndex_767_0(int index)
  {
    QDataWidgetMapper::setCurrentIndex(index);
  }

  virtual void setCurrentIndex(int index)
  {
    gsi::issue<QDataWidgetMapper_Adaptor, int>(cb_setCurrentIndex_767_0, &QDataWidgetMapper_Adaptor::cbs_setCurrentIndex_767_0, index);
  }

  //  [adaptor impl] void QDataWidgetMapper::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QDataWidgetMapper::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QDataWidgetMapper_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QDataWidgetMapper_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QDataWidgetMapper::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QDataWidgetMapper::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QDataWidgetMapper_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QDataWidgetMapper_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QDataWidgetMapper::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QDataWidgetMapper::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QDataWidgetMapper_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QDataWidgetMapper_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QDataWidgetMapper::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QDataWidgetMapper::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QDataWidgetMapper_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QDataWidgetMapper_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_setCurrentIndex_767_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QDataWidgetMapper_Adaptor::~QDataWidgetMapper_Adaptor() { }

//  Constructor QDataWidgetMapper::QDataWidgetMapper(QObject *parent) (adaptor class)
static void _init_ctor_QDataWidgetMapper_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QDataWidgetMapper_Adaptor > ();
}

static void _call_ctor_QDataWidgetMapper_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QDataWidgetMapper_Adaptor *>::tag (), new QDataWidgetMapper_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QDataWidgetMapper_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QDataWidgetMapper::QDataWidgetMapper(QObject *parent)\n@args \nThis method creates an object of class QDataWidgetMapper.", &_init_ctor_QDataWidgetMapper_Adaptor_1980_0, &_call_ctor_QDataWidgetMapper_Adaptor_1980_0);
}

//  Constructor QDataWidgetMapper::QDataWidgetMapper(QObject *parent) (adaptor class)
static void _init_ctor_QDataWidgetMapper_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QDataWidgetMapper_Adaptor > ();
}

static void _call_ctor_QDataWidgetMapper_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QDataWidgetMapper_Adaptor *>::tag (), new QDataWidgetMapper_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QDataWidgetMapper_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QDataWidgetMapper::QDataWidgetMapper(QObject *parent)\n@args parent\nThis method creates an object of class QDataWidgetMapper.", &_init_ctor_QDataWidgetMapper_Adaptor_1980_1, &_call_ctor_QDataWidgetMapper_Adaptor_1980_1);
}

// int QDataWidgetMapper::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QDataWidgetMapper_Adaptor *)cls)->fp_QDataWidgetMapper_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QDataWidgetMapper::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QDataWidgetMapper::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QDataWidgetMapper_Adaptor *)cls)->fp_QDataWidgetMapper_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QDataWidgetMapper::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QDataWidgetMapper::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QDataWidgetMapper_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QDataWidgetMapper::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QDataWidgetMapper::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QDataWidgetMapper_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QDataWidgetMapper::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// void QDataWidgetMapper::setCurrentIndex(int index)

static void _init_cbs_setCurrentIndex_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_setCurrentIndex_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QDataWidgetMapper_Adaptor *)cls)->cbs_setCurrentIndex_767_0 (arg1);
}

static void _set_callback_cbs_setCurrentIndex_767_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_setCurrentIndex_767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_setCurrentIndex_767_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentIndex", "@hide", false, &_init_cbs_setCurrentIndex_767_0, &_call_cbs_setCurrentIndex_767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_setCurrentIndex_767_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentIndex", "@brief Virtual method void QDataWidgetMapper::setCurrentIndex(int index)\n@args index\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setCurrentIndex_767_0, &_call_cbs_setCurrentIndex_767_0, &_set_callback_cbs_setCurrentIndex_767_0);
}


// void QDataWidgetMapper::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QDataWidgetMapper_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QDataWidgetMapper::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QDataWidgetMapper::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QDataWidgetMapper_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QDataWidgetMapper::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QDataWidgetMapper::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QDataWidgetMapper_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QDataWidgetMapper::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QDataWidgetMapper::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QDataWidgetMapper_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QDataWidgetMapper_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QDataWidgetMapper::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QDataWidgetMapper_Adaptor> gsi::Class<QDataWidgetMapper_Adaptor>::decl (gsi::Class<QDataWidgetMapper>::decl, "QDataWidgetMapper",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_setCurrentIndex_767_0 ()) +
  gsi::Methods (_create_callback_cbs_setCurrentIndex_767_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QDataWidgetMapper_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QDataWidgetMapper_Adaptor_1980_1 ()),
  "@qt\n@brief Binding of QDataWidgetMapper");


//  Implementation of the enum wrapper class for QDataWidgetMapper::SubmitPolicy
namespace qt_gsi
{

static QDataWidgetMapper_SubmitPolicy_Enum *c_1_QDataWidgetMapper_SubmitPolicy_Enum () { return new QDataWidgetMapper_SubmitPolicy_Enum (QDataWidgetMapper::AutoSubmit); }
static QDataWidgetMapper_SubmitPolicy_Enum *c_2_QDataWidgetMapper_SubmitPolicy_Enum () { return new QDataWidgetMapper_SubmitPolicy_Enum (QDataWidgetMapper::ManualSubmit); }

static std::string to_s_QDataWidgetMapper_SubmitPolicy_Enum (const QDataWidgetMapper_SubmitPolicy_Enum *e)
{
  if (e->value () == QDataWidgetMapper::AutoSubmit) { return tl::sprintf ("AutoSubmit (%u)", (unsigned int) e->value ()); }
  if (e->value () == QDataWidgetMapper::ManualSubmit) { return tl::sprintf ("ManualSubmit (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QDataWidgetMapper_SubmitPolicy_Enum (const QDataWidgetMapper_SubmitPolicy_Enum *e)
{
  return (unsigned int) e->value ();
}

static QDataWidgetMapper_SubmitPolicy_Enum *from_i_QDataWidgetMapper_SubmitPolicy_Enum (unsigned int i)
{
  return new QDataWidgetMapper_SubmitPolicy_Enum ((QDataWidgetMapper::SubmitPolicy) i);
}

static bool equalQDataWidgetMapper_SubmitPolicy_Enum (const QDataWidgetMapper_SubmitPolicy_Enum *e, QDataWidgetMapper_SubmitPolicy_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QDataWidgetMapper_SubmitPolicy_Enum (const QDataWidgetMapper_SubmitPolicy_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum> gsi::Class<qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum>::decl ("QDataWidgetMapper_SubmitPolicy",
  gsi::constructor<qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum> ("AutoSubmit", &qt_gsi::c_1_QDataWidgetMapper_SubmitPolicy_Enum, "@brief Enum constant QDataWidgetMapper::AutoSubmit") +
  gsi::constructor<qt_gsi::QDataWidgetMapper_SubmitPolicy_Enum> ("ManualSubmit", &qt_gsi::c_2_QDataWidgetMapper_SubmitPolicy_Enum, "@brief Enum constant QDataWidgetMapper::ManualSubmit") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QDataWidgetMapper_SubmitPolicy_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QDataWidgetMapper_SubmitPolicy_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQDataWidgetMapper_SubmitPolicy_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QDataWidgetMapper_SubmitPolicy_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QDataWidgetMapper_SubmitPolicy_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QDataWidgetMapper::SubmitPolicy enum");

