
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QDockWidget
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQDockWidget_EventAdaptor
#define _HDR_gsiDeclQDockWidget_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQDockWidget_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QDockWidget_EventAdaptor

class QDockWidget_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QDockWidget_EventAdaptor (QObject *host);

public slots:
  void allowedAreasChanged(Qt::DockWidgetAreas );
  void customContextMenuRequested(const QPoint &);
  void destroyed(QObject *);
  void dockLocationChanged(Qt::DockWidgetArea );
  void featuresChanged(QDockWidget::DockWidgetFeatures );
  void topLevelChanged(bool );
  void visibilityChanged(bool );

public:
  gsi::event<const qt_gsi::Converter<class QFlags<enum Qt::DockWidgetArea> >::target_type &> allowedAreasChanged_e_4381;
  gsi::event<const class QPoint &> customContextMenuRequested_e_2594;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const qt_gsi::Converter<enum Qt::DockWidgetArea>::target_type &> dockLocationChanged_e_2704;
  gsi::event<const qt_gsi::Converter<class QFlags<enum QDockWidget::DockWidgetFeature> >::target_type &> featuresChanged_e_4720;
  gsi::event<bool> topLevelChanged_e_864;
  gsi::event<bool> visibilityChanged_e_864;
};

#endif
