
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QFileDialog
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQFileDialog_EventAdaptor
#define _HDR_gsiDeclQFileDialog_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQFileDialog_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QFileDialog_EventAdaptor

class QFileDialog_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QFileDialog_EventAdaptor (QObject *host);

public slots:
  void accepted();
  void currentChanged(const QString &);
  void customContextMenuRequested(const QPoint &);
  void destroyed(QObject *);
  void directoryEntered(const QString &);
  void fileSelected(const QString &);
  void filesSelected(const QStringList &);
  void filterSelected(const QString &);
  void finished(int );
  void rejected();

public:
  gsi::event<> accepted_e_0;
  gsi::event<const class QString &> currentChanged_e_2703;
  gsi::event<const class QPoint &> customContextMenuRequested_e_2594;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const class QString &> directoryEntered_e_2703;
  gsi::event<const class QString &> fileSelected_e_2703;
  gsi::event<const qt_gsi::Converter<class QStringList>::target_type &> filesSelected_e_3115;
  gsi::event<const class QString &> filterSelected_e_2703;
  gsi::event<int> finished_e_767;
  gsi::event<> rejected_e_0;
};

#endif
