
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QHeaderView
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQHeaderView_EventAdaptor
#define _HDR_gsiDeclQHeaderView_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQHeaderView_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QHeaderView_EventAdaptor

class QHeaderView_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QHeaderView_EventAdaptor (QObject *host);

public slots:
  void activated(const QModelIndex &);
  void clicked(const QModelIndex &);
  void customContextMenuRequested(const QPoint &);
  void destroyed(QObject *);
  void doubleClicked(const QModelIndex &);
  void entered(const QModelIndex &);
  void geometriesChanged();
  void pressed(const QModelIndex &);
  void sectionAutoResize(int , QHeaderView::ResizeMode );
  void sectionClicked(int );
  void sectionCountChanged(int , int );
  void sectionDoubleClicked(int );
  void sectionEntered(int );
  void sectionHandleDoubleClicked(int );
  void sectionMoved(int , int , int );
  void sectionPressed(int );
  void sectionResized(int , int , int );
  void sortIndicatorChanged(int , Qt::SortOrder );
  void viewportEntered();

public:
  gsi::event<const class QModelIndex &> activated_e_3073;
  gsi::event<const class QModelIndex &> clicked_e_3073;
  gsi::event<const class QPoint &> customContextMenuRequested_e_2594;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const class QModelIndex &> doubleClicked_e_3073;
  gsi::event<const class QModelIndex &> entered_e_3073;
  gsi::event<> geometriesChanged_e_0;
  gsi::event<const class QModelIndex &> pressed_e_3073;
  gsi::event<int, const qt_gsi::Converter<enum QHeaderView::ResizeMode>::target_type &> sectionAutoResize_e_2691;
  gsi::event<int> sectionClicked_e_767;
  gsi::event<int, int> sectionCountChanged_e_1426;
  gsi::event<int> sectionDoubleClicked_e_767;
  gsi::event<int> sectionEntered_e_767;
  gsi::event<int> sectionHandleDoubleClicked_e_767;
  gsi::event<int, int, int> sectionMoved_e_2085;
  gsi::event<int> sectionPressed_e_767;
  gsi::event<int, int, int> sectionResized_e_2085;
  gsi::event<int, const qt_gsi::Converter<enum Qt::SortOrder>::target_type &> sortIndicatorChanged_e_2921;
  gsi::event<> viewportEntered_e_0;
};

#endif
