
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQLibrary.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtCore.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQLibrary_EventAdaptor.h"
#include "gsiDeclQLibrary_Enums.h"

// -----------------------------------------------------------------------
// class QLibrary

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QLibrary::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// QString QLibrary::errorString()

static void _init_f_errorString_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_errorString_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QLibrary *)cls)->errorString ());
}

static qt_gsi::GenericMethod *_create_f_errorString_c0_0 ()
{
  return new qt_gsi::GenericMethod ("errorString", "@brief Method QString QLibrary::errorString()\n@args \n", true, &_init_f_errorString_c0_0, &_call_f_errorString_c0_0);
}

// QString QLibrary::fileName()

static void _init_f_fileName_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_fileName_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QLibrary *)cls)->fileName ());
}

static qt_gsi::GenericMethod *_create_f_fileName_c0_0 ()
{
  return new qt_gsi::GenericMethod ("fileName", "@brief Method QString QLibrary::fileName()\n@args \n", true, &_init_f_fileName_c0_0, &_call_f_fileName_c0_0);
}

// bool QLibrary::isLoaded()

static void _init_f_isLoaded_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isLoaded_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLibrary *)cls)->isLoaded ());
}

static qt_gsi::GenericMethod *_create_f_isLoaded_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isLoaded|isLoaded?", "@brief Method bool QLibrary::isLoaded()\n@args \n", true, &_init_f_isLoaded_c0_0, &_call_f_isLoaded_c0_0);
}

// bool QLibrary::load()

static void _init_f_load_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_load_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLibrary *)cls)->load ());
}

static qt_gsi::GenericMethod *_create_f_load_0_0 ()
{
  return new qt_gsi::GenericMethod ("load", "@brief Method bool QLibrary::load()\n@args \n", false, &_init_f_load_0_0, &_call_f_load_0_0);
}

// QFlags<enum QLibrary::LoadHint> QLibrary::loadHints()

static void _init_f_loadHints_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type > ();
}

static void _call_f_loadHints_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type >::tag (), (qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type)qt_gsi::CppToQtAdaptor<class QFlags<enum QLibrary::LoadHint> >(((QLibrary *)cls)->loadHints ()));
}

static qt_gsi::GenericMethod *_create_f_loadHints_c0_0 ()
{
  return new qt_gsi::GenericMethod ("loadHints", "@brief Method QFlags<enum QLibrary::LoadHint> QLibrary::loadHints()\n@args \n", true, &_init_f_loadHints_c0_0, &_call_f_loadHints_c0_0);
}

// void * QLibrary::resolve(const char *symbol)

static void _init_f_resolve_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void * > ();
}

static void _call_f_resolve_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<void * >::tag (), (void *)((QLibrary *)cls)->resolve (arg1));
}

static qt_gsi::GenericMethod *_create_f_resolve_1731_0 ()
{
  return new qt_gsi::GenericMethod ("resolve", "@brief Method void * QLibrary::resolve(const char *symbol)\n@args symbol\n", false, &_init_f_resolve_1731_0, &_call_f_resolve_1731_0);
}

// void QLibrary::setFileName(const QString &fileName)

static void _init_f_setFileName_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_setFileName_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QLibrary *)cls)->setFileName (arg1);
}

static qt_gsi::GenericMethod *_create_f_setFileName_2703_0 ()
{
  return new qt_gsi::GenericMethod ("setFileName|fileName=", "@brief Method void QLibrary::setFileName(const QString &fileName)\n@args fileName\n", false, &_init_f_setFileName_2703_0, &_call_f_setFileName_2703_0);
}

// void QLibrary::setFileNameAndVersion(const QString &fileName, int verNum)

static void _init_f_setFileNameAndVersion_3362_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setFileNameAndVersion_3362_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QLibrary *)cls)->setFileNameAndVersion (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setFileNameAndVersion_3362_0 ()
{
  return new qt_gsi::GenericMethod ("setFileNameAndVersion", "@brief Method void QLibrary::setFileNameAndVersion(const QString &fileName, int verNum)\n@args fileName, verNum\n", false, &_init_f_setFileNameAndVersion_3362_0, &_call_f_setFileNameAndVersion_3362_0);
}

// void QLibrary::setFileNameAndVersion(const QString &fileName, const QString &version)

static void _init_f_setFileNameAndVersion_5298_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_setFileNameAndVersion_5298_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const class QString & arg2 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QLibrary *)cls)->setFileNameAndVersion (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setFileNameAndVersion_5298_0 ()
{
  return new qt_gsi::GenericMethod ("setFileNameAndVersion", "@brief Method void QLibrary::setFileNameAndVersion(const QString &fileName, const QString &version)\n@args fileName, version\n", false, &_init_f_setFileNameAndVersion_5298_0, &_call_f_setFileNameAndVersion_5298_0);
}

// void QLibrary::setLoadHints(QFlags<enum QLibrary::LoadHint> hints)

static void _init_f_setLoadHints_3794_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setLoadHints_3794_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum QLibrary::LoadHint> >::target_type & >::tag ());
  ((QLibrary *)cls)->setLoadHints (qt_gsi::QtToCppAdaptor<class QFlags<enum QLibrary::LoadHint> >(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_setLoadHints_3794_0 ()
{
  return new qt_gsi::GenericMethod ("setLoadHints|loadHints=", "@brief Method void QLibrary::setLoadHints(QFlags<enum QLibrary::LoadHint> hints)\n@args hints\n", false, &_init_f_setLoadHints_3794_0, &_call_f_setLoadHints_3794_0);
}

// bool QLibrary::unload()

static void _init_f_unload_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_unload_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLibrary *)cls)->unload ());
}

static qt_gsi::GenericMethod *_create_f_unload_0_0 ()
{
  return new qt_gsi::GenericMethod ("unload", "@brief Method bool QLibrary::unload()\n@args \n", false, &_init_f_unload_0_0, &_call_f_unload_0_0);
}

// static bool QLibrary::isLibrary(const QString &fileName)

static void _init_f_isLibrary_2703_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<bool > ();
}

static void _call_f_isLibrary_2703_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)QLibrary::isLibrary (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_isLibrary_2703_0 ()
{
  return new qt_gsi::GenericStaticMethod ("isLibrary|isLibrary?", "@brief Static method bool QLibrary::isLibrary(const QString &fileName)\n@args fileName\nThis method is static and can be called without an instance.", &_init_f_isLibrary_2703_0, &_call_f_isLibrary_2703_0);
}

// static void * QLibrary::resolve(const QString &fileName, const char *symbol)

static void _init_f_resolve_4326_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const char * > ();
  decl->set_return<void * > ();
}

static void _call_f_resolve_4326_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<void * >::tag (), (void *)QLibrary::resolve (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_resolve_4326_0 ()
{
  return new qt_gsi::GenericStaticMethod ("resolve", "@brief Static method void * QLibrary::resolve(const QString &fileName, const char *symbol)\n@args fileName, symbol\nThis method is static and can be called without an instance.", &_init_f_resolve_4326_0, &_call_f_resolve_4326_0);
}

// static void * QLibrary::resolve(const QString &fileName, int verNum, const char *symbol)

static void _init_f_resolve_4985_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<int > ();
  decl->add_arg<const char * > ();
  decl->set_return<void * > ();
}

static void _call_f_resolve_4985_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<void * >::tag (), (void *)QLibrary::resolve (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_resolve_4985_0 ()
{
  return new qt_gsi::GenericStaticMethod ("resolve", "@brief Static method void * QLibrary::resolve(const QString &fileName, int verNum, const char *symbol)\n@args fileName, verNum, symbol\nThis method is static and can be called without an instance.", &_init_f_resolve_4985_0, &_call_f_resolve_4985_0);
}

// static void * QLibrary::resolve(const QString &fileName, const QString &version, const char *symbol)

static void _init_f_resolve_6921_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const class QString & > ();
  decl->add_arg<const char * > ();
  decl->set_return<void * > ();
}

static void _call_f_resolve_6921_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const class QString & arg2 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<void * >::tag (), (void *)QLibrary::resolve (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_resolve_6921_0 ()
{
  return new qt_gsi::GenericStaticMethod ("resolve", "@brief Static method void * QLibrary::resolve(const QString &fileName, const QString &version, const char *symbol)\n@args fileName, version, symbol\nThis method is static and can be called without an instance.", &_init_f_resolve_6921_0, &_call_f_resolve_6921_0);
}

// static QString QLibrary::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLibrary::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QLibrary::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLibrary::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QLibrary::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLibrary::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QLibrary::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLibrary::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QLibrary::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLibrary::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QLibrary::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLibrary::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLibrary::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

//  enum QLibrary::ExportExternalSymbolsHint
static qt_gsi::QLibrary_LoadHint_Enum c_QLibrary_ExportExternalSymbolsHint() {
  return qt_gsi::QLibrary_LoadHint_Enum (QLibrary::ExportExternalSymbolsHint);
}

//  enum QLibrary::LoadArchiveMemberHint
static qt_gsi::QLibrary_LoadHint_Enum c_QLibrary_LoadArchiveMemberHint() {
  return qt_gsi::QLibrary_LoadHint_Enum (QLibrary::LoadArchiveMemberHint);
}

//  enum QLibrary::ResolveAllSymbolsHint
static qt_gsi::QLibrary_LoadHint_Enum c_QLibrary_ResolveAllSymbolsHint() {
  return qt_gsi::QLibrary_LoadHint_Enum (QLibrary::ResolveAllSymbolsHint);
}

static qt_gsi::QObjectConnector<QLibrary, QLibrary_EventAdaptor> ea_QLibrary;

template <>
gsi::Class<QLibrary> gsi::Class<QLibrary>::decl (ea_QLibrary, gsi::Class<QObject>::decl, "QLibrary_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_errorString_c0_0 ()) +
  gsi::Methods(_create_f_fileName_c0_0 ()) +
  gsi::Methods(_create_f_isLoaded_c0_0 ()) +
  gsi::Methods(_create_f_load_0_0 ()) +
  gsi::Methods(_create_f_loadHints_c0_0 ()) +
  gsi::Methods(_create_f_resolve_1731_0 ()) +
  gsi::Methods(_create_f_setFileName_2703_0 ()) +
  gsi::Methods(_create_f_setFileNameAndVersion_3362_0 ()) +
  gsi::Methods(_create_f_setFileNameAndVersion_5298_0 ()) +
  gsi::Methods(_create_f_setLoadHints_3794_0 ()) +
  gsi::Methods(_create_f_unload_0_0 ()) +
  qt_gsi::qt_signal<QLibrary, QLibrary_EventAdaptor, class QObject *> ("destroyed", &QLibrary_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QLibrary::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_isLibrary_2703_0 ()) +
  gsi::Methods(_create_f_resolve_4326_0 ()) +
  gsi::Methods(_create_f_resolve_4985_0 ()) +
  gsi::Methods(_create_f_resolve_6921_0 ()) +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()) +
  gsi::method("ExportExternalSymbolsHint", &::c_QLibrary_ExportExternalSymbolsHint, "@brief Enum constant enum QLibrary::ExportExternalSymbolsHint") +
  gsi::method("LoadArchiveMemberHint", &::c_QLibrary_LoadArchiveMemberHint, "@brief Enum constant enum QLibrary::LoadArchiveMemberHint") +
  gsi::method("ResolveAllSymbolsHint", &::c_QLibrary_ResolveAllSymbolsHint, "@brief Enum constant enum QLibrary::ResolveAllSymbolsHint"),
  "@hide\n@alias QLibrary");

class KLAYOUT_DLL QLibrary_Adaptor : public QLibrary, public qt_gsi::QtObjectBase
{
public:

  virtual ~QLibrary_Adaptor();

  //  [adaptor ctor] QLibrary::QLibrary(QObject *parent)
  QLibrary_Adaptor() : QLibrary()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(QObject *parent)
  QLibrary_Adaptor(QObject *parent) : QLibrary(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, QObject *parent)
  QLibrary_Adaptor(const QString &fileName) : QLibrary(fileName)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, QObject *parent)
  QLibrary_Adaptor(const QString &fileName, QObject *parent) : QLibrary(fileName, parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent)
  QLibrary_Adaptor(const QString &fileName, int verNum) : QLibrary(fileName, verNum)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent)
  QLibrary_Adaptor(const QString &fileName, int verNum, QObject *parent) : QLibrary(fileName, verNum, parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent)
  QLibrary_Adaptor(const QString &fileName, const QString &version) : QLibrary(fileName, version)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent)
  QLibrary_Adaptor(const QString &fileName, const QString &version, QObject *parent) : QLibrary(fileName, version, parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QLibrary::receivers(const char *signal)
  int fp_QLibrary_receivers_c1731_0 (const char * signal) const {
    return QLibrary::receivers(signal);
  }

  //  QObject * QLibrary::sender()
  class QObject * fp_QLibrary_sender_c0_0 () const {
    return QLibrary::sender();
  }

  //  [adaptor impl] bool QLibrary::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QLibrary::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QLibrary_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QLibrary_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QLibrary::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QLibrary::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QLibrary_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QLibrary_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] void QLibrary::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QLibrary::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QLibrary_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QLibrary_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QLibrary::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QLibrary::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QLibrary_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QLibrary_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QLibrary::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QLibrary::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QLibrary_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QLibrary_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QLibrary::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QLibrary::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QLibrary_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QLibrary_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QLibrary_Adaptor::~QLibrary_Adaptor() { }

//  Constructor QLibrary::QLibrary(QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(QObject *parent)\n@args \nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_1980_0, &_call_ctor_QLibrary_Adaptor_1980_0);
}

//  Constructor QLibrary::QLibrary(QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(QObject *parent)\n@args parent\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_1980_1, &_call_ctor_QLibrary_Adaptor_1980_1);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_4575_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_4575_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_4575_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, QObject *parent)\n@args fileName\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_4575_0, &_call_ctor_QLibrary_Adaptor_4575_0);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_4575_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_4575_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  class QObject * arg2 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_4575_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, QObject *parent)\n@args fileName, parent\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_4575_1, &_call_ctor_QLibrary_Adaptor_4575_1);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_5234_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<int > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_5234_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_5234_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent)\n@args fileName, verNum\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_5234_0, &_call_ctor_QLibrary_Adaptor_5234_0);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_5234_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<int > ();
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_5234_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  class QObject * arg3 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_5234_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, int verNum, QObject *parent)\n@args fileName, verNum, parent\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_5234_1, &_call_ctor_QLibrary_Adaptor_5234_1);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_7170_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const class QString & > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_7170_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const class QString & arg2 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_7170_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent)\n@args fileName, version\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_7170_0, &_call_ctor_QLibrary_Adaptor_7170_0);
}

//  Constructor QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent) (adaptor class)
static void _init_ctor_QLibrary_Adaptor_7170_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const class QString & > ();
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QLibrary_Adaptor > ();
}

static void _call_ctor_QLibrary_Adaptor_7170_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const class QString & arg2 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  class QObject * arg3 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QLibrary_Adaptor *>::tag (), new QLibrary_Adaptor (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLibrary_Adaptor_7170_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLibrary::QLibrary(const QString &fileName, const QString &version, QObject *parent)\n@args fileName, version, parent\nThis method creates an object of class QLibrary.", &_init_ctor_QLibrary_Adaptor_7170_1, &_call_ctor_QLibrary_Adaptor_7170_1);
}

// int QLibrary::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QLibrary_Adaptor *)cls)->fp_QLibrary_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QLibrary::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QLibrary::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QLibrary_Adaptor *)cls)->fp_QLibrary_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QLibrary::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QLibrary::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLibrary_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QLibrary::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QLibrary::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLibrary_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QLibrary::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// void QLibrary::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QLibrary_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QLibrary::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QLibrary::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QLibrary_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QLibrary::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QLibrary::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QLibrary_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QLibrary::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QLibrary::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QLibrary_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QLibrary_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QLibrary::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QLibrary_Adaptor> gsi::Class<QLibrary_Adaptor>::decl (gsi::Class<QLibrary>::decl, "QLibrary",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_1980_1 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_4575_0 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_4575_1 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_5234_0 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_5234_1 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_7170_0 ()) +
  gsi::Methods(_create_ctor_QLibrary_Adaptor_7170_1 ()),
  "@qt\n@brief Binding of QLibrary");


//  Implementation of the enum wrapper class for QLibrary::LoadHint
namespace qt_gsi
{

static QLibrary_LoadHint_Enum *c_1_QLibrary_LoadHint_Enum () { return new QLibrary_LoadHint_Enum (QLibrary::ResolveAllSymbolsHint); }
static QLibrary_LoadHint_Enum *c_2_QLibrary_LoadHint_Enum () { return new QLibrary_LoadHint_Enum (QLibrary::ExportExternalSymbolsHint); }
static QLibrary_LoadHint_Enum *c_3_QLibrary_LoadHint_Enum () { return new QLibrary_LoadHint_Enum (QLibrary::LoadArchiveMemberHint); }

static std::string to_s_QLibrary_LoadHint_Enum (const QLibrary_LoadHint_Enum *e)
{
  if (e->value () == QLibrary::ResolveAllSymbolsHint) { return tl::sprintf ("ResolveAllSymbolsHint (%u)", (unsigned int) e->value ()); }
  if (e->value () == QLibrary::ExportExternalSymbolsHint) { return tl::sprintf ("ExportExternalSymbolsHint (%u)", (unsigned int) e->value ()); }
  if (e->value () == QLibrary::LoadArchiveMemberHint) { return tl::sprintf ("LoadArchiveMemberHint (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QLibrary_LoadHint_Enum (const QLibrary_LoadHint_Enum *e)
{
  return (unsigned int) e->value ();
}

static QLibrary_LoadHint_Enum *from_i_QLibrary_LoadHint_Enum (unsigned int i)
{
  return new QLibrary_LoadHint_Enum ((QLibrary::LoadHint) i);
}

static bool equalQLibrary_LoadHint_Enum (const QLibrary_LoadHint_Enum *e, QLibrary_LoadHint_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QLibrary_LoadHint_Enum (const QLibrary_LoadHint_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QLibrary_LoadHint_Enum> gsi::Class<qt_gsi::QLibrary_LoadHint_Enum>::decl ("QLibrary_LoadHint",
  gsi::constructor<qt_gsi::QLibrary_LoadHint_Enum> ("ResolveAllSymbolsHint", &qt_gsi::c_1_QLibrary_LoadHint_Enum, "@brief Enum constant QLibrary::ResolveAllSymbolsHint") +
  gsi::constructor<qt_gsi::QLibrary_LoadHint_Enum> ("ExportExternalSymbolsHint", &qt_gsi::c_2_QLibrary_LoadHint_Enum, "@brief Enum constant QLibrary::ExportExternalSymbolsHint") +
  gsi::constructor<qt_gsi::QLibrary_LoadHint_Enum> ("LoadArchiveMemberHint", &qt_gsi::c_3_QLibrary_LoadHint_Enum, "@brief Enum constant QLibrary::LoadArchiveMemberHint") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QLibrary_LoadHint_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QLibrary_LoadHint_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQLibrary_LoadHint_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QLibrary_LoadHint_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QLibrary_LoadHint_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QLibrary::LoadHint enum");

