
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQLocalServer.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtNetwork.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQLocalServer_EventAdaptor.h"
#include "gsiDeclQLocalServer_Enums.h"

// -----------------------------------------------------------------------
// class QLocalServer

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QLocalServer::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// void QLocalServer::close()

static void _init_f_close_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_close_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QLocalServer *)cls)->close ();
}

static qt_gsi::GenericMethod *_create_f_close_0_0 ()
{
  return new qt_gsi::GenericMethod ("close", "@brief Method void QLocalServer::close()\n@args \n", false, &_init_f_close_0_0, &_call_f_close_0_0);
}

// QString QLocalServer::errorString()

static void _init_f_errorString_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_errorString_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QLocalServer *)cls)->errorString ());
}

static qt_gsi::GenericMethod *_create_f_errorString_c0_0 ()
{
  return new qt_gsi::GenericMethod ("errorString", "@brief Method QString QLocalServer::errorString()\n@args \n", true, &_init_f_errorString_c0_0, &_call_f_errorString_c0_0);
}

// QString QLocalServer::fullServerName()

static void _init_f_fullServerName_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_fullServerName_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QLocalServer *)cls)->fullServerName ());
}

static qt_gsi::GenericMethod *_create_f_fullServerName_c0_0 ()
{
  return new qt_gsi::GenericMethod ("fullServerName", "@brief Method QString QLocalServer::fullServerName()\n@args \n", true, &_init_f_fullServerName_c0_0, &_call_f_fullServerName_c0_0);
}

// bool QLocalServer::hasPendingConnections()

static void _init_f_hasPendingConnections_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasPendingConnections_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->hasPendingConnections ());
}

static qt_gsi::GenericMethod *_create_f_hasPendingConnections_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasPendingConnections", "@brief Method bool QLocalServer::hasPendingConnections()\n@args \n", true, &_init_f_hasPendingConnections_c0_0, &_call_f_hasPendingConnections_c0_0);
}

// bool QLocalServer::isListening()

static void _init_f_isListening_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isListening_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->isListening ());
}

static qt_gsi::GenericMethod *_create_f_isListening_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isListening|isListening?", "@brief Method bool QLocalServer::isListening()\n@args \n", true, &_init_f_isListening_c0_0, &_call_f_isListening_c0_0);
}

// bool QLocalServer::listen(const QString &name)

static void _init_f_listen_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<bool > ();
}

static void _call_f_listen_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->listen (arg1));
}

static qt_gsi::GenericMethod *_create_f_listen_2703_0 ()
{
  return new qt_gsi::GenericMethod ("listen", "@brief Method bool QLocalServer::listen(const QString &name)\n@args name\n", false, &_init_f_listen_2703_0, &_call_f_listen_2703_0);
}

// int QLocalServer::maxPendingConnections()

static void _init_f_maxPendingConnections_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_maxPendingConnections_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QLocalServer *)cls)->maxPendingConnections ());
}

static qt_gsi::GenericMethod *_create_f_maxPendingConnections_c0_0 ()
{
  return new qt_gsi::GenericMethod ("maxPendingConnections", "@brief Method int QLocalServer::maxPendingConnections()\n@args \n", true, &_init_f_maxPendingConnections_c0_0, &_call_f_maxPendingConnections_c0_0);
}

// QLocalSocket * QLocalServer::nextPendingConnection()

static void _init_f_nextPendingConnection_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QLocalSocket * > ();
}

static void _call_f_nextPendingConnection_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QLocalSocket * >::tag (), (class QLocalSocket *)((QLocalServer *)cls)->nextPendingConnection ());
}

static qt_gsi::GenericMethod *_create_f_nextPendingConnection_0_0 ()
{
  return new qt_gsi::GenericMethod ("nextPendingConnection", "@brief Method QLocalSocket * QLocalServer::nextPendingConnection()\n@args \n", false, &_init_f_nextPendingConnection_0_0, &_call_f_nextPendingConnection_0_0);
}

// QAbstractSocket::SocketError QLocalServer::serverError()

static void _init_f_serverError_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<enum QAbstractSocket::SocketError>::target_type > ();
}

static void _call_f_serverError_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<enum QAbstractSocket::SocketError>::target_type >::tag (), (qt_gsi::Converter<enum QAbstractSocket::SocketError>::target_type)qt_gsi::CppToQtAdaptor<enum QAbstractSocket::SocketError>(((QLocalServer *)cls)->serverError ()));
}

static qt_gsi::GenericMethod *_create_f_serverError_c0_0 ()
{
  return new qt_gsi::GenericMethod ("serverError", "@brief Method QAbstractSocket::SocketError QLocalServer::serverError()\n@args \n", true, &_init_f_serverError_c0_0, &_call_f_serverError_c0_0);
}

// QString QLocalServer::serverName()

static void _init_f_serverName_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_serverName_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QLocalServer *)cls)->serverName ());
}

static qt_gsi::GenericMethod *_create_f_serverName_c0_0 ()
{
  return new qt_gsi::GenericMethod ("serverName", "@brief Method QString QLocalServer::serverName()\n@args \n", true, &_init_f_serverName_c0_0, &_call_f_serverName_c0_0);
}

// void QLocalServer::setMaxPendingConnections(int numConnections)

static void _init_f_setMaxPendingConnections_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setMaxPendingConnections_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QLocalServer *)cls)->setMaxPendingConnections (arg1);
}

static qt_gsi::GenericMethod *_create_f_setMaxPendingConnections_767_0 ()
{
  return new qt_gsi::GenericMethod ("setMaxPendingConnections|maxPendingConnections=", "@brief Method void QLocalServer::setMaxPendingConnections(int numConnections)\n@args numConnections\n", false, &_init_f_setMaxPendingConnections_767_0, &_call_f_setMaxPendingConnections_767_0);
}

// bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)

static void _init_f_waitForNewConnection_1709_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_waitForNewConnection_1709_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->waitForNewConnection ());
}

static qt_gsi::GenericMethod *_create_f_waitForNewConnection_1709_0 ()
{
  return new qt_gsi::GenericMethod ("waitForNewConnection", "@brief Method bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)\n@args \n", false, &_init_f_waitForNewConnection_1709_0, &_call_f_waitForNewConnection_1709_0);
}

// bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)

static void _init_f_waitForNewConnection_1709_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<bool > ();
}

static void _call_f_waitForNewConnection_1709_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->waitForNewConnection (arg1));
}

static qt_gsi::GenericMethod *_create_f_waitForNewConnection_1709_1 ()
{
  return new qt_gsi::GenericMethod ("waitForNewConnection", "@brief Method bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)\n@args msec\n", false, &_init_f_waitForNewConnection_1709_1, &_call_f_waitForNewConnection_1709_1);
}

// bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)

static void _init_f_waitForNewConnection_1709_2 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<bool * > ();
  decl->set_return<bool > ();
}

static void _call_f_waitForNewConnection_1709_2 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  bool * arg2 = args.get_value<bool * > (gsi::type_traits<bool * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer *)cls)->waitForNewConnection (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_waitForNewConnection_1709_2 ()
{
  return new qt_gsi::GenericMethod ("waitForNewConnection", "@brief Method bool QLocalServer::waitForNewConnection(int msec, bool *timedOut)\n@args msec, timedOut\n", false, &_init_f_waitForNewConnection_1709_2, &_call_f_waitForNewConnection_1709_2);
}

// static bool QLocalServer::removeServer(const QString &name)

static void _init_f_removeServer_2703_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<bool > ();
}

static void _call_f_removeServer_2703_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)QLocalServer::removeServer (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_removeServer_2703_0 ()
{
  return new qt_gsi::GenericStaticMethod ("removeServer", "@brief Static method bool QLocalServer::removeServer(const QString &name)\n@args name\nThis method is static and can be called without an instance.", &_init_f_removeServer_2703_0, &_call_f_removeServer_2703_0);
}

// static QString QLocalServer::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLocalServer::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QLocalServer::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLocalServer::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QLocalServer::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QLocalServer::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QLocalServer::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLocalServer::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QLocalServer::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLocalServer::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QLocalServer::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QLocalServer::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QLocalServer::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QLocalServer, QLocalServer_EventAdaptor> ea_QLocalServer;

template <>
gsi::Class<QLocalServer> gsi::Class<QLocalServer>::decl (ea_QLocalServer, gsi::Class<QObject>::decl, "QLocalServer_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_close_0_0 ()) +
  gsi::Methods(_create_f_errorString_c0_0 ()) +
  gsi::Methods(_create_f_fullServerName_c0_0 ()) +
  gsi::Methods(_create_f_hasPendingConnections_c0_0 ()) +
  gsi::Methods(_create_f_isListening_c0_0 ()) +
  gsi::Methods(_create_f_listen_2703_0 ()) +
  gsi::Methods(_create_f_maxPendingConnections_c0_0 ()) +
  gsi::Methods(_create_f_nextPendingConnection_0_0 ()) +
  gsi::Methods(_create_f_serverError_c0_0 ()) +
  gsi::Methods(_create_f_serverName_c0_0 ()) +
  gsi::Methods(_create_f_setMaxPendingConnections_767_0 ()) +
  gsi::Methods(_create_f_waitForNewConnection_1709_0 ()) +
  gsi::Methods(_create_f_waitForNewConnection_1709_1 ()) +
  gsi::Methods(_create_f_waitForNewConnection_1709_2 ()) +
  qt_gsi::qt_signal<QLocalServer, QLocalServer_EventAdaptor, class QObject *> ("destroyed", &QLocalServer_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QLocalServer::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QLocalServer, QLocalServer_EventAdaptor> ("newConnection", &QLocalServer_EventAdaptor::newConnection_e_0, "@brief Signal declaration for QLocalServer::newConnection()\n@args \nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_removeServer_2703_0 ()) +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QLocalServer");

class KLAYOUT_DLL QLocalServer_Adaptor : public QLocalServer, public qt_gsi::QtObjectBase
{
public:

  virtual ~QLocalServer_Adaptor();

  //  [adaptor ctor] QLocalServer::QLocalServer(QObject *parent)
  QLocalServer_Adaptor() : QLocalServer()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QLocalServer::QLocalServer(QObject *parent)
  QLocalServer_Adaptor(QObject *parent) : QLocalServer(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QLocalServer::receivers(const char *signal)
  int fp_QLocalServer_receivers_c1731_0 (const char * signal) const {
    return QLocalServer::receivers(signal);
  }

  //  QObject * QLocalServer::sender()
  class QObject * fp_QLocalServer_sender_c0_0 () const {
    return QLocalServer::sender();
  }

  //  [adaptor impl] bool QLocalServer::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QLocalServer::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QLocalServer_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QLocalServer_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QLocalServer::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QLocalServer::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QLocalServer_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QLocalServer_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] bool QLocalServer::hasPendingConnections()
  bool cbs_hasPendingConnections_c0_0() const
  {
    return QLocalServer::hasPendingConnections();
  }

  virtual bool hasPendingConnections() const
  {
    return gsi::issue<QLocalServer_Adaptor, bool>(cb_hasPendingConnections_c0_0, &QLocalServer_Adaptor::cbs_hasPendingConnections_c0_0);
  }

  //  [adaptor impl] QLocalSocket * QLocalServer::nextPendingConnection()
  class QLocalSocket * cbs_nextPendingConnection_0_0()
  {
    return QLocalServer::nextPendingConnection();
  }

  virtual QLocalSocket * nextPendingConnection()
  {
    return gsi::issue<QLocalServer_Adaptor, class QLocalSocket *>(cb_nextPendingConnection_0_0, &QLocalServer_Adaptor::cbs_nextPendingConnection_0_0);
  }

  //  [adaptor impl] void QLocalServer::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QLocalServer::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QLocalServer_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QLocalServer_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QLocalServer::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QLocalServer::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QLocalServer_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QLocalServer_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QLocalServer::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QLocalServer::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QLocalServer_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QLocalServer_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QLocalServer::incomingConnection(quintptr socketDescriptor)
  void cbs_incomingConnection_1339_0(quintptr socketDescriptor)
  {
    QLocalServer::incomingConnection(socketDescriptor);
  }

  virtual void incomingConnection(quintptr socketDescriptor)
  {
    gsi::issue<QLocalServer_Adaptor, quintptr>(cb_incomingConnection_1339_0, &QLocalServer_Adaptor::cbs_incomingConnection_1339_0, socketDescriptor);
  }

  //  [adaptor impl] void QLocalServer::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QLocalServer::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QLocalServer_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QLocalServer_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_hasPendingConnections_c0_0;
  gsi::Callback cb_nextPendingConnection_0_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_incomingConnection_1339_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QLocalServer_Adaptor::~QLocalServer_Adaptor() { }

//  Constructor QLocalServer::QLocalServer(QObject *parent) (adaptor class)
static void _init_ctor_QLocalServer_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QLocalServer_Adaptor > ();
}

static void _call_ctor_QLocalServer_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QLocalServer_Adaptor *>::tag (), new QLocalServer_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLocalServer_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLocalServer::QLocalServer(QObject *parent)\n@args \nThis method creates an object of class QLocalServer.", &_init_ctor_QLocalServer_Adaptor_1980_0, &_call_ctor_QLocalServer_Adaptor_1980_0);
}

//  Constructor QLocalServer::QLocalServer(QObject *parent) (adaptor class)
static void _init_ctor_QLocalServer_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QLocalServer_Adaptor > ();
}

static void _call_ctor_QLocalServer_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QLocalServer_Adaptor *>::tag (), new QLocalServer_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QLocalServer_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QLocalServer::QLocalServer(QObject *parent)\n@args parent\nThis method creates an object of class QLocalServer.", &_init_ctor_QLocalServer_Adaptor_1980_1, &_call_ctor_QLocalServer_Adaptor_1980_1);
}

// int QLocalServer::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QLocalServer_Adaptor *)cls)->fp_QLocalServer_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QLocalServer::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QLocalServer::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QLocalServer_Adaptor *)cls)->fp_QLocalServer_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QLocalServer::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QLocalServer::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QLocalServer::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QLocalServer::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QLocalServer::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// bool QLocalServer::hasPendingConnections()

static void _init_cbs_hasPendingConnections_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_cbs_hasPendingConnections_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QLocalServer_Adaptor *)cls)->cbs_hasPendingConnections_c0_0 ());
}

static void _set_callback_cbs_hasPendingConnections_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_hasPendingConnections_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_hasPendingConnections_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasPendingConnections", "@hide", true, &_init_cbs_hasPendingConnections_c0_0, &_call_cbs_hasPendingConnections_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_hasPendingConnections_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasPendingConnections", "@brief Virtual method bool QLocalServer::hasPendingConnections()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_hasPendingConnections_c0_0, &_call_cbs_hasPendingConnections_c0_0, &_set_callback_cbs_hasPendingConnections_c0_0);
}


// QLocalSocket * QLocalServer::nextPendingConnection()

static void _init_cbs_nextPendingConnection_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QLocalSocket * > ();
}

static void _call_cbs_nextPendingConnection_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QLocalSocket * >::tag (), (class QLocalSocket *)((QLocalServer_Adaptor *)cls)->cbs_nextPendingConnection_0_0 ());
}

static void _set_callback_cbs_nextPendingConnection_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_nextPendingConnection_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_nextPendingConnection_0_0 ()
{
  return new qt_gsi::GenericMethod ("nextPendingConnection", "@hide", false, &_init_cbs_nextPendingConnection_0_0, &_call_cbs_nextPendingConnection_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_nextPendingConnection_0_0 ()
{
  return new qt_gsi::GenericMethod ("nextPendingConnection", "@brief Virtual method QLocalSocket * QLocalServer::nextPendingConnection()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_nextPendingConnection_0_0, &_call_cbs_nextPendingConnection_0_0, &_set_callback_cbs_nextPendingConnection_0_0);
}


// void QLocalServer::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QLocalServer_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QLocalServer::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QLocalServer::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QLocalServer_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QLocalServer::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QLocalServer::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QLocalServer_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QLocalServer::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QLocalServer::incomingConnection(quintptr socketDescriptor)

static void _init_cbs_incomingConnection_1339_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<quintptr > ();
  decl->set_return<void > ();
}

static void _call_cbs_incomingConnection_1339_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  quintptr arg1 = args.get_value<quintptr > (gsi::type_traits<quintptr >::tag ());
  ((QLocalServer_Adaptor *)cls)->cbs_incomingConnection_1339_0 (arg1);
}

static void _set_callback_cbs_incomingConnection_1339_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_incomingConnection_1339_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_incomingConnection_1339_0 ()
{
  return new qt_gsi::GenericMethod ("*incomingConnection", "@hide", false, &_init_cbs_incomingConnection_1339_0, &_call_cbs_incomingConnection_1339_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_incomingConnection_1339_0 ()
{
  return new qt_gsi::GenericMethod ("*incomingConnection", "@brief Virtual method void QLocalServer::incomingConnection(quintptr socketDescriptor)\n@args socketDescriptor\nThis method can be reimplemented in a derived class.", false, &_init_cbs_incomingConnection_1339_0, &_call_cbs_incomingConnection_1339_0, &_set_callback_cbs_incomingConnection_1339_0);
}


// void QLocalServer::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QLocalServer_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QLocalServer_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QLocalServer::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QLocalServer_Adaptor> gsi::Class<QLocalServer_Adaptor>::decl (gsi::Class<QLocalServer>::decl, "QLocalServer",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_hasPendingConnections_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_hasPendingConnections_c0_0 ()) +
  gsi::Methods (_create_cbs_nextPendingConnection_0_0 ()) +
  gsi::Methods (_create_callback_cbs_nextPendingConnection_0_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_incomingConnection_1339_0 ()) +
  gsi::Methods (_create_callback_cbs_incomingConnection_1339_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QLocalServer_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QLocalServer_Adaptor_1980_1 ()),
  "@qt\n@brief Binding of QLocalServer");

