
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQMimeData.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtCore.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQMimeData_EventAdaptor.h"
#include "gsiDeclQMimeData_Enums.h"

// -----------------------------------------------------------------------
// class QMimeData

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QMimeData::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// void QMimeData::clear()

static void _init_f_clear_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_clear_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QMimeData *)cls)->clear ();
}

static qt_gsi::GenericMethod *_create_f_clear_0_0 ()
{
  return new qt_gsi::GenericMethod ("clear", "@brief Method void QMimeData::clear()\n@args \n", false, &_init_f_clear_0_0, &_call_f_clear_0_0);
}

// QVariant QMimeData::colorData()

static void _init_f_colorData_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QVariant > ();
}

static void _call_f_colorData_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QVariant >::tag (), (class QVariant)((QMimeData *)cls)->colorData ());
}

static qt_gsi::GenericMethod *_create_f_colorData_c0_0 ()
{
  return new qt_gsi::GenericMethod ("colorData", "@brief Method QVariant QMimeData::colorData()\n@args \n", true, &_init_f_colorData_c0_0, &_call_f_colorData_c0_0);
}

// QByteArray QMimeData::data(const QString &mimetype)

static void _init_f_data_c2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<qt_gsi::Converter<class QByteArray>::target_type > ();
}

static void _call_f_data_c2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QByteArray>::target_type >::tag (), (qt_gsi::Converter<class QByteArray>::target_type)qt_gsi::CppToQtAdaptor<class QByteArray>(((QMimeData *)cls)->data (arg1)));
}

static qt_gsi::GenericMethod *_create_f_data_c2703_0 ()
{
  return new qt_gsi::GenericMethod ("data", "@brief Method QByteArray QMimeData::data(const QString &mimetype)\n@args mimetype\n", true, &_init_f_data_c2703_0, &_call_f_data_c2703_0);
}

// QStringList QMimeData::formats()

static void _init_f_formats_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QStringList>::target_type > ();
}

static void _call_f_formats_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QStringList>::target_type >::tag (), (qt_gsi::Converter<class QStringList>::target_type)qt_gsi::CppToQtAdaptor<class QStringList>(((QMimeData *)cls)->formats ()));
}

static qt_gsi::GenericMethod *_create_f_formats_c0_0 ()
{
  return new qt_gsi::GenericMethod ("formats", "@brief Method QStringList QMimeData::formats()\n@args \n", true, &_init_f_formats_c0_0, &_call_f_formats_c0_0);
}

// bool QMimeData::hasColor()

static void _init_f_hasColor_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasColor_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasColor ());
}

static qt_gsi::GenericMethod *_create_f_hasColor_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasColor", "@brief Method bool QMimeData::hasColor()\n@args \n", true, &_init_f_hasColor_c0_0, &_call_f_hasColor_c0_0);
}

// bool QMimeData::hasFormat(const QString &mimetype)

static void _init_f_hasFormat_c2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<bool > ();
}

static void _call_f_hasFormat_c2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasFormat (arg1));
}

static qt_gsi::GenericMethod *_create_f_hasFormat_c2703_0 ()
{
  return new qt_gsi::GenericMethod ("hasFormat", "@brief Method bool QMimeData::hasFormat(const QString &mimetype)\n@args mimetype\n", true, &_init_f_hasFormat_c2703_0, &_call_f_hasFormat_c2703_0);
}

// bool QMimeData::hasHtml()

static void _init_f_hasHtml_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasHtml_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasHtml ());
}

static qt_gsi::GenericMethod *_create_f_hasHtml_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasHtml", "@brief Method bool QMimeData::hasHtml()\n@args \n", true, &_init_f_hasHtml_c0_0, &_call_f_hasHtml_c0_0);
}

// bool QMimeData::hasImage()

static void _init_f_hasImage_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasImage_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasImage ());
}

static qt_gsi::GenericMethod *_create_f_hasImage_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasImage", "@brief Method bool QMimeData::hasImage()\n@args \n", true, &_init_f_hasImage_c0_0, &_call_f_hasImage_c0_0);
}

// bool QMimeData::hasText()

static void _init_f_hasText_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasText_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasText ());
}

static qt_gsi::GenericMethod *_create_f_hasText_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasText", "@brief Method bool QMimeData::hasText()\n@args \n", true, &_init_f_hasText_c0_0, &_call_f_hasText_c0_0);
}

// bool QMimeData::hasUrls()

static void _init_f_hasUrls_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_hasUrls_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData *)cls)->hasUrls ());
}

static qt_gsi::GenericMethod *_create_f_hasUrls_c0_0 ()
{
  return new qt_gsi::GenericMethod ("hasUrls", "@brief Method bool QMimeData::hasUrls()\n@args \n", true, &_init_f_hasUrls_c0_0, &_call_f_hasUrls_c0_0);
}

// QString QMimeData::html()

static void _init_f_html_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_html_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QMimeData *)cls)->html ());
}

static qt_gsi::GenericMethod *_create_f_html_c0_0 ()
{
  return new qt_gsi::GenericMethod ("html", "@brief Method QString QMimeData::html()\n@args \n", true, &_init_f_html_c0_0, &_call_f_html_c0_0);
}

// QVariant QMimeData::imageData()

static void _init_f_imageData_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QVariant > ();
}

static void _call_f_imageData_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QVariant >::tag (), (class QVariant)((QMimeData *)cls)->imageData ());
}

static qt_gsi::GenericMethod *_create_f_imageData_c0_0 ()
{
  return new qt_gsi::GenericMethod ("imageData", "@brief Method QVariant QMimeData::imageData()\n@args \n", true, &_init_f_imageData_c0_0, &_call_f_imageData_c0_0);
}

// void QMimeData::removeFormat(const QString &mimetype)

static void _init_f_removeFormat_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_removeFormat_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QMimeData *)cls)->removeFormat (arg1);
}

static qt_gsi::GenericMethod *_create_f_removeFormat_2703_0 ()
{
  return new qt_gsi::GenericMethod ("removeFormat", "@brief Method void QMimeData::removeFormat(const QString &mimetype)\n@args mimetype\n", false, &_init_f_removeFormat_2703_0, &_call_f_removeFormat_2703_0);
}

// void QMimeData::setColorData(const QVariant &color)

static void _init_f_setColorData_2797_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QVariant & > ();
  decl->set_return<void > ();
}

static void _call_f_setColorData_2797_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QVariant & arg1 = args.get_value<const class QVariant & > (gsi::type_traits<const class QVariant & >::tag ());
  ((QMimeData *)cls)->setColorData (arg1);
}

static qt_gsi::GenericMethod *_create_f_setColorData_2797_0 ()
{
  return new qt_gsi::GenericMethod ("setColorData|colorData=", "@brief Method void QMimeData::setColorData(const QVariant &color)\n@args color\n", false, &_init_f_setColorData_2797_0, &_call_f_setColorData_2797_0);
}

// void QMimeData::setData(const QString &mimetype, const QByteArray &data)

static void _init_f_setData_5582_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const qt_gsi::Converter<class QByteArray>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setData_5582_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const qt_gsi::Converter<class QByteArray>::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QByteArray>::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QByteArray>::target_type & >::tag ());
  ((QMimeData *)cls)->setData (arg1, qt_gsi::QtToCppAdaptor<class QByteArray>(arg2).cref ());
}

static qt_gsi::GenericMethod *_create_f_setData_5582_0 ()
{
  return new qt_gsi::GenericMethod ("setData", "@brief Method void QMimeData::setData(const QString &mimetype, const QByteArray &data)\n@args mimetype, data\n", false, &_init_f_setData_5582_0, &_call_f_setData_5582_0);
}

// void QMimeData::setHtml(const QString &html)

static void _init_f_setHtml_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_setHtml_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QMimeData *)cls)->setHtml (arg1);
}

static qt_gsi::GenericMethod *_create_f_setHtml_2703_0 ()
{
  return new qt_gsi::GenericMethod ("setHtml|html=", "@brief Method void QMimeData::setHtml(const QString &html)\n@args html\n", false, &_init_f_setHtml_2703_0, &_call_f_setHtml_2703_0);
}

// void QMimeData::setImageData(const QVariant &image)

static void _init_f_setImageData_2797_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QVariant & > ();
  decl->set_return<void > ();
}

static void _call_f_setImageData_2797_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QVariant & arg1 = args.get_value<const class QVariant & > (gsi::type_traits<const class QVariant & >::tag ());
  ((QMimeData *)cls)->setImageData (arg1);
}

static qt_gsi::GenericMethod *_create_f_setImageData_2797_0 ()
{
  return new qt_gsi::GenericMethod ("setImageData|imageData=", "@brief Method void QMimeData::setImageData(const QVariant &image)\n@args image\n", false, &_init_f_setImageData_2797_0, &_call_f_setImageData_2797_0);
}

// void QMimeData::setText(const QString &text)

static void _init_f_setText_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_setText_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QMimeData *)cls)->setText (arg1);
}

static qt_gsi::GenericMethod *_create_f_setText_2703_0 ()
{
  return new qt_gsi::GenericMethod ("setText|text=", "@brief Method void QMimeData::setText(const QString &text)\n@args text\n", false, &_init_f_setText_2703_0, &_call_f_setText_2703_0);
}

// void QMimeData::setUrls(const QList<class QUrl> &urls)

static void _init_f_setUrls_4288_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QList<class QUrl> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setUrls_4288_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QList<class QUrl> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QList<class QUrl> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QList<class QUrl> >::target_type & >::tag ());
  ((QMimeData *)cls)->setUrls (qt_gsi::QtToCppAdaptor<class QList<class QUrl> >(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_setUrls_4288_0 ()
{
  return new qt_gsi::GenericMethod ("setUrls|urls=", "@brief Method void QMimeData::setUrls(const QList<class QUrl> &urls)\n@args urls\n", false, &_init_f_setUrls_4288_0, &_call_f_setUrls_4288_0);
}

// QString QMimeData::text()

static void _init_f_text_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_text_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QMimeData *)cls)->text ());
}

static qt_gsi::GenericMethod *_create_f_text_c0_0 ()
{
  return new qt_gsi::GenericMethod ("text", "@brief Method QString QMimeData::text()\n@args \n", true, &_init_f_text_c0_0, &_call_f_text_c0_0);
}

// QList<class QUrl> QMimeData::urls()

static void _init_f_urls_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QList<class QUrl> >::target_type > ();
}

static void _call_f_urls_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QUrl> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QUrl> >::target_type)qt_gsi::CppToQtAdaptor<class QList<class QUrl> >(((QMimeData *)cls)->urls ()));
}

static qt_gsi::GenericMethod *_create_f_urls_c0_0 ()
{
  return new qt_gsi::GenericMethod ("urls", "@brief Method QList<class QUrl> QMimeData::urls()\n@args \n", true, &_init_f_urls_c0_0, &_call_f_urls_c0_0);
}

// static QString QMimeData::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QMimeData::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QMimeData::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QMimeData::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QMimeData::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QMimeData::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QMimeData::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QMimeData::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QMimeData::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QMimeData::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QMimeData::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QMimeData::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QMimeData::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QMimeData, QMimeData_EventAdaptor> ea_QMimeData;

template <>
gsi::Class<QMimeData> gsi::Class<QMimeData>::decl (ea_QMimeData, gsi::Class<QObject>::decl, "QMimeData_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_clear_0_0 ()) +
  gsi::Methods(_create_f_colorData_c0_0 ()) +
  gsi::Methods(_create_f_data_c2703_0 ()) +
  gsi::Methods(_create_f_formats_c0_0 ()) +
  gsi::Methods(_create_f_hasColor_c0_0 ()) +
  gsi::Methods(_create_f_hasFormat_c2703_0 ()) +
  gsi::Methods(_create_f_hasHtml_c0_0 ()) +
  gsi::Methods(_create_f_hasImage_c0_0 ()) +
  gsi::Methods(_create_f_hasText_c0_0 ()) +
  gsi::Methods(_create_f_hasUrls_c0_0 ()) +
  gsi::Methods(_create_f_html_c0_0 ()) +
  gsi::Methods(_create_f_imageData_c0_0 ()) +
  gsi::Methods(_create_f_removeFormat_2703_0 ()) +
  gsi::Methods(_create_f_setColorData_2797_0 ()) +
  gsi::Methods(_create_f_setData_5582_0 ()) +
  gsi::Methods(_create_f_setHtml_2703_0 ()) +
  gsi::Methods(_create_f_setImageData_2797_0 ()) +
  gsi::Methods(_create_f_setText_2703_0 ()) +
  gsi::Methods(_create_f_setUrls_4288_0 ()) +
  gsi::Methods(_create_f_text_c0_0 ()) +
  gsi::Methods(_create_f_urls_c0_0 ()) +
  qt_gsi::qt_signal<QMimeData, QMimeData_EventAdaptor, class QObject *> ("destroyed", &QMimeData_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QMimeData::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QMimeData");

class KLAYOUT_DLL QMimeData_Adaptor : public QMimeData, public qt_gsi::QtObjectBase
{
public:

  virtual ~QMimeData_Adaptor();

  //  [adaptor ctor] QMimeData::QMimeData()
  QMimeData_Adaptor() : QMimeData()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QMimeData::receivers(const char *signal)
  int fp_QMimeData_receivers_c1731_0 (const char * signal) const {
    return QMimeData::receivers(signal);
  }

  //  QObject * QMimeData::sender()
  class QObject * fp_QMimeData_sender_c0_0 () const {
    return QMimeData::sender();
  }

  //  [adaptor impl] bool QMimeData::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QMimeData::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QMimeData_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QMimeData_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QMimeData::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QMimeData::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QMimeData_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QMimeData_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] QStringList QMimeData::formats()
  qt_gsi::Converter<class QStringList>::target_type cbs_formats_c0_0() const
  {
    return qt_gsi::CppToQtAdaptor<class QStringList>(QMimeData::formats());
  }

  virtual QStringList formats() const
  {
    return qt_gsi::QtToCppAdaptor<class QStringList>(gsi::issue<QMimeData_Adaptor, qt_gsi::Converter<class QStringList>::target_type>(cb_formats_c0_0, &QMimeData_Adaptor::cbs_formats_c0_0)).cref ();
  }

  //  [adaptor impl] bool QMimeData::hasFormat(const QString &mimetype)
  bool cbs_hasFormat_c2703_0(const class QString & mimetype) const
  {
    return QMimeData::hasFormat(mimetype);
  }

  virtual bool hasFormat(const QString &mimetype) const
  {
    return gsi::issue<QMimeData_Adaptor, bool, const class QString &>(cb_hasFormat_c2703_0, &QMimeData_Adaptor::cbs_hasFormat_c2703_0, mimetype);
  }

  //  [adaptor impl] void QMimeData::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QMimeData::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QMimeData_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QMimeData_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QMimeData::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QMimeData::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QMimeData_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QMimeData_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QMimeData::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QMimeData::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QMimeData_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QMimeData_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] QVariant QMimeData::retrieveData(const QString &mimetype, QVariant::Type preferredType)
  class QVariant cbs_retrieveData_c4952_0(const class QString & mimetype, const qt_gsi::Converter<enum QVariant::Type>::target_type & preferredType) const
  {
    return QMimeData::retrieveData(mimetype, qt_gsi::QtToCppAdaptor<enum QVariant::Type>(preferredType).cref ());
  }

  virtual QVariant retrieveData(const QString &mimetype, QVariant::Type preferredType) const
  {
    return gsi::issue<QMimeData_Adaptor, class QVariant, const class QString &, const qt_gsi::Converter<enum QVariant::Type>::target_type &>(cb_retrieveData_c4952_0, &QMimeData_Adaptor::cbs_retrieveData_c4952_0, mimetype, qt_gsi::CppToQtAdaptor<enum QVariant::Type>(preferredType));
  }

  //  [adaptor impl] void QMimeData::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QMimeData::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QMimeData_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QMimeData_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_formats_c0_0;
  gsi::Callback cb_hasFormat_c2703_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_retrieveData_c4952_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QMimeData_Adaptor::~QMimeData_Adaptor() { }

//  Constructor QMimeData::QMimeData() (adaptor class)
static void _init_ctor_QMimeData_Adaptor_0_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QMimeData_Adaptor > ();
}

static void _call_ctor_QMimeData_Adaptor_0_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QMimeData_Adaptor *>::tag (), new QMimeData_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QMimeData_Adaptor_0_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QMimeData::QMimeData()\n@args \nThis method creates an object of class QMimeData.", &_init_ctor_QMimeData_Adaptor_0_0, &_call_ctor_QMimeData_Adaptor_0_0);
}

// int QMimeData::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QMimeData_Adaptor *)cls)->fp_QMimeData_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QMimeData::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QMimeData::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QMimeData_Adaptor *)cls)->fp_QMimeData_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QMimeData::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QMimeData::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QMimeData::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QMimeData::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QMimeData::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// QStringList QMimeData::formats()

static void _init_cbs_formats_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QStringList>::target_type > ();
}

static void _call_cbs_formats_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QStringList>::target_type >::tag (), (qt_gsi::Converter<class QStringList>::target_type)((QMimeData_Adaptor *)cls)->cbs_formats_c0_0 ());
}

static void _set_callback_cbs_formats_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_formats_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_formats_c0_0 ()
{
  return new qt_gsi::GenericMethod ("formats", "@hide", true, &_init_cbs_formats_c0_0, &_call_cbs_formats_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_formats_c0_0 ()
{
  return new qt_gsi::GenericMethod ("formats", "@brief Virtual method QStringList QMimeData::formats()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_formats_c0_0, &_call_cbs_formats_c0_0, &_set_callback_cbs_formats_c0_0);
}


// bool QMimeData::hasFormat(const QString &mimetype)

static void _init_cbs_hasFormat_c2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<bool > ();
}

static void _call_cbs_hasFormat_c2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QMimeData_Adaptor *)cls)->cbs_hasFormat_c2703_0 (arg1));
}

static void _set_callback_cbs_hasFormat_c2703_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_hasFormat_c2703_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_hasFormat_c2703_0 ()
{
  return new qt_gsi::GenericMethod ("hasFormat", "@hide", true, &_init_cbs_hasFormat_c2703_0, &_call_cbs_hasFormat_c2703_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_hasFormat_c2703_0 ()
{
  return new qt_gsi::GenericMethod ("hasFormat", "@brief Virtual method bool QMimeData::hasFormat(const QString &mimetype)\n@args mimetype\nThis method can be reimplemented in a derived class.", true, &_init_cbs_hasFormat_c2703_0, &_call_cbs_hasFormat_c2703_0, &_set_callback_cbs_hasFormat_c2703_0);
}


// void QMimeData::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QMimeData_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QMimeData::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QMimeData::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QMimeData_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QMimeData::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QMimeData::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QMimeData_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QMimeData::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// QVariant QMimeData::retrieveData(const QString &mimetype, QVariant::Type preferredType)

static void _init_cbs_retrieveData_c4952_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const qt_gsi::Converter<enum QVariant::Type>::target_type & > ();
  decl->set_return<class QVariant > ();
}

static void _call_cbs_retrieveData_c4952_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const qt_gsi::Converter<enum QVariant::Type>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QVariant::Type>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QVariant::Type>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<class QVariant >::tag (), (class QVariant)((QMimeData_Adaptor *)cls)->cbs_retrieveData_c4952_0 (arg1, arg2));
}

static void _set_callback_cbs_retrieveData_c4952_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_retrieveData_c4952_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_retrieveData_c4952_0 ()
{
  return new qt_gsi::GenericMethod ("*retrieveData", "@hide", true, &_init_cbs_retrieveData_c4952_0, &_call_cbs_retrieveData_c4952_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_retrieveData_c4952_0 ()
{
  return new qt_gsi::GenericMethod ("*retrieveData", "@brief Virtual method QVariant QMimeData::retrieveData(const QString &mimetype, QVariant::Type preferredType)\n@args mimetype, preferredType\nThis method can be reimplemented in a derived class.", true, &_init_cbs_retrieveData_c4952_0, &_call_cbs_retrieveData_c4952_0, &_set_callback_cbs_retrieveData_c4952_0);
}


// void QMimeData::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QMimeData_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QMimeData_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QMimeData::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QMimeData_Adaptor> gsi::Class<QMimeData_Adaptor>::decl (gsi::Class<QMimeData>::decl, "QMimeData",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_formats_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_formats_c0_0 ()) +
  gsi::Methods (_create_cbs_hasFormat_c2703_0 ()) +
  gsi::Methods (_create_callback_cbs_hasFormat_c2703_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_retrieveData_c4952_0 ()) +
  gsi::Methods (_create_callback_cbs_retrieveData_c4952_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QMimeData_Adaptor_0_0 ()),
  "@qt\n@brief Binding of QMimeData");

