
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QMovie
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQMovie_EventAdaptor
#define _HDR_gsiDeclQMovie_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQMovie_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QMovie_EventAdaptor

class QMovie_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QMovie_EventAdaptor (QObject *host);

public slots:
  void destroyed(QObject *);
  void error(QImageReader::ImageReaderError );
  void finished();
  void frameChanged(int );
  void resized(const QSize &);
  void started();
  void stateChanged(QMovie::MovieState );
  void updated(const QRect &);

public:
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const qt_gsi::Converter<enum QImageReader::ImageReaderError>::target_type &> error_e_3892;
  gsi::event<> finished_e_0;
  gsi::event<int> frameChanged_e_767;
  gsi::event<const class QSize &> resized_e_2483;
  gsi::event<> started_e_0;
  gsi::event<const qt_gsi::Converter<enum QMovie::MovieState>::target_type &> stateChanged_e_2042;
  gsi::event<const class QRect &> updated_e_2470;
};

#endif
