
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QNetworkReply
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQNetworkReply_EventAdaptor
#define _HDR_gsiDeclQNetworkReply_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtNetwork.h"
#include "gsiDeclQNetworkReply_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QNetworkReply_EventAdaptor

class QNetworkReply_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QNetworkReply_EventAdaptor (QObject *host);

public slots:
  void aboutToClose();
  void bytesWritten(qint64 );
  void destroyed(QObject *);
  void downloadProgress(qint64 , qint64 );
  void error(QNetworkReply::NetworkError );
  void finished();
  void metaDataChanged();
  void readChannelFinished();
  void readyRead();
  void sslErrors(const QList<QSslError> &);
  void uploadProgress(qint64 , qint64 );

public:
  gsi::event<> aboutToClose_e_0;
  gsi::event<qint64> bytesWritten_e_986;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<qint64, qint64> downloadProgress_e_1864;
  gsi::event<const qt_gsi::Converter<enum QNetworkReply::NetworkError>::target_type &> error_e_2285;
  gsi::event<> finished_e_0;
  gsi::event<> metaDataChanged_e_0;
  gsi::event<> readChannelFinished_e_0;
  gsi::event<> readyRead_e_0;
  gsi::event<const qt_gsi::Converter<class QList<class QSslError> >::target_type &> sslErrors_e_4809;
  gsi::event<qint64, qint64> uploadProgress_e_1864;
};

#endif
