
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQObject.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtCore.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQObject_EventAdaptor.h"
#include "gsiDeclQObject_Enums.h"

// -----------------------------------------------------------------------
// class QObject

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QObject::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

  QObject *find_child_impl (QObject *object, const QString &name) { return object->findChild<QObject *> (name); }

// bool QObject::blockSignals(bool b)

static void _init_f_blockSignals_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<bool > ();
}

static void _call_f_blockSignals_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->blockSignals (arg1));
}

static qt_gsi::GenericMethod *_create_f_blockSignals_864_0 ()
{
  return new qt_gsi::GenericMethod ("blockSignals", "@brief Method bool QObject::blockSignals(bool b)\n@args b\n", false, &_init_f_blockSignals_864_0, &_call_f_blockSignals_864_0);
}

// const QList<class QObject *> & QObject::children()

static void _init_f_children_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QList<class QObject *> >::target_type > ();
}

static void _call_f_children_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QObject *> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QObject *> >::target_type)qt_gsi::CppToQtAdaptor<class QList<class QObject *> >(((QObject *)cls)->children ()));
}

static qt_gsi::GenericMethod *_create_f_children_c0_0 ()
{
  return new qt_gsi::GenericMethod ("children", "@brief Method const QList<class QObject *> & QObject::children()\n@args \n", true, &_init_f_children_c0_0, &_call_f_children_c0_0);
}

// bool QObject::connect(const QObject *sender, const char *signal, const char *member, Qt::ConnectionType type)

static void _init_f_connect_c8601_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_connect_c8601_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->connect (arg1, arg2, arg3));
}

static qt_gsi::GenericMethod *_create_f_connect_c8601_0 ()
{
  return new qt_gsi::GenericMethod ("connect", "@brief Method bool QObject::connect(const QObject *sender, const char *signal, const char *member, Qt::ConnectionType type)\n@args sender, signal, member\n", true, &_init_f_connect_c8601_0, &_call_f_connect_c8601_0);
}

// bool QObject::connect(const QObject *sender, const char *signal, const char *member, Qt::ConnectionType type)

static void _init_f_connect_c8601_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & > ();
  decl->set_return<bool > ();
}

static void _call_f_connect_c8601_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & arg4 = args.get_value<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->connect (arg1, arg2, arg3, qt_gsi::QtToCppAdaptor<enum Qt::ConnectionType>(arg4).cref ()));
}

static qt_gsi::GenericMethod *_create_f_connect_c8601_1 ()
{
  return new qt_gsi::GenericMethod ("connect", "@brief Method bool QObject::connect(const QObject *sender, const char *signal, const char *member, Qt::ConnectionType type)\n@args sender, signal, member, type\n", true, &_init_f_connect_c8601_1, &_call_f_connect_c8601_1);
}

// void QObject::deleteLater()

static void _init_f_deleteLater_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_deleteLater_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QObject *)cls)->deleteLater ();
}

static qt_gsi::GenericMethod *_create_f_deleteLater_0_0 ()
{
  return new qt_gsi::GenericMethod ("deleteLater", "@brief Method void QObject::deleteLater()\n@args \n", false, &_init_f_deleteLater_0_0, &_call_f_deleteLater_0_0);
}

// bool QObject::disconnect(const QObject *receiver, const char *member)

static void _init_f_disconnect_4298_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_4298_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect (arg1));
}

static qt_gsi::GenericMethod *_create_f_disconnect_4298_0 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const QObject *receiver, const char *member)\n@args receiver\n", false, &_init_f_disconnect_4298_0, &_call_f_disconnect_4298_0);
}

// bool QObject::disconnect(const QObject *receiver, const char *member)

static void _init_f_disconnect_4298_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_4298_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_disconnect_4298_1 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const QObject *receiver, const char *member)\n@args receiver, member\n", false, &_init_f_disconnect_4298_1, &_call_f_disconnect_4298_1);
}

// bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)

static void _init_f_disconnect_5921_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_disconnect_5921_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect ());
}

static qt_gsi::GenericMethod *_create_f_disconnect_5921_0 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)\n@args \n", false, &_init_f_disconnect_5921_0, &_call_f_disconnect_5921_0);
}

// bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)

static void _init_f_disconnect_5921_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_5921_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect (arg1));
}

static qt_gsi::GenericMethod *_create_f_disconnect_5921_1 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)\n@args signal\n", false, &_init_f_disconnect_5921_1, &_call_f_disconnect_5921_1);
}

// bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)

static void _init_f_disconnect_5921_2 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const class QObject * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_5921_2 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QObject * arg2 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_disconnect_5921_2 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)\n@args signal, receiver\n", false, &_init_f_disconnect_5921_2, &_call_f_disconnect_5921_2);
}

// bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)

static void _init_f_disconnect_5921_3 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_5921_3 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QObject * arg2 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->disconnect (arg1, arg2, arg3));
}

static qt_gsi::GenericMethod *_create_f_disconnect_5921_3 ()
{
  return new qt_gsi::GenericMethod ("disconnect", "@brief Method bool QObject::disconnect(const char *signal, const QObject *receiver, const char *member)\n@args signal, receiver, member\n", false, &_init_f_disconnect_5921_3, &_call_f_disconnect_5921_3);
}

// void QObject::dumpObjectInfo()

static void _init_f_dumpObjectInfo_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_dumpObjectInfo_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QObject *)cls)->dumpObjectInfo ();
}

static qt_gsi::GenericMethod *_create_f_dumpObjectInfo_0_0 ()
{
  return new qt_gsi::GenericMethod ("dumpObjectInfo", "@brief Method void QObject::dumpObjectInfo()\n@args \n", false, &_init_f_dumpObjectInfo_0_0, &_call_f_dumpObjectInfo_0_0);
}

// void QObject::dumpObjectTree()

static void _init_f_dumpObjectTree_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_dumpObjectTree_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QObject *)cls)->dumpObjectTree ();
}

static qt_gsi::GenericMethod *_create_f_dumpObjectTree_0_0 ()
{
  return new qt_gsi::GenericMethod ("dumpObjectTree", "@brief Method void QObject::dumpObjectTree()\n@args \n", false, &_init_f_dumpObjectTree_0_0, &_call_f_dumpObjectTree_0_0);
}

// QList<class QByteArray> QObject::dynamicPropertyNames()

static void _init_f_dynamicPropertyNames_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QList<class QByteArray> >::target_type > ();
}

static void _call_f_dynamicPropertyNames_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QByteArray> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QByteArray> >::target_type)qt_gsi::CppToQtAdaptor<class QList<class QByteArray> >(((QObject *)cls)->dynamicPropertyNames ()));
}

static qt_gsi::GenericMethod *_create_f_dynamicPropertyNames_c0_0 ()
{
  return new qt_gsi::GenericMethod ("dynamicPropertyNames", "@brief Method QList<class QByteArray> QObject::dynamicPropertyNames()\n@args \n", true, &_init_f_dynamicPropertyNames_c0_0, &_call_f_dynamicPropertyNames_c0_0);
}

// bool QObject::event(QEvent *)

static void _init_f_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_f_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->event (arg1));
}

static qt_gsi::GenericMethod *_create_f_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Method bool QObject::event(QEvent *)\n@args arg1\n", false, &_init_f_event_1895_0, &_call_f_event_1895_0);
}

// bool QObject::eventFilter(QObject *, QEvent *)

static void _init_f_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_f_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->eventFilter (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Method bool QObject::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\n", false, &_init_f_eventFilter_3767_0, &_call_f_eventFilter_3767_0);
}

// bool QObject::inherits(const char *classname)

static void _init_f_inherits_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_inherits_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->inherits (arg1));
}

static qt_gsi::GenericMethod *_create_f_inherits_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("inherits", "@brief Method bool QObject::inherits(const char *classname)\n@args classname\n", true, &_init_f_inherits_c1731_0, &_call_f_inherits_c1731_0);
}

// void QObject::installEventFilter(QObject *)

static void _init_f_installEventFilter_1980_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return<void > ();
}

static void _call_f_installEventFilter_1980_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ((QObject *)cls)->installEventFilter (arg1);
}

static qt_gsi::GenericMethod *_create_f_installEventFilter_1980_0 ()
{
  return new qt_gsi::GenericMethod ("installEventFilter", "@brief Method void QObject::installEventFilter(QObject *)\n@args arg1\n", false, &_init_f_installEventFilter_1980_0, &_call_f_installEventFilter_1980_0);
}

// bool QObject::isWidgetType()

static void _init_f_isWidgetType_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isWidgetType_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->isWidgetType ());
}

static qt_gsi::GenericMethod *_create_f_isWidgetType_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isWidgetType|isWidgetType?", "@brief Method bool QObject::isWidgetType()\n@args \n", true, &_init_f_isWidgetType_c0_0, &_call_f_isWidgetType_c0_0);
}

// void QObject::killTimer(int id)

static void _init_f_killTimer_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_killTimer_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QObject *)cls)->killTimer (arg1);
}

static qt_gsi::GenericMethod *_create_f_killTimer_767_0 ()
{
  return new qt_gsi::GenericMethod ("killTimer", "@brief Method void QObject::killTimer(int id)\n@args id\n", false, &_init_f_killTimer_767_0, &_call_f_killTimer_767_0);
}

// void QObject::moveToThread(QThread *thread)

static void _init_f_moveToThread_1981_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QThread * > ();
  decl->set_return<void > ();
}

static void _call_f_moveToThread_1981_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QThread * arg1 = args.get_value<class QThread * > (gsi::type_traits<class QThread * >::tag ());
  ((QObject *)cls)->moveToThread (arg1);
}

static qt_gsi::GenericMethod *_create_f_moveToThread_1981_0 ()
{
  return new qt_gsi::GenericMethod ("moveToThread", "@brief Method void QObject::moveToThread(QThread *thread)\n@args thread\n", false, &_init_f_moveToThread_1981_0, &_call_f_moveToThread_1981_0);
}

// QString QObject::objectName()

static void _init_f_objectName_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QString > ();
}

static void _call_f_objectName_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)((QObject *)cls)->objectName ());
}

static qt_gsi::GenericMethod *_create_f_objectName_c0_0 ()
{
  return new qt_gsi::GenericMethod ("objectName", "@brief Method QString QObject::objectName()\n@args \n", true, &_init_f_objectName_c0_0, &_call_f_objectName_c0_0);
}

// QObject * QObject::parent()

static void _init_f_parent_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_f_parent_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QObject *)cls)->parent ());
}

static qt_gsi::GenericMethod *_create_f_parent_c0_0 ()
{
  return new qt_gsi::GenericMethod ("parent", "@brief Method QObject * QObject::parent()\n@args \n", true, &_init_f_parent_c0_0, &_call_f_parent_c0_0);
}

// QVariant QObject::property(const char *name)

static void _init_f_property_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QVariant > ();
}

static void _call_f_property_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QVariant >::tag (), (class QVariant)((QObject *)cls)->property (arg1));
}

static qt_gsi::GenericMethod *_create_f_property_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("property", "@brief Method QVariant QObject::property(const char *name)\n@args name\n", true, &_init_f_property_c1731_0, &_call_f_property_c1731_0);
}

// void QObject::removeEventFilter(QObject *)

static void _init_f_removeEventFilter_1980_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return<void > ();
}

static void _call_f_removeEventFilter_1980_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ((QObject *)cls)->removeEventFilter (arg1);
}

static qt_gsi::GenericMethod *_create_f_removeEventFilter_1980_0 ()
{
  return new qt_gsi::GenericMethod ("removeEventFilter", "@brief Method void QObject::removeEventFilter(QObject *)\n@args arg1\n", false, &_init_f_removeEventFilter_1980_0, &_call_f_removeEventFilter_1980_0);
}

// void QObject::setObjectName(const QString &name)

static void _init_f_setObjectName_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_setObjectName_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QObject *)cls)->setObjectName (arg1);
}

static qt_gsi::GenericMethod *_create_f_setObjectName_2703_0 ()
{
  return new qt_gsi::GenericMethod ("setObjectName|objectName=", "@brief Method void QObject::setObjectName(const QString &name)\n@args name\n", false, &_init_f_setObjectName_2703_0, &_call_f_setObjectName_2703_0);
}

// void QObject::setParent(QObject *)

static void _init_f_setParent_1980_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return<void > ();
}

static void _call_f_setParent_1980_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ((QObject *)cls)->setParent (arg1);
}

static qt_gsi::GenericMethod *_create_f_setParent_1980_0 ()
{
  return new qt_gsi::GenericMethod ("setParent|parent=", "@brief Method void QObject::setParent(QObject *)\n@args arg1\n", false, &_init_f_setParent_1980_0, &_call_f_setParent_1980_0);
}

// bool QObject::setProperty(const char *name, const QVariant &value)

static void _init_f_setProperty_4420_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const class QVariant & > ();
  decl->set_return<bool > ();
}

static void _call_f_setProperty_4420_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QVariant & arg2 = args.get_value<const class QVariant & > (gsi::type_traits<const class QVariant & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->setProperty (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_setProperty_4420_0 ()
{
  return new qt_gsi::GenericMethod ("setProperty", "@brief Method bool QObject::setProperty(const char *name, const QVariant &value)\n@args name, value\n", false, &_init_f_setProperty_4420_0, &_call_f_setProperty_4420_0);
}

// bool QObject::signalsBlocked()

static void _init_f_signalsBlocked_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_signalsBlocked_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject *)cls)->signalsBlocked ());
}

static qt_gsi::GenericMethod *_create_f_signalsBlocked_c0_0 ()
{
  return new qt_gsi::GenericMethod ("signalsBlocked", "@brief Method bool QObject::signalsBlocked()\n@args \n", true, &_init_f_signalsBlocked_c0_0, &_call_f_signalsBlocked_c0_0);
}

// int QObject::startTimer(int interval)

static void _init_f_startTimer_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<int > ();
}

static void _call_f_startTimer_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QObject *)cls)->startTimer (arg1));
}

static qt_gsi::GenericMethod *_create_f_startTimer_767_0 ()
{
  return new qt_gsi::GenericMethod ("startTimer", "@brief Method int QObject::startTimer(int interval)\n@args interval\n", false, &_init_f_startTimer_767_0, &_call_f_startTimer_767_0);
}

// QThread * QObject::thread()

static void _init_f_thread_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QThread * > ();
}

static void _call_f_thread_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QThread * >::tag (), (class QThread *)((QObject *)cls)->thread ());
}

static qt_gsi::GenericMethod *_create_f_thread_c0_0 ()
{
  return new qt_gsi::GenericMethod ("thread", "@brief Method QThread * QObject::thread()\n@args \n", true, &_init_f_thread_c0_0, &_call_f_thread_c0_0);
}

// static bool QObject::connect(const QObject *sender, const char *signal, const QObject *receiver, const char *member, Qt::ConnectionType )

static void _init_f_connect_11168_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_connect_11168_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QObject * arg3 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg4 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)QObject::connect (arg1, arg2, arg3, arg4));
}

static qt_gsi::GenericStaticMethod *_create_f_connect_11168_0 ()
{
  return new qt_gsi::GenericStaticMethod ("connect", "@brief Static method bool QObject::connect(const QObject *sender, const char *signal, const QObject *receiver, const char *member, Qt::ConnectionType )\n@args sender, signal, receiver, member\nThis method is static and can be called without an instance.", &_init_f_connect_11168_0, &_call_f_connect_11168_0);
}

// static bool QObject::connect(const QObject *sender, const char *signal, const QObject *receiver, const char *member, Qt::ConnectionType )

static void _init_f_connect_11168_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & > ();
  decl->set_return<bool > ();
}

static void _call_f_connect_11168_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QObject * arg3 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg4 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & arg5 = args.get_value<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::ConnectionType>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)QObject::connect (arg1, arg2, arg3, arg4, qt_gsi::QtToCppAdaptor<enum Qt::ConnectionType>(arg5).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_f_connect_11168_1 ()
{
  return new qt_gsi::GenericStaticMethod ("connect", "@brief Static method bool QObject::connect(const QObject *sender, const char *signal, const QObject *receiver, const char *member, Qt::ConnectionType )\n@args sender, signal, receiver, member, arg5\nThis method is static and can be called without an instance.", &_init_f_connect_11168_1, &_call_f_connect_11168_1);
}

// static bool QObject::disconnect(const QObject *sender, const char *signal, const QObject *receiver, const char *member)

static void _init_f_disconnect_8488_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<const class QObject * > ();
  decl->add_arg<const char * > ();
  decl->set_return<bool > ();
}

static void _call_f_disconnect_8488_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QObject * arg1 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const class QObject * arg3 = args.get_value<const class QObject * > (gsi::type_traits<const class QObject * >::tag ());
  const char * arg4 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)QObject::disconnect (arg1, arg2, arg3, arg4));
}

static qt_gsi::GenericStaticMethod *_create_f_disconnect_8488_0 ()
{
  return new qt_gsi::GenericStaticMethod ("disconnect", "@brief Static method bool QObject::disconnect(const QObject *sender, const char *signal, const QObject *receiver, const char *member)\n@args sender, signal, receiver, member\nThis method is static and can be called without an instance.", &_init_f_disconnect_8488_0, &_call_f_disconnect_8488_0);
}

// static int unsigned QObject::registerUserData()

static void _init_f_registerUserData_0_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<int unsigned > ();
}

static void _call_f_registerUserData_0_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int unsigned >::tag (), (int unsigned)QObject::registerUserData ());
}

static qt_gsi::GenericStaticMethod *_create_f_registerUserData_0_0 ()
{
  return new qt_gsi::GenericStaticMethod ("registerUserData", "@brief Static method int unsigned QObject::registerUserData()\n@args \nThis method is static and can be called without an instance.", &_init_f_registerUserData_0_0, &_call_f_registerUserData_0_0);
}

// static QString QObject::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QObject::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QObject::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QObject::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QObject::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QObject::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QObject::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QObject::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QObject::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QObject::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QObject::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QObject::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QObject::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QObject, QObject_EventAdaptor> ea_QObject;

template <>
gsi::Class<QObject> gsi::Class<QObject>::decl (ea_QObject, "QObject_Native",
  gsi::Methods(_create_smo ()) +
    method_ext("findChild", &find_child_impl, "@brief Specialisation for findChild (uses QObject as T).") 
 +
  gsi::Methods(_create_f_blockSignals_864_0 ()) +
  gsi::Methods(_create_f_children_c0_0 ()) +
  gsi::Methods(_create_f_connect_c8601_0 ()) +
  gsi::Methods(_create_f_connect_c8601_1 ()) +
  gsi::Methods(_create_f_deleteLater_0_0 ()) +
  gsi::Methods(_create_f_disconnect_4298_0 ()) +
  gsi::Methods(_create_f_disconnect_4298_1 ()) +
  gsi::Methods(_create_f_disconnect_5921_0 ()) +
  gsi::Methods(_create_f_disconnect_5921_1 ()) +
  gsi::Methods(_create_f_disconnect_5921_2 ()) +
  gsi::Methods(_create_f_disconnect_5921_3 ()) +
  gsi::Methods(_create_f_dumpObjectInfo_0_0 ()) +
  gsi::Methods(_create_f_dumpObjectTree_0_0 ()) +
  gsi::Methods(_create_f_dynamicPropertyNames_c0_0 ()) +
  gsi::Methods(_create_f_event_1895_0 ()) +
  gsi::Methods(_create_f_eventFilter_3767_0 ()) +
  gsi::Methods(_create_f_inherits_c1731_0 ()) +
  gsi::Methods(_create_f_installEventFilter_1980_0 ()) +
  gsi::Methods(_create_f_isWidgetType_c0_0 ()) +
  gsi::Methods(_create_f_killTimer_767_0 ()) +
  gsi::Methods(_create_f_moveToThread_1981_0 ()) +
  gsi::Methods(_create_f_objectName_c0_0 ()) +
  gsi::Methods(_create_f_parent_c0_0 ()) +
  gsi::Methods(_create_f_property_c1731_0 ()) +
  gsi::Methods(_create_f_removeEventFilter_1980_0 ()) +
  gsi::Methods(_create_f_setObjectName_2703_0 ()) +
  gsi::Methods(_create_f_setParent_1980_0 ()) +
  gsi::Methods(_create_f_setProperty_4420_0 ()) +
  gsi::Methods(_create_f_signalsBlocked_c0_0 ()) +
  gsi::Methods(_create_f_startTimer_767_0 ()) +
  gsi::Methods(_create_f_thread_c0_0 ()) +
  gsi::Methods(_create_f_connect_11168_0 ()) +
  gsi::Methods(_create_f_connect_11168_1 ()) +
  gsi::Methods(_create_f_disconnect_8488_0 ()) +
  gsi::Methods(_create_f_registerUserData_0_0 ()) +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QObject");

class KLAYOUT_DLL QObject_Adaptor : public QObject, public qt_gsi::QtObjectBase
{
public:

  virtual ~QObject_Adaptor();

  //  [adaptor ctor] QObject::QObject(QObject *parent)
  QObject_Adaptor() : QObject()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QObject::QObject(QObject *parent)
  QObject_Adaptor(QObject *parent) : QObject(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  void QObject::destroyed(QObject *)
  void fp_QObject_destroyed_1980_0 () {
    QObject::destroyed();
  }

  //  void QObject::destroyed(QObject *)
  void fp_QObject_destroyed_1980_1 (class QObject * arg1) {
    QObject::destroyed(arg1);
  }

  //  int QObject::receivers(const char *signal)
  int fp_QObject_receivers_c1731_0 (const char * signal) const {
    return QObject::receivers(signal);
  }

  //  QObject * QObject::sender()
  class QObject * fp_QObject_sender_c0_0 () const {
    return QObject::sender();
  }

  //  [adaptor impl] bool QObject::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QObject::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QObject_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QObject_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QObject::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QObject::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QObject_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QObject_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] void QObject::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QObject::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QObject_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QObject_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QObject::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QObject::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QObject_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QObject_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QObject::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QObject::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QObject_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QObject_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QObject::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QObject::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QObject_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QObject_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QObject_Adaptor::~QObject_Adaptor() { }

//  Constructor QObject::QObject(QObject *parent) (adaptor class)
static void _init_ctor_QObject_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QObject_Adaptor > ();
}

static void _call_ctor_QObject_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QObject_Adaptor *>::tag (), new QObject_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QObject_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QObject::QObject(QObject *parent)\n@args \nThis method creates an object of class QObject.", &_init_ctor_QObject_Adaptor_1980_0, &_call_ctor_QObject_Adaptor_1980_0);
}

//  Constructor QObject::QObject(QObject *parent) (adaptor class)
static void _init_ctor_QObject_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QObject_Adaptor > ();
}

static void _call_ctor_QObject_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QObject_Adaptor *>::tag (), new QObject_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QObject_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QObject::QObject(QObject *parent)\n@args parent\nThis method creates an object of class QObject.", &_init_ctor_QObject_Adaptor_1980_1, &_call_ctor_QObject_Adaptor_1980_1);
}

// void QObject::destroyed(QObject *)

static void _init_fp_destroyed_1980_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_destroyed_1980_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QObject_Adaptor *)cls)->fp_QObject_destroyed_1980_0 ();
}

static qt_gsi::GenericMethod *_create_fp_destroyed_1980_0 ()
{
  return new qt_gsi::GenericMethod ("*destroyed", "@brief Method void QObject::destroyed(QObject *)\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_destroyed_1980_0, &_call_fp_destroyed_1980_0);
}


// void QObject::destroyed(QObject *)

static void _init_fp_destroyed_1980_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return<void > ();
}

static void _call_fp_destroyed_1980_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ((QObject_Adaptor *)cls)->fp_QObject_destroyed_1980_1 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_destroyed_1980_1 ()
{
  return new qt_gsi::GenericMethod ("*destroyed", "@brief Method void QObject::destroyed(QObject *)\n@args arg1\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_destroyed_1980_1, &_call_fp_destroyed_1980_1);
}


// int QObject::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QObject_Adaptor *)cls)->fp_QObject_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QObject::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QObject::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QObject_Adaptor *)cls)->fp_QObject_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QObject::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QObject::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QObject::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QObject::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QObject_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QObject::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// void QObject::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QObject_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QObject::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QObject::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QObject_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QObject::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QObject::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QObject_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QObject::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QObject::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QObject_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QObject_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QObject::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QObject_Adaptor> gsi::Class<QObject_Adaptor>::decl (gsi::Class<QObject>::decl, "QObject",
  gsi::Methods (_create_fp_destroyed_1980_0 ()) +
  gsi::Methods (_create_fp_destroyed_1980_1 ()) +
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QObject_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QObject_Adaptor_1980_1 ()),
  "@qt\n@brief Binding of QObject");

