
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQPolygon.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQPolygon_Enums.h"

// -----------------------------------------------------------------------
// class QPolygon


#include "dbPolygon.h"

  static QPolygon *ctor_QPolygon_from_polygon (const db::Polygon &pts)
  {
    QPolygon *p = new QPolygon ();
    p->reserve (int (pts.hull ().size ()));
    for (db::Polygon::polygon_contour_iterator q = pts.begin_hull (); q != pts.end_hull (); ++q) {
      p->push_back (QPoint ((*q).x (), (*q).y ()));
    }
    return p;
  }

  static QPolygon *ctor_QPolygon_from_simple_polygon (const db::SimplePolygon &pts)
  {
    QPolygon *p = new QPolygon ();
    p->reserve (int (pts.hull ().size ()));
    for (db::SimplePolygon::polygon_contour_iterator q = pts.begin_hull (); q != pts.end_hull (); ++q) {
      p->push_back (QPoint ((*q).x (), (*q).y ()));
    }
    return p;
  }

  static QPolygon::const_iterator f_QPolygon_each_begin (const QPolygon *m)
  {
    return m->begin ();
  }

  static QPolygon::const_iterator f_QPolygon_each_end (const QPolygon *m)
  {
    return m->end ();
  }

  static QPoint f_QPolygon_at (const QPolygon *m, int i)
  {
    return m->at(i);
  }

  static QPoint f_QPolygon_front (const QPolygon *m)
  {
    return m->front();
  }

  static QPoint f_QPolygon_back (const QPolygon *m)
  {
    return m->back();
  }

  static int f_QPolygon_size (const QPolygon *m)
  {
    return m->size();
  }

  static void f_QPolygon_clear (QPolygon *m)
  {
    return m->clear();
  }

  static void f_QPolygon_remove (QPolygon *m, int i)
  {
    return m->remove (i);
  }

  static void f_QPolygon_insert (QPolygon *m, int i, const QPoint &p)
  {
    return m->insert (i, p);
  }

  static void f_QPolygon_replace (QPolygon *m, int i, const QPoint &p)
  {
    return m->replace (i, p);
  }

  static void f_QPolygon_pop_front (QPolygon *m)
  {
    return m->pop_front ();
  }

  static void f_QPolygon_pop_back (QPolygon *m)
  {
    return m->pop_back ();
  }

  static void f_QPolygon_push_front (QPolygon *m, const QPoint &p)
  {
    return m->push_front (p);
  }

  static void f_QPolygon_push_back (QPolygon *m, const QPoint &p)
  {
    return m->push_back (p);
  }

  static void f_QPolygon_reserve (QPolygon *m, int n)
  {
    return m->reserve (n);
  }

  static void f_QPolygon_resize (QPolygon *m, int n)
  {
    return m->resize (n);
  }

  static void f_QPolygon_fill (QPolygon *m, const QPoint &p, int n)
  {
    m->fill (p, n);
  }

//  Constructor QPolygon::QPolygon()
static void _init_ctor_QPolygon_0_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_0_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_0_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon()\n@args \nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_0_0, &_call_ctor_QPolygon_0_0);
}

//  Constructor QPolygon::QPolygon(const QPolygon &a)
static void _init_ctor_QPolygon_2816_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_2816_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_2816_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon(const QPolygon &a)\n@args a\nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_2816_0, &_call_ctor_QPolygon_2816_0);
}

//  Constructor QPolygon::QPolygon(const QRect &r, bool closed)
static void _init_ctor_QPolygon_3226_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_3226_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_3226_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon(const QRect &r, bool closed)\n@args r\nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_3226_0, &_call_ctor_QPolygon_3226_0);
}

//  Constructor QPolygon::QPolygon(const QRect &r, bool closed)
static void _init_ctor_QPolygon_3226_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->add_arg<bool > ();
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_3226_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_3226_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon(const QRect &r, bool closed)\n@args r, closed\nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_3226_1, &_call_ctor_QPolygon_3226_1);
}

//  Constructor QPolygon::QPolygon(const QVector<class QPoint> &v)
static void _init_ctor_QPolygon_4718_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QVector<class QPoint> >::target_type & > ();
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_4718_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QVector<class QPoint> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QVector<class QPoint> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QVector<class QPoint> >::target_type & >::tag ());
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon (qt_gsi::QtToCppAdaptor<class QVector<class QPoint> >(arg1).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_4718_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon(const QVector<class QPoint> &v)\n@args v\nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_4718_0, &_call_ctor_QPolygon_4718_0);
}

//  Constructor QPolygon::QPolygon(int size)
static void _init_ctor_QPolygon_767_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return_new<QPolygon > ();
}

static void _call_ctor_QPolygon_767_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<QPolygon *>::tag (), new QPolygon (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygon_767_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygon::QPolygon(int size)\n@args size\nThis method creates an object of class QPolygon.", &_init_ctor_QPolygon_767_0, &_call_ctor_QPolygon_767_0);
}

// QRect QPolygon::boundingRect()

static void _init_f_boundingRect_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QRect > ();
}

static void _call_f_boundingRect_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QRect >::tag (), (class QRect)((QPolygon *)cls)->boundingRect ());
}

static qt_gsi::GenericMethod *_create_f_boundingRect_c0_0 ()
{
  return new qt_gsi::GenericMethod ("boundingRect", "@brief Method QRect QPolygon::boundingRect()\n@args \n", true, &_init_f_boundingRect_c0_0, &_call_f_boundingRect_c0_0);
}

// bool QPolygon::containsPoint(const QPoint &pt, Qt::FillRule fillRule)

static void _init_f_containsPoint_c4615_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > ();
  decl->set_return<bool > ();
}

static void _call_f_containsPoint_c4615_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  const qt_gsi::Converter<enum Qt::FillRule>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::FillRule>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QPolygon *)cls)->containsPoint (arg1, qt_gsi::QtToCppAdaptor<enum Qt::FillRule>(arg2).cref ()));
}

static qt_gsi::GenericMethod *_create_f_containsPoint_c4615_0 ()
{
  return new qt_gsi::GenericMethod ("containsPoint", "@brief Method bool QPolygon::containsPoint(const QPoint &pt, Qt::FillRule fillRule)\n@args pt, fillRule\n", true, &_init_f_containsPoint_c4615_0, &_call_f_containsPoint_c4615_0);
}

// QPolygon QPolygon::intersected(const QPolygon &r)

static void _init_f_intersected_c2816_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return<class QPolygon > ();
}

static void _call_f_intersected_c2816_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygon *)cls)->intersected (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersected_c2816_0 ()
{
  return new qt_gsi::GenericMethod ("intersected", "@brief Method QPolygon QPolygon::intersected(const QPolygon &r)\n@args r\n", true, &_init_f_intersected_c2816_0, &_call_f_intersected_c2816_0);
}

// void QPolygon::point(int i, int *x, int *y)

static void _init_f_point_c2457_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int * > ();
  decl->add_arg<int * > ();
  decl->set_return<void > ();
}

static void _call_f_point_c2457_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int * arg2 = args.get_value<int * > (gsi::type_traits<int * >::tag ());
  int * arg3 = args.get_value<int * > (gsi::type_traits<int * >::tag ());
  ((QPolygon *)cls)->point (arg1, arg2, arg3);
}

static qt_gsi::GenericMethod *_create_f_point_c2457_0 ()
{
  return new qt_gsi::GenericMethod ("point", "@brief Method void QPolygon::point(int i, int *x, int *y)\n@args i, x, y\n", true, &_init_f_point_c2457_0, &_call_f_point_c2457_0);
}

// QPoint QPolygon::point(int i)

static void _init_f_point_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<class QPoint > ();
}

static void _call_f_point_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QPoint >::tag (), (class QPoint)((QPolygon *)cls)->point (arg1));
}

static qt_gsi::GenericMethod *_create_f_point_c767_0 ()
{
  return new qt_gsi::GenericMethod ("point", "@brief Method QPoint QPolygon::point(int i)\n@args i\n", true, &_init_f_point_c767_0, &_call_f_point_c767_0);
}

// void QPolygon::putPoints(int index, int nPoints, const QPolygon &from, int fromIndex)

static void _init_f_putPoints_4793_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<const class QPolygon & > ();
  decl->set_return<void > ();
}

static void _call_f_putPoints_4793_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const class QPolygon & arg3 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ((QPolygon *)cls)->putPoints (arg1, arg2, arg3);
}

static qt_gsi::GenericMethod *_create_f_putPoints_4793_0 ()
{
  return new qt_gsi::GenericMethod ("putPoints", "@brief Method void QPolygon::putPoints(int index, int nPoints, const QPolygon &from, int fromIndex)\n@args index, nPoints, from\n", false, &_init_f_putPoints_4793_0, &_call_f_putPoints_4793_0);
}

// void QPolygon::putPoints(int index, int nPoints, const QPolygon &from, int fromIndex)

static void _init_f_putPoints_4793_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<const class QPolygon & > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_putPoints_4793_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const class QPolygon & arg3 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  int arg4 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QPolygon *)cls)->putPoints (arg1, arg2, arg3, arg4);
}

static qt_gsi::GenericMethod *_create_f_putPoints_4793_1 ()
{
  return new qt_gsi::GenericMethod ("putPoints", "@brief Method void QPolygon::putPoints(int index, int nPoints, const QPolygon &from, int fromIndex)\n@args index, nPoints, from, fromIndex\n", false, &_init_f_putPoints_4793_1, &_call_f_putPoints_4793_1);
}

// void QPolygon::setPoint(int index, int x, int y)

static void _init_f_setPoint_2085_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setPoint_2085_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QPolygon *)cls)->setPoint (arg1, arg2, arg3);
}

static qt_gsi::GenericMethod *_create_f_setPoint_2085_0 ()
{
  return new qt_gsi::GenericMethod ("setPoint", "@brief Method void QPolygon::setPoint(int index, int x, int y)\n@args index, x, y\n", false, &_init_f_setPoint_2085_0, &_call_f_setPoint_2085_0);
}

// void QPolygon::setPoint(int index, const QPoint &p)

static void _init_f_setPoint_3253_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<const class QPoint & > ();
  decl->set_return<void > ();
}

static void _call_f_setPoint_3253_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const class QPoint & arg2 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ((QPolygon *)cls)->setPoint (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setPoint_3253_0 ()
{
  return new qt_gsi::GenericMethod ("setPoint", "@brief Method void QPolygon::setPoint(int index, const QPoint &p)\n@args index, p\n", false, &_init_f_setPoint_3253_0, &_call_f_setPoint_3253_0);
}

// QPolygon QPolygon::subtracted(const QPolygon &r)

static void _init_f_subtracted_c2816_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return<class QPolygon > ();
}

static void _call_f_subtracted_c2816_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygon *)cls)->subtracted (arg1));
}

static qt_gsi::GenericMethod *_create_f_subtracted_c2816_0 ()
{
  return new qt_gsi::GenericMethod ("subtracted", "@brief Method QPolygon QPolygon::subtracted(const QPolygon &r)\n@args r\n", true, &_init_f_subtracted_c2816_0, &_call_f_subtracted_c2816_0);
}

// void QPolygon::translate(int dx, int dy)

static void _init_f_translate_1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_translate_1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QPolygon *)cls)->translate (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_translate_1426_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QPolygon::translate(int dx, int dy)\n@args dx, dy\n", false, &_init_f_translate_1426_0, &_call_f_translate_1426_0);
}

// void QPolygon::translate(const QPoint &offset)

static void _init_f_translate_2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<void > ();
}

static void _call_f_translate_2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ((QPolygon *)cls)->translate (arg1);
}

static qt_gsi::GenericMethod *_create_f_translate_2594_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QPolygon::translate(const QPoint &offset)\n@args offset\n", false, &_init_f_translate_2594_0, &_call_f_translate_2594_0);
}

// QPolygon QPolygon::translated(int dx, int dy)

static void _init_f_translated_c1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<class QPolygon > ();
}

static void _call_f_translated_c1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygon *)cls)->translated (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_translated_c1426_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QPolygon QPolygon::translated(int dx, int dy)\n@args dx, dy\n", true, &_init_f_translated_c1426_0, &_call_f_translated_c1426_0);
}

// QPolygon QPolygon::translated(const QPoint &offset)

static void _init_f_translated_c2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<class QPolygon > ();
}

static void _call_f_translated_c2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygon *)cls)->translated (arg1));
}

static qt_gsi::GenericMethod *_create_f_translated_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QPolygon QPolygon::translated(const QPoint &offset)\n@args offset\n", true, &_init_f_translated_c2594_0, &_call_f_translated_c2594_0);
}

// QPolygon QPolygon::united(const QPolygon &r)

static void _init_f_united_c2816_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return<class QPolygon > ();
}

static void _call_f_united_c2816_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygon *)cls)->united (arg1));
}

static qt_gsi::GenericMethod *_create_f_united_c2816_0 ()
{
  return new qt_gsi::GenericMethod ("united", "@brief Method QPolygon QPolygon::united(const QPolygon &r)\n@args r\n", true, &_init_f_united_c2816_0, &_call_f_united_c2816_0);
}

template <>
gsi::Class<QPolygon> gsi::Class<QPolygon>::decl ("QPolygon",
    constructor("new", &ctor_QPolygon_from_polygon, "@brief Creates a polygon from the given KLayout Polygon\n@args p\nRemark: holes are not transferred into the QPolygon.") +
  constructor("new", &ctor_QPolygon_from_simple_polygon, "@brief Creates a polygon from the given KLayout SimplePolygon\n@args p") +
  iterator_ext ("each", &f_QPolygon_each_begin, &f_QPolygon_each_end, "@brief Iterates over all points of the polygon.") +
  method_ext("[]", &f_QPolygon_at, "@brief Gets the point at the given position\n@args index") +
  method_ext("front", &f_QPolygon_front, "@brief Gets the first point") +
  method_ext("back", &f_QPolygon_back, "@brief Gets the last point") +
  method_ext("size", &f_QPolygon_size, "@brief Gets the number of points in the polygon") +
  method_ext("clear", &f_QPolygon_clear, "@brief Empties the polygon") +
  method_ext("remove", &f_QPolygon_remove, "@brief Removes the point at the given position\n@args index") +
  method_ext("insert", &f_QPolygon_insert, "@brief Inserts the point after the given position\n@args index, p") +
  method_ext("replace", &f_QPolygon_replace, "@brief Replaces the point at the given position\n@args index, p") +
  method_ext("pop_front", &f_QPolygon_pop_front, "@brief Removes the point at the beginning of the list") +
  method_ext("pop_back", &f_QPolygon_pop_back, "@brief Removes the point at the end of the list") +
  method_ext("push_front", &f_QPolygon_push_front, "@brief Inserts the point at the beginning of the list\n@args p") +
  method_ext("push_back", &f_QPolygon_push_back, "@brief Inserts the point at the end of the list\n@args p") +
  method_ext("reserve", &f_QPolygon_reserve, "@brief Reserve memory for the given number of points\n@args n") +
  method_ext("resize", &f_QPolygon_resize, "@brief Sets the number of points to the given length\n@args l") +
  method_ext("fill", &f_QPolygon_fill, "@brief Resizes the polygon to l points and ets all elements to the given point\n@args p,l") 
 +
  gsi::Methods(_create_ctor_QPolygon_0_0 ()) +
  gsi::Methods(_create_ctor_QPolygon_2816_0 ()) +
  gsi::Methods(_create_ctor_QPolygon_3226_0 ()) +
  gsi::Methods(_create_ctor_QPolygon_3226_1 ()) +
  gsi::Methods(_create_ctor_QPolygon_4718_0 ()) +
  gsi::Methods(_create_ctor_QPolygon_767_0 ()) +
  gsi::Methods(_create_f_boundingRect_c0_0 ()) +
  gsi::Methods(_create_f_containsPoint_c4615_0 ()) +
  gsi::Methods(_create_f_intersected_c2816_0 ()) +
  gsi::Methods(_create_f_point_c2457_0 ()) +
  gsi::Methods(_create_f_point_c767_0 ()) +
  gsi::Methods(_create_f_putPoints_4793_0 ()) +
  gsi::Methods(_create_f_putPoints_4793_1 ()) +
  gsi::Methods(_create_f_setPoint_2085_0 ()) +
  gsi::Methods(_create_f_setPoint_3253_0 ()) +
  gsi::Methods(_create_f_subtracted_c2816_0 ()) +
  gsi::Methods(_create_f_translate_1426_0 ()) +
  gsi::Methods(_create_f_translate_2594_0 ()) +
  gsi::Methods(_create_f_translated_c1426_0 ()) +
  gsi::Methods(_create_f_translated_c2594_0 ()) +
  gsi::Methods(_create_f_united_c2816_0 ()),
  "@qt\n@brief Binding of QPolygon");

