
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQPolygonF.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQPolygonF_Enums.h"

// -----------------------------------------------------------------------
// class QPolygonF


#include "dbPolygon.h"

  static QPolygonF *ctor_QPolygonF_from_polygon (const db::DPolygon &pts)
  {
    QPolygonF *p = new QPolygonF ();
    p->reserve (int (pts.hull ().size ()));
    for (db::DPolygon::polygon_contour_iterator q = pts.begin_hull (); q != pts.end_hull (); ++q) {
      p->push_back (QPointF ((*q).x (), (*q).y ()));
    }
    return p;
  }

  static QPolygonF *ctor_QPolygonF_from_simple_polygon (const db::DSimplePolygon &pts)
  {
    QPolygonF *p = new QPolygonF ();
    p->reserve (int (pts.hull ().size ()));
    for (db::DSimplePolygon::polygon_contour_iterator q = pts.begin_hull (); q != pts.end_hull (); ++q) {
      p->push_back (QPointF ((*q).x (), (*q).y ()));
    }
    return p;
  }

  static QPolygonF::const_iterator f_QPolygonF_each_begin (const QPolygonF *m)
  {
    return m->begin ();
  }

  static QPolygonF::const_iterator f_QPolygonF_each_end (const QPolygonF *m)
  {
    return m->end ();
  }

  static QPointF f_QPolygonF_at (const QPolygonF *m, int i)
  {
    return m->at(i);
  }

  static QPointF f_QPolygonF_front (const QPolygonF *m)
  {
    return m->front();
  }

  static QPointF f_QPolygonF_back (const QPolygonF *m)
  {
    return m->back();
  }

  static int f_QPolygonF_size (const QPolygonF *m)
  {
    return m->size();
  }

  static void f_QPolygonF_clear (QPolygonF *m)
  {
    return m->clear();
  }

  static void f_QPolygonF_remove (QPolygonF *m, int i)
  {
    return m->remove (i);
  }

  static void f_QPolygonF_insert (QPolygonF *m, int i, const QPointF &p)
  {
    return m->insert (i, p);
  }

  static void f_QPolygonF_replace (QPolygonF *m, int i, const QPointF &p)
  {
    return m->replace (i, p);
  }

  static void f_QPolygonF_pop_front (QPolygonF *m)
  {
    return m->pop_front ();
  }

  static void f_QPolygonF_pop_back (QPolygonF *m)
  {
    return m->pop_back ();
  }

  static void f_QPolygonF_push_front (QPolygonF *m, const QPointF &p)
  {
    return m->push_front (p);
  }

  static void f_QPolygonF_push_back (QPolygonF *m, const QPointF &p)
  {
    return m->push_back (p);
  }

  static void f_QPolygonF_reserve (QPolygonF *m, int n)
  {
    return m->reserve (n);
  }

  static void f_QPolygonF_resize (QPolygonF *m, int n)
  {
    return m->resize (n);
  }

  static void f_QPolygonF_fill (QPolygonF *m, const QPointF &p, int n)
  {
    m->fill (p, n);
  }

//  Constructor QPolygonF::QPolygonF()
static void _init_ctor_QPolygonF_0_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_0_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_0_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF()\n@args \nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_0_0, &_call_ctor_QPolygonF_0_0);
}

//  Constructor QPolygonF::QPolygonF(const QRectF &r)
static void _init_ctor_QPolygonF_2540_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRectF & > ();
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_2540_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRectF & arg1 = args.get_value<const class QRectF & > (gsi::type_traits<const class QRectF & >::tag ());
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_2540_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF(const QRectF &r)\n@args r\nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_2540_0, &_call_ctor_QPolygonF_2540_0);
}

//  Constructor QPolygonF::QPolygonF(const QPolygon &a)
static void _init_ctor_QPolygonF_2816_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_2816_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_2816_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF(const QPolygon &a)\n@args a\nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_2816_0, &_call_ctor_QPolygonF_2816_0);
}

//  Constructor QPolygonF::QPolygonF(const QPolygonF &a)
static void _init_ctor_QPolygonF_2886_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QPolygonF & > ();
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_2886_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygonF & arg1 = args.get_value<const class QPolygonF & > (gsi::type_traits<const class QPolygonF & >::tag ());
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_2886_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF(const QPolygonF &a)\n@args a\nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_2886_0, &_call_ctor_QPolygonF_2886_0);
}

//  Constructor QPolygonF::QPolygonF(const QVector<class QPointF> &v)
static void _init_ctor_QPolygonF_4788_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QVector<class QPointF> >::target_type & > ();
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_4788_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QVector<class QPointF> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QVector<class QPointF> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QVector<class QPointF> >::target_type & >::tag ());
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF (qt_gsi::QtToCppAdaptor<class QVector<class QPointF> >(arg1).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_4788_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF(const QVector<class QPointF> &v)\n@args v\nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_4788_0, &_call_ctor_QPolygonF_4788_0);
}

//  Constructor QPolygonF::QPolygonF(int size)
static void _init_ctor_QPolygonF_767_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return_new<QPolygonF > ();
}

static void _call_ctor_QPolygonF_767_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<QPolygonF *>::tag (), new QPolygonF (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QPolygonF_767_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QPolygonF::QPolygonF(int size)\n@args size\nThis method creates an object of class QPolygonF.", &_init_ctor_QPolygonF_767_0, &_call_ctor_QPolygonF_767_0);
}

// QRectF QPolygonF::boundingRect()

static void _init_f_boundingRect_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QRectF > ();
}

static void _call_f_boundingRect_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QRectF >::tag (), (class QRectF)((QPolygonF *)cls)->boundingRect ());
}

static qt_gsi::GenericMethod *_create_f_boundingRect_c0_0 ()
{
  return new qt_gsi::GenericMethod ("boundingRect", "@brief Method QRectF QPolygonF::boundingRect()\n@args \n", true, &_init_f_boundingRect_c0_0, &_call_f_boundingRect_c0_0);
}

// bool QPolygonF::containsPoint(const QPointF &pt, Qt::FillRule fillRule)

static void _init_f_containsPoint_c4685_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPointF & > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > ();
  decl->set_return<bool > ();
}

static void _call_f_containsPoint_c4685_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPointF & arg1 = args.get_value<const class QPointF & > (gsi::type_traits<const class QPointF & >::tag ());
  const qt_gsi::Converter<enum Qt::FillRule>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::FillRule>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QPolygonF *)cls)->containsPoint (arg1, qt_gsi::QtToCppAdaptor<enum Qt::FillRule>(arg2).cref ()));
}

static qt_gsi::GenericMethod *_create_f_containsPoint_c4685_0 ()
{
  return new qt_gsi::GenericMethod ("containsPoint", "@brief Method bool QPolygonF::containsPoint(const QPointF &pt, Qt::FillRule fillRule)\n@args pt, fillRule\n", true, &_init_f_containsPoint_c4685_0, &_call_f_containsPoint_c4685_0);
}

// QPolygonF QPolygonF::intersected(const QPolygonF &r)

static void _init_f_intersected_c2886_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygonF & > ();
  decl->set_return<class QPolygonF > ();
}

static void _call_f_intersected_c2886_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygonF & arg1 = args.get_value<const class QPolygonF & > (gsi::type_traits<const class QPolygonF & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygonF >::tag (), (class QPolygonF)((QPolygonF *)cls)->intersected (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersected_c2886_0 ()
{
  return new qt_gsi::GenericMethod ("intersected", "@brief Method QPolygonF QPolygonF::intersected(const QPolygonF &r)\n@args r\n", true, &_init_f_intersected_c2886_0, &_call_f_intersected_c2886_0);
}

// bool QPolygonF::isClosed()

static void _init_f_isClosed_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isClosed_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QPolygonF *)cls)->isClosed ());
}

static qt_gsi::GenericMethod *_create_f_isClosed_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isClosed|isClosed?", "@brief Method bool QPolygonF::isClosed()\n@args \n", true, &_init_f_isClosed_c0_0, &_call_f_isClosed_c0_0);
}

// QPolygonF QPolygonF::subtracted(const QPolygonF &r)

static void _init_f_subtracted_c2886_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygonF & > ();
  decl->set_return<class QPolygonF > ();
}

static void _call_f_subtracted_c2886_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygonF & arg1 = args.get_value<const class QPolygonF & > (gsi::type_traits<const class QPolygonF & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygonF >::tag (), (class QPolygonF)((QPolygonF *)cls)->subtracted (arg1));
}

static qt_gsi::GenericMethod *_create_f_subtracted_c2886_0 ()
{
  return new qt_gsi::GenericMethod ("subtracted", "@brief Method QPolygonF QPolygonF::subtracted(const QPolygonF &r)\n@args r\n", true, &_init_f_subtracted_c2886_0, &_call_f_subtracted_c2886_0);
}

// QPolygon QPolygonF::toPolygon()

static void _init_f_toPolygon_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QPolygon > ();
}

static void _call_f_toPolygon_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QPolygon >::tag (), (class QPolygon)((QPolygonF *)cls)->toPolygon ());
}

static qt_gsi::GenericMethod *_create_f_toPolygon_c0_0 ()
{
  return new qt_gsi::GenericMethod ("toPolygon", "@brief Method QPolygon QPolygonF::toPolygon()\n@args \n", true, &_init_f_toPolygon_c0_0, &_call_f_toPolygon_c0_0);
}

// void QPolygonF::translate(double dx, double dy)

static void _init_f_translate_2034_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<double > ();
  decl->add_arg<double > ();
  decl->set_return<void > ();
}

static void _call_f_translate_2034_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  double arg1 = args.get_value<double > (gsi::type_traits<double >::tag ());
  double arg2 = args.get_value<double > (gsi::type_traits<double >::tag ());
  ((QPolygonF *)cls)->translate (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_translate_2034_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QPolygonF::translate(double dx, double dy)\n@args dx, dy\n", false, &_init_f_translate_2034_0, &_call_f_translate_2034_0);
}

// void QPolygonF::translate(const QPointF &offset)

static void _init_f_translate_2664_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPointF & > ();
  decl->set_return<void > ();
}

static void _call_f_translate_2664_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPointF & arg1 = args.get_value<const class QPointF & > (gsi::type_traits<const class QPointF & >::tag ());
  ((QPolygonF *)cls)->translate (arg1);
}

static qt_gsi::GenericMethod *_create_f_translate_2664_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QPolygonF::translate(const QPointF &offset)\n@args offset\n", false, &_init_f_translate_2664_0, &_call_f_translate_2664_0);
}

// QPolygonF QPolygonF::translated(double dx, double dy)

static void _init_f_translated_c2034_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<double > ();
  decl->add_arg<double > ();
  decl->set_return<class QPolygonF > ();
}

static void _call_f_translated_c2034_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  double arg1 = args.get_value<double > (gsi::type_traits<double >::tag ());
  double arg2 = args.get_value<double > (gsi::type_traits<double >::tag ());
  ret.set_value (gsi::type_traits<class QPolygonF >::tag (), (class QPolygonF)((QPolygonF *)cls)->translated (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_translated_c2034_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QPolygonF QPolygonF::translated(double dx, double dy)\n@args dx, dy\n", true, &_init_f_translated_c2034_0, &_call_f_translated_c2034_0);
}

// QPolygonF QPolygonF::translated(const QPointF &offset)

static void _init_f_translated_c2664_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPointF & > ();
  decl->set_return<class QPolygonF > ();
}

static void _call_f_translated_c2664_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPointF & arg1 = args.get_value<const class QPointF & > (gsi::type_traits<const class QPointF & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygonF >::tag (), (class QPolygonF)((QPolygonF *)cls)->translated (arg1));
}

static qt_gsi::GenericMethod *_create_f_translated_c2664_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QPolygonF QPolygonF::translated(const QPointF &offset)\n@args offset\n", true, &_init_f_translated_c2664_0, &_call_f_translated_c2664_0);
}

// QPolygonF QPolygonF::united(const QPolygonF &r)

static void _init_f_united_c2886_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPolygonF & > ();
  decl->set_return<class QPolygonF > ();
}

static void _call_f_united_c2886_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygonF & arg1 = args.get_value<const class QPolygonF & > (gsi::type_traits<const class QPolygonF & >::tag ());
  ret.set_value (gsi::type_traits<class QPolygonF >::tag (), (class QPolygonF)((QPolygonF *)cls)->united (arg1));
}

static qt_gsi::GenericMethod *_create_f_united_c2886_0 ()
{
  return new qt_gsi::GenericMethod ("united", "@brief Method QPolygonF QPolygonF::united(const QPolygonF &r)\n@args r\n", true, &_init_f_united_c2886_0, &_call_f_united_c2886_0);
}

template <>
gsi::Class<QPolygonF> gsi::Class<QPolygonF>::decl ("QPolygonF",
    constructor("new", &ctor_QPolygonF_from_polygon, "@brief Creates a polygon from the given KLayout DPolygon\n@args p\nRemark: holes are not transferred into the QPolygonF.") +
  constructor("new", &ctor_QPolygonF_from_simple_polygon, "@brief Creates a polygon from the given KLayout DSimplePolygon\n@args p") +
  iterator_ext ("each", &f_QPolygonF_each_begin, &f_QPolygonF_each_end, "@brief Iterates over all points of the polygon.") +
  method_ext("[]", &f_QPolygonF_at, "@brief Gets the point at the given position\n@args index") +
  method_ext("front", &f_QPolygonF_front, "@brief Gets the first point") +
  method_ext("back", &f_QPolygonF_back, "@brief Gets the last point") +
  method_ext("size", &f_QPolygonF_size, "@brief Gets the number of points in the polygon") +
  method_ext("clear", &f_QPolygonF_clear, "@brief Empties the polygon") +
  method_ext("remove", &f_QPolygonF_remove, "@brief Removes the point at the given position\n@args index") +
  method_ext("insert", &f_QPolygonF_insert, "@brief Inserts the point after the given position\n@args index, p") +
  method_ext("replace", &f_QPolygonF_replace, "@brief Replaces the point at the given position\n@args index, p") +
  method_ext("pop_front", &f_QPolygonF_pop_front, "@brief Removes the point at the beginning of the list") +
  method_ext("pop_back", &f_QPolygonF_pop_back, "@brief Removes the point at the end of the list") +
  method_ext("push_front", &f_QPolygonF_push_front, "@brief Inserts the point at the beginning of the list\n@args p") +
  method_ext("push_back", &f_QPolygonF_push_back, "@brief Inserts the point at the end of the list\n@args p") +
  method_ext("reserve", &f_QPolygonF_reserve, "@brief Reserve memory for the given number of points\n@args n") +
  method_ext("resize", &f_QPolygonF_resize, "@brief Sets the number of points to the given length\n@args l") +
  method_ext("fill", &f_QPolygonF_fill, "@brief Resizes the polygon to l points and ets all elements to the given point\n@args p,l") 
 +
  gsi::Methods(_create_ctor_QPolygonF_0_0 ()) +
  gsi::Methods(_create_ctor_QPolygonF_2540_0 ()) +
  gsi::Methods(_create_ctor_QPolygonF_2816_0 ()) +
  gsi::Methods(_create_ctor_QPolygonF_2886_0 ()) +
  gsi::Methods(_create_ctor_QPolygonF_4788_0 ()) +
  gsi::Methods(_create_ctor_QPolygonF_767_0 ()) +
  gsi::Methods(_create_f_boundingRect_c0_0 ()) +
  gsi::Methods(_create_f_containsPoint_c4685_0 ()) +
  gsi::Methods(_create_f_intersected_c2886_0 ()) +
  gsi::Methods(_create_f_isClosed_c0_0 ()) +
  gsi::Methods(_create_f_subtracted_c2886_0 ()) +
  gsi::Methods(_create_f_toPolygon_c0_0 ()) +
  gsi::Methods(_create_f_translate_2034_0 ()) +
  gsi::Methods(_create_f_translate_2664_0 ()) +
  gsi::Methods(_create_f_translated_c2034_0 ()) +
  gsi::Methods(_create_f_translated_c2664_0 ()) +
  gsi::Methods(_create_f_united_c2886_0 ()),
  "@qt\n@brief Binding of QPolygonF");

