
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QProcess
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQProcess_EventAdaptor
#define _HDR_gsiDeclQProcess_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtCore.h"
#include "gsiDeclQProcess_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QProcess_EventAdaptor

class QProcess_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QProcess_EventAdaptor (QObject *host);

public slots:
  void aboutToClose();
  void bytesWritten(qint64 );
  void destroyed(QObject *);
  void error(QProcess::ProcessError );
  void finished(int , QProcess::ExitStatus );
  void readChannelFinished();
  void readyRead();
  void readyReadStandardError();
  void readyReadStandardOutput();
  void started();
  void stateChanged(QProcess::ProcessState );

public:
  gsi::event<> aboutToClose_e_0;
  gsi::event<qint64> bytesWritten_e_986;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const qt_gsi::Converter<enum QProcess::ProcessError>::target_type &> error_e_2274;
  gsi::event<int, const qt_gsi::Converter<enum QProcess::ExitStatus>::target_type &> finished_e_2730;
  gsi::event<> readChannelFinished_e_0;
  gsi::event<> readyRead_e_0;
  gsi::event<> readyReadStandardError_e_0;
  gsi::event<> readyReadStandardOutput_e_0;
  gsi::event<> started_e_0;
  gsi::event<const qt_gsi::Converter<enum QProcess::ProcessState>::target_type &> stateChanged_e_2265;
};

#endif
