
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQRegion.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQRegion_Enums.h"

// -----------------------------------------------------------------------
// class QRegion

  static void f_QRegion_setRects(QRegion *r, const std::vector<QRect> &rects)
  {
    if (! rects.empty ()) {
      return r->setRects (&rects.front (), int (rects.size ()));
    }
  }

//  Constructor QRegion::QRegion()
static void _init_ctor_QRegion_0_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_0_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_0_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion()\n@args \nThis method creates an object of class QRegion.", &_init_ctor_QRegion_0_0, &_call_ctor_QRegion_0_0);
}

//  Constructor QRegion::QRegion(const QBitmap &bitmap)
static void _init_ctor_QRegion_2677_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QBitmap & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_2677_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QBitmap & arg1 = args.get_value<const class QBitmap & > (gsi::type_traits<const class QBitmap & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_2677_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QBitmap &bitmap)\n@args bitmap\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_2677_0, &_call_ctor_QRegion_2677_0);
}

//  Constructor QRegion::QRegion(const QRegion &region)
static void _init_ctor_QRegion_2684_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_2684_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_2684_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QRegion &region)\n@args region\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_2684_0, &_call_ctor_QRegion_2684_0);
}

//  Constructor QRegion::QRegion(const QRect &r, QRegion::RegionType t)
static void _init_ctor_QRegion_4409_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4409_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4409_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QRect &r, QRegion::RegionType t)\n@args r\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4409_0, &_call_ctor_QRegion_4409_0);
}

//  Constructor QRegion::QRegion(const QRect &r, QRegion::RegionType t)
static void _init_ctor_QRegion_4409_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->add_arg<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4409_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  const qt_gsi::Converter<enum QRegion::RegionType>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1, qt_gsi::QtToCppAdaptor<enum QRegion::RegionType>(arg2).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4409_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QRect &r, QRegion::RegionType t)\n@args r, t\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4409_1, &_call_ctor_QRegion_4409_1);
}

//  Constructor QRegion::QRegion(int x, int y, int w, int h, QRegion::RegionType t)
static void _init_ctor_QRegion_4683_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4683_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg4 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1, arg2, arg3, arg4));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4683_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(int x, int y, int w, int h, QRegion::RegionType t)\n@args x, y, w, h\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4683_0, &_call_ctor_QRegion_4683_0);
}

//  Constructor QRegion::QRegion(int x, int y, int w, int h, QRegion::RegionType t)
static void _init_ctor_QRegion_4683_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4683_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg4 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const qt_gsi::Converter<enum QRegion::RegionType>::target_type & arg5 = args.get_value<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QRegion::RegionType>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1, arg2, arg3, arg4, qt_gsi::QtToCppAdaptor<enum QRegion::RegionType>(arg5).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4683_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(int x, int y, int w, int h, QRegion::RegionType t)\n@args x, y, w, h, t\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4683_1, &_call_ctor_QRegion_4683_1);
}

//  Constructor QRegion::QRegion(const QPolygon &pa, Qt::FillRule fillRule)
static void _init_ctor_QRegion_4837_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4837_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4837_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QPolygon &pa, Qt::FillRule fillRule)\n@args pa\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4837_0, &_call_ctor_QRegion_4837_0);
}

//  Constructor QRegion::QRegion(const QPolygon &pa, Qt::FillRule fillRule)
static void _init_ctor_QRegion_4837_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const class QPolygon & > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > ();
  decl->set_return_new<QRegion > ();
}

static void _call_ctor_QRegion_4837_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPolygon & arg1 = args.get_value<const class QPolygon & > (gsi::type_traits<const class QPolygon & >::tag ());
  const qt_gsi::Converter<enum Qt::FillRule>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum Qt::FillRule>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::FillRule>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<QRegion *>::tag (), new QRegion (arg1, qt_gsi::QtToCppAdaptor<enum Qt::FillRule>(arg2).cref ()));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QRegion_4837_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QRegion::QRegion(const QPolygon &pa, Qt::FillRule fillRule)\n@args pa, fillRule\nThis method creates an object of class QRegion.", &_init_ctor_QRegion_4837_1, &_call_ctor_QRegion_4837_1);
}

// QRect QRegion::boundingRect()

static void _init_f_boundingRect_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QRect > ();
}

static void _call_f_boundingRect_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QRect >::tag (), (class QRect)((QRegion *)cls)->boundingRect ());
}

static qt_gsi::GenericMethod *_create_f_boundingRect_c0_0 ()
{
  return new qt_gsi::GenericMethod ("boundingRect", "@brief Method QRect QRegion::boundingRect()\n@args \n", true, &_init_f_boundingRect_c0_0, &_call_f_boundingRect_c0_0);
}

// bool QRegion::contains(const QRect &r)

static void _init_f_contains_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<bool > ();
}

static void _call_f_contains_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->contains (arg1));
}

static qt_gsi::GenericMethod *_create_f_contains_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("contains", "@brief Method bool QRegion::contains(const QRect &r)\n@args r\n", true, &_init_f_contains_c2470_0, &_call_f_contains_c2470_0);
}

// bool QRegion::contains(const QPoint &p)

static void _init_f_contains_c2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<bool > ();
}

static void _call_f_contains_c2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->contains (arg1));
}

static qt_gsi::GenericMethod *_create_f_contains_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("contains", "@brief Method bool QRegion::contains(const QPoint &p)\n@args p\n", true, &_init_f_contains_c2594_0, &_call_f_contains_c2594_0);
}

// QRegion QRegion::eor(const QRegion &r)

static void _init_f_eor_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_eor_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->eor (arg1));
}

static qt_gsi::GenericMethod *_create_f_eor_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("eor", "@brief Method QRegion QRegion::eor(const QRegion &r)\n@args r\n", true, &_init_f_eor_c2684_0, &_call_f_eor_c2684_0);
}

// QRegion QRegion::intersect(const QRect &r)

static void _init_f_intersect_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_intersect_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->intersect (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersect_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("intersect", "@brief Method QRegion QRegion::intersect(const QRect &r)\n@args r\n", true, &_init_f_intersect_c2470_0, &_call_f_intersect_c2470_0);
}

// QRegion QRegion::intersect(const QRegion &r)

static void _init_f_intersect_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_intersect_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->intersect (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersect_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("intersect", "@brief Method QRegion QRegion::intersect(const QRegion &r)\n@args r\n", true, &_init_f_intersect_c2684_0, &_call_f_intersect_c2684_0);
}

// QRegion QRegion::intersected(const QRect &r)

static void _init_f_intersected_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_intersected_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->intersected (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersected_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("intersected", "@brief Method QRegion QRegion::intersected(const QRect &r)\n@args r\n", true, &_init_f_intersected_c2470_0, &_call_f_intersected_c2470_0);
}

// QRegion QRegion::intersected(const QRegion &r)

static void _init_f_intersected_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_intersected_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->intersected (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersected_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("intersected", "@brief Method QRegion QRegion::intersected(const QRegion &r)\n@args r\n", true, &_init_f_intersected_c2684_0, &_call_f_intersected_c2684_0);
}

// bool QRegion::intersects(const QRect &r)

static void _init_f_intersects_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<bool > ();
}

static void _call_f_intersects_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->intersects (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersects_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("intersects", "@brief Method bool QRegion::intersects(const QRect &r)\n@args r\n", true, &_init_f_intersects_c2470_0, &_call_f_intersects_c2470_0);
}

// bool QRegion::intersects(const QRegion &r)

static void _init_f_intersects_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<bool > ();
}

static void _call_f_intersects_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->intersects (arg1));
}

static qt_gsi::GenericMethod *_create_f_intersects_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("intersects", "@brief Method bool QRegion::intersects(const QRegion &r)\n@args r\n", true, &_init_f_intersects_c2684_0, &_call_f_intersects_c2684_0);
}

// bool QRegion::isEmpty()

static void _init_f_isEmpty_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isEmpty_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->isEmpty ());
}

static qt_gsi::GenericMethod *_create_f_isEmpty_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isEmpty|isEmpty?", "@brief Method bool QRegion::isEmpty()\n@args \n", true, &_init_f_isEmpty_c0_0, &_call_f_isEmpty_c0_0);
}

// int QRegion::numRects()

static void _init_f_numRects_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_numRects_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QRegion *)cls)->numRects ());
}

static qt_gsi::GenericMethod *_create_f_numRects_c0_0 ()
{
  return new qt_gsi::GenericMethod ("numRects", "@brief Method int QRegion::numRects()\n@args \n", true, &_init_f_numRects_c0_0, &_call_f_numRects_c0_0);
}

// bool QRegion::operator!=(const QRegion &r)

static void _init_f_operator_excl__eq__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<bool > ();
}

static void _call_f_operator_excl__eq__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->operator!= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_excl__eq__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("!=", "@brief Method bool QRegion::operator!=(const QRegion &r)\n@args r\n", true, &_init_f_operator_excl__eq__c2684_0, &_call_f_operator_excl__eq__c2684_0);
}

// const QRegion QRegion::operator&(const QRect &r)

static void _init_f_operator_amp__c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_amp__c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator& (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_amp__c2470_0 ()
{
  return new qt_gsi::GenericMethod ("&", "@brief Method const QRegion QRegion::operator&(const QRect &r)\n@args r\n", true, &_init_f_operator_amp__c2470_0, &_call_f_operator_amp__c2470_0);
}

// const QRegion QRegion::operator&(const QRegion &r)

static void _init_f_operator_amp__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_amp__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator& (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_amp__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("&", "@brief Method const QRegion QRegion::operator&(const QRegion &r)\n@args r\n", true, &_init_f_operator_amp__c2684_0, &_call_f_operator_amp__c2684_0);
}

// QRegion & QRegion::operator&=(const QRect &r)

static void _init_f_operator_amp__eq__2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_amp__eq__2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator&= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_amp__eq__2470_0 ()
{
  return new qt_gsi::GenericMethod ("&=", "@brief Method QRegion & QRegion::operator&=(const QRect &r)\n@args r\n", false, &_init_f_operator_amp__eq__2470_0, &_call_f_operator_amp__eq__2470_0);
}

// QRegion & QRegion::operator&=(const QRegion &r)

static void _init_f_operator_amp__eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_amp__eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator&= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_amp__eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("&=", "@brief Method QRegion & QRegion::operator&=(const QRegion &r)\n@args r\n", false, &_init_f_operator_amp__eq__2684_0, &_call_f_operator_amp__eq__2684_0);
}

// const QRegion QRegion::operator+(const QRect &r)

static void _init_f_operator_plus__c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_plus__c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator+ (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_plus__c2470_0 ()
{
  return new qt_gsi::GenericMethod ("+", "@brief Method const QRegion QRegion::operator+(const QRect &r)\n@args r\n", true, &_init_f_operator_plus__c2470_0, &_call_f_operator_plus__c2470_0);
}

// const QRegion QRegion::operator+(const QRegion &r)

static void _init_f_operator_plus__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_plus__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator+ (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_plus__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("+", "@brief Method const QRegion QRegion::operator+(const QRegion &r)\n@args r\n", true, &_init_f_operator_plus__c2684_0, &_call_f_operator_plus__c2684_0);
}

// QRegion & QRegion::operator+=(const QRect &r)

static void _init_f_operator_plus__eq__2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_plus__eq__2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator+= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_plus__eq__2470_0 ()
{
  return new qt_gsi::GenericMethod ("+=", "@brief Method QRegion & QRegion::operator+=(const QRect &r)\n@args r\n", false, &_init_f_operator_plus__eq__2470_0, &_call_f_operator_plus__eq__2470_0);
}

// QRegion & QRegion::operator+=(const QRegion &r)

static void _init_f_operator_plus__eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_plus__eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator+= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_plus__eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("+=", "@brief Method QRegion & QRegion::operator+=(const QRegion &r)\n@args r\n", false, &_init_f_operator_plus__eq__2684_0, &_call_f_operator_plus__eq__2684_0);
}

// const QRegion QRegion::operator-(const QRegion &r)

static void _init_f_operator_minus__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_minus__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator- (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_minus__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("-", "@brief Method const QRegion QRegion::operator-(const QRegion &r)\n@args r\n", true, &_init_f_operator_minus__c2684_0, &_call_f_operator_minus__c2684_0);
}

// QRegion & QRegion::operator-=(const QRegion &r)

static void _init_f_operator_minus__eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_minus__eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator-= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_minus__eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("-=", "@brief Method QRegion & QRegion::operator-=(const QRegion &r)\n@args r\n", false, &_init_f_operator_minus__eq__2684_0, &_call_f_operator_minus__eq__2684_0);
}

// QRegion & QRegion::operator=(const QRegion &)

static void _init_f_operator_eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("assign", "@brief Method QRegion & QRegion::operator=(const QRegion &)\n@args arg1\n", false, &_init_f_operator_eq__2684_0, &_call_f_operator_eq__2684_0);
}

// bool QRegion::operator==(const QRegion &r)

static void _init_f_operator_eq__eq__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<bool > ();
}

static void _call_f_operator_eq__eq__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QRegion *)cls)->operator== (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_eq__eq__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("==", "@brief Method bool QRegion::operator==(const QRegion &r)\n@args r\n", true, &_init_f_operator_eq__eq__c2684_0, &_call_f_operator_eq__eq__c2684_0);
}

// const QRegion QRegion::operator^(const QRegion &r)

static void _init_f_operator_acute__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_acute__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator^ (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_acute__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("^", "@brief Method const QRegion QRegion::operator^(const QRegion &r)\n@args r\n", true, &_init_f_operator_acute__c2684_0, &_call_f_operator_acute__c2684_0);
}

// QRegion & QRegion::operator^=(const QRegion &r)

static void _init_f_operator_acute__eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_acute__eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator^= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_acute__eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("^=", "@brief Method QRegion & QRegion::operator^=(const QRegion &r)\n@args r\n", false, &_init_f_operator_acute__eq__2684_0, &_call_f_operator_acute__eq__2684_0);
}

// const QRegion QRegion::operator|(const QRegion &r)

static void _init_f_operator_pipe__c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<const class QRegion > ();
}

static void _call_f_operator_pipe__c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<const class QRegion >::tag (), (const class QRegion)((QRegion *)cls)->operator| (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_pipe__c2684_0 ()
{
  return new qt_gsi::GenericMethod ("|", "@brief Method const QRegion QRegion::operator|(const QRegion &r)\n@args r\n", true, &_init_f_operator_pipe__c2684_0, &_call_f_operator_pipe__c2684_0);
}

// QRegion & QRegion::operator|=(const QRegion &r)

static void _init_f_operator_pipe__eq__2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion & > ();
}

static void _call_f_operator_pipe__eq__2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion & >::tag (), (class QRegion &)((QRegion *)cls)->operator|= (arg1));
}

static qt_gsi::GenericMethod *_create_f_operator_pipe__eq__2684_0 ()
{
  return new qt_gsi::GenericMethod ("|=", "@brief Method QRegion & QRegion::operator|=(const QRegion &r)\n@args r\n", false, &_init_f_operator_pipe__eq__2684_0, &_call_f_operator_pipe__eq__2684_0);
}

// int QRegion::rectCount()

static void _init_f_rectCount_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_rectCount_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QRegion *)cls)->rectCount ());
}

static qt_gsi::GenericMethod *_create_f_rectCount_c0_0 ()
{
  return new qt_gsi::GenericMethod ("rectCount", "@brief Method int QRegion::rectCount()\n@args \n", true, &_init_f_rectCount_c0_0, &_call_f_rectCount_c0_0);
}

// QVector<class QRect> QRegion::rects()

static void _init_f_rects_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QVector<class QRect> >::target_type > ();
}

static void _call_f_rects_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QVector<class QRect> >::target_type >::tag (), (qt_gsi::Converter<class QVector<class QRect> >::target_type)qt_gsi::CppToQtAdaptor<class QVector<class QRect> >(((QRegion *)cls)->rects ()));
}

static qt_gsi::GenericMethod *_create_f_rects_c0_0 ()
{
  return new qt_gsi::GenericMethod ("rects", "@brief Method QVector<class QRect> QRegion::rects()\n@args \n", true, &_init_f_rects_c0_0, &_call_f_rects_c0_0);
}

// QRegion QRegion::subtract(const QRegion &r)

static void _init_f_subtract_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_subtract_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->subtract (arg1));
}

static qt_gsi::GenericMethod *_create_f_subtract_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("subtract", "@brief Method QRegion QRegion::subtract(const QRegion &r)\n@args r\n", true, &_init_f_subtract_c2684_0, &_call_f_subtract_c2684_0);
}

// QRegion QRegion::subtracted(const QRegion &r)

static void _init_f_subtracted_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_subtracted_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->subtracted (arg1));
}

static qt_gsi::GenericMethod *_create_f_subtracted_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("subtracted", "@brief Method QRegion QRegion::subtracted(const QRegion &r)\n@args r\n", true, &_init_f_subtracted_c2684_0, &_call_f_subtracted_c2684_0);
}

// void QRegion::translate(int dx, int dy)

static void _init_f_translate_1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_translate_1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QRegion *)cls)->translate (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_translate_1426_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QRegion::translate(int dx, int dy)\n@args dx, dy\n", false, &_init_f_translate_1426_0, &_call_f_translate_1426_0);
}

// void QRegion::translate(const QPoint &p)

static void _init_f_translate_2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<void > ();
}

static void _call_f_translate_2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ((QRegion *)cls)->translate (arg1);
}

static qt_gsi::GenericMethod *_create_f_translate_2594_0 ()
{
  return new qt_gsi::GenericMethod ("translate", "@brief Method void QRegion::translate(const QPoint &p)\n@args p\n", false, &_init_f_translate_2594_0, &_call_f_translate_2594_0);
}

// QRegion QRegion::translated(int dx, int dy)

static void _init_f_translated_c1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_translated_c1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->translated (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_translated_c1426_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QRegion QRegion::translated(int dx, int dy)\n@args dx, dy\n", true, &_init_f_translated_c1426_0, &_call_f_translated_c1426_0);
}

// QRegion QRegion::translated(const QPoint &p)

static void _init_f_translated_c2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_translated_c2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->translated (arg1));
}

static qt_gsi::GenericMethod *_create_f_translated_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("translated", "@brief Method QRegion QRegion::translated(const QPoint &p)\n@args p\n", true, &_init_f_translated_c2594_0, &_call_f_translated_c2594_0);
}

// QRegion QRegion::unite(const QRect &r)

static void _init_f_unite_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_unite_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->unite (arg1));
}

static qt_gsi::GenericMethod *_create_f_unite_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("unite", "@brief Method QRegion QRegion::unite(const QRect &r)\n@args r\n", true, &_init_f_unite_c2470_0, &_call_f_unite_c2470_0);
}

// QRegion QRegion::unite(const QRegion &r)

static void _init_f_unite_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_unite_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->unite (arg1));
}

static qt_gsi::GenericMethod *_create_f_unite_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("unite", "@brief Method QRegion QRegion::unite(const QRegion &r)\n@args r\n", true, &_init_f_unite_c2684_0, &_call_f_unite_c2684_0);
}

// QRegion QRegion::united(const QRect &r)

static void _init_f_united_c2470_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_united_c2470_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->united (arg1));
}

static qt_gsi::GenericMethod *_create_f_united_c2470_0 ()
{
  return new qt_gsi::GenericMethod ("united", "@brief Method QRegion QRegion::united(const QRect &r)\n@args r\n", true, &_init_f_united_c2470_0, &_call_f_united_c2470_0);
}

// QRegion QRegion::united(const QRegion &r)

static void _init_f_united_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_united_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->united (arg1));
}

static qt_gsi::GenericMethod *_create_f_united_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("united", "@brief Method QRegion QRegion::united(const QRegion &r)\n@args r\n", true, &_init_f_united_c2684_0, &_call_f_united_c2684_0);
}

// QRegion QRegion::xored(const QRegion &r)

static void _init_f_xored_c2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<class QRegion > ();
}

static void _call_f_xored_c2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QRegion *)cls)->xored (arg1));
}

static qt_gsi::GenericMethod *_create_f_xored_c2684_0 ()
{
  return new qt_gsi::GenericMethod ("xored", "@brief Method QRegion QRegion::xored(const QRegion &r)\n@args r\n", true, &_init_f_xored_c2684_0, &_call_f_xored_c2684_0);
}

//  enum QRegion::Ellipse
static qt_gsi::QRegion_RegionType_Enum c_QRegion_Ellipse() {
  return qt_gsi::QRegion_RegionType_Enum (QRegion::Ellipse);
}

//  enum QRegion::Rectangle
static qt_gsi::QRegion_RegionType_Enum c_QRegion_Rectangle() {
  return qt_gsi::QRegion_RegionType_Enum (QRegion::Rectangle);
}

template <>
gsi::Class<QRegion> gsi::Class<QRegion>::decl ("QRegion",
    method_ext("setRects", &f_QRegion_setRects, "@brief Adaption of setRects without pointer.")
 +
  gsi::Methods(_create_ctor_QRegion_0_0 ()) +
  gsi::Methods(_create_ctor_QRegion_2677_0 ()) +
  gsi::Methods(_create_ctor_QRegion_2684_0 ()) +
  gsi::Methods(_create_ctor_QRegion_4409_0 ()) +
  gsi::Methods(_create_ctor_QRegion_4409_1 ()) +
  gsi::Methods(_create_ctor_QRegion_4683_0 ()) +
  gsi::Methods(_create_ctor_QRegion_4683_1 ()) +
  gsi::Methods(_create_ctor_QRegion_4837_0 ()) +
  gsi::Methods(_create_ctor_QRegion_4837_1 ()) +
  gsi::Methods(_create_f_boundingRect_c0_0 ()) +
  gsi::Methods(_create_f_contains_c2470_0 ()) +
  gsi::Methods(_create_f_contains_c2594_0 ()) +
  gsi::Methods(_create_f_eor_c2684_0 ()) +
  gsi::Methods(_create_f_intersect_c2470_0 ()) +
  gsi::Methods(_create_f_intersect_c2684_0 ()) +
  gsi::Methods(_create_f_intersected_c2470_0 ()) +
  gsi::Methods(_create_f_intersected_c2684_0 ()) +
  gsi::Methods(_create_f_intersects_c2470_0 ()) +
  gsi::Methods(_create_f_intersects_c2684_0 ()) +
  gsi::Methods(_create_f_isEmpty_c0_0 ()) +
  gsi::Methods(_create_f_numRects_c0_0 ()) +
  gsi::Methods(_create_f_operator_excl__eq__c2684_0 ()) +
  gsi::Methods(_create_f_operator_amp__c2470_0 ()) +
  gsi::Methods(_create_f_operator_amp__c2684_0 ()) +
  gsi::Methods(_create_f_operator_amp__eq__2470_0 ()) +
  gsi::Methods(_create_f_operator_amp__eq__2684_0 ()) +
  gsi::Methods(_create_f_operator_plus__c2470_0 ()) +
  gsi::Methods(_create_f_operator_plus__c2684_0 ()) +
  gsi::Methods(_create_f_operator_plus__eq__2470_0 ()) +
  gsi::Methods(_create_f_operator_plus__eq__2684_0 ()) +
  gsi::Methods(_create_f_operator_minus__c2684_0 ()) +
  gsi::Methods(_create_f_operator_minus__eq__2684_0 ()) +
  gsi::Methods(_create_f_operator_eq__2684_0 ()) +
  gsi::Methods(_create_f_operator_eq__eq__c2684_0 ()) +
  gsi::Methods(_create_f_operator_acute__c2684_0 ()) +
  gsi::Methods(_create_f_operator_acute__eq__2684_0 ()) +
  gsi::Methods(_create_f_operator_pipe__c2684_0 ()) +
  gsi::Methods(_create_f_operator_pipe__eq__2684_0 ()) +
  gsi::Methods(_create_f_rectCount_c0_0 ()) +
  gsi::Methods(_create_f_rects_c0_0 ()) +
  gsi::Methods(_create_f_subtract_c2684_0 ()) +
  gsi::Methods(_create_f_subtracted_c2684_0 ()) +
  gsi::Methods(_create_f_translate_1426_0 ()) +
  gsi::Methods(_create_f_translate_2594_0 ()) +
  gsi::Methods(_create_f_translated_c1426_0 ()) +
  gsi::Methods(_create_f_translated_c2594_0 ()) +
  gsi::Methods(_create_f_unite_c2470_0 ()) +
  gsi::Methods(_create_f_unite_c2684_0 ()) +
  gsi::Methods(_create_f_united_c2470_0 ()) +
  gsi::Methods(_create_f_united_c2684_0 ()) +
  gsi::Methods(_create_f_xored_c2684_0 ()) +
  gsi::method("Ellipse", &::c_QRegion_Ellipse, "@brief Enum constant enum QRegion::Ellipse") +
  gsi::method("Rectangle", &::c_QRegion_Rectangle, "@brief Enum constant enum QRegion::Rectangle"),
  "@qt\n@brief Binding of QRegion");


//  Implementation of the enum wrapper class for QRegion::RegionType
namespace qt_gsi
{

static QRegion_RegionType_Enum *c_1_QRegion_RegionType_Enum () { return new QRegion_RegionType_Enum (QRegion::Rectangle); }
static QRegion_RegionType_Enum *c_2_QRegion_RegionType_Enum () { return new QRegion_RegionType_Enum (QRegion::Ellipse); }

static std::string to_s_QRegion_RegionType_Enum (const QRegion_RegionType_Enum *e)
{
  if (e->value () == QRegion::Rectangle) { return tl::sprintf ("Rectangle (%u)", (unsigned int) e->value ()); }
  if (e->value () == QRegion::Ellipse) { return tl::sprintf ("Ellipse (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QRegion_RegionType_Enum (const QRegion_RegionType_Enum *e)
{
  return (unsigned int) e->value ();
}

static QRegion_RegionType_Enum *from_i_QRegion_RegionType_Enum (unsigned int i)
{
  return new QRegion_RegionType_Enum ((QRegion::RegionType) i);
}

static bool equalQRegion_RegionType_Enum (const QRegion_RegionType_Enum *e, QRegion_RegionType_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QRegion_RegionType_Enum (const QRegion_RegionType_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QRegion_RegionType_Enum> gsi::Class<qt_gsi::QRegion_RegionType_Enum>::decl ("QRegion_RegionType",
  gsi::constructor<qt_gsi::QRegion_RegionType_Enum> ("Rectangle", &qt_gsi::c_1_QRegion_RegionType_Enum, "@brief Enum constant QRegion::Rectangle") +
  gsi::constructor<qt_gsi::QRegion_RegionType_Enum> ("Ellipse", &qt_gsi::c_2_QRegion_RegionType_Enum, "@brief Enum constant QRegion::Ellipse") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QRegion_RegionType_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QRegion_RegionType_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQRegion_RegionType_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QRegion_RegionType_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QRegion_RegionType_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QRegion::RegionType enum");

