
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQSql.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtSql.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQSql_Enums.h"

// -----------------------------------------------------------------------
// namespace QSql

template <>
gsi::Class<QSql_Namespace> gsi::Class<QSql_Namespace>::decl ("QSql",
  Methods (),
  "@qt\n@brief This class represents the QSql namespace");


//  Implementation of the enum wrapper class for QSql::NumericalPrecisionPolicy
namespace qt_gsi
{

static QSql_NumericalPrecisionPolicy_Enum *c_1_QSql_NumericalPrecisionPolicy_Enum () { return new QSql_NumericalPrecisionPolicy_Enum (QSql::LowPrecisionInt32); }
static QSql_NumericalPrecisionPolicy_Enum *c_2_QSql_NumericalPrecisionPolicy_Enum () { return new QSql_NumericalPrecisionPolicy_Enum (QSql::LowPrecisionInt64); }
static QSql_NumericalPrecisionPolicy_Enum *c_3_QSql_NumericalPrecisionPolicy_Enum () { return new QSql_NumericalPrecisionPolicy_Enum (QSql::LowPrecisionDouble); }
static QSql_NumericalPrecisionPolicy_Enum *c_4_QSql_NumericalPrecisionPolicy_Enum () { return new QSql_NumericalPrecisionPolicy_Enum (QSql::HighPrecision); }

static std::string to_s_QSql_NumericalPrecisionPolicy_Enum (const QSql_NumericalPrecisionPolicy_Enum *e)
{
  if (e->value () == QSql::LowPrecisionInt32) { return tl::sprintf ("LowPrecisionInt32 (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::LowPrecisionInt64) { return tl::sprintf ("LowPrecisionInt64 (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::LowPrecisionDouble) { return tl::sprintf ("LowPrecisionDouble (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::HighPrecision) { return tl::sprintf ("HighPrecision (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSql_NumericalPrecisionPolicy_Enum (const QSql_NumericalPrecisionPolicy_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSql_NumericalPrecisionPolicy_Enum *from_i_QSql_NumericalPrecisionPolicy_Enum (unsigned int i)
{
  return new QSql_NumericalPrecisionPolicy_Enum ((QSql::NumericalPrecisionPolicy) i);
}

static bool equalQSql_NumericalPrecisionPolicy_Enum (const QSql_NumericalPrecisionPolicy_Enum *e, QSql_NumericalPrecisionPolicy_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSql_NumericalPrecisionPolicy_Enum (const QSql_NumericalPrecisionPolicy_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSql_NumericalPrecisionPolicy_Enum> gsi::Class<qt_gsi::QSql_NumericalPrecisionPolicy_Enum>::decl ("QSql_NumericalPrecisionPolicy",
  gsi::constructor<qt_gsi::QSql_NumericalPrecisionPolicy_Enum> ("LowPrecisionInt32", &qt_gsi::c_1_QSql_NumericalPrecisionPolicy_Enum, "@brief Enum constant QSql::LowPrecisionInt32") +
  gsi::constructor<qt_gsi::QSql_NumericalPrecisionPolicy_Enum> ("LowPrecisionInt64", &qt_gsi::c_2_QSql_NumericalPrecisionPolicy_Enum, "@brief Enum constant QSql::LowPrecisionInt64") +
  gsi::constructor<qt_gsi::QSql_NumericalPrecisionPolicy_Enum> ("LowPrecisionDouble", &qt_gsi::c_3_QSql_NumericalPrecisionPolicy_Enum, "@brief Enum constant QSql::LowPrecisionDouble") +
  gsi::constructor<qt_gsi::QSql_NumericalPrecisionPolicy_Enum> ("HighPrecision", &qt_gsi::c_4_QSql_NumericalPrecisionPolicy_Enum, "@brief Enum constant QSql::HighPrecision") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSql_NumericalPrecisionPolicy_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSql_NumericalPrecisionPolicy_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSql_NumericalPrecisionPolicy_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSql_NumericalPrecisionPolicy_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSql_NumericalPrecisionPolicy_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSql::NumericalPrecisionPolicy enum");


//  Implementation of the enum wrapper class for QSql::TableType
namespace qt_gsi
{

static QSql_TableType_Enum *c_1_QSql_TableType_Enum () { return new QSql_TableType_Enum (QSql::Tables); }
static QSql_TableType_Enum *c_2_QSql_TableType_Enum () { return new QSql_TableType_Enum (QSql::SystemTables); }
static QSql_TableType_Enum *c_3_QSql_TableType_Enum () { return new QSql_TableType_Enum (QSql::Views); }
static QSql_TableType_Enum *c_4_QSql_TableType_Enum () { return new QSql_TableType_Enum (QSql::AllTables); }

static std::string to_s_QSql_TableType_Enum (const QSql_TableType_Enum *e)
{
  if (e->value () == QSql::Tables) { return tl::sprintf ("Tables (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::SystemTables) { return tl::sprintf ("SystemTables (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::Views) { return tl::sprintf ("Views (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::AllTables) { return tl::sprintf ("AllTables (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSql_TableType_Enum (const QSql_TableType_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSql_TableType_Enum *from_i_QSql_TableType_Enum (unsigned int i)
{
  return new QSql_TableType_Enum ((QSql::TableType) i);
}

static bool equalQSql_TableType_Enum (const QSql_TableType_Enum *e, QSql_TableType_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSql_TableType_Enum (const QSql_TableType_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSql_TableType_Enum> gsi::Class<qt_gsi::QSql_TableType_Enum>::decl ("QSql_TableType",
  gsi::constructor<qt_gsi::QSql_TableType_Enum> ("Tables", &qt_gsi::c_1_QSql_TableType_Enum, "@brief Enum constant QSql::Tables") +
  gsi::constructor<qt_gsi::QSql_TableType_Enum> ("SystemTables", &qt_gsi::c_2_QSql_TableType_Enum, "@brief Enum constant QSql::SystemTables") +
  gsi::constructor<qt_gsi::QSql_TableType_Enum> ("Views", &qt_gsi::c_3_QSql_TableType_Enum, "@brief Enum constant QSql::Views") +
  gsi::constructor<qt_gsi::QSql_TableType_Enum> ("AllTables", &qt_gsi::c_4_QSql_TableType_Enum, "@brief Enum constant QSql::AllTables") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSql_TableType_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSql_TableType_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSql_TableType_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSql_TableType_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSql_TableType_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSql::TableType enum");


//  Implementation of the enum wrapper class for QSql::ParamTypeFlag
namespace qt_gsi
{

static QSql_ParamTypeFlag_Enum *c_1_QSql_ParamTypeFlag_Enum () { return new QSql_ParamTypeFlag_Enum (QSql::In); }
static QSql_ParamTypeFlag_Enum *c_2_QSql_ParamTypeFlag_Enum () { return new QSql_ParamTypeFlag_Enum (QSql::Out); }
static QSql_ParamTypeFlag_Enum *c_3_QSql_ParamTypeFlag_Enum () { return new QSql_ParamTypeFlag_Enum (QSql::InOut); }
static QSql_ParamTypeFlag_Enum *c_4_QSql_ParamTypeFlag_Enum () { return new QSql_ParamTypeFlag_Enum (QSql::Binary); }

static std::string to_s_QSql_ParamTypeFlag_Enum (const QSql_ParamTypeFlag_Enum *e)
{
  if (e->value () == QSql::In) { return tl::sprintf ("In (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::Out) { return tl::sprintf ("Out (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::InOut) { return tl::sprintf ("InOut (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSql::Binary) { return tl::sprintf ("Binary (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSql_ParamTypeFlag_Enum (const QSql_ParamTypeFlag_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSql_ParamTypeFlag_Enum *from_i_QSql_ParamTypeFlag_Enum (unsigned int i)
{
  return new QSql_ParamTypeFlag_Enum ((QSql::ParamTypeFlag) i);
}

static bool equalQSql_ParamTypeFlag_Enum (const QSql_ParamTypeFlag_Enum *e, QSql_ParamTypeFlag_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSql_ParamTypeFlag_Enum (const QSql_ParamTypeFlag_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSql_ParamTypeFlag_Enum> gsi::Class<qt_gsi::QSql_ParamTypeFlag_Enum>::decl ("QSql_ParamTypeFlag",
  gsi::constructor<qt_gsi::QSql_ParamTypeFlag_Enum> ("In", &qt_gsi::c_1_QSql_ParamTypeFlag_Enum, "@brief Enum constant QSql::In") +
  gsi::constructor<qt_gsi::QSql_ParamTypeFlag_Enum> ("Out", &qt_gsi::c_2_QSql_ParamTypeFlag_Enum, "@brief Enum constant QSql::Out") +
  gsi::constructor<qt_gsi::QSql_ParamTypeFlag_Enum> ("InOut", &qt_gsi::c_3_QSql_ParamTypeFlag_Enum, "@brief Enum constant QSql::InOut") +
  gsi::constructor<qt_gsi::QSql_ParamTypeFlag_Enum> ("Binary", &qt_gsi::c_4_QSql_ParamTypeFlag_Enum, "@brief Enum constant QSql::Binary") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSql_ParamTypeFlag_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSql_ParamTypeFlag_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSql_ParamTypeFlag_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSql_ParamTypeFlag_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSql_ParamTypeFlag_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSql::ParamTypeFlag enum");

