
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QSqlTableModel 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtSql.h"
#include "gsiDeclQSqlTableModel_EventAdaptor.h"

// -----------------------------------------------------------------------
// class QSqlTableModel_EventAdaptor

QSqlTableModel_EventAdaptor::QSqlTableModel_EventAdaptor (QObject *host)
  : QObject ()
{
  connect (host, SIGNAL(beforeDelete(int)), this, SLOT(beforeDelete(int )));
  connect (host, SIGNAL(beforeInsert(QSqlRecord&)), this, SLOT(beforeInsert(QSqlRecord &)));
  connect (host, SIGNAL(beforeUpdate(int, QSqlRecord&)), this, SLOT(beforeUpdate(int , QSqlRecord &)));
  connect (host, SIGNAL(dataChanged(QModelIndex, QModelIndex)), this, SLOT(dataChanged(const QModelIndex &, const QModelIndex &)));
  connect (host, SIGNAL(destroyed(QObject*)), this, SLOT(destroyed(QObject *)));
  connect (host, SIGNAL(headerDataChanged(Qt::Orientation, int, int)), this, SLOT(headerDataChanged(Qt::Orientation , int , int )));
  connect (host, SIGNAL(layoutAboutToBeChanged()), this, SLOT(layoutAboutToBeChanged()));
  connect (host, SIGNAL(layoutChanged()), this, SLOT(layoutChanged()));
  connect (host, SIGNAL(primeInsert(int, QSqlRecord&)), this, SLOT(primeInsert(int , QSqlRecord &)));
}

//  Event QSqlTableModel::beforeDelete(int row)
void QSqlTableModel_EventAdaptor::beforeDelete(int row) {
BEGIN_PROTECTED
  beforeDelete_e_767 (row);
END_PROTECTED
}

//  Event QSqlTableModel::beforeInsert(QSqlRecord &record)
void QSqlTableModel_EventAdaptor::beforeInsert(QSqlRecord &record) {
BEGIN_PROTECTED
  beforeInsert_e_2288 (record);
END_PROTECTED
}

//  Event QSqlTableModel::beforeUpdate(int row, QSqlRecord &record)
void QSqlTableModel_EventAdaptor::beforeUpdate(int row, QSqlRecord &record) {
BEGIN_PROTECTED
  beforeUpdate_e_2947 (row, record);
END_PROTECTED
}

//  Event QSqlTableModel::dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight)
void QSqlTableModel_EventAdaptor::dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight) {
BEGIN_PROTECTED
  dataChanged_e_6038 (topLeft, bottomRight);
END_PROTECTED
}

//  Event QSqlTableModel::destroyed(QObject *)
void QSqlTableModel_EventAdaptor::destroyed(QObject *arg1) {
BEGIN_PROTECTED
  destroyed_e_1980 (arg1);
END_PROTECTED
}

//  Event QSqlTableModel::headerDataChanged(Qt::Orientation orientation, int first, int last)
void QSqlTableModel_EventAdaptor::headerDataChanged(Qt::Orientation orientation, int first, int last) {
BEGIN_PROTECTED
  headerDataChanged_e_3812 (qt_gsi::CppToQtAdaptor<enum Qt::Orientation>(orientation), first, last);
END_PROTECTED
}

//  Event QSqlTableModel::layoutAboutToBeChanged()
void QSqlTableModel_EventAdaptor::layoutAboutToBeChanged() {
BEGIN_PROTECTED
  layoutAboutToBeChanged_e_0 ();
END_PROTECTED
}

//  Event QSqlTableModel::layoutChanged()
void QSqlTableModel_EventAdaptor::layoutChanged() {
BEGIN_PROTECTED
  layoutChanged_e_0 ();
END_PROTECTED
}

//  Event QSqlTableModel::primeInsert(int row, QSqlRecord &record)
void QSqlTableModel_EventAdaptor::primeInsert(int row, QSqlRecord &record) {
BEGIN_PROTECTED
  primeInsert_e_2947 (row, record);
END_PROTECTED
}


