
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQSsl.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtNetwork.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQSsl_Enums.h"

// -----------------------------------------------------------------------
// namespace QSsl

//  enum QSsl::AnyProtocol
static qt_gsi::QSsl_SslProtocol_Enum c_QSsl_AnyProtocol() {
  return qt_gsi::QSsl_SslProtocol_Enum (QSsl::AnyProtocol);
}

//  enum QSsl::Der
static qt_gsi::QSsl_EncodingFormat_Enum c_QSsl_Der() {
  return qt_gsi::QSsl_EncodingFormat_Enum (QSsl::Der);
}

//  enum QSsl::Dsa
static qt_gsi::QSsl_KeyAlgorithm_Enum c_QSsl_Dsa() {
  return qt_gsi::QSsl_KeyAlgorithm_Enum (QSsl::Dsa);
}

//  enum QSsl::Pem
static qt_gsi::QSsl_EncodingFormat_Enum c_QSsl_Pem() {
  return qt_gsi::QSsl_EncodingFormat_Enum (QSsl::Pem);
}

//  enum QSsl::PrivateKey
static qt_gsi::QSsl_KeyType_Enum c_QSsl_PrivateKey() {
  return qt_gsi::QSsl_KeyType_Enum (QSsl::PrivateKey);
}

//  enum QSsl::PublicKey
static qt_gsi::QSsl_KeyType_Enum c_QSsl_PublicKey() {
  return qt_gsi::QSsl_KeyType_Enum (QSsl::PublicKey);
}

//  enum QSsl::Rsa
static qt_gsi::QSsl_KeyAlgorithm_Enum c_QSsl_Rsa() {
  return qt_gsi::QSsl_KeyAlgorithm_Enum (QSsl::Rsa);
}

//  enum QSsl::SslV2
static qt_gsi::QSsl_SslProtocol_Enum c_QSsl_SslV2() {
  return qt_gsi::QSsl_SslProtocol_Enum (QSsl::SslV2);
}

//  enum QSsl::SslV3
static qt_gsi::QSsl_SslProtocol_Enum c_QSsl_SslV3() {
  return qt_gsi::QSsl_SslProtocol_Enum (QSsl::SslV3);
}

//  enum QSsl::TlsV1
static qt_gsi::QSsl_SslProtocol_Enum c_QSsl_TlsV1() {
  return qt_gsi::QSsl_SslProtocol_Enum (QSsl::TlsV1);
}

//  enum QSsl::UnknownProtocol
static qt_gsi::QSsl_SslProtocol_Enum c_QSsl_UnknownProtocol() {
  return qt_gsi::QSsl_SslProtocol_Enum (QSsl::UnknownProtocol);
}

template <>
gsi::Class<QSsl_Namespace> gsi::Class<QSsl_Namespace>::decl ("QSsl",
  gsi::method("AnyProtocol", &::c_QSsl_AnyProtocol, "@brief Enum constant enum QSsl::AnyProtocol") +
  gsi::method("Der", &::c_QSsl_Der, "@brief Enum constant enum QSsl::Der") +
  gsi::method("Dsa", &::c_QSsl_Dsa, "@brief Enum constant enum QSsl::Dsa") +
  gsi::method("Pem", &::c_QSsl_Pem, "@brief Enum constant enum QSsl::Pem") +
  gsi::method("PrivateKey", &::c_QSsl_PrivateKey, "@brief Enum constant enum QSsl::PrivateKey") +
  gsi::method("PublicKey", &::c_QSsl_PublicKey, "@brief Enum constant enum QSsl::PublicKey") +
  gsi::method("Rsa", &::c_QSsl_Rsa, "@brief Enum constant enum QSsl::Rsa") +
  gsi::method("SslV2", &::c_QSsl_SslV2, "@brief Enum constant enum QSsl::SslV2") +
  gsi::method("SslV3", &::c_QSsl_SslV3, "@brief Enum constant enum QSsl::SslV3") +
  gsi::method("TlsV1", &::c_QSsl_TlsV1, "@brief Enum constant enum QSsl::TlsV1") +
  gsi::method("UnknownProtocol", &::c_QSsl_UnknownProtocol, "@brief Enum constant enum QSsl::UnknownProtocol"),
  "@qt\n@brief This class represents the QSsl namespace");


//  Implementation of the enum wrapper class for QSsl::EncodingFormat
namespace qt_gsi
{

static QSsl_EncodingFormat_Enum *c_1_QSsl_EncodingFormat_Enum () { return new QSsl_EncodingFormat_Enum (QSsl::Pem); }
static QSsl_EncodingFormat_Enum *c_2_QSsl_EncodingFormat_Enum () { return new QSsl_EncodingFormat_Enum (QSsl::Der); }

static std::string to_s_QSsl_EncodingFormat_Enum (const QSsl_EncodingFormat_Enum *e)
{
  if (e->value () == QSsl::Pem) { return tl::sprintf ("Pem (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::Der) { return tl::sprintf ("Der (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSsl_EncodingFormat_Enum (const QSsl_EncodingFormat_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSsl_EncodingFormat_Enum *from_i_QSsl_EncodingFormat_Enum (unsigned int i)
{
  return new QSsl_EncodingFormat_Enum ((QSsl::EncodingFormat) i);
}

static bool equalQSsl_EncodingFormat_Enum (const QSsl_EncodingFormat_Enum *e, QSsl_EncodingFormat_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSsl_EncodingFormat_Enum (const QSsl_EncodingFormat_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSsl_EncodingFormat_Enum> gsi::Class<qt_gsi::QSsl_EncodingFormat_Enum>::decl ("QSsl_EncodingFormat",
  gsi::constructor<qt_gsi::QSsl_EncodingFormat_Enum> ("Pem", &qt_gsi::c_1_QSsl_EncodingFormat_Enum, "@brief Enum constant QSsl::Pem") +
  gsi::constructor<qt_gsi::QSsl_EncodingFormat_Enum> ("Der", &qt_gsi::c_2_QSsl_EncodingFormat_Enum, "@brief Enum constant QSsl::Der") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSsl_EncodingFormat_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSsl_EncodingFormat_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSsl_EncodingFormat_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSsl_EncodingFormat_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSsl_EncodingFormat_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSsl::EncodingFormat enum");


//  Implementation of the enum wrapper class for QSsl::SslProtocol
namespace qt_gsi
{

static QSsl_SslProtocol_Enum *c_1_QSsl_SslProtocol_Enum () { return new QSsl_SslProtocol_Enum (QSsl::SslV3); }
static QSsl_SslProtocol_Enum *c_2_QSsl_SslProtocol_Enum () { return new QSsl_SslProtocol_Enum (QSsl::SslV2); }
static QSsl_SslProtocol_Enum *c_3_QSsl_SslProtocol_Enum () { return new QSsl_SslProtocol_Enum (QSsl::TlsV1); }
static QSsl_SslProtocol_Enum *c_4_QSsl_SslProtocol_Enum () { return new QSsl_SslProtocol_Enum (QSsl::AnyProtocol); }
static QSsl_SslProtocol_Enum *c_5_QSsl_SslProtocol_Enum () { return new QSsl_SslProtocol_Enum (QSsl::UnknownProtocol); }

static std::string to_s_QSsl_SslProtocol_Enum (const QSsl_SslProtocol_Enum *e)
{
  if (e->value () == QSsl::SslV3) { return tl::sprintf ("SslV3 (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::SslV2) { return tl::sprintf ("SslV2 (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::TlsV1) { return tl::sprintf ("TlsV1 (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::AnyProtocol) { return tl::sprintf ("AnyProtocol (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::UnknownProtocol) { return tl::sprintf ("UnknownProtocol (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSsl_SslProtocol_Enum (const QSsl_SslProtocol_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSsl_SslProtocol_Enum *from_i_QSsl_SslProtocol_Enum (unsigned int i)
{
  return new QSsl_SslProtocol_Enum ((QSsl::SslProtocol) i);
}

static bool equalQSsl_SslProtocol_Enum (const QSsl_SslProtocol_Enum *e, QSsl_SslProtocol_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSsl_SslProtocol_Enum (const QSsl_SslProtocol_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSsl_SslProtocol_Enum> gsi::Class<qt_gsi::QSsl_SslProtocol_Enum>::decl ("QSsl_SslProtocol",
  gsi::constructor<qt_gsi::QSsl_SslProtocol_Enum> ("SslV3", &qt_gsi::c_1_QSsl_SslProtocol_Enum, "@brief Enum constant QSsl::SslV3") +
  gsi::constructor<qt_gsi::QSsl_SslProtocol_Enum> ("SslV2", &qt_gsi::c_2_QSsl_SslProtocol_Enum, "@brief Enum constant QSsl::SslV2") +
  gsi::constructor<qt_gsi::QSsl_SslProtocol_Enum> ("TlsV1", &qt_gsi::c_3_QSsl_SslProtocol_Enum, "@brief Enum constant QSsl::TlsV1") +
  gsi::constructor<qt_gsi::QSsl_SslProtocol_Enum> ("AnyProtocol", &qt_gsi::c_4_QSsl_SslProtocol_Enum, "@brief Enum constant QSsl::AnyProtocol") +
  gsi::constructor<qt_gsi::QSsl_SslProtocol_Enum> ("UnknownProtocol", &qt_gsi::c_5_QSsl_SslProtocol_Enum, "@brief Enum constant QSsl::UnknownProtocol") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSsl_SslProtocol_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSsl_SslProtocol_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSsl_SslProtocol_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSsl_SslProtocol_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSsl_SslProtocol_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSsl::SslProtocol enum");


//  Implementation of the enum wrapper class for QSsl::KeyAlgorithm
namespace qt_gsi
{

static QSsl_KeyAlgorithm_Enum *c_1_QSsl_KeyAlgorithm_Enum () { return new QSsl_KeyAlgorithm_Enum (QSsl::Rsa); }
static QSsl_KeyAlgorithm_Enum *c_2_QSsl_KeyAlgorithm_Enum () { return new QSsl_KeyAlgorithm_Enum (QSsl::Dsa); }

static std::string to_s_QSsl_KeyAlgorithm_Enum (const QSsl_KeyAlgorithm_Enum *e)
{
  if (e->value () == QSsl::Rsa) { return tl::sprintf ("Rsa (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::Dsa) { return tl::sprintf ("Dsa (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSsl_KeyAlgorithm_Enum (const QSsl_KeyAlgorithm_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSsl_KeyAlgorithm_Enum *from_i_QSsl_KeyAlgorithm_Enum (unsigned int i)
{
  return new QSsl_KeyAlgorithm_Enum ((QSsl::KeyAlgorithm) i);
}

static bool equalQSsl_KeyAlgorithm_Enum (const QSsl_KeyAlgorithm_Enum *e, QSsl_KeyAlgorithm_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSsl_KeyAlgorithm_Enum (const QSsl_KeyAlgorithm_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSsl_KeyAlgorithm_Enum> gsi::Class<qt_gsi::QSsl_KeyAlgorithm_Enum>::decl ("QSsl_KeyAlgorithm",
  gsi::constructor<qt_gsi::QSsl_KeyAlgorithm_Enum> ("Rsa", &qt_gsi::c_1_QSsl_KeyAlgorithm_Enum, "@brief Enum constant QSsl::Rsa") +
  gsi::constructor<qt_gsi::QSsl_KeyAlgorithm_Enum> ("Dsa", &qt_gsi::c_2_QSsl_KeyAlgorithm_Enum, "@brief Enum constant QSsl::Dsa") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSsl_KeyAlgorithm_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSsl_KeyAlgorithm_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSsl_KeyAlgorithm_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSsl_KeyAlgorithm_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSsl_KeyAlgorithm_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSsl::KeyAlgorithm enum");


//  Implementation of the enum wrapper class for QSsl::KeyType
namespace qt_gsi
{

static QSsl_KeyType_Enum *c_1_QSsl_KeyType_Enum () { return new QSsl_KeyType_Enum (QSsl::PrivateKey); }
static QSsl_KeyType_Enum *c_2_QSsl_KeyType_Enum () { return new QSsl_KeyType_Enum (QSsl::PublicKey); }

static std::string to_s_QSsl_KeyType_Enum (const QSsl_KeyType_Enum *e)
{
  if (e->value () == QSsl::PrivateKey) { return tl::sprintf ("PrivateKey (%u)", (unsigned int) e->value ()); }
  if (e->value () == QSsl::PublicKey) { return tl::sprintf ("PublicKey (%u)", (unsigned int) e->value ()); }
  return std::string ("(not a valid enum evalue)");
}

static unsigned int to_i_QSsl_KeyType_Enum (const QSsl_KeyType_Enum *e)
{
  return (unsigned int) e->value ();
}

static QSsl_KeyType_Enum *from_i_QSsl_KeyType_Enum (unsigned int i)
{
  return new QSsl_KeyType_Enum ((QSsl::KeyType) i);
}

static bool equalQSsl_KeyType_Enum (const QSsl_KeyType_Enum *e, QSsl_KeyType_Enum d)
{
  return e->value () == d.value ();
}

static bool equal2QSsl_KeyType_Enum (const QSsl_KeyType_Enum *e, unsigned int i)
{
  return (unsigned int) e->value () == i;
}

}

//  Declarations for enum wrapper class
template <>
gsi::Class<qt_gsi::QSsl_KeyType_Enum> gsi::Class<qt_gsi::QSsl_KeyType_Enum>::decl ("QSsl_KeyType",
  gsi::constructor<qt_gsi::QSsl_KeyType_Enum> ("PrivateKey", &qt_gsi::c_1_QSsl_KeyType_Enum, "@brief Enum constant QSsl::PrivateKey") +
  gsi::constructor<qt_gsi::QSsl_KeyType_Enum> ("PublicKey", &qt_gsi::c_2_QSsl_KeyType_Enum, "@brief Enum constant QSsl::PublicKey") +
  gsi::method_ext ("to_s", &qt_gsi::to_s_QSsl_KeyType_Enum, "@brief Converts the enum class to a string") +
  gsi::method_ext ("to_i", &qt_gsi::to_i_QSsl_KeyType_Enum, "@brief Converts the enum class to an integer") +
  gsi::method_ext ("==", &qt_gsi::equalQSsl_KeyType_Enum, "@brief Compares the enum class against an enum of it's own type\n@args other") +
  gsi::method_ext ("==", &qt_gsi::equal2QSsl_KeyType_Enum, "@brief Compares the enum class against an integer\n@args other") +
  gsi::constructor ("new", &qt_gsi::from_i_QSsl_KeyType_Enum, "@brief Creates the enum object from an integer"),
  "@qt\n@brief This class represents the QSsl::KeyType enum");

