
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQStylePlugin.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQStylePlugin_EventAdaptor.h"
#include "gsiDeclQStylePlugin_Enums.h"

// -----------------------------------------------------------------------
// class QStylePlugin

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QStylePlugin::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// QStyle * QStylePlugin::create(const QString &key)

static void _init_f_create_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<class QStyle * > ();
}

static void _call_f_create_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<class QStyle * >::tag (), (class QStyle *)((QStylePlugin *)cls)->create (arg1));
}

static qt_gsi::GenericMethod *_create_f_create_2703_0 ()
{
  return new qt_gsi::GenericMethod ("qt_create", "@brief Method QStyle * QStylePlugin::create(const QString &key)\n@args key\n", false, &_init_f_create_2703_0, &_call_f_create_2703_0);
}

// QStringList QStylePlugin::keys()

static void _init_f_keys_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QStringList>::target_type > ();
}

static void _call_f_keys_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QStringList>::target_type >::tag (), (qt_gsi::Converter<class QStringList>::target_type)qt_gsi::CppToQtAdaptor<class QStringList>(((QStylePlugin *)cls)->keys ()));
}

static qt_gsi::GenericMethod *_create_f_keys_c0_0 ()
{
  return new qt_gsi::GenericMethod ("keys", "@brief Method QStringList QStylePlugin::keys()\n@args \n", true, &_init_f_keys_c0_0, &_call_f_keys_c0_0);
}

// static QString QStylePlugin::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QStylePlugin::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QStylePlugin::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QStylePlugin::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QStylePlugin::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QStylePlugin::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QStylePlugin::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QStylePlugin::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QStylePlugin::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QStylePlugin::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QStylePlugin::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QStylePlugin::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QStylePlugin::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QStylePlugin, QStylePlugin_EventAdaptor> ea_QStylePlugin;

template <>
gsi::Class<QStylePlugin> gsi::Class<QStylePlugin>::decl (ea_QStylePlugin, gsi::Class<QObject>::decl, "QStylePlugin_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_create_2703_0 ()) +
  gsi::Methods(_create_f_keys_c0_0 ()) +
  qt_gsi::qt_signal<QStylePlugin, QStylePlugin_EventAdaptor, class QObject *> ("destroyed", &QStylePlugin_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QStylePlugin::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QStylePlugin");

class KLAYOUT_DLL QStylePlugin_Adaptor : public QStylePlugin, public qt_gsi::QtObjectBase
{
public:

  virtual ~QStylePlugin_Adaptor();

  //  [adaptor ctor] QStylePlugin::QStylePlugin(QObject *parent)
  QStylePlugin_Adaptor() : QStylePlugin()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QStylePlugin::QStylePlugin(QObject *parent)
  QStylePlugin_Adaptor(QObject *parent) : QStylePlugin(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QStylePlugin::receivers(const char *signal)
  int fp_QStylePlugin_receivers_c1731_0 (const char * signal) const {
    return QStylePlugin::receivers(signal);
  }

  //  QObject * QStylePlugin::sender()
  class QObject * fp_QStylePlugin_sender_c0_0 () const {
    return QStylePlugin::sender();
  }

  //  [adaptor impl] QStyle * QStylePlugin::create(const QString &key)
  class QStyle * cbs_create_2703_0(const class QString & key)
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual QStyle * create(const QString &key)
  {
    return gsi::issue<QStylePlugin_Adaptor, class QStyle *, const class QString &>(cb_create_2703_0, &QStylePlugin_Adaptor::cbs_create_2703_0, key);
  }

  //  [adaptor impl] bool QStylePlugin::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QStylePlugin::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QStylePlugin_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QStylePlugin_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QStylePlugin::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QStylePlugin::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QStylePlugin_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QStylePlugin_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] QStringList QStylePlugin::keys()
  qt_gsi::Converter<class QStringList>::target_type cbs_keys_c0_0() const
  {
    throw std::runtime_error("calling abstract method");
  }

  virtual QStringList keys() const
  {
    return qt_gsi::QtToCppAdaptor<class QStringList>(gsi::issue<QStylePlugin_Adaptor, qt_gsi::Converter<class QStringList>::target_type>(cb_keys_c0_0, &QStylePlugin_Adaptor::cbs_keys_c0_0)).cref ();
  }

  //  [adaptor impl] void QStylePlugin::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QStylePlugin::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QStylePlugin_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QStylePlugin_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QStylePlugin::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QStylePlugin::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QStylePlugin_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QStylePlugin_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QStylePlugin::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QStylePlugin::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QStylePlugin_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QStylePlugin_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QStylePlugin::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QStylePlugin::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QStylePlugin_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QStylePlugin_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_create_2703_0;
  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_keys_c0_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QStylePlugin_Adaptor::~QStylePlugin_Adaptor() { }

//  Constructor QStylePlugin::QStylePlugin(QObject *parent) (adaptor class)
static void _init_ctor_QStylePlugin_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QStylePlugin_Adaptor > ();
}

static void _call_ctor_QStylePlugin_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QStylePlugin_Adaptor *>::tag (), new QStylePlugin_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QStylePlugin_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QStylePlugin::QStylePlugin(QObject *parent)\n@args \nThis method creates an object of class QStylePlugin.", &_init_ctor_QStylePlugin_Adaptor_1980_0, &_call_ctor_QStylePlugin_Adaptor_1980_0);
}

//  Constructor QStylePlugin::QStylePlugin(QObject *parent) (adaptor class)
static void _init_ctor_QStylePlugin_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QStylePlugin_Adaptor > ();
}

static void _call_ctor_QStylePlugin_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QStylePlugin_Adaptor *>::tag (), new QStylePlugin_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QStylePlugin_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QStylePlugin::QStylePlugin(QObject *parent)\n@args parent\nThis method creates an object of class QStylePlugin.", &_init_ctor_QStylePlugin_Adaptor_1980_1, &_call_ctor_QStylePlugin_Adaptor_1980_1);
}

// int QStylePlugin::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QStylePlugin_Adaptor *)cls)->fp_QStylePlugin_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QStylePlugin::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QStylePlugin::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QStylePlugin_Adaptor *)cls)->fp_QStylePlugin_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QStylePlugin::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// QStyle * QStylePlugin::create(const QString &key)

static void _init_cbs_create_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<class QStyle * > ();
}

static void _call_cbs_create_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ret.set_value (gsi::type_traits<class QStyle * >::tag (), (class QStyle *)((QStylePlugin_Adaptor *)cls)->cbs_create_2703_0 (arg1));
}

static void _set_callback_cbs_create_2703_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_create_2703_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_create_2703_0 ()
{
  return new qt_gsi::GenericMethod ("qt_create", "@hide", false, &_init_cbs_create_2703_0, &_call_cbs_create_2703_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_create_2703_0 ()
{
  return new qt_gsi::GenericMethod ("qt_create", "@brief Virtual method QStyle * QStylePlugin::create(const QString &key)\n@args key\nThis method can be reimplemented in a derived class.", false, &_init_cbs_create_2703_0, &_call_cbs_create_2703_0, &_set_callback_cbs_create_2703_0);
}


// bool QStylePlugin::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QStylePlugin_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QStylePlugin::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QStylePlugin::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QStylePlugin_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QStylePlugin::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// QStringList QStylePlugin::keys()

static void _init_cbs_keys_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QStringList>::target_type > ();
}

static void _call_cbs_keys_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QStringList>::target_type >::tag (), (qt_gsi::Converter<class QStringList>::target_type)((QStylePlugin_Adaptor *)cls)->cbs_keys_c0_0 ());
}

static void _set_callback_cbs_keys_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_keys_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_keys_c0_0 ()
{
  return new qt_gsi::GenericMethod ("keys", "@hide", true, &_init_cbs_keys_c0_0, &_call_cbs_keys_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_keys_c0_0 ()
{
  return new qt_gsi::GenericMethod ("keys", "@brief Virtual method QStringList QStylePlugin::keys()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_keys_c0_0, &_call_cbs_keys_c0_0, &_set_callback_cbs_keys_c0_0);
}


// void QStylePlugin::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QStylePlugin_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QStylePlugin::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QStylePlugin::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QStylePlugin_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QStylePlugin::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QStylePlugin::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QStylePlugin_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QStylePlugin::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QStylePlugin::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QStylePlugin_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QStylePlugin_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QStylePlugin::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QStylePlugin_Adaptor> gsi::Class<QStylePlugin_Adaptor>::decl (gsi::Class<QStylePlugin>::decl, "QStylePlugin",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_create_2703_0 ()) +
  gsi::Methods (_create_callback_cbs_create_2703_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_keys_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_keys_c0_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QStylePlugin_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QStylePlugin_Adaptor_1980_1 ()),
  "@qt\n@brief Binding of QStylePlugin");

