
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQTimer.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtCore.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQTimer_EventAdaptor.h"
#include "gsiDeclQTimer_Enums.h"

// -----------------------------------------------------------------------
// class QTimer

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QTimer::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// int QTimer::interval()

static void _init_f_interval_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_interval_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QTimer *)cls)->interval ());
}

static qt_gsi::GenericMethod *_create_f_interval_c0_0 ()
{
  return new qt_gsi::GenericMethod ("interval", "@brief Method int QTimer::interval()\n@args \n", true, &_init_f_interval_c0_0, &_call_f_interval_c0_0);
}

// bool QTimer::isActive()

static void _init_f_isActive_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isActive_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QTimer *)cls)->isActive ());
}

static qt_gsi::GenericMethod *_create_f_isActive_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isActive|isActive?", "@brief Method bool QTimer::isActive()\n@args \n", true, &_init_f_isActive_c0_0, &_call_f_isActive_c0_0);
}

// bool QTimer::isSingleShot()

static void _init_f_isSingleShot_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isSingleShot_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QTimer *)cls)->isSingleShot ());
}

static qt_gsi::GenericMethod *_create_f_isSingleShot_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isSingleShot|isSingleShot?", "@brief Method bool QTimer::isSingleShot()\n@args \n", true, &_init_f_isSingleShot_c0_0, &_call_f_isSingleShot_c0_0);
}

// void QTimer::setInterval(int msec)

static void _init_f_setInterval_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setInterval_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QTimer *)cls)->setInterval (arg1);
}

static qt_gsi::GenericMethod *_create_f_setInterval_767_0 ()
{
  return new qt_gsi::GenericMethod ("setInterval|interval=", "@brief Method void QTimer::setInterval(int msec)\n@args msec\n", false, &_init_f_setInterval_767_0, &_call_f_setInterval_767_0);
}

// void QTimer::setSingleShot(bool singleShot)

static void _init_f_setSingleShot_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_f_setSingleShot_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QTimer *)cls)->setSingleShot (arg1);
}

static qt_gsi::GenericMethod *_create_f_setSingleShot_864_0 ()
{
  return new qt_gsi::GenericMethod ("setSingleShot|singleShot=", "@brief Method void QTimer::setSingleShot(bool singleShot)\n@args singleShot\n", false, &_init_f_setSingleShot_864_0, &_call_f_setSingleShot_864_0);
}

// void QTimer::start()

static void _init_f_start_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_start_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QTimer *)cls)->start ();
}

static qt_gsi::GenericMethod *_create_f_start_0_0 ()
{
  return new qt_gsi::GenericMethod ("start", "@brief Method void QTimer::start()\n@args \n", false, &_init_f_start_0_0, &_call_f_start_0_0);
}

// void QTimer::start(int msec)

static void _init_f_start_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_start_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QTimer *)cls)->start (arg1);
}

static qt_gsi::GenericMethod *_create_f_start_767_0 ()
{
  return new qt_gsi::GenericMethod ("start", "@brief Method void QTimer::start(int msec)\n@args msec\n", false, &_init_f_start_767_0, &_call_f_start_767_0);
}

// void QTimer::stop()

static void _init_f_stop_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_stop_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QTimer *)cls)->stop ();
}

static qt_gsi::GenericMethod *_create_f_stop_0_0 ()
{
  return new qt_gsi::GenericMethod ("stop", "@brief Method void QTimer::stop()\n@args \n", false, &_init_f_stop_0_0, &_call_f_stop_0_0);
}

// int QTimer::timerId()

static void _init_f_timerId_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_timerId_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QTimer *)cls)->timerId ());
}

static qt_gsi::GenericMethod *_create_f_timerId_c0_0 ()
{
  return new qt_gsi::GenericMethod ("timerId", "@brief Method int QTimer::timerId()\n@args \n", true, &_init_f_timerId_c0_0, &_call_f_timerId_c0_0);
}

// static void QTimer::singleShot(int msec, QObject *receiver, const char *member)

static void _init_f_singleShot_4262_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<class QObject * > ();
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_f_singleShot_4262_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  class QObject * arg2 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  const char * arg3 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  QTimer::singleShot (arg1, arg2, arg3);
}

static qt_gsi::GenericStaticMethod *_create_f_singleShot_4262_0 ()
{
  return new qt_gsi::GenericStaticMethod ("singleShot", "@brief Static method void QTimer::singleShot(int msec, QObject *receiver, const char *member)\n@args msec, receiver, member\nThis method is static and can be called without an instance.", &_init_f_singleShot_4262_0, &_call_f_singleShot_4262_0);
}

// static QString QTimer::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QTimer::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QTimer::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QTimer::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QTimer::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QTimer::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QTimer::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QTimer::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QTimer::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QTimer::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QTimer::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QTimer::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QTimer::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QTimer, QTimer_EventAdaptor> ea_QTimer;

template <>
gsi::Class<QTimer> gsi::Class<QTimer>::decl (ea_QTimer, gsi::Class<QObject>::decl, "QTimer_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_interval_c0_0 ()) +
  gsi::Methods(_create_f_isActive_c0_0 ()) +
  gsi::Methods(_create_f_isSingleShot_c0_0 ()) +
  gsi::Methods(_create_f_setInterval_767_0 ()) +
  gsi::Methods(_create_f_setSingleShot_864_0 ()) +
  gsi::Methods(_create_f_start_0_0 ()) +
  gsi::Methods(_create_f_start_767_0 ()) +
  gsi::Methods(_create_f_stop_0_0 ()) +
  gsi::Methods(_create_f_timerId_c0_0 ()) +
  qt_gsi::qt_signal<QTimer, QTimer_EventAdaptor, class QObject *> ("destroyed", &QTimer_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QTimer::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QTimer, QTimer_EventAdaptor> ("timeout", &QTimer_EventAdaptor::timeout_e_0, "@brief Signal declaration for QTimer::timeout()\n@args \nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_singleShot_4262_0 ()) +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QTimer");

class KLAYOUT_DLL QTimer_Adaptor : public QTimer, public qt_gsi::QtObjectBase
{
public:

  virtual ~QTimer_Adaptor();

  //  [adaptor ctor] QTimer::QTimer(QObject *parent)
  QTimer_Adaptor() : QTimer()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QTimer::QTimer(QObject *parent)
  QTimer_Adaptor(QObject *parent) : QTimer(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  int QTimer::receivers(const char *signal)
  int fp_QTimer_receivers_c1731_0 (const char * signal) const {
    return QTimer::receivers(signal);
  }

  //  QObject * QTimer::sender()
  class QObject * fp_QTimer_sender_c0_0 () const {
    return QTimer::sender();
  }

  //  [adaptor impl] bool QTimer::event(QEvent *)
  bool cbs_event_1895_0(class QEvent * arg1)
  {
    return QTimer::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    return gsi::issue<QTimer_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QTimer_Adaptor::cbs_event_1895_0, arg1);
  }

  //  [adaptor impl] bool QTimer::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QTimer::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QTimer_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QTimer_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] void QTimer::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QTimer::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QTimer_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QTimer_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QTimer::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QTimer::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QTimer_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QTimer_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QTimer::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QTimer::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QTimer_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QTimer_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QTimer::timerEvent(QTimerEvent *)
  void cbs_timerEvent_2408_0(class QTimerEvent * arg1)
  {
    QTimer::timerEvent(arg1);
  }

  virtual void timerEvent(QTimerEvent *arg1)
  {
    gsi::issue<QTimer_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QTimer_Adaptor::cbs_timerEvent_2408_0, arg1);
  }

  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_timerEvent_2408_0;
};

QTimer_Adaptor::~QTimer_Adaptor() { }

//  Constructor QTimer::QTimer(QObject *parent) (adaptor class)
static void _init_ctor_QTimer_Adaptor_1980_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QTimer_Adaptor > ();
}

static void _call_ctor_QTimer_Adaptor_1980_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QTimer_Adaptor *>::tag (), new QTimer_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QTimer_Adaptor_1980_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QTimer::QTimer(QObject *parent)\n@args \nThis method creates an object of class QTimer.", &_init_ctor_QTimer_Adaptor_1980_0, &_call_ctor_QTimer_Adaptor_1980_0);
}

//  Constructor QTimer::QTimer(QObject *parent) (adaptor class)
static void _init_ctor_QTimer_Adaptor_1980_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return_new<QTimer_Adaptor > ();
}

static void _call_ctor_QTimer_Adaptor_1980_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ret.set_value (gsi::type_traits<QTimer_Adaptor *>::tag (), new QTimer_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QTimer_Adaptor_1980_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QTimer::QTimer(QObject *parent)\n@args parent\nThis method creates an object of class QTimer.", &_init_ctor_QTimer_Adaptor_1980_1, &_call_ctor_QTimer_Adaptor_1980_1);
}

// int QTimer::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QTimer_Adaptor *)cls)->fp_QTimer_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QTimer::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QObject * QTimer::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QTimer_Adaptor *)cls)->fp_QTimer_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QTimer::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// bool QTimer::event(QEvent *)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QTimer_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QTimer::event(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// bool QTimer::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QTimer_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QTimer::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// void QTimer::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QTimer_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QTimer::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QTimer::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QTimer_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QTimer::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QTimer::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QTimer_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QTimer::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QTimer::timerEvent(QTimerEvent *)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QTimer_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QTimer_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QTimer::timerEvent(QTimerEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


template <>
gsi::Class<QTimer_Adaptor> gsi::Class<QTimer_Adaptor>::decl (gsi::Class<QTimer>::decl, "QTimer",
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods(_create_ctor_QTimer_Adaptor_1980_0 ()) +
  gsi::Methods(_create_ctor_QTimer_Adaptor_1980_1 ()),
  "@qt\n@brief Binding of QTimer");

