
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QToolBar
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQToolBar_EventAdaptor
#define _HDR_gsiDeclQToolBar_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQToolBar_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QToolBar_EventAdaptor

class QToolBar_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QToolBar_EventAdaptor (QObject *host);

public slots:
  void actionTriggered(QAction *);
  void allowedAreasChanged(Qt::ToolBarAreas );
  void customContextMenuRequested(const QPoint &);
  void destroyed(QObject *);
  void iconSizeChanged(const QSize &);
  void movableChanged(bool );
  void orientationChanged(Qt::Orientation );
  void toolButtonStyleChanged(Qt::ToolButtonStyle );
  void topLevelChanged(bool );

public:
  gsi::event<class QAction *> actionTriggered_e_1987;
  gsi::event<const qt_gsi::Converter<class QFlags<enum Qt::ToolBarArea> >::target_type &> allowedAreasChanged_e_4075;
  gsi::event<const class QPoint &> customContextMenuRequested_e_2594;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<const class QSize &> iconSizeChanged_e_2483;
  gsi::event<bool> movableChanged_e_864;
  gsi::event<const qt_gsi::Converter<enum Qt::Orientation>::target_type &> orientationChanged_e_2494;
  gsi::event<const qt_gsi::Converter<enum Qt::ToolButtonStyle>::target_type &> toolButtonStyleChanged_e_2909;
  gsi::event<bool> topLevelChanged_e_864;
};

#endif
