
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Event adaptor implementations for QUndoStack
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#ifndef _HDR_gsiDeclQUndoStack_EventAdaptor
#define _HDR_gsiDeclQUndoStack_EventAdaptor

#include "gsiDecl.h"
#include "gsiQtEvents.h"
#include "gsiQtGui.h"
#include "gsiDeclQUndoStack_Enums.h"

#include "layExceptions.h"

#include <QtCore/QObject>

// -----------------------------------------------------------------------
// class QUndoStack_EventAdaptor

class QUndoStack_EventAdaptor
  : public QObject, public qt_gsi::EventAdaptorBase, public gsi::ObjectBase
{
Q_OBJECT

public:
  QUndoStack_EventAdaptor (QObject *host);

public slots:
  void canRedoChanged(bool );
  void canUndoChanged(bool );
  void cleanChanged(bool );
  void destroyed(QObject *);
  void indexChanged(int );
  void redoTextChanged(const QString &);
  void undoTextChanged(const QString &);

public:
  gsi::event<bool> canRedoChanged_e_864;
  gsi::event<bool> canUndoChanged_e_864;
  gsi::event<bool> cleanChanged_e_864;
  gsi::event<class QObject *> destroyed_e_1980;
  gsi::event<int> indexChanged_e_767;
  gsi::event<const class QString &> redoTextChanged_e_2703;
  gsi::event<const class QString &> undoTextChanged_e_2703;
};

#endif
