
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2015 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  Declarations for gsiDeclQListWidget.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include "gsiQtGui.h"
#include "gsiDeclQtTypeTraits.h"
#include "gsiDeclQListWidget_EventAdaptor.h"
#include "gsiDeclQListWidget_Enums.h"

// -----------------------------------------------------------------------
// class QListWidget

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<const QMetaObject &>::tag (), QListWidget::staticMetaObject);
}

static qt_gsi::GenericStaticMethod *_create_smo ()
{
  return new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
}

// void QListWidget::addItem(const QString &label)

static void _init_f_addItem_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_addItem_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QListWidget *)cls)->addItem (arg1);
}

static qt_gsi::GenericMethod *_create_f_addItem_2703_0 ()
{
  return new qt_gsi::GenericMethod ("addItem", "@brief Method void QListWidget::addItem(const QString &label)\n@args label\n", false, &_init_f_addItem_2703_0, &_call_f_addItem_2703_0);
}

// void QListWidget::addItem(QListWidgetItem *item)

static void _init_f_addItem_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_addItem_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->addItem (arg1);
}

static qt_gsi::GenericMethod *_create_f_addItem_2804_0 ()
{
  return new qt_gsi::GenericMethod ("addItem", "@brief Method void QListWidget::addItem(QListWidgetItem *item)\n@args item\n", false, &_init_f_addItem_2804_0, &_call_f_addItem_2804_0);
}

// void QListWidget::addItems(const QStringList &labels)

static void _init_f_addItems_3115_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QStringList>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_addItems_3115_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QStringList>::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QStringList>::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QStringList>::target_type & >::tag ());
  ((QListWidget *)cls)->addItems (qt_gsi::QtToCppAdaptor<class QStringList>(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_addItems_3115_0 ()
{
  return new qt_gsi::GenericMethod ("addItems", "@brief Method void QListWidget::addItems(const QStringList &labels)\n@args labels\n", false, &_init_f_addItems_3115_0, &_call_f_addItems_3115_0);
}

// void QListWidget::clear()

static void _init_f_clear_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_clear_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget *)cls)->clear ();
}

static qt_gsi::GenericMethod *_create_f_clear_0_0 ()
{
  return new qt_gsi::GenericMethod ("clear", "@brief Method void QListWidget::clear()\n@args \n", false, &_init_f_clear_0_0, &_call_f_clear_0_0);
}

// void QListWidget::closePersistentEditor(QListWidgetItem *item)

static void _init_f_closePersistentEditor_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_closePersistentEditor_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->closePersistentEditor (arg1);
}

static qt_gsi::GenericMethod *_create_f_closePersistentEditor_2804_0 ()
{
  return new qt_gsi::GenericMethod ("closePersistentEditor", "@brief Method void QListWidget::closePersistentEditor(QListWidgetItem *item)\n@args item\n", false, &_init_f_closePersistentEditor_2804_0, &_call_f_closePersistentEditor_2804_0);
}

// int QListWidget::count()

static void _init_f_count_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_count_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget *)cls)->count ());
}

static qt_gsi::GenericMethod *_create_f_count_c0_0 ()
{
  return new qt_gsi::GenericMethod ("count", "@brief Method int QListWidget::count()\n@args \n", true, &_init_f_count_c0_0, &_call_f_count_c0_0);
}

// QListWidgetItem * QListWidget::currentItem()

static void _init_f_currentItem_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_f_currentItem_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget *)cls)->currentItem ());
}

static qt_gsi::GenericMethod *_create_f_currentItem_c0_0 ()
{
  return new qt_gsi::GenericMethod ("currentItem", "@brief Method QListWidgetItem * QListWidget::currentItem()\n@args \n", true, &_init_f_currentItem_c0_0, &_call_f_currentItem_c0_0);
}

// int QListWidget::currentRow()

static void _init_f_currentRow_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_currentRow_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget *)cls)->currentRow ());
}

static qt_gsi::GenericMethod *_create_f_currentRow_c0_0 ()
{
  return new qt_gsi::GenericMethod ("currentRow", "@brief Method int QListWidget::currentRow()\n@args \n", true, &_init_f_currentRow_c0_0, &_call_f_currentRow_c0_0);
}

// void QListWidget::dropEvent(QDropEvent *event)

static void _init_f_dropEvent_2300_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDropEvent * > ();
  decl->set_return<void > ();
}

static void _call_f_dropEvent_2300_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDropEvent * arg1 = args.get_value<class QDropEvent * > (gsi::type_traits<class QDropEvent * >::tag ());
  ((QListWidget *)cls)->dropEvent (arg1);
}

static qt_gsi::GenericMethod *_create_f_dropEvent_2300_0 ()
{
  return new qt_gsi::GenericMethod ("dropEvent", "@brief Method void QListWidget::dropEvent(QDropEvent *event)\n@args event\nThis is a reimplementation of QListView::dropEvent", false, &_init_f_dropEvent_2300_0, &_call_f_dropEvent_2300_0);
}

// void QListWidget::editItem(QListWidgetItem *item)

static void _init_f_editItem_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_editItem_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->editItem (arg1);
}

static qt_gsi::GenericMethod *_create_f_editItem_2804_0 ()
{
  return new qt_gsi::GenericMethod ("editItem", "@brief Method void QListWidget::editItem(QListWidgetItem *item)\n@args item\n", false, &_init_f_editItem_2804_0, &_call_f_editItem_2804_0);
}

// QList<class QListWidgetItem *> QListWidget::findItems(const QString &text, QFlags<enum Qt::MatchFlag> flags)

static void _init_f_findItems_c6473_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum Qt::MatchFlag> >::target_type & > ();
  decl->set_return<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type > ();
}

static void _call_f_findItems_c6473_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  const qt_gsi::Converter<class QFlags<enum Qt::MatchFlag> >::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QFlags<enum Qt::MatchFlag> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum Qt::MatchFlag> >::target_type & >::tag ());
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type)qt_gsi::CppToQtAdaptor<class QList<class QListWidgetItem *> >(((QListWidget *)cls)->findItems (arg1, qt_gsi::QtToCppAdaptor<class QFlags<enum Qt::MatchFlag> >(arg2).cref ())));
}

static qt_gsi::GenericMethod *_create_f_findItems_c6473_0 ()
{
  return new qt_gsi::GenericMethod ("findItems", "@brief Method QList<class QListWidgetItem *> QListWidget::findItems(const QString &text, QFlags<enum Qt::MatchFlag> flags)\n@args text, flags\n", true, &_init_f_findItems_c6473_0, &_call_f_findItems_c6473_0);
}

// void QListWidget::insertItem(int row, const QString &label)

static void _init_f_insertItem_3362_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_f_insertItem_3362_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const class QString & arg2 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QListWidget *)cls)->insertItem (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_insertItem_3362_0 ()
{
  return new qt_gsi::GenericMethod ("insertItem", "@brief Method void QListWidget::insertItem(int row, const QString &label)\n@args row, label\n", false, &_init_f_insertItem_3362_0, &_call_f_insertItem_3362_0);
}

// void QListWidget::insertItem(int row, QListWidgetItem *item)

static void _init_f_insertItem_3463_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_insertItem_3463_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  class QListWidgetItem * arg2 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->insertItem (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_insertItem_3463_0 ()
{
  return new qt_gsi::GenericMethod ("insertItem", "@brief Method void QListWidget::insertItem(int row, QListWidgetItem *item)\n@args row, item\n", false, &_init_f_insertItem_3463_0, &_call_f_insertItem_3463_0);
}

// void QListWidget::insertItems(int row, const QStringList &labels)

static void _init_f_insertItems_3774_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<const qt_gsi::Converter<class QStringList>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_insertItems_3774_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const qt_gsi::Converter<class QStringList>::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QStringList>::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QStringList>::target_type & >::tag ());
  ((QListWidget *)cls)->insertItems (arg1, qt_gsi::QtToCppAdaptor<class QStringList>(arg2).cref ());
}

static qt_gsi::GenericMethod *_create_f_insertItems_3774_0 ()
{
  return new qt_gsi::GenericMethod ("insertItems", "@brief Method void QListWidget::insertItems(int row, const QStringList &labels)\n@args row, labels\n", false, &_init_f_insertItems_3774_0, &_call_f_insertItems_3774_0);
}

// bool QListWidget::isItemHidden(const QListWidgetItem *item)

static void _init_f_isItemHidden_c3499_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->set_return<bool > ();
}

static void _call_f_isItemHidden_c3499_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget *)cls)->isItemHidden (arg1));
}

static qt_gsi::GenericMethod *_create_f_isItemHidden_c3499_0 ()
{
  return new qt_gsi::GenericMethod ("isItemHidden|isItemHidden?", "@brief Method bool QListWidget::isItemHidden(const QListWidgetItem *item)\n@args item\n", true, &_init_f_isItemHidden_c3499_0, &_call_f_isItemHidden_c3499_0);
}

// bool QListWidget::isItemSelected(const QListWidgetItem *item)

static void _init_f_isItemSelected_c3499_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->set_return<bool > ();
}

static void _call_f_isItemSelected_c3499_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget *)cls)->isItemSelected (arg1));
}

static qt_gsi::GenericMethod *_create_f_isItemSelected_c3499_0 ()
{
  return new qt_gsi::GenericMethod ("isItemSelected|isItemSelected?", "@brief Method bool QListWidget::isItemSelected(const QListWidgetItem *item)\n@args item\n", true, &_init_f_isItemSelected_c3499_0, &_call_f_isItemSelected_c3499_0);
}

// bool QListWidget::isSortingEnabled()

static void _init_f_isSortingEnabled_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isSortingEnabled_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget *)cls)->isSortingEnabled ());
}

static qt_gsi::GenericMethod *_create_f_isSortingEnabled_c0_0 ()
{
  return new qt_gsi::GenericMethod ("isSortingEnabled|isSortingEnabled?", "@brief Method bool QListWidget::isSortingEnabled()\n@args \n", true, &_init_f_isSortingEnabled_c0_0, &_call_f_isSortingEnabled_c0_0);
}

// QListWidgetItem * QListWidget::item(int row)

static void _init_f_item_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_f_item_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget *)cls)->item (arg1));
}

static qt_gsi::GenericMethod *_create_f_item_c767_0 ()
{
  return new qt_gsi::GenericMethod ("item", "@brief Method QListWidgetItem * QListWidget::item(int row)\n@args row\n", true, &_init_f_item_c767_0, &_call_f_item_c767_0);
}

// QListWidgetItem * QListWidget::itemAt(int x, int y)

static void _init_f_itemAt_c1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_f_itemAt_c1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget *)cls)->itemAt (arg1, arg2));
}

static qt_gsi::GenericMethod *_create_f_itemAt_c1426_0 ()
{
  return new qt_gsi::GenericMethod ("itemAt", "@brief Method QListWidgetItem * QListWidget::itemAt(int x, int y)\n@args x, y\n", true, &_init_f_itemAt_c1426_0, &_call_f_itemAt_c1426_0);
}

// QListWidgetItem * QListWidget::itemAt(const QPoint &p)

static void _init_f_itemAt_c2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_f_itemAt_c2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget *)cls)->itemAt (arg1));
}

static qt_gsi::GenericMethod *_create_f_itemAt_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("itemAt", "@brief Method QListWidgetItem * QListWidget::itemAt(const QPoint &p)\n@args p\n", true, &_init_f_itemAt_c2594_0, &_call_f_itemAt_c2594_0);
}

// QWidget * QListWidget::itemWidget(QListWidgetItem *item)

static void _init_f_itemWidget_c2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<class QWidget * > ();
}

static void _call_f_itemWidget_c2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<class QWidget * >::tag (), (class QWidget *)((QListWidget *)cls)->itemWidget (arg1));
}

static qt_gsi::GenericMethod *_create_f_itemWidget_c2804_0 ()
{
  return new qt_gsi::GenericMethod ("itemWidget", "@brief Method QWidget * QListWidget::itemWidget(QListWidgetItem *item)\n@args item\n", true, &_init_f_itemWidget_c2804_0, &_call_f_itemWidget_c2804_0);
}

// void QListWidget::openPersistentEditor(QListWidgetItem *item)

static void _init_f_openPersistentEditor_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_openPersistentEditor_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->openPersistentEditor (arg1);
}

static qt_gsi::GenericMethod *_create_f_openPersistentEditor_2804_0 ()
{
  return new qt_gsi::GenericMethod ("openPersistentEditor", "@brief Method void QListWidget::openPersistentEditor(QListWidgetItem *item)\n@args item\n", false, &_init_f_openPersistentEditor_2804_0, &_call_f_openPersistentEditor_2804_0);
}

// void QListWidget::removeItemWidget(QListWidgetItem *item)

static void _init_f_removeItemWidget_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_removeItemWidget_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->removeItemWidget (arg1);
}

static qt_gsi::GenericMethod *_create_f_removeItemWidget_2804_0 ()
{
  return new qt_gsi::GenericMethod ("removeItemWidget", "@brief Method void QListWidget::removeItemWidget(QListWidgetItem *item)\n@args item\n", false, &_init_f_removeItemWidget_2804_0, &_call_f_removeItemWidget_2804_0);
}

// int QListWidget::row(const QListWidgetItem *item)

static void _init_f_row_c3499_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->set_return<int > ();
}

static void _call_f_row_c3499_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget *)cls)->row (arg1));
}

static qt_gsi::GenericMethod *_create_f_row_c3499_0 ()
{
  return new qt_gsi::GenericMethod ("row", "@brief Method int QListWidget::row(const QListWidgetItem *item)\n@args item\n", true, &_init_f_row_c3499_0, &_call_f_row_c3499_0);
}

// void QListWidget::scrollToItem(const QListWidgetItem *item, QAbstractItemView::ScrollHint hint)

static void _init_f_scrollToItem_7261_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_scrollToItem_7261_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->scrollToItem (arg1);
}

static qt_gsi::GenericMethod *_create_f_scrollToItem_7261_0 ()
{
  return new qt_gsi::GenericMethod ("scrollToItem", "@brief Method void QListWidget::scrollToItem(const QListWidgetItem *item, QAbstractItemView::ScrollHint hint)\n@args item\n", false, &_init_f_scrollToItem_7261_0, &_call_f_scrollToItem_7261_0);
}

// void QListWidget::scrollToItem(const QListWidgetItem *item, QAbstractItemView::ScrollHint hint)

static void _init_f_scrollToItem_7261_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->add_arg<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_scrollToItem_7261_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & >::tag ());
  ((QListWidget *)cls)->scrollToItem (arg1, qt_gsi::QtToCppAdaptor<enum QAbstractItemView::ScrollHint>(arg2).cref ());
}

static qt_gsi::GenericMethod *_create_f_scrollToItem_7261_1 ()
{
  return new qt_gsi::GenericMethod ("scrollToItem", "@brief Method void QListWidget::scrollToItem(const QListWidgetItem *item, QAbstractItemView::ScrollHint hint)\n@args item, hint\n", false, &_init_f_scrollToItem_7261_1, &_call_f_scrollToItem_7261_1);
}

// QList<class QListWidgetItem *> QListWidget::selectedItems()

static void _init_f_selectedItems_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type > ();
}

static void _call_f_selectedItems_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type)qt_gsi::CppToQtAdaptor<class QList<class QListWidgetItem *> >(((QListWidget *)cls)->selectedItems ()));
}

static qt_gsi::GenericMethod *_create_f_selectedItems_c0_0 ()
{
  return new qt_gsi::GenericMethod ("selectedItems", "@brief Method QList<class QListWidgetItem *> QListWidget::selectedItems()\n@args \n", true, &_init_f_selectedItems_c0_0, &_call_f_selectedItems_c0_0);
}

// void QListWidget::setCurrentItem(QListWidgetItem *item)

static void _init_f_setCurrentItem_2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentItem_2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ((QListWidget *)cls)->setCurrentItem (arg1);
}

static qt_gsi::GenericMethod *_create_f_setCurrentItem_2804_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentItem|currentItem=", "@brief Method void QListWidget::setCurrentItem(QListWidgetItem *item)\n@args item\n", false, &_init_f_setCurrentItem_2804_0, &_call_f_setCurrentItem_2804_0);
}

// void QListWidget::setCurrentItem(QListWidgetItem *item, QFlags<enum QItemSelectionModel::SelectionFlag> command)

static void _init_f_setCurrentItem_7015_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentItem_7015_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & >::tag ());
  ((QListWidget *)cls)->setCurrentItem (arg1, qt_gsi::QtToCppAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(arg2).cref ());
}

static qt_gsi::GenericMethod *_create_f_setCurrentItem_7015_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentItem", "@brief Method void QListWidget::setCurrentItem(QListWidgetItem *item, QFlags<enum QItemSelectionModel::SelectionFlag> command)\n@args item, command\n", false, &_init_f_setCurrentItem_7015_0, &_call_f_setCurrentItem_7015_0);
}

// void QListWidget::setCurrentRow(int row, QFlags<enum QItemSelectionModel::SelectionFlag> command)

static void _init_f_setCurrentRow_4978_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentRow_4978_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & >::tag ());
  ((QListWidget *)cls)->setCurrentRow (arg1, qt_gsi::QtToCppAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(arg2).cref ());
}

static qt_gsi::GenericMethod *_create_f_setCurrentRow_4978_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentRow", "@brief Method void QListWidget::setCurrentRow(int row, QFlags<enum QItemSelectionModel::SelectionFlag> command)\n@args row, command\n", false, &_init_f_setCurrentRow_4978_0, &_call_f_setCurrentRow_4978_0);
}

// void QListWidget::setCurrentRow(int row)

static void _init_f_setCurrentRow_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_f_setCurrentRow_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget *)cls)->setCurrentRow (arg1);
}

static qt_gsi::GenericMethod *_create_f_setCurrentRow_767_0 ()
{
  return new qt_gsi::GenericMethod ("setCurrentRow|currentRow=", "@brief Method void QListWidget::setCurrentRow(int row)\n@args row\n", false, &_init_f_setCurrentRow_767_0, &_call_f_setCurrentRow_767_0);
}

// void QListWidget::setItemHidden(const QListWidgetItem *item, bool hide)

static void _init_f_setItemHidden_4255_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_f_setItemHidden_4255_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget *)cls)->setItemHidden (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setItemHidden_4255_0 ()
{
  return new qt_gsi::GenericMethod ("setItemHidden", "@brief Method void QListWidget::setItemHidden(const QListWidgetItem *item, bool hide)\n@args item, hide\n", false, &_init_f_setItemHidden_4255_0, &_call_f_setItemHidden_4255_0);
}

// void QListWidget::setItemSelected(const QListWidgetItem *item, bool select)

static void _init_f_setItemSelected_4255_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_f_setItemSelected_4255_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget *)cls)->setItemSelected (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setItemSelected_4255_0 ()
{
  return new qt_gsi::GenericMethod ("setItemSelected", "@brief Method void QListWidget::setItemSelected(const QListWidgetItem *item, bool select)\n@args item, select\n", false, &_init_f_setItemSelected_4255_0, &_call_f_setItemSelected_4255_0);
}

// void QListWidget::setItemWidget(QListWidgetItem *item, QWidget *widget)

static void _init_f_setItemWidget_4689_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->add_arg<class QWidget * > ();
  decl->set_return<void > ();
}

static void _call_f_setItemWidget_4689_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  class QWidget * arg2 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ((QListWidget *)cls)->setItemWidget (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_f_setItemWidget_4689_0 ()
{
  return new qt_gsi::GenericMethod ("setItemWidget", "@brief Method void QListWidget::setItemWidget(QListWidgetItem *item, QWidget *widget)\n@args item, widget\n", false, &_init_f_setItemWidget_4689_0, &_call_f_setItemWidget_4689_0);
}

// void QListWidget::setSortingEnabled(bool enable)

static void _init_f_setSortingEnabled_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_f_setSortingEnabled_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget *)cls)->setSortingEnabled (arg1);
}

static qt_gsi::GenericMethod *_create_f_setSortingEnabled_864_0 ()
{
  return new qt_gsi::GenericMethod ("setSortingEnabled|sortingEnabled=", "@brief Method void QListWidget::setSortingEnabled(bool enable)\n@args enable\n", false, &_init_f_setSortingEnabled_864_0, &_call_f_setSortingEnabled_864_0);
}

// void QListWidget::sortItems(Qt::SortOrder order)

static void _init_f_sortItems_2262_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_f_sortItems_2262_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget *)cls)->sortItems ();
}

static qt_gsi::GenericMethod *_create_f_sortItems_2262_0 ()
{
  return new qt_gsi::GenericMethod ("sortItems", "@brief Method void QListWidget::sortItems(Qt::SortOrder order)\n@args \n", false, &_init_f_sortItems_2262_0, &_call_f_sortItems_2262_0);
}

// void QListWidget::sortItems(Qt::SortOrder order)

static void _init_f_sortItems_2262_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<enum Qt::SortOrder>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_f_sortItems_2262_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<enum Qt::SortOrder>::target_type & arg1 = args.get_value<const qt_gsi::Converter<enum Qt::SortOrder>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::SortOrder>::target_type & >::tag ());
  ((QListWidget *)cls)->sortItems (qt_gsi::QtToCppAdaptor<enum Qt::SortOrder>(arg1).cref ());
}

static qt_gsi::GenericMethod *_create_f_sortItems_2262_1 ()
{
  return new qt_gsi::GenericMethod ("sortItems", "@brief Method void QListWidget::sortItems(Qt::SortOrder order)\n@args order\n", false, &_init_f_sortItems_2262_1, &_call_f_sortItems_2262_1);
}

// QListWidgetItem * QListWidget::takeItem(int row)

static void _init_f_takeItem_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_f_takeItem_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget *)cls)->takeItem (arg1));
}

static qt_gsi::GenericMethod *_create_f_takeItem_767_0 ()
{
  return new qt_gsi::GenericMethod ("takeItem", "@brief Method QListWidgetItem * QListWidget::takeItem(int row)\n@args row\n", false, &_init_f_takeItem_767_0, &_call_f_takeItem_767_0);
}

// QRect QListWidget::visualItemRect(const QListWidgetItem *item)

static void _init_f_visualItemRect_c3499_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QListWidgetItem * > ();
  decl->set_return<class QRect > ();
}

static void _call_f_visualItemRect_c3499_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QListWidgetItem * arg1 = args.get_value<const class QListWidgetItem * > (gsi::type_traits<const class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<class QRect >::tag (), (class QRect)((QListWidget *)cls)->visualItemRect (arg1));
}

static qt_gsi::GenericMethod *_create_f_visualItemRect_c3499_0 ()
{
  return new qt_gsi::GenericMethod ("visualItemRect", "@brief Method QRect QListWidget::visualItemRect(const QListWidgetItem *item)\n@args item\n", true, &_init_f_visualItemRect_c3499_0, &_call_f_visualItemRect_c3499_0);
}

// static QString QListWidget::tr(const char *s, const char *c)

static void _init_f_tr_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::tr (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QListWidget::tr(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_tr_3354_0, &_call_f_tr_3354_0);
}

// static QString QListWidget::tr(const char *s, const char *c)

static void _init_f_tr_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::tr (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QListWidget::tr(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_tr_3354_1, &_call_f_tr_3354_1);
}

// static QString QListWidget::tr(const char *s, const char *c, int n)

static void _init_f_tr_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_tr_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::tr (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_tr_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QListWidget::tr(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_tr_4013_0, &_call_f_tr_4013_0);
}

// static QString QListWidget::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::trUtf8 (arg1));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QListWidget::trUtf8(const char *s, const char *c)\n@args s\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_0, &_call_f_trUtf8_3354_0);
}

// static QString QListWidget::trUtf8(const char *s, const char *c)

static void _init_f_trUtf8_3354_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_3354_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::trUtf8 (arg1, arg2));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_3354_1 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QListWidget::trUtf8(const char *s, const char *c)\n@args s, c\nThis method is static and can be called without an instance.", &_init_f_trUtf8_3354_1, &_call_f_trUtf8_3354_1);
}

// static QString QListWidget::trUtf8(const char *s, const char *c, int n)

static void _init_f_trUtf8_4013_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->add_arg<const char * > ();
  decl->add_arg<int > ();
  decl->set_return<class QString > ();
}

static void _call_f_trUtf8_4013_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  const char * arg2 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<class QString >::tag (), (class QString)QListWidget::trUtf8 (arg1, arg2, arg3));
}

static qt_gsi::GenericStaticMethod *_create_f_trUtf8_4013_0 ()
{
  return new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QListWidget::trUtf8(const char *s, const char *c, int n)\n@args s, c, n\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013_0, &_call_f_trUtf8_4013_0);
}

static qt_gsi::QObjectConnector<QListWidget, QListWidget_EventAdaptor> ea_QListWidget;

template <>
gsi::Class<QListWidget> gsi::Class<QListWidget>::decl (ea_QListWidget, gsi::Class<QListView>::decl, "QListWidget_Native",
  gsi::Methods(_create_smo ()) +
  gsi::Methods(_create_f_addItem_2703_0 ()) +
  gsi::Methods(_create_f_addItem_2804_0 ()) +
  gsi::Methods(_create_f_addItems_3115_0 ()) +
  gsi::Methods(_create_f_clear_0_0 ()) +
  gsi::Methods(_create_f_closePersistentEditor_2804_0 ()) +
  gsi::Methods(_create_f_count_c0_0 ()) +
  gsi::Methods(_create_f_currentItem_c0_0 ()) +
  gsi::Methods(_create_f_currentRow_c0_0 ()) +
  gsi::Methods(_create_f_dropEvent_2300_0 ()) +
  gsi::Methods(_create_f_editItem_2804_0 ()) +
  gsi::Methods(_create_f_findItems_c6473_0 ()) +
  gsi::Methods(_create_f_insertItem_3362_0 ()) +
  gsi::Methods(_create_f_insertItem_3463_0 ()) +
  gsi::Methods(_create_f_insertItems_3774_0 ()) +
  gsi::Methods(_create_f_isItemHidden_c3499_0 ()) +
  gsi::Methods(_create_f_isItemSelected_c3499_0 ()) +
  gsi::Methods(_create_f_isSortingEnabled_c0_0 ()) +
  gsi::Methods(_create_f_item_c767_0 ()) +
  gsi::Methods(_create_f_itemAt_c1426_0 ()) +
  gsi::Methods(_create_f_itemAt_c2594_0 ()) +
  gsi::Methods(_create_f_itemWidget_c2804_0 ()) +
  gsi::Methods(_create_f_openPersistentEditor_2804_0 ()) +
  gsi::Methods(_create_f_removeItemWidget_2804_0 ()) +
  gsi::Methods(_create_f_row_c3499_0 ()) +
  gsi::Methods(_create_f_scrollToItem_7261_0 ()) +
  gsi::Methods(_create_f_scrollToItem_7261_1 ()) +
  gsi::Methods(_create_f_selectedItems_c0_0 ()) +
  gsi::Methods(_create_f_setCurrentItem_2804_0 ()) +
  gsi::Methods(_create_f_setCurrentItem_7015_0 ()) +
  gsi::Methods(_create_f_setCurrentRow_4978_0 ()) +
  gsi::Methods(_create_f_setCurrentRow_767_0 ()) +
  gsi::Methods(_create_f_setItemHidden_4255_0 ()) +
  gsi::Methods(_create_f_setItemSelected_4255_0 ()) +
  gsi::Methods(_create_f_setItemWidget_4689_0 ()) +
  gsi::Methods(_create_f_setSortingEnabled_864_0 ()) +
  gsi::Methods(_create_f_sortItems_2262_0 ()) +
  gsi::Methods(_create_f_sortItems_2262_1 ()) +
  gsi::Methods(_create_f_takeItem_767_0 ()) +
  gsi::Methods(_create_f_visualItemRect_c3499_0 ()) +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QModelIndex &> ("activated", &QListWidget_EventAdaptor::activated_e_3073, "@brief Signal declaration for QListWidget::activated(const QModelIndex &index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QModelIndex &> ("clicked", &QListWidget_EventAdaptor::clicked_e_3073, "@brief Signal declaration for QListWidget::clicked(const QModelIndex &index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *, class QListWidgetItem *> ("currentItemChanged", &QListWidget_EventAdaptor::currentItemChanged_e_5500, "@brief Signal declaration for QListWidget::currentItemChanged(QListWidgetItem *current, QListWidgetItem *previous)\n@args current, previous\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, int> ("currentRowChanged", &QListWidget_EventAdaptor::currentRowChanged_e_767, "@brief Signal declaration for QListWidget::currentRowChanged(int currentRow)\n@args currentRow\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QString &> ("currentTextChanged", &QListWidget_EventAdaptor::currentTextChanged_e_2703, "@brief Signal declaration for QListWidget::currentTextChanged(const QString &currentText)\n@args currentText\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QPoint &> ("customContextMenuRequested", &QListWidget_EventAdaptor::customContextMenuRequested_e_2594, "@brief Signal declaration for QListWidget::customContextMenuRequested(const QPoint &pos)\n@args pos\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QObject *> ("destroyed", &QListWidget_EventAdaptor::destroyed_e_1980, "@brief Signal declaration for QListWidget::destroyed(QObject *)\n@args arg1\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QModelIndex &> ("doubleClicked", &QListWidget_EventAdaptor::doubleClicked_e_3073, "@brief Signal declaration for QListWidget::doubleClicked(const QModelIndex &index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QModelIndex &> ("entered", &QListWidget_EventAdaptor::entered_e_3073, "@brief Signal declaration for QListWidget::entered(const QModelIndex &index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const qt_gsi::Converter<class QList<class QModelIndex> >::target_type &> ("indexesMoved", &QListWidget_EventAdaptor::indexesMoved_e_4982, "@brief Signal declaration for QListWidget::indexesMoved(const QList<class QModelIndex> &indexes)\n@args indexes\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemActivated", &QListWidget_EventAdaptor::itemActivated_e_2804, "@brief Signal declaration for QListWidget::itemActivated(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemChanged", &QListWidget_EventAdaptor::itemChanged_e_2804, "@brief Signal declaration for QListWidget::itemChanged(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemClicked", &QListWidget_EventAdaptor::itemClicked_e_2804, "@brief Signal declaration for QListWidget::itemClicked(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemDoubleClicked", &QListWidget_EventAdaptor::itemDoubleClicked_e_2804, "@brief Signal declaration for QListWidget::itemDoubleClicked(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemEntered", &QListWidget_EventAdaptor::itemEntered_e_2804, "@brief Signal declaration for QListWidget::itemEntered(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, class QListWidgetItem *> ("itemPressed", &QListWidget_EventAdaptor::itemPressed_e_2804, "@brief Signal declaration for QListWidget::itemPressed(QListWidgetItem *item)\n@args item\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor> ("itemSelectionChanged", &QListWidget_EventAdaptor::itemSelectionChanged_e_0, "@brief Signal declaration for QListWidget::itemSelectionChanged()\n@args \nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor, const class QModelIndex &> ("pressed", &QListWidget_EventAdaptor::pressed_e_3073, "@brief Signal declaration for QListWidget::pressed(const QModelIndex &index)\n@args index\nYou can bind a procedure to this signal.") +
  qt_gsi::qt_signal<QListWidget, QListWidget_EventAdaptor> ("viewportEntered", &QListWidget_EventAdaptor::viewportEntered_e_0, "@brief Signal declaration for QListWidget::viewportEntered()\n@args \nYou can bind a procedure to this signal.") +
  gsi::Methods(_create_f_tr_3354_0 ()) +
  gsi::Methods(_create_f_tr_3354_1 ()) +
  gsi::Methods(_create_f_tr_4013_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_0 ()) +
  gsi::Methods(_create_f_trUtf8_3354_1 ()) +
  gsi::Methods(_create_f_trUtf8_4013_0 ()),
  "@hide\n@alias QListWidget");

class KLAYOUT_DLL QListWidget_Adaptor : public QListWidget, public qt_gsi::QtObjectBase
{
public:

  virtual ~QListWidget_Adaptor();

  //  [adaptor ctor] QListWidget::QListWidget(QWidget *parent)
  QListWidget_Adaptor() : QListWidget()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QListWidget::QListWidget(QWidget *parent)
  QListWidget_Adaptor(QWidget *parent) : QListWidget(parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  QSize QListWidget::contentsSize()
  class QSize fp_QListWidget_contentsSize_c0_0 () const {
    return QListWidget::contentsSize();
  }

  //  void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)
  void fp_QListWidget_create_2208_0 () {
    QListWidget::create();
  }

  //  void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)
  void fp_QListWidget_create_2208_1 (const qt_gsi::Converter<WId>::target_type & arg1) {
    QListWidget::create(qt_gsi::QtToCppAdaptor<WId>(arg1).cref ());
  }

  //  void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)
  void fp_QListWidget_create_2208_2 (const qt_gsi::Converter<WId>::target_type & arg1, bool initializeWindow) {
    QListWidget::create(qt_gsi::QtToCppAdaptor<WId>(arg1).cref (), initializeWindow);
  }

  //  void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)
  void fp_QListWidget_create_2208_3 (const qt_gsi::Converter<WId>::target_type & arg1, bool initializeWindow, bool destroyOldWindow) {
    QListWidget::create(qt_gsi::QtToCppAdaptor<WId>(arg1).cref (), initializeWindow, destroyOldWindow);
  }

  //  void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)
  void fp_QListWidget_destroy_1620_0 () {
    QListWidget::destroy();
  }

  //  void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)
  void fp_QListWidget_destroy_1620_1 (bool destroyWindow) {
    QListWidget::destroy(destroyWindow);
  }

  //  void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)
  void fp_QListWidget_destroy_1620_2 (bool destroyWindow, bool destroySubWindows) {
    QListWidget::destroy(destroyWindow, destroySubWindows);
  }

  //  QPoint QListWidget::dirtyRegionOffset()
  class QPoint fp_QListWidget_dirtyRegionOffset_c0_0 () const {
    return QListWidget::dirtyRegionOffset();
  }

  //  void QListWidget::doAutoScroll()
  void fp_QListWidget_doAutoScroll_0_0 () {
    QListWidget::doAutoScroll();
  }

  //  void QListWidget::drawFrame(QPainter *)
  void fp_QListWidget_drawFrame_2104_0 (class QPainter * arg1) {
    QListWidget::drawFrame(arg1);
  }

  //  QAbstractItemView::DropIndicatorPosition QListWidget::dropIndicatorPosition()
  unsigned int fp_QListWidget_dropIndicatorPosition_c0_0 () const {
    return (unsigned int)(QListWidget::dropIndicatorPosition());
  }

  //  void QListWidget::executeDelayedItemsLayout()
  void fp_QListWidget_executeDelayedItemsLayout_0_0 () {
    QListWidget::executeDelayedItemsLayout();
  }

  //  bool QListWidget::focusNextChild()
  bool fp_QListWidget_focusNextChild_0_0 () {
    return QListWidget::focusNextChild();
  }

  //  bool QListWidget::focusPreviousChild()
  bool fp_QListWidget_focusPreviousChild_0_0 () {
    return QListWidget::focusPreviousChild();
  }

  //  int QListWidget::horizontalStepsPerItem()
  int fp_QListWidget_horizontalStepsPerItem_c0_0 () const {
    return QListWidget::horizontalStepsPerItem();
  }

  //  QModelIndex QListWidget::indexFromItem(QListWidgetItem *item)
  class QModelIndex fp_QListWidget_indexFromItem_c2804_0 (class QListWidgetItem * item) const {
    return QListWidget::indexFromItem(item);
  }

  //  void QListWidget::internalDrag(QFlags<enum Qt::DropAction> supportedActions)
  void fp_QListWidget_internalDrag_4018_0 (const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & supportedActions) {
    QListWidget::internalDrag(qt_gsi::QtToCppAdaptor<class QFlags<enum Qt::DropAction> >(supportedActions).cref ());
  }

  //  void QListWidget::internalDrop(QDropEvent *e)
  void fp_QListWidget_internalDrop_2300_0 (class QDropEvent * e) {
    QListWidget::internalDrop(e);
  }

  //  QListWidgetItem * QListWidget::itemFromIndex(const QModelIndex &index)
  class QListWidgetItem * fp_QListWidget_itemFromIndex_c3073_0 (const class QModelIndex & index) const {
    return QListWidget::itemFromIndex(index);
  }

  //  QList<class QListWidgetItem *> QListWidget::items(const QMimeData *data)
  qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type fp_QListWidget_items_c2846_0 (const class QMimeData * data) const {
    return qt_gsi::CppToQtAdaptor<class QList<class QListWidgetItem *> >(QListWidget::items(data));
  }

  //  int QListWidget::receivers(const char *signal)
  int fp_QListWidget_receivers_c1731_0 (const char * signal) const {
    return QListWidget::receivers(signal);
  }

  //  QRect QListWidget::rectForIndex(const QModelIndex &index)
  class QRect fp_QListWidget_rectForIndex_c3073_0 (const class QModelIndex & index) const {
    return QListWidget::rectForIndex(index);
  }

  //  void QListWidget::resetInputContext()
  void fp_QListWidget_resetInputContext_0_0 () {
    QListWidget::resetInputContext();
  }

  //  void QListWidget::resizeContents(int width, int height)
  void fp_QListWidget_resizeContents_1426_0 (int width, int height) {
    QListWidget::resizeContents(width, height);
  }

  //  void QListWidget::scheduleDelayedItemsLayout()
  void fp_QListWidget_scheduleDelayedItemsLayout_0_0 () {
    QListWidget::scheduleDelayedItemsLayout();
  }

  //  void QListWidget::scrollDirtyRegion(int dx, int dy)
  void fp_QListWidget_scrollDirtyRegion_1426_0 (int dx, int dy) {
    QListWidget::scrollDirtyRegion(dx, dy);
  }

  //  QObject * QListWidget::sender()
  class QObject * fp_QListWidget_sender_c0_0 () const {
    return QListWidget::sender();
  }

  //  void QListWidget::setDirtyRegion(const QRegion &region)
  void fp_QListWidget_setDirtyRegion_2684_0 (const class QRegion & region) {
    QListWidget::setDirtyRegion(region);
  }

  //  void QListWidget::setHorizontalStepsPerItem(int steps)
  void fp_QListWidget_setHorizontalStepsPerItem_767_0 (int steps) {
    QListWidget::setHorizontalStepsPerItem(steps);
  }

  //  void QListWidget::setPositionForIndex(const QPoint &position, const QModelIndex &index)
  void fp_QListWidget_setPositionForIndex_5559_0 (const class QPoint & position, const class QModelIndex & index) {
    QListWidget::setPositionForIndex(position, index);
  }

  //  void QListWidget::setState(QAbstractItemView::State state)
  void fp_QListWidget_setState_1530_0 (unsigned int state) {
    QListWidget::setState(QAbstractItemView::State(state));
  }

  //  void QListWidget::setVerticalStepsPerItem(int steps)
  void fp_QListWidget_setVerticalStepsPerItem_767_0 (int steps) {
    QListWidget::setVerticalStepsPerItem(steps);
  }

  //  void QListWidget::setViewportMargins(int left, int top, int right, int bottom)
  void fp_QListWidget_setViewportMargins_2744_0 (int left, int top, int right, int bottom) {
    QListWidget::setViewportMargins(left, top, right, bottom);
  }

  //  void QListWidget::setViewportMargins(const QMargins &margins)
  void fp_QListWidget_setViewportMargins_2793_0 (const class QMargins & margins) {
    QListWidget::setViewportMargins(margins);
  }

  //  void QListWidget::setupViewport(QWidget *viewport)
  void fp_QListWidget_setupViewport_1993_0 (class QWidget * viewport) {
    QListWidget::setupViewport(viewport);
  }

  //  void QListWidget::startAutoScroll()
  void fp_QListWidget_startAutoScroll_0_0 () {
    QListWidget::startAutoScroll();
  }

  //  QAbstractItemView::State QListWidget::state()
  unsigned int fp_QListWidget_state_c0_0 () const {
    return (unsigned int)(QListWidget::state());
  }

  //  void QListWidget::stopAutoScroll()
  void fp_QListWidget_stopAutoScroll_0_0 () {
    QListWidget::stopAutoScroll();
  }

  //  void QListWidget::updateMicroFocus()
  void fp_QListWidget_updateMicroFocus_0_0 () {
    QListWidget::updateMicroFocus();
  }

  //  int QListWidget::verticalStepsPerItem()
  int fp_QListWidget_verticalStepsPerItem_c0_0 () const {
    return QListWidget::verticalStepsPerItem();
  }

  //  [adaptor impl] void QListWidget::doItemsLayout()
  void cbs_doItemsLayout_0_0()
  {
    QListWidget::doItemsLayout();
  }

  virtual void doItemsLayout()
  {
    gsi::issue<QListWidget_Adaptor>(cb_doItemsLayout_0_0, &QListWidget_Adaptor::cbs_doItemsLayout_0_0);
  }

  //  [adaptor impl] void QListWidget::dropEvent(QDropEvent *event)
  void cbs_dropEvent_2300_0(class QDropEvent * event)
  {
    QListWidget::dropEvent(event);
  }

  virtual void dropEvent(QDropEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QDropEvent *>(cb_dropEvent_2300_0, &QListWidget_Adaptor::cbs_dropEvent_2300_0, event);
  }

  //  [adaptor impl] bool QListWidget::eventFilter(QObject *, QEvent *)
  bool cbs_eventFilter_3767_0(class QObject * arg1, class QEvent * arg2)
  {
    return QListWidget::eventFilter(arg1, arg2);
  }

  virtual bool eventFilter(QObject *arg1, QEvent *arg2)
  {
    return gsi::issue<QListWidget_Adaptor, bool, class QObject *, class QEvent *>(cb_eventFilter_3767_0, &QListWidget_Adaptor::cbs_eventFilter_3767_0, arg1, arg2);
  }

  //  [adaptor impl] int QListWidget::heightForWidth(int )
  int cbs_heightForWidth_c767_0(int arg1) const
  {
    return QListWidget::heightForWidth(arg1);
  }

  virtual int heightForWidth(int arg1) const
  {
    return gsi::issue<QListWidget_Adaptor, int, int>(cb_heightForWidth_c767_0, &QListWidget_Adaptor::cbs_heightForWidth_c767_0, arg1);
  }

  //  [adaptor impl] QModelIndex QListWidget::indexAt(const QPoint &p)
  class QModelIndex cbs_indexAt_c2594_0(const class QPoint & p) const
  {
    return QListWidget::indexAt(p);
  }

  virtual QModelIndex indexAt(const QPoint &p) const
  {
    return gsi::issue<QListWidget_Adaptor, class QModelIndex, const class QPoint &>(cb_indexAt_c2594_0, &QListWidget_Adaptor::cbs_indexAt_c2594_0, p);
  }

  //  [adaptor impl] QVariant QListWidget::inputMethodQuery(Qt::InputMethodQuery query)
  class QVariant cbs_inputMethodQuery_c3001_0(const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type & query) const
  {
    return QListWidget::inputMethodQuery(qt_gsi::QtToCppAdaptor<enum Qt::InputMethodQuery>(query).cref ());
  }

  virtual QVariant inputMethodQuery(Qt::InputMethodQuery query) const
  {
    return gsi::issue<QListWidget_Adaptor, class QVariant, const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type &>(cb_inputMethodQuery_c3001_0, &QListWidget_Adaptor::cbs_inputMethodQuery_c3001_0, qt_gsi::CppToQtAdaptor<enum Qt::InputMethodQuery>(query));
  }

  //  [adaptor impl] void QListWidget::keyboardSearch(const QString &search)
  void cbs_keyboardSearch_2703_0(const class QString & search)
  {
    QListWidget::keyboardSearch(search);
  }

  virtual void keyboardSearch(const QString &search)
  {
    gsi::issue<QListWidget_Adaptor, const class QString &>(cb_keyboardSearch_2703_0, &QListWidget_Adaptor::cbs_keyboardSearch_2703_0, search);
  }

  //  [adaptor impl] QSize QListWidget::minimumSizeHint()
  class QSize cbs_minimumSizeHint_c0_0() const
  {
    return QListWidget::minimumSizeHint();
  }

  virtual QSize minimumSizeHint() const
  {
    return gsi::issue<QListWidget_Adaptor, class QSize>(cb_minimumSizeHint_c0_0, &QListWidget_Adaptor::cbs_minimumSizeHint_c0_0);
  }

  //  [adaptor impl] QPaintEngine * QListWidget::paintEngine()
  class QPaintEngine * cbs_paintEngine_c0_0() const
  {
    return QListWidget::paintEngine();
  }

  virtual QPaintEngine * paintEngine() const
  {
    return gsi::issue<QListWidget_Adaptor, class QPaintEngine *>(cb_paintEngine_c0_0, &QListWidget_Adaptor::cbs_paintEngine_c0_0);
  }

  //  [adaptor impl] void QListWidget::reset()
  void cbs_reset_0_0()
  {
    QListWidget::reset();
  }

  virtual void reset()
  {
    gsi::issue<QListWidget_Adaptor>(cb_reset_0_0, &QListWidget_Adaptor::cbs_reset_0_0);
  }

  //  [adaptor impl] void QListWidget::scrollTo(const QModelIndex &index, QAbstractItemView::ScrollHint hint)
  void cbs_scrollTo_5008_1(const class QModelIndex & index, const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & hint)
  {
    QListWidget::scrollTo(index, qt_gsi::QtToCppAdaptor<enum QAbstractItemView::ScrollHint>(hint).cref ());
  }

  virtual void scrollTo(const QModelIndex &index, QAbstractItemView::ScrollHint hint)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &, const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type &>(cb_scrollTo_5008_1, &QListWidget_Adaptor::cbs_scrollTo_5008_1, index, qt_gsi::CppToQtAdaptor<enum QAbstractItemView::ScrollHint>(hint));
  }

  //  [adaptor impl] void QListWidget::selectAll()
  void cbs_selectAll_0_0()
  {
    QListWidget::selectAll();
  }

  virtual void selectAll()
  {
    gsi::issue<QListWidget_Adaptor>(cb_selectAll_0_0, &QListWidget_Adaptor::cbs_selectAll_0_0);
  }

  //  [adaptor impl] void QListWidget::setRootIndex(const QModelIndex &index)
  void cbs_setRootIndex_3073_0(const class QModelIndex & index)
  {
    QListWidget::setRootIndex(index);
  }

  virtual void setRootIndex(const QModelIndex &index)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &>(cb_setRootIndex_3073_0, &QListWidget_Adaptor::cbs_setRootIndex_3073_0, index);
  }

  //  [adaptor impl] void QListWidget::setSelectionModel(QItemSelectionModel *selectionModel)
  void cbs_setSelectionModel_3211_0(class QItemSelectionModel * selectionModel)
  {
    QListWidget::setSelectionModel(selectionModel);
  }

  virtual void setSelectionModel(QItemSelectionModel *selectionModel)
  {
    gsi::issue<QListWidget_Adaptor, class QItemSelectionModel *>(cb_setSelectionModel_3211_0, &QListWidget_Adaptor::cbs_setSelectionModel_3211_0, selectionModel);
  }

  //  [adaptor impl] void QListWidget::setVisible(bool visible)
  void cbs_setVisible_864_0(bool visible)
  {
    QListWidget::setVisible(visible);
  }

  virtual void setVisible(bool visible)
  {
    gsi::issue<QListWidget_Adaptor, bool>(cb_setVisible_864_0, &QListWidget_Adaptor::cbs_setVisible_864_0, visible);
  }

  //  [adaptor impl] QSize QListWidget::sizeHint()
  class QSize cbs_sizeHint_c0_0() const
  {
    return QListWidget::sizeHint();
  }

  virtual QSize sizeHint() const
  {
    return gsi::issue<QListWidget_Adaptor, class QSize>(cb_sizeHint_c0_0, &QListWidget_Adaptor::cbs_sizeHint_c0_0);
  }

  //  [adaptor impl] int QListWidget::sizeHintForColumn(int column)
  int cbs_sizeHintForColumn_c767_0(int column) const
  {
    return QListWidget::sizeHintForColumn(column);
  }

  virtual int sizeHintForColumn(int column) const
  {
    return gsi::issue<QListWidget_Adaptor, int, int>(cb_sizeHintForColumn_c767_0, &QListWidget_Adaptor::cbs_sizeHintForColumn_c767_0, column);
  }

  //  [adaptor impl] int QListWidget::sizeHintForRow(int row)
  int cbs_sizeHintForRow_c767_0(int row) const
  {
    return QListWidget::sizeHintForRow(row);
  }

  virtual int sizeHintForRow(int row) const
  {
    return gsi::issue<QListWidget_Adaptor, int, int>(cb_sizeHintForRow_c767_0, &QListWidget_Adaptor::cbs_sizeHintForRow_c767_0, row);
  }

  //  [adaptor impl] QRect QListWidget::visualRect(const QModelIndex &index)
  class QRect cbs_visualRect_c3073_0(const class QModelIndex & index) const
  {
    return QListWidget::visualRect(index);
  }

  virtual QRect visualRect(const QModelIndex &index) const
  {
    return gsi::issue<QListWidget_Adaptor, class QRect, const class QModelIndex &>(cb_visualRect_c3073_0, &QListWidget_Adaptor::cbs_visualRect_c3073_0, index);
  }

  //  [adaptor impl] void QListWidget::actionEvent(QActionEvent *)
  void cbs_actionEvent_2501_0(class QActionEvent * arg1)
  {
    QListWidget::actionEvent(arg1);
  }

  virtual void actionEvent(QActionEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QActionEvent *>(cb_actionEvent_2501_0, &QListWidget_Adaptor::cbs_actionEvent_2501_0, arg1);
  }

  //  [adaptor impl] void QListWidget::changeEvent(QEvent *)
  void cbs_changeEvent_1895_0(class QEvent * arg1)
  {
    QListWidget::changeEvent(arg1);
  }

  virtual void changeEvent(QEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QEvent *>(cb_changeEvent_1895_0, &QListWidget_Adaptor::cbs_changeEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QListWidget::childEvent(QChildEvent *)
  void cbs_childEvent_2379_0(class QChildEvent * arg1)
  {
    QListWidget::childEvent(arg1);
  }

  virtual void childEvent(QChildEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QChildEvent *>(cb_childEvent_2379_0, &QListWidget_Adaptor::cbs_childEvent_2379_0, arg1);
  }

  //  [adaptor impl] void QListWidget::closeEditor(QWidget *editor, QAbstractItemDelegate::EndEditHint hint)
  void cbs_closeEditor_6185_0(class QWidget * editor, const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type & hint)
  {
    QListWidget::closeEditor(editor, qt_gsi::QtToCppAdaptor<enum QAbstractItemDelegate::EndEditHint>(hint).cref ());
  }

  virtual void closeEditor(QWidget *editor, QAbstractItemDelegate::EndEditHint hint)
  {
    gsi::issue<QListWidget_Adaptor, class QWidget *, const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type &>(cb_closeEditor_6185_0, &QListWidget_Adaptor::cbs_closeEditor_6185_0, editor, qt_gsi::CppToQtAdaptor<enum QAbstractItemDelegate::EndEditHint>(hint));
  }

  //  [adaptor impl] void QListWidget::closeEvent(QCloseEvent *)
  void cbs_closeEvent_2397_0(class QCloseEvent * arg1)
  {
    QListWidget::closeEvent(arg1);
  }

  virtual void closeEvent(QCloseEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QCloseEvent *>(cb_closeEvent_2397_0, &QListWidget_Adaptor::cbs_closeEvent_2397_0, arg1);
  }

  //  [adaptor impl] void QListWidget::commitData(QWidget *editor)
  void cbs_commitData_1993_0(class QWidget * editor)
  {
    QListWidget::commitData(editor);
  }

  virtual void commitData(QWidget *editor)
  {
    gsi::issue<QListWidget_Adaptor, class QWidget *>(cb_commitData_1993_0, &QListWidget_Adaptor::cbs_commitData_1993_0, editor);
  }

  //  [adaptor impl] void QListWidget::contextMenuEvent(QContextMenuEvent *)
  void cbs_contextMenuEvent_3041_0(class QContextMenuEvent * arg1)
  {
    QListWidget::contextMenuEvent(arg1);
  }

  virtual void contextMenuEvent(QContextMenuEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QContextMenuEvent *>(cb_contextMenuEvent_3041_0, &QListWidget_Adaptor::cbs_contextMenuEvent_3041_0, arg1);
  }

  //  [adaptor impl] void QListWidget::currentChanged(const QModelIndex &current, const QModelIndex &previous)
  void cbs_currentChanged_6038_0(const class QModelIndex & current, const class QModelIndex & previous)
  {
    QListWidget::currentChanged(current, previous);
  }

  virtual void currentChanged(const QModelIndex &current, const QModelIndex &previous)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &, const class QModelIndex &>(cb_currentChanged_6038_0, &QListWidget_Adaptor::cbs_currentChanged_6038_0, current, previous);
  }

  //  [adaptor impl] void QListWidget::customEvent(QEvent *)
  void cbs_customEvent_1895_0(class QEvent * arg1)
  {
    QListWidget::customEvent(arg1);
  }

  virtual void customEvent(QEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QEvent *>(cb_customEvent_1895_0, &QListWidget_Adaptor::cbs_customEvent_1895_0, arg1);
  }

  //  [adaptor impl] void QListWidget::dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight)
  void cbs_dataChanged_6038_0(const class QModelIndex & topLeft, const class QModelIndex & bottomRight)
  {
    QListWidget::dataChanged(topLeft, bottomRight);
  }

  virtual void dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &, const class QModelIndex &>(cb_dataChanged_6038_0, &QListWidget_Adaptor::cbs_dataChanged_6038_0, topLeft, bottomRight);
  }

  //  [adaptor impl] void QListWidget::disconnectNotify(const char *signal)
  void cbs_disconnectNotify_1731_0(const char * signal)
  {
    QListWidget::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const char *signal)
  {
    gsi::issue<QListWidget_Adaptor, const char *>(cb_disconnectNotify_1731_0, &QListWidget_Adaptor::cbs_disconnectNotify_1731_0, signal);
  }

  //  [adaptor impl] void QListWidget::dragEnterEvent(QDragEnterEvent *event)
  void cbs_dragEnterEvent_2787_0(class QDragEnterEvent * event)
  {
    QListWidget::dragEnterEvent(event);
  }

  virtual void dragEnterEvent(QDragEnterEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QDragEnterEvent *>(cb_dragEnterEvent_2787_0, &QListWidget_Adaptor::cbs_dragEnterEvent_2787_0, event);
  }

  //  [adaptor impl] void QListWidget::dragLeaveEvent(QDragLeaveEvent *e)
  void cbs_dragLeaveEvent_2770_0(class QDragLeaveEvent * e)
  {
    QListWidget::dragLeaveEvent(e);
  }

  virtual void dragLeaveEvent(QDragLeaveEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QDragLeaveEvent *>(cb_dragLeaveEvent_2770_0, &QListWidget_Adaptor::cbs_dragLeaveEvent_2770_0, e);
  }

  //  [adaptor impl] void QListWidget::dragMoveEvent(QDragMoveEvent *e)
  void cbs_dragMoveEvent_2684_0(class QDragMoveEvent * e)
  {
    QListWidget::dragMoveEvent(e);
  }

  virtual void dragMoveEvent(QDragMoveEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QDragMoveEvent *>(cb_dragMoveEvent_2684_0, &QListWidget_Adaptor::cbs_dragMoveEvent_2684_0, e);
  }

  //  [adaptor impl] bool QListWidget::dropMimeData(int index, const QMimeData *data, Qt::DropAction action)
  bool cbs_dropMimeData_5738_0(int index, const class QMimeData * data, const qt_gsi::Converter<enum Qt::DropAction>::target_type & action)
  {
    return QListWidget::dropMimeData(index, data, qt_gsi::QtToCppAdaptor<enum Qt::DropAction>(action).cref ());
  }

  virtual bool dropMimeData(int index, const QMimeData *data, Qt::DropAction action)
  {
    return gsi::issue<QListWidget_Adaptor, bool, int, const class QMimeData *, const qt_gsi::Converter<enum Qt::DropAction>::target_type &>(cb_dropMimeData_5738_0, &QListWidget_Adaptor::cbs_dropMimeData_5738_0, index, data, qt_gsi::CppToQtAdaptor<enum Qt::DropAction>(action));
  }

  //  [adaptor impl] bool QListWidget::edit(const QModelIndex &index, QAbstractItemView::EditTrigger trigger, QEvent *event)
  bool cbs_edit_6883_0(const class QModelIndex & index, const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type & trigger, class QEvent * event)
  {
    return QListWidget::edit(index, qt_gsi::QtToCppAdaptor<enum QAbstractItemView::EditTrigger>(trigger).cref (), event);
  }

  virtual bool edit(const QModelIndex &index, QAbstractItemView::EditTrigger trigger, QEvent *event)
  {
    return gsi::issue<QListWidget_Adaptor, bool, const class QModelIndex &, const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type &, class QEvent *>(cb_edit_6883_0, &QListWidget_Adaptor::cbs_edit_6883_0, index, qt_gsi::CppToQtAdaptor<enum QAbstractItemView::EditTrigger>(trigger), event);
  }

  //  [adaptor impl] void QListWidget::editorDestroyed(QObject *editor)
  void cbs_editorDestroyed_1980_0(class QObject * editor)
  {
    QListWidget::editorDestroyed(editor);
  }

  virtual void editorDestroyed(QObject *editor)
  {
    gsi::issue<QListWidget_Adaptor, class QObject *>(cb_editorDestroyed_1980_0, &QListWidget_Adaptor::cbs_editorDestroyed_1980_0, editor);
  }

  //  [adaptor impl] void QListWidget::enabledChange(bool )
  void cbs_enabledChange_864_0(bool arg1)
  {
    QListWidget::enabledChange(arg1);
  }

  virtual void enabledChange(bool arg1)
  {
    gsi::issue<QListWidget_Adaptor, bool>(cb_enabledChange_864_0, &QListWidget_Adaptor::cbs_enabledChange_864_0, arg1);
  }

  //  [adaptor impl] void QListWidget::enterEvent(QEvent *)
  void cbs_enterEvent_1895_0(class QEvent * arg1)
  {
    QListWidget::enterEvent(arg1);
  }

  virtual void enterEvent(QEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QEvent *>(cb_enterEvent_1895_0, &QListWidget_Adaptor::cbs_enterEvent_1895_0, arg1);
  }

  //  [adaptor impl] bool QListWidget::event(QEvent *e)
  bool cbs_event_1895_0(class QEvent * e)
  {
    return QListWidget::event(e);
  }

  virtual bool event(QEvent *e)
  {
    return gsi::issue<QListWidget_Adaptor, bool, class QEvent *>(cb_event_1895_0, &QListWidget_Adaptor::cbs_event_1895_0, e);
  }

  //  [adaptor impl] void QListWidget::focusInEvent(QFocusEvent *event)
  void cbs_focusInEvent_2407_0(class QFocusEvent * event)
  {
    QListWidget::focusInEvent(event);
  }

  virtual void focusInEvent(QFocusEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QFocusEvent *>(cb_focusInEvent_2407_0, &QListWidget_Adaptor::cbs_focusInEvent_2407_0, event);
  }

  //  [adaptor impl] bool QListWidget::focusNextPrevChild(bool next)
  bool cbs_focusNextPrevChild_864_0(bool next)
  {
    return QListWidget::focusNextPrevChild(next);
  }

  virtual bool focusNextPrevChild(bool next)
  {
    return gsi::issue<QListWidget_Adaptor, bool, bool>(cb_focusNextPrevChild_864_0, &QListWidget_Adaptor::cbs_focusNextPrevChild_864_0, next);
  }

  //  [adaptor impl] void QListWidget::focusOutEvent(QFocusEvent *event)
  void cbs_focusOutEvent_2407_0(class QFocusEvent * event)
  {
    QListWidget::focusOutEvent(event);
  }

  virtual void focusOutEvent(QFocusEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QFocusEvent *>(cb_focusOutEvent_2407_0, &QListWidget_Adaptor::cbs_focusOutEvent_2407_0, event);
  }

  //  [adaptor impl] void QListWidget::fontChange(const QFont &)
  void cbs_fontChange_2479_0(const class QFont & arg1)
  {
    QListWidget::fontChange(arg1);
  }

  virtual void fontChange(const QFont &arg1)
  {
    gsi::issue<QListWidget_Adaptor, const class QFont &>(cb_fontChange_2479_0, &QListWidget_Adaptor::cbs_fontChange_2479_0, arg1);
  }

  //  [adaptor impl] void QListWidget::hideEvent(QHideEvent *)
  void cbs_hideEvent_2273_0(class QHideEvent * arg1)
  {
    QListWidget::hideEvent(arg1);
  }

  virtual void hideEvent(QHideEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QHideEvent *>(cb_hideEvent_2273_0, &QListWidget_Adaptor::cbs_hideEvent_2273_0, arg1);
  }

  //  [adaptor impl] int QListWidget::horizontalOffset()
  int cbs_horizontalOffset_c0_0() const
  {
    return QListWidget::horizontalOffset();
  }

  virtual int horizontalOffset() const
  {
    return gsi::issue<QListWidget_Adaptor, int>(cb_horizontalOffset_c0_0, &QListWidget_Adaptor::cbs_horizontalOffset_c0_0);
  }

  //  [adaptor impl] void QListWidget::horizontalScrollbarAction(int action)
  void cbs_horizontalScrollbarAction_767_0(int action)
  {
    QListWidget::horizontalScrollbarAction(action);
  }

  virtual void horizontalScrollbarAction(int action)
  {
    gsi::issue<QListWidget_Adaptor, int>(cb_horizontalScrollbarAction_767_0, &QListWidget_Adaptor::cbs_horizontalScrollbarAction_767_0, action);
  }

  //  [adaptor impl] void QListWidget::horizontalScrollbarValueChanged(int value)
  void cbs_horizontalScrollbarValueChanged_767_0(int value)
  {
    QListWidget::horizontalScrollbarValueChanged(value);
  }

  virtual void horizontalScrollbarValueChanged(int value)
  {
    gsi::issue<QListWidget_Adaptor, int>(cb_horizontalScrollbarValueChanged_767_0, &QListWidget_Adaptor::cbs_horizontalScrollbarValueChanged_767_0, value);
  }

  //  [adaptor impl] void QListWidget::inputMethodEvent(QInputMethodEvent *event)
  void cbs_inputMethodEvent_3032_0(class QInputMethodEvent * event)
  {
    QListWidget::inputMethodEvent(event);
  }

  virtual void inputMethodEvent(QInputMethodEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QInputMethodEvent *>(cb_inputMethodEvent_3032_0, &QListWidget_Adaptor::cbs_inputMethodEvent_3032_0, event);
  }

  //  [adaptor impl] bool QListWidget::isIndexHidden(const QModelIndex &index)
  bool cbs_isIndexHidden_c3073_0(const class QModelIndex & index) const
  {
    return QListWidget::isIndexHidden(index);
  }

  virtual bool isIndexHidden(const QModelIndex &index) const
  {
    return gsi::issue<QListWidget_Adaptor, bool, const class QModelIndex &>(cb_isIndexHidden_c3073_0, &QListWidget_Adaptor::cbs_isIndexHidden_c3073_0, index);
  }

  //  [adaptor impl] void QListWidget::keyPressEvent(QKeyEvent *event)
  void cbs_keyPressEvent_2192_0(class QKeyEvent * event)
  {
    QListWidget::keyPressEvent(event);
  }

  virtual void keyPressEvent(QKeyEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QKeyEvent *>(cb_keyPressEvent_2192_0, &QListWidget_Adaptor::cbs_keyPressEvent_2192_0, event);
  }

  //  [adaptor impl] void QListWidget::keyReleaseEvent(QKeyEvent *)
  void cbs_keyReleaseEvent_2192_0(class QKeyEvent * arg1)
  {
    QListWidget::keyReleaseEvent(arg1);
  }

  virtual void keyReleaseEvent(QKeyEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QKeyEvent *>(cb_keyReleaseEvent_2192_0, &QListWidget_Adaptor::cbs_keyReleaseEvent_2192_0, arg1);
  }

  //  [adaptor impl] void QListWidget::languageChange()
  void cbs_languageChange_0_0()
  {
    QListWidget::languageChange();
  }

  virtual void languageChange()
  {
    gsi::issue<QListWidget_Adaptor>(cb_languageChange_0_0, &QListWidget_Adaptor::cbs_languageChange_0_0);
  }

  //  [adaptor impl] void QListWidget::leaveEvent(QEvent *)
  void cbs_leaveEvent_1895_0(class QEvent * arg1)
  {
    QListWidget::leaveEvent(arg1);
  }

  virtual void leaveEvent(QEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QEvent *>(cb_leaveEvent_1895_0, &QListWidget_Adaptor::cbs_leaveEvent_1895_0, arg1);
  }

  //  [adaptor impl] int QListWidget::metric(QPaintDevice::PaintDeviceMetric )
  int cbs_metric_c2729_0(const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type & arg1) const
  {
    return QListWidget::metric(qt_gsi::QtToCppAdaptor<enum QPaintDevice::PaintDeviceMetric>(arg1).cref ());
  }

  virtual int metric(QPaintDevice::PaintDeviceMetric arg1) const
  {
    return gsi::issue<QListWidget_Adaptor, int, const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type &>(cb_metric_c2729_0, &QListWidget_Adaptor::cbs_metric_c2729_0, qt_gsi::CppToQtAdaptor<enum QPaintDevice::PaintDeviceMetric>(arg1));
  }

  //  [adaptor impl] QMimeData * QListWidget::mimeData(const QList<class QListWidgetItem *> items)
  class QMimeData * cbs_mimeData_c5408_0(const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type & items) const
  {
    return QListWidget::mimeData(qt_gsi::QtToCppAdaptor<class QList<class QListWidgetItem *> >(items).cref ());
  }

  virtual QMimeData * mimeData(const QList<class QListWidgetItem *> items) const
  {
    return gsi::issue<QListWidget_Adaptor, class QMimeData *, const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type &>(cb_mimeData_c5408_0, &QListWidget_Adaptor::cbs_mimeData_c5408_0, qt_gsi::CppToQtAdaptor<class QList<class QListWidgetItem *> >(items));
  }

  //  [adaptor impl] QStringList QListWidget::mimeTypes()
  qt_gsi::Converter<class QStringList>::target_type cbs_mimeTypes_c0_0() const
  {
    return qt_gsi::CppToQtAdaptor<class QStringList>(QListWidget::mimeTypes());
  }

  virtual QStringList mimeTypes() const
  {
    return qt_gsi::QtToCppAdaptor<class QStringList>(gsi::issue<QListWidget_Adaptor, qt_gsi::Converter<class QStringList>::target_type>(cb_mimeTypes_c0_0, &QListWidget_Adaptor::cbs_mimeTypes_c0_0)).cref ();
  }

  //  [adaptor impl] void QListWidget::mouseDoubleClickEvent(QMouseEvent *event)
  void cbs_mouseDoubleClickEvent_2416_0(class QMouseEvent * event)
  {
    QListWidget::mouseDoubleClickEvent(event);
  }

  virtual void mouseDoubleClickEvent(QMouseEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QMouseEvent *>(cb_mouseDoubleClickEvent_2416_0, &QListWidget_Adaptor::cbs_mouseDoubleClickEvent_2416_0, event);
  }

  //  [adaptor impl] void QListWidget::mouseMoveEvent(QMouseEvent *e)
  void cbs_mouseMoveEvent_2416_0(class QMouseEvent * e)
  {
    QListWidget::mouseMoveEvent(e);
  }

  virtual void mouseMoveEvent(QMouseEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QMouseEvent *>(cb_mouseMoveEvent_2416_0, &QListWidget_Adaptor::cbs_mouseMoveEvent_2416_0, e);
  }

  //  [adaptor impl] void QListWidget::mousePressEvent(QMouseEvent *event)
  void cbs_mousePressEvent_2416_0(class QMouseEvent * event)
  {
    QListWidget::mousePressEvent(event);
  }

  virtual void mousePressEvent(QMouseEvent *event)
  {
    gsi::issue<QListWidget_Adaptor, class QMouseEvent *>(cb_mousePressEvent_2416_0, &QListWidget_Adaptor::cbs_mousePressEvent_2416_0, event);
  }

  //  [adaptor impl] void QListWidget::mouseReleaseEvent(QMouseEvent *e)
  void cbs_mouseReleaseEvent_2416_0(class QMouseEvent * e)
  {
    QListWidget::mouseReleaseEvent(e);
  }

  virtual void mouseReleaseEvent(QMouseEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QMouseEvent *>(cb_mouseReleaseEvent_2416_0, &QListWidget_Adaptor::cbs_mouseReleaseEvent_2416_0, e);
  }

  //  [adaptor impl] QModelIndex QListWidget::moveCursor(QAbstractItemView::CursorAction cursorAction, QFlags<enum Qt::KeyboardModifier> modifiers)
  class QModelIndex cbs_moveCursor_6792_0(unsigned int cursorAction, const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type & modifiers)
  {
    return QListWidget::moveCursor(QAbstractItemView::CursorAction(cursorAction), qt_gsi::QtToCppAdaptor<class QFlags<enum Qt::KeyboardModifier> >(modifiers).cref ());
  }

  virtual QModelIndex moveCursor(QAbstractItemView::CursorAction cursorAction, QFlags<enum Qt::KeyboardModifier> modifiers)
  {
    return gsi::issue<QListWidget_Adaptor, class QModelIndex, unsigned int, const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type &>(cb_moveCursor_6792_0, &QListWidget_Adaptor::cbs_moveCursor_6792_0, (unsigned int)(cursorAction), qt_gsi::CppToQtAdaptor<class QFlags<enum Qt::KeyboardModifier> >(modifiers));
  }

  //  [adaptor impl] void QListWidget::moveEvent(QMoveEvent *)
  void cbs_moveEvent_2302_0(class QMoveEvent * arg1)
  {
    QListWidget::moveEvent(arg1);
  }

  virtual void moveEvent(QMoveEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QMoveEvent *>(cb_moveEvent_2302_0, &QListWidget_Adaptor::cbs_moveEvent_2302_0, arg1);
  }

  //  [adaptor impl] void QListWidget::paintEvent(QPaintEvent *e)
  void cbs_paintEvent_2403_0(class QPaintEvent * e)
  {
    QListWidget::paintEvent(e);
  }

  virtual void paintEvent(QPaintEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QPaintEvent *>(cb_paintEvent_2403_0, &QListWidget_Adaptor::cbs_paintEvent_2403_0, e);
  }

  //  [adaptor impl] void QListWidget::paletteChange(const QPalette &)
  void cbs_paletteChange_2791_0(const class QPalette & arg1)
  {
    QListWidget::paletteChange(arg1);
  }

  virtual void paletteChange(const QPalette &arg1)
  {
    gsi::issue<QListWidget_Adaptor, const class QPalette &>(cb_paletteChange_2791_0, &QListWidget_Adaptor::cbs_paletteChange_2791_0, arg1);
  }

  //  [adaptor impl] void QListWidget::resizeEvent(QResizeEvent *e)
  void cbs_resizeEvent_2521_0(class QResizeEvent * e)
  {
    QListWidget::resizeEvent(e);
  }

  virtual void resizeEvent(QResizeEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QResizeEvent *>(cb_resizeEvent_2521_0, &QListWidget_Adaptor::cbs_resizeEvent_2521_0, e);
  }

  //  [adaptor impl] void QListWidget::rowsAboutToBeRemoved(const QModelIndex &parent, int start, int end)
  void cbs_rowsAboutToBeRemoved_4391_0(const class QModelIndex & parent, int start, int end)
  {
    QListWidget::rowsAboutToBeRemoved(parent, start, end);
  }

  virtual void rowsAboutToBeRemoved(const QModelIndex &parent, int start, int end)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &, int, int>(cb_rowsAboutToBeRemoved_4391_0, &QListWidget_Adaptor::cbs_rowsAboutToBeRemoved_4391_0, parent, start, end);
  }

  //  [adaptor impl] void QListWidget::rowsInserted(const QModelIndex &parent, int start, int end)
  void cbs_rowsInserted_4391_0(const class QModelIndex & parent, int start, int end)
  {
    QListWidget::rowsInserted(parent, start, end);
  }

  virtual void rowsInserted(const QModelIndex &parent, int start, int end)
  {
    gsi::issue<QListWidget_Adaptor, const class QModelIndex &, int, int>(cb_rowsInserted_4391_0, &QListWidget_Adaptor::cbs_rowsInserted_4391_0, parent, start, end);
  }

  //  [adaptor impl] void QListWidget::scrollContentsBy(int dx, int dy)
  void cbs_scrollContentsBy_1426_0(int dx, int dy)
  {
    QListWidget::scrollContentsBy(dx, dy);
  }

  virtual void scrollContentsBy(int dx, int dy)
  {
    gsi::issue<QListWidget_Adaptor, int, int>(cb_scrollContentsBy_1426_0, &QListWidget_Adaptor::cbs_scrollContentsBy_1426_0, dx, dy);
  }

  //  [adaptor impl] QList<class QModelIndex> QListWidget::selectedIndexes()
  qt_gsi::Converter<class QList<class QModelIndex> >::target_type cbs_selectedIndexes_c0_0() const
  {
    return qt_gsi::CppToQtAdaptor<class QList<class QModelIndex> >(QListWidget::selectedIndexes());
  }

  virtual QList<class QModelIndex> selectedIndexes() const
  {
    return qt_gsi::QtToCppAdaptor<class QList<class QModelIndex> >(gsi::issue<QListWidget_Adaptor, qt_gsi::Converter<class QList<class QModelIndex> >::target_type>(cb_selectedIndexes_c0_0, &QListWidget_Adaptor::cbs_selectedIndexes_c0_0)).cref ();
  }

  //  [adaptor impl] void QListWidget::selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)
  void cbs_selectionChanged_6702_0(const class QItemSelection & selected, const class QItemSelection & deselected)
  {
    QListWidget::selectionChanged(selected, deselected);
  }

  virtual void selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)
  {
    gsi::issue<QListWidget_Adaptor, const class QItemSelection &, const class QItemSelection &>(cb_selectionChanged_6702_0, &QListWidget_Adaptor::cbs_selectionChanged_6702_0, selected, deselected);
  }

  //  [adaptor impl] QFlags<enum QItemSelectionModel::SelectionFlag> QListWidget::selectionCommand(const QModelIndex &index, const QEvent *event)
  qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type cbs_selectionCommand_c5555_1(const class QModelIndex & index, const class QEvent * event) const
  {
    return qt_gsi::CppToQtAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(QListWidget::selectionCommand(index, event));
  }

  virtual QFlags<enum QItemSelectionModel::SelectionFlag> selectionCommand(const QModelIndex &index, const QEvent *event) const
  {
    return qt_gsi::QtToCppAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(gsi::issue<QListWidget_Adaptor, qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type, const class QModelIndex &, const class QEvent *>(cb_selectionCommand_c5555_1, &QListWidget_Adaptor::cbs_selectionCommand_c5555_1, index, event)).cref ();
  }

  //  [adaptor impl] void QListWidget::setSelection(const QRect &rect, QFlags<enum QItemSelectionModel::SelectionFlag> command)
  void cbs_setSelection_6681_0(const class QRect & rect, const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & command)
  {
    QListWidget::setSelection(rect, qt_gsi::QtToCppAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(command).cref ());
  }

  virtual void setSelection(const QRect &rect, QFlags<enum QItemSelectionModel::SelectionFlag> command)
  {
    gsi::issue<QListWidget_Adaptor, const class QRect &, const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type &>(cb_setSelection_6681_0, &QListWidget_Adaptor::cbs_setSelection_6681_0, rect, qt_gsi::CppToQtAdaptor<class QFlags<enum QItemSelectionModel::SelectionFlag> >(command));
  }

  //  [adaptor impl] void QListWidget::showEvent(QShowEvent *)
  void cbs_showEvent_2312_0(class QShowEvent * arg1)
  {
    QListWidget::showEvent(arg1);
  }

  virtual void showEvent(QShowEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QShowEvent *>(cb_showEvent_2312_0, &QListWidget_Adaptor::cbs_showEvent_2312_0, arg1);
  }

  //  [adaptor impl] void QListWidget::startDrag(QFlags<enum Qt::DropAction> supportedActions)
  void cbs_startDrag_4018_0(const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & supportedActions)
  {
    QListWidget::startDrag(qt_gsi::QtToCppAdaptor<class QFlags<enum Qt::DropAction> >(supportedActions).cref ());
  }

  virtual void startDrag(QFlags<enum Qt::DropAction> supportedActions)
  {
    gsi::issue<QListWidget_Adaptor, const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type &>(cb_startDrag_4018_0, &QListWidget_Adaptor::cbs_startDrag_4018_0, qt_gsi::CppToQtAdaptor<class QFlags<enum Qt::DropAction> >(supportedActions));
  }

  //  [adaptor impl] void QListWidget::styleChange(QStyle &)
  void cbs_styleChange_1906_0(class QStyle & arg1)
  {
    QListWidget::styleChange(arg1);
  }

  virtual void styleChange(QStyle &arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QStyle &>(cb_styleChange_1906_0, &QListWidget_Adaptor::cbs_styleChange_1906_0, arg1);
  }

  //  [adaptor impl] QFlags<enum Qt::DropAction> QListWidget::supportedDropActions()
  qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type cbs_supportedDropActions_c0_0() const
  {
    return qt_gsi::CppToQtAdaptor<class QFlags<enum Qt::DropAction> >(QListWidget::supportedDropActions());
  }

  virtual QFlags<enum Qt::DropAction> supportedDropActions() const
  {
    return qt_gsi::QtToCppAdaptor<class QFlags<enum Qt::DropAction> >(gsi::issue<QListWidget_Adaptor, qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type>(cb_supportedDropActions_c0_0, &QListWidget_Adaptor::cbs_supportedDropActions_c0_0)).cref ();
  }

  //  [adaptor impl] void QListWidget::tabletEvent(QTabletEvent *)
  void cbs_tabletEvent_2499_0(class QTabletEvent * arg1)
  {
    QListWidget::tabletEvent(arg1);
  }

  virtual void tabletEvent(QTabletEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QTabletEvent *>(cb_tabletEvent_2499_0, &QListWidget_Adaptor::cbs_tabletEvent_2499_0, arg1);
  }

  //  [adaptor impl] void QListWidget::timerEvent(QTimerEvent *e)
  void cbs_timerEvent_2408_0(class QTimerEvent * e)
  {
    QListWidget::timerEvent(e);
  }

  virtual void timerEvent(QTimerEvent *e)
  {
    gsi::issue<QListWidget_Adaptor, class QTimerEvent *>(cb_timerEvent_2408_0, &QListWidget_Adaptor::cbs_timerEvent_2408_0, e);
  }

  //  [adaptor impl] void QListWidget::updateEditorData()
  void cbs_updateEditorData_0_0()
  {
    QListWidget::updateEditorData();
  }

  virtual void updateEditorData()
  {
    gsi::issue<QListWidget_Adaptor>(cb_updateEditorData_0_0, &QListWidget_Adaptor::cbs_updateEditorData_0_0);
  }

  //  [adaptor impl] void QListWidget::updateEditorGeometries()
  void cbs_updateEditorGeometries_0_0()
  {
    QListWidget::updateEditorGeometries();
  }

  virtual void updateEditorGeometries()
  {
    gsi::issue<QListWidget_Adaptor>(cb_updateEditorGeometries_0_0, &QListWidget_Adaptor::cbs_updateEditorGeometries_0_0);
  }

  //  [adaptor impl] void QListWidget::updateGeometries()
  void cbs_updateGeometries_0_0()
  {
    QListWidget::updateGeometries();
  }

  virtual void updateGeometries()
  {
    gsi::issue<QListWidget_Adaptor>(cb_updateGeometries_0_0, &QListWidget_Adaptor::cbs_updateGeometries_0_0);
  }

  //  [adaptor impl] int QListWidget::verticalOffset()
  int cbs_verticalOffset_c0_0() const
  {
    return QListWidget::verticalOffset();
  }

  virtual int verticalOffset() const
  {
    return gsi::issue<QListWidget_Adaptor, int>(cb_verticalOffset_c0_0, &QListWidget_Adaptor::cbs_verticalOffset_c0_0);
  }

  //  [adaptor impl] void QListWidget::verticalScrollbarAction(int action)
  void cbs_verticalScrollbarAction_767_0(int action)
  {
    QListWidget::verticalScrollbarAction(action);
  }

  virtual void verticalScrollbarAction(int action)
  {
    gsi::issue<QListWidget_Adaptor, int>(cb_verticalScrollbarAction_767_0, &QListWidget_Adaptor::cbs_verticalScrollbarAction_767_0, action);
  }

  //  [adaptor impl] void QListWidget::verticalScrollbarValueChanged(int value)
  void cbs_verticalScrollbarValueChanged_767_0(int value)
  {
    QListWidget::verticalScrollbarValueChanged(value);
  }

  virtual void verticalScrollbarValueChanged(int value)
  {
    gsi::issue<QListWidget_Adaptor, int>(cb_verticalScrollbarValueChanged_767_0, &QListWidget_Adaptor::cbs_verticalScrollbarValueChanged_767_0, value);
  }

  //  [adaptor impl] QStyleOptionViewItem QListWidget::viewOptions()
  class QStyleOptionViewItem cbs_viewOptions_c0_0() const
  {
    return QListWidget::viewOptions();
  }

  virtual QStyleOptionViewItem viewOptions() const
  {
    return gsi::issue<QListWidget_Adaptor, class QStyleOptionViewItem>(cb_viewOptions_c0_0, &QListWidget_Adaptor::cbs_viewOptions_c0_0);
  }

  //  [adaptor impl] bool QListWidget::viewportEvent(QEvent *event)
  bool cbs_viewportEvent_1895_0(class QEvent * event)
  {
    return QListWidget::viewportEvent(event);
  }

  virtual bool viewportEvent(QEvent *event)
  {
    return gsi::issue<QListWidget_Adaptor, bool, class QEvent *>(cb_viewportEvent_1895_0, &QListWidget_Adaptor::cbs_viewportEvent_1895_0, event);
  }

  //  [adaptor impl] QRegion QListWidget::visualRegionForSelection(const QItemSelection &selection)
  class QRegion cbs_visualRegionForSelection_c3405_0(const class QItemSelection & selection) const
  {
    return QListWidget::visualRegionForSelection(selection);
  }

  virtual QRegion visualRegionForSelection(const QItemSelection &selection) const
  {
    return gsi::issue<QListWidget_Adaptor, class QRegion, const class QItemSelection &>(cb_visualRegionForSelection_c3405_0, &QListWidget_Adaptor::cbs_visualRegionForSelection_c3405_0, selection);
  }

  //  [adaptor impl] void QListWidget::wheelEvent(QWheelEvent *)
  void cbs_wheelEvent_2396_0(class QWheelEvent * arg1)
  {
    QListWidget::wheelEvent(arg1);
  }

  virtual void wheelEvent(QWheelEvent *arg1)
  {
    gsi::issue<QListWidget_Adaptor, class QWheelEvent *>(cb_wheelEvent_2396_0, &QListWidget_Adaptor::cbs_wheelEvent_2396_0, arg1);
  }

  //  [adaptor impl] void QListWidget::windowActivationChange(bool )
  void cbs_windowActivationChange_864_0(bool arg1)
  {
    QListWidget::windowActivationChange(arg1);
  }

  virtual void windowActivationChange(bool arg1)
  {
    gsi::issue<QListWidget_Adaptor, bool>(cb_windowActivationChange_864_0, &QListWidget_Adaptor::cbs_windowActivationChange_864_0, arg1);
  }

  gsi::Callback cb_doItemsLayout_0_0;
  gsi::Callback cb_dropEvent_2300_0;
  gsi::Callback cb_eventFilter_3767_0;
  gsi::Callback cb_heightForWidth_c767_0;
  gsi::Callback cb_indexAt_c2594_0;
  gsi::Callback cb_inputMethodQuery_c3001_0;
  gsi::Callback cb_keyboardSearch_2703_0;
  gsi::Callback cb_minimumSizeHint_c0_0;
  gsi::Callback cb_paintEngine_c0_0;
  gsi::Callback cb_reset_0_0;
  gsi::Callback cb_scrollTo_5008_1;
  gsi::Callback cb_selectAll_0_0;
  gsi::Callback cb_setRootIndex_3073_0;
  gsi::Callback cb_setSelectionModel_3211_0;
  gsi::Callback cb_setVisible_864_0;
  gsi::Callback cb_sizeHint_c0_0;
  gsi::Callback cb_sizeHintForColumn_c767_0;
  gsi::Callback cb_sizeHintForRow_c767_0;
  gsi::Callback cb_visualRect_c3073_0;
  gsi::Callback cb_actionEvent_2501_0;
  gsi::Callback cb_changeEvent_1895_0;
  gsi::Callback cb_childEvent_2379_0;
  gsi::Callback cb_closeEditor_6185_0;
  gsi::Callback cb_closeEvent_2397_0;
  gsi::Callback cb_commitData_1993_0;
  gsi::Callback cb_contextMenuEvent_3041_0;
  gsi::Callback cb_currentChanged_6038_0;
  gsi::Callback cb_customEvent_1895_0;
  gsi::Callback cb_dataChanged_6038_0;
  gsi::Callback cb_disconnectNotify_1731_0;
  gsi::Callback cb_dragEnterEvent_2787_0;
  gsi::Callback cb_dragLeaveEvent_2770_0;
  gsi::Callback cb_dragMoveEvent_2684_0;
  gsi::Callback cb_dropMimeData_5738_0;
  gsi::Callback cb_edit_6883_0;
  gsi::Callback cb_editorDestroyed_1980_0;
  gsi::Callback cb_enabledChange_864_0;
  gsi::Callback cb_enterEvent_1895_0;
  gsi::Callback cb_event_1895_0;
  gsi::Callback cb_focusInEvent_2407_0;
  gsi::Callback cb_focusNextPrevChild_864_0;
  gsi::Callback cb_focusOutEvent_2407_0;
  gsi::Callback cb_fontChange_2479_0;
  gsi::Callback cb_hideEvent_2273_0;
  gsi::Callback cb_horizontalOffset_c0_0;
  gsi::Callback cb_horizontalScrollbarAction_767_0;
  gsi::Callback cb_horizontalScrollbarValueChanged_767_0;
  gsi::Callback cb_inputMethodEvent_3032_0;
  gsi::Callback cb_isIndexHidden_c3073_0;
  gsi::Callback cb_keyPressEvent_2192_0;
  gsi::Callback cb_keyReleaseEvent_2192_0;
  gsi::Callback cb_languageChange_0_0;
  gsi::Callback cb_leaveEvent_1895_0;
  gsi::Callback cb_metric_c2729_0;
  gsi::Callback cb_mimeData_c5408_0;
  gsi::Callback cb_mimeTypes_c0_0;
  gsi::Callback cb_mouseDoubleClickEvent_2416_0;
  gsi::Callback cb_mouseMoveEvent_2416_0;
  gsi::Callback cb_mousePressEvent_2416_0;
  gsi::Callback cb_mouseReleaseEvent_2416_0;
  gsi::Callback cb_moveCursor_6792_0;
  gsi::Callback cb_moveEvent_2302_0;
  gsi::Callback cb_paintEvent_2403_0;
  gsi::Callback cb_paletteChange_2791_0;
  gsi::Callback cb_resizeEvent_2521_0;
  gsi::Callback cb_rowsAboutToBeRemoved_4391_0;
  gsi::Callback cb_rowsInserted_4391_0;
  gsi::Callback cb_scrollContentsBy_1426_0;
  gsi::Callback cb_selectedIndexes_c0_0;
  gsi::Callback cb_selectionChanged_6702_0;
  gsi::Callback cb_selectionCommand_c5555_1;
  gsi::Callback cb_setSelection_6681_0;
  gsi::Callback cb_showEvent_2312_0;
  gsi::Callback cb_startDrag_4018_0;
  gsi::Callback cb_styleChange_1906_0;
  gsi::Callback cb_supportedDropActions_c0_0;
  gsi::Callback cb_tabletEvent_2499_0;
  gsi::Callback cb_timerEvent_2408_0;
  gsi::Callback cb_updateEditorData_0_0;
  gsi::Callback cb_updateEditorGeometries_0_0;
  gsi::Callback cb_updateGeometries_0_0;
  gsi::Callback cb_verticalOffset_c0_0;
  gsi::Callback cb_verticalScrollbarAction_767_0;
  gsi::Callback cb_verticalScrollbarValueChanged_767_0;
  gsi::Callback cb_viewOptions_c0_0;
  gsi::Callback cb_viewportEvent_1895_0;
  gsi::Callback cb_visualRegionForSelection_c3405_0;
  gsi::Callback cb_wheelEvent_2396_0;
  gsi::Callback cb_windowActivationChange_864_0;
};

QListWidget_Adaptor::~QListWidget_Adaptor() { }

//  Constructor QListWidget::QListWidget(QWidget *parent) (adaptor class)
static void _init_ctor_QListWidget_Adaptor_1993_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QListWidget_Adaptor > ();
}

static void _call_ctor_QListWidget_Adaptor_1993_0 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<QListWidget_Adaptor *>::tag (), new QListWidget_Adaptor ());
}

static qt_gsi::GenericStaticMethod *_create_ctor_QListWidget_Adaptor_1993_0 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QListWidget::QListWidget(QWidget *parent)\n@args \nThis method creates an object of class QListWidget.", &_init_ctor_QListWidget_Adaptor_1993_0, &_call_ctor_QListWidget_Adaptor_1993_0);
}

//  Constructor QListWidget::QListWidget(QWidget *parent) (adaptor class)
static void _init_ctor_QListWidget_Adaptor_1993_1 (qt_gsi::GenericStaticMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return_new<QListWidget_Adaptor > ();
}

static void _call_ctor_QListWidget_Adaptor_1993_1 (gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ret.set_value (gsi::type_traits<QListWidget_Adaptor *>::tag (), new QListWidget_Adaptor (arg1));
}

static qt_gsi::GenericStaticMethod *_create_ctor_QListWidget_Adaptor_1993_1 ()
{
  return new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QListWidget::QListWidget(QWidget *parent)\n@args parent\nThis method creates an object of class QListWidget.", &_init_ctor_QListWidget_Adaptor_1993_1, &_call_ctor_QListWidget_Adaptor_1993_1);
}

// QSize QListWidget::contentsSize()

static void _init_fp_contentsSize_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QSize > ();
}

static void _call_fp_contentsSize_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QSize >::tag (), (class QSize)((QListWidget_Adaptor *)cls)->fp_QListWidget_contentsSize_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_contentsSize_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*contentsSize", "@brief Method QSize QListWidget::contentsSize()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_contentsSize_c0_0, &_call_fp_contentsSize_c0_0);
}


// void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)

static void _init_fp_create_2208_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_create_2208_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_create_2208_0 ();
}

static qt_gsi::GenericMethod *_create_fp_create_2208_0 ()
{
  return new qt_gsi::GenericMethod ("*qt_create", "@brief Method void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_create_2208_0, &_call_fp_create_2208_0);
}


// void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)

static void _init_fp_create_2208_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<WId>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_fp_create_2208_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<WId>::target_type & arg1 = args.get_value<const qt_gsi::Converter<WId>::target_type & > (gsi::type_traits<const qt_gsi::Converter<WId>::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_create_2208_1 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_create_2208_1 ()
{
  return new qt_gsi::GenericMethod ("*qt_create", "@brief Method void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)\n@args arg1\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_create_2208_1, &_call_fp_create_2208_1);
}


// void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)

static void _init_fp_create_2208_2 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<WId>::target_type & > ();
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_fp_create_2208_2 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<WId>::target_type & arg1 = args.get_value<const qt_gsi::Converter<WId>::target_type & > (gsi::type_traits<const qt_gsi::Converter<WId>::target_type & >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_create_2208_2 (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_fp_create_2208_2 ()
{
  return new qt_gsi::GenericMethod ("*qt_create", "@brief Method void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)\n@args arg1, initializeWindow\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_create_2208_2, &_call_fp_create_2208_2);
}


// void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)

static void _init_fp_create_2208_3 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<WId>::target_type & > ();
  decl->add_arg<bool > ();
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_fp_create_2208_3 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<WId>::target_type & arg1 = args.get_value<const qt_gsi::Converter<WId>::target_type & > (gsi::type_traits<const qt_gsi::Converter<WId>::target_type & >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  bool arg3 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_create_2208_3 (arg1, arg2, arg3);
}

static qt_gsi::GenericMethod *_create_fp_create_2208_3 ()
{
  return new qt_gsi::GenericMethod ("*qt_create", "@brief Method void QListWidget::create(WId, bool initializeWindow, bool destroyOldWindow)\n@args arg1, initializeWindow, destroyOldWindow\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_create_2208_3, &_call_fp_create_2208_3);
}


// void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)

static void _init_fp_destroy_1620_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_destroy_1620_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_destroy_1620_0 ();
}

static qt_gsi::GenericMethod *_create_fp_destroy_1620_0 ()
{
  return new qt_gsi::GenericMethod ("*qt_destroy", "@brief Method void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_destroy_1620_0, &_call_fp_destroy_1620_0);
}


// void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)

static void _init_fp_destroy_1620_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_fp_destroy_1620_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_destroy_1620_1 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_destroy_1620_1 ()
{
  return new qt_gsi::GenericMethod ("*qt_destroy", "@brief Method void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)\n@args destroyWindow\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_destroy_1620_1, &_call_fp_destroy_1620_1);
}


// void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)

static void _init_fp_destroy_1620_2 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_fp_destroy_1620_2 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  bool arg2 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_destroy_1620_2 (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_fp_destroy_1620_2 ()
{
  return new qt_gsi::GenericMethod ("*qt_destroy", "@brief Method void QListWidget::destroy(bool destroyWindow, bool destroySubWindows)\n@args destroyWindow, destroySubWindows\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_destroy_1620_2, &_call_fp_destroy_1620_2);
}


// QPoint QListWidget::dirtyRegionOffset()

static void _init_fp_dirtyRegionOffset_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QPoint > ();
}

static void _call_fp_dirtyRegionOffset_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QPoint >::tag (), (class QPoint)((QListWidget_Adaptor *)cls)->fp_QListWidget_dirtyRegionOffset_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_dirtyRegionOffset_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*dirtyRegionOffset", "@brief Method QPoint QListWidget::dirtyRegionOffset()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_dirtyRegionOffset_c0_0, &_call_fp_dirtyRegionOffset_c0_0);
}


// void QListWidget::doAutoScroll()

static void _init_fp_doAutoScroll_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_doAutoScroll_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_doAutoScroll_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_doAutoScroll_0_0 ()
{
  return new qt_gsi::GenericMethod ("*doAutoScroll", "@brief Method void QListWidget::doAutoScroll()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_doAutoScroll_0_0, &_call_fp_doAutoScroll_0_0);
}


// void QListWidget::drawFrame(QPainter *)

static void _init_fp_drawFrame_2104_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QPainter * > ();
  decl->set_return<void > ();
}

static void _call_fp_drawFrame_2104_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QPainter * arg1 = args.get_value<class QPainter * > (gsi::type_traits<class QPainter * >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_drawFrame_2104_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_drawFrame_2104_0 ()
{
  return new qt_gsi::GenericMethod ("*drawFrame", "@brief Method void QListWidget::drawFrame(QPainter *)\n@args arg1\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_drawFrame_2104_0, &_call_fp_drawFrame_2104_0);
}


// QAbstractItemView::DropIndicatorPosition QListWidget::dropIndicatorPosition()

static void _init_fp_dropIndicatorPosition_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<unsigned int > ();
}

static void _call_fp_dropIndicatorPosition_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<unsigned int >::tag (), (unsigned int)((QListWidget_Adaptor *)cls)->fp_QListWidget_dropIndicatorPosition_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_dropIndicatorPosition_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*dropIndicatorPosition", "@brief Method QAbstractItemView::DropIndicatorPosition QListWidget::dropIndicatorPosition()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_dropIndicatorPosition_c0_0, &_call_fp_dropIndicatorPosition_c0_0);
}


// void QListWidget::executeDelayedItemsLayout()

static void _init_fp_executeDelayedItemsLayout_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_executeDelayedItemsLayout_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_executeDelayedItemsLayout_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_executeDelayedItemsLayout_0_0 ()
{
  return new qt_gsi::GenericMethod ("*executeDelayedItemsLayout", "@brief Method void QListWidget::executeDelayedItemsLayout()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_executeDelayedItemsLayout_0_0, &_call_fp_executeDelayedItemsLayout_0_0);
}


// bool QListWidget::focusNextChild()

static void _init_fp_focusNextChild_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_fp_focusNextChild_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->fp_QListWidget_focusNextChild_0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_focusNextChild_0_0 ()
{
  return new qt_gsi::GenericMethod ("*focusNextChild", "@brief Method bool QListWidget::focusNextChild()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_focusNextChild_0_0, &_call_fp_focusNextChild_0_0);
}


// bool QListWidget::focusPreviousChild()

static void _init_fp_focusPreviousChild_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_fp_focusPreviousChild_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->fp_QListWidget_focusPreviousChild_0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_focusPreviousChild_0_0 ()
{
  return new qt_gsi::GenericMethod ("*focusPreviousChild", "@brief Method bool QListWidget::focusPreviousChild()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_focusPreviousChild_0_0, &_call_fp_focusPreviousChild_0_0);
}


// int QListWidget::horizontalStepsPerItem()

static void _init_fp_horizontalStepsPerItem_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_fp_horizontalStepsPerItem_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->fp_QListWidget_horizontalStepsPerItem_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_horizontalStepsPerItem_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalStepsPerItem", "@brief Method int QListWidget::horizontalStepsPerItem()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_horizontalStepsPerItem_c0_0, &_call_fp_horizontalStepsPerItem_c0_0);
}


// QModelIndex QListWidget::indexFromItem(QListWidgetItem *item)

static void _init_fp_indexFromItem_c2804_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QListWidgetItem * > ();
  decl->set_return<class QModelIndex > ();
}

static void _call_fp_indexFromItem_c2804_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QListWidgetItem * arg1 = args.get_value<class QListWidgetItem * > (gsi::type_traits<class QListWidgetItem * >::tag ());
  ret.set_value (gsi::type_traits<class QModelIndex >::tag (), (class QModelIndex)((QListWidget_Adaptor *)cls)->fp_QListWidget_indexFromItem_c2804_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_indexFromItem_c2804_0 ()
{
  return new qt_gsi::GenericMethod ("*indexFromItem", "@brief Method QModelIndex QListWidget::indexFromItem(QListWidgetItem *item)\n@args item\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_indexFromItem_c2804_0, &_call_fp_indexFromItem_c2804_0);
}


// void QListWidget::internalDrag(QFlags<enum Qt::DropAction> supportedActions)

static void _init_fp_internalDrag_4018_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_fp_internalDrag_4018_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_internalDrag_4018_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_internalDrag_4018_0 ()
{
  return new qt_gsi::GenericMethod ("*internalDrag", "@brief Method void QListWidget::internalDrag(QFlags<enum Qt::DropAction> supportedActions)\n@args supportedActions\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_internalDrag_4018_0, &_call_fp_internalDrag_4018_0);
}


// void QListWidget::internalDrop(QDropEvent *e)

static void _init_fp_internalDrop_2300_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDropEvent * > ();
  decl->set_return<void > ();
}

static void _call_fp_internalDrop_2300_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDropEvent * arg1 = args.get_value<class QDropEvent * > (gsi::type_traits<class QDropEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_internalDrop_2300_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_internalDrop_2300_0 ()
{
  return new qt_gsi::GenericMethod ("*internalDrop", "@brief Method void QListWidget::internalDrop(QDropEvent *e)\n@args e\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_internalDrop_2300_0, &_call_fp_internalDrop_2300_0);
}


// QListWidgetItem * QListWidget::itemFromIndex(const QModelIndex &index)

static void _init_fp_itemFromIndex_c3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<class QListWidgetItem * > ();
}

static void _call_fp_itemFromIndex_c3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ret.set_value (gsi::type_traits<class QListWidgetItem * >::tag (), (class QListWidgetItem *)((QListWidget_Adaptor *)cls)->fp_QListWidget_itemFromIndex_c3073_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_itemFromIndex_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("*itemFromIndex", "@brief Method QListWidgetItem * QListWidget::itemFromIndex(const QModelIndex &index)\n@args index\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_itemFromIndex_c3073_0, &_call_fp_itemFromIndex_c3073_0);
}


// QList<class QListWidgetItem *> QListWidget::items(const QMimeData *data)

static void _init_fp_items_c2846_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QMimeData * > ();
  decl->set_return<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type > ();
}

static void _call_fp_items_c2846_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QMimeData * arg1 = args.get_value<const class QMimeData * > (gsi::type_traits<const class QMimeData * >::tag ());
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type)((QListWidget_Adaptor *)cls)->fp_QListWidget_items_c2846_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_items_c2846_0 ()
{
  return new qt_gsi::GenericMethod ("*items", "@brief Method QList<class QListWidgetItem *> QListWidget::items(const QMimeData *data)\n@args data\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_items_c2846_0, &_call_fp_items_c2846_0);
}


// int QListWidget::receivers(const char *signal)

static void _init_fp_receivers_c1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->fp_QListWidget_receivers_c1731_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_receivers_c1731_0 ()
{
  return new qt_gsi::GenericMethod ("*receivers", "@brief Method int QListWidget::receivers(const char *signal)\n@args signal\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731_0, &_call_fp_receivers_c1731_0);
}


// QRect QListWidget::rectForIndex(const QModelIndex &index)

static void _init_fp_rectForIndex_c3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<class QRect > ();
}

static void _call_fp_rectForIndex_c3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ret.set_value (gsi::type_traits<class QRect >::tag (), (class QRect)((QListWidget_Adaptor *)cls)->fp_QListWidget_rectForIndex_c3073_0 (arg1));
}

static qt_gsi::GenericMethod *_create_fp_rectForIndex_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("*rectForIndex", "@brief Method QRect QListWidget::rectForIndex(const QModelIndex &index)\n@args index\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_rectForIndex_c3073_0, &_call_fp_rectForIndex_c3073_0);
}


// void QListWidget::resetInputContext()

static void _init_fp_resetInputContext_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_resetInputContext_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_resetInputContext_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_resetInputContext_0_0 ()
{
  return new qt_gsi::GenericMethod ("*resetInputContext", "@brief Method void QListWidget::resetInputContext()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_resetInputContext_0_0, &_call_fp_resetInputContext_0_0);
}


// void QListWidget::resizeContents(int width, int height)

static void _init_fp_resizeContents_1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_fp_resizeContents_1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_resizeContents_1426_0 (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_fp_resizeContents_1426_0 ()
{
  return new qt_gsi::GenericMethod ("*resizeContents", "@brief Method void QListWidget::resizeContents(int width, int height)\n@args width, height\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_resizeContents_1426_0, &_call_fp_resizeContents_1426_0);
}


// void QListWidget::scheduleDelayedItemsLayout()

static void _init_fp_scheduleDelayedItemsLayout_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_scheduleDelayedItemsLayout_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_scheduleDelayedItemsLayout_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_scheduleDelayedItemsLayout_0_0 ()
{
  return new qt_gsi::GenericMethod ("*scheduleDelayedItemsLayout", "@brief Method void QListWidget::scheduleDelayedItemsLayout()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_scheduleDelayedItemsLayout_0_0, &_call_fp_scheduleDelayedItemsLayout_0_0);
}


// void QListWidget::scrollDirtyRegion(int dx, int dy)

static void _init_fp_scrollDirtyRegion_1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_fp_scrollDirtyRegion_1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_scrollDirtyRegion_1426_0 (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_fp_scrollDirtyRegion_1426_0 ()
{
  return new qt_gsi::GenericMethod ("*scrollDirtyRegion", "@brief Method void QListWidget::scrollDirtyRegion(int dx, int dy)\n@args dx, dy\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_scrollDirtyRegion_1426_0, &_call_fp_scrollDirtyRegion_1426_0);
}


// QObject * QListWidget::sender()

static void _init_fp_sender_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QObject * > ();
}

static void _call_fp_sender_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QObject * >::tag (), (class QObject *)((QListWidget_Adaptor *)cls)->fp_QListWidget_sender_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_sender_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*sender", "@brief Method QObject * QListWidget::sender()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0_0, &_call_fp_sender_c0_0);
}


// void QListWidget::setDirtyRegion(const QRegion &region)

static void _init_fp_setDirtyRegion_2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRegion & > ();
  decl->set_return<void > ();
}

static void _call_fp_setDirtyRegion_2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRegion & arg1 = args.get_value<const class QRegion & > (gsi::type_traits<const class QRegion & >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setDirtyRegion_2684_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setDirtyRegion_2684_0 ()
{
  return new qt_gsi::GenericMethod ("*setDirtyRegion", "@brief Method void QListWidget::setDirtyRegion(const QRegion &region)\n@args region\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setDirtyRegion_2684_0, &_call_fp_setDirtyRegion_2684_0);
}


// void QListWidget::setHorizontalStepsPerItem(int steps)

static void _init_fp_setHorizontalStepsPerItem_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_fp_setHorizontalStepsPerItem_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setHorizontalStepsPerItem_767_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setHorizontalStepsPerItem_767_0 ()
{
  return new qt_gsi::GenericMethod ("*setHorizontalStepsPerItem", "@brief Method void QListWidget::setHorizontalStepsPerItem(int steps)\n@args steps\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setHorizontalStepsPerItem_767_0, &_call_fp_setHorizontalStepsPerItem_767_0);
}


// void QListWidget::setPositionForIndex(const QPoint &position, const QModelIndex &index)

static void _init_fp_setPositionForIndex_5559_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_fp_setPositionForIndex_5559_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  const class QModelIndex & arg2 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setPositionForIndex_5559_0 (arg1, arg2);
}

static qt_gsi::GenericMethod *_create_fp_setPositionForIndex_5559_0 ()
{
  return new qt_gsi::GenericMethod ("*setPositionForIndex", "@brief Method void QListWidget::setPositionForIndex(const QPoint &position, const QModelIndex &index)\n@args position, index\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setPositionForIndex_5559_0, &_call_fp_setPositionForIndex_5559_0);
}


// void QListWidget::setState(QAbstractItemView::State state)

static void _init_fp_setState_1530_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<unsigned int > ();
  decl->set_return<void > ();
}

static void _call_fp_setState_1530_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  unsigned int arg1 = args.get_value<unsigned int > (gsi::type_traits<unsigned int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setState_1530_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setState_1530_0 ()
{
  return new qt_gsi::GenericMethod ("*setState", "@brief Method void QListWidget::setState(QAbstractItemView::State state)\n@args state\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setState_1530_0, &_call_fp_setState_1530_0);
}


// void QListWidget::setVerticalStepsPerItem(int steps)

static void _init_fp_setVerticalStepsPerItem_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_fp_setVerticalStepsPerItem_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setVerticalStepsPerItem_767_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setVerticalStepsPerItem_767_0 ()
{
  return new qt_gsi::GenericMethod ("*setVerticalStepsPerItem", "@brief Method void QListWidget::setVerticalStepsPerItem(int steps)\n@args steps\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setVerticalStepsPerItem_767_0, &_call_fp_setVerticalStepsPerItem_767_0);
}


// void QListWidget::setViewportMargins(int left, int top, int right, int bottom)

static void _init_fp_setViewportMargins_2744_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_fp_setViewportMargins_2744_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg4 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setViewportMargins_2744_0 (arg1, arg2, arg3, arg4);
}

static qt_gsi::GenericMethod *_create_fp_setViewportMargins_2744_0 ()
{
  return new qt_gsi::GenericMethod ("*setViewportMargins", "@brief Method void QListWidget::setViewportMargins(int left, int top, int right, int bottom)\n@args left, top, right, bottom\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setViewportMargins_2744_0, &_call_fp_setViewportMargins_2744_0);
}


// void QListWidget::setViewportMargins(const QMargins &margins)

static void _init_fp_setViewportMargins_2793_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QMargins & > ();
  decl->set_return<void > ();
}

static void _call_fp_setViewportMargins_2793_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QMargins & arg1 = args.get_value<const class QMargins & > (gsi::type_traits<const class QMargins & >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setViewportMargins_2793_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setViewportMargins_2793_0 ()
{
  return new qt_gsi::GenericMethod ("*setViewportMargins", "@brief Method void QListWidget::setViewportMargins(const QMargins &margins)\n@args margins\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setViewportMargins_2793_0, &_call_fp_setViewportMargins_2793_0);
}


// void QListWidget::setupViewport(QWidget *viewport)

static void _init_fp_setupViewport_1993_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return<void > ();
}

static void _call_fp_setupViewport_1993_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_setupViewport_1993_0 (arg1);
}

static qt_gsi::GenericMethod *_create_fp_setupViewport_1993_0 ()
{
  return new qt_gsi::GenericMethod ("*setupViewport", "@brief Method void QListWidget::setupViewport(QWidget *viewport)\n@args viewport\nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_setupViewport_1993_0, &_call_fp_setupViewport_1993_0);
}


// void QListWidget::startAutoScroll()

static void _init_fp_startAutoScroll_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_startAutoScroll_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_startAutoScroll_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_startAutoScroll_0_0 ()
{
  return new qt_gsi::GenericMethod ("*startAutoScroll", "@brief Method void QListWidget::startAutoScroll()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_startAutoScroll_0_0, &_call_fp_startAutoScroll_0_0);
}


// QAbstractItemView::State QListWidget::state()

static void _init_fp_state_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<unsigned int > ();
}

static void _call_fp_state_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<unsigned int >::tag (), (unsigned int)((QListWidget_Adaptor *)cls)->fp_QListWidget_state_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_state_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*state", "@brief Method QAbstractItemView::State QListWidget::state()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_state_c0_0, &_call_fp_state_c0_0);
}


// void QListWidget::stopAutoScroll()

static void _init_fp_stopAutoScroll_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_stopAutoScroll_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_stopAutoScroll_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_stopAutoScroll_0_0 ()
{
  return new qt_gsi::GenericMethod ("*stopAutoScroll", "@brief Method void QListWidget::stopAutoScroll()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_stopAutoScroll_0_0, &_call_fp_stopAutoScroll_0_0);
}


// void QListWidget::updateMicroFocus()

static void _init_fp_updateMicroFocus_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_fp_updateMicroFocus_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->fp_QListWidget_updateMicroFocus_0_0 ();
}

static qt_gsi::GenericMethod *_create_fp_updateMicroFocus_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateMicroFocus", "@brief Method void QListWidget::updateMicroFocus()\n@args \nThis method is protected and can only be called from inside a derived class.", false, &_init_fp_updateMicroFocus_0_0, &_call_fp_updateMicroFocus_0_0);
}


// int QListWidget::verticalStepsPerItem()

static void _init_fp_verticalStepsPerItem_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_fp_verticalStepsPerItem_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->fp_QListWidget_verticalStepsPerItem_c0_0 ());
}

static qt_gsi::GenericMethod *_create_fp_verticalStepsPerItem_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalStepsPerItem", "@brief Method int QListWidget::verticalStepsPerItem()\n@args \nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_verticalStepsPerItem_c0_0, &_call_fp_verticalStepsPerItem_c0_0);
}


// void QListWidget::doItemsLayout()

static void _init_cbs_doItemsLayout_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_doItemsLayout_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_doItemsLayout_0_0 ();
}

static void _set_callback_cbs_doItemsLayout_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_doItemsLayout_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_doItemsLayout_0_0 ()
{
  return new qt_gsi::GenericMethod ("doItemsLayout", "@hide", false, &_init_cbs_doItemsLayout_0_0, &_call_cbs_doItemsLayout_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_doItemsLayout_0_0 ()
{
  return new qt_gsi::GenericMethod ("doItemsLayout", "@brief Virtual method void QListWidget::doItemsLayout()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_doItemsLayout_0_0, &_call_cbs_doItemsLayout_0_0, &_set_callback_cbs_doItemsLayout_0_0);
}


// void QListWidget::dropEvent(QDropEvent *event)

static void _init_cbs_dropEvent_2300_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDropEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_dropEvent_2300_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDropEvent * arg1 = args.get_value<class QDropEvent * > (gsi::type_traits<class QDropEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_dropEvent_2300_0 (arg1);
}

static void _set_callback_cbs_dropEvent_2300_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dropEvent_2300_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dropEvent_2300_0 ()
{
  return new qt_gsi::GenericMethod ("dropEvent", "@hide", false, &_init_cbs_dropEvent_2300_0, &_call_cbs_dropEvent_2300_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dropEvent_2300_0 ()
{
  return new qt_gsi::GenericMethod ("dropEvent", "@brief Virtual method void QListWidget::dropEvent(QDropEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dropEvent_2300_0, &_call_cbs_dropEvent_2300_0, &_set_callback_cbs_dropEvent_2300_0);
}


// bool QListWidget::eventFilter(QObject *, QEvent *)

static void _init_cbs_eventFilter_3767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_3767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  class QEvent * arg2 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_eventFilter_3767_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_3767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_eventFilter_3767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_eventFilter_3767_0 ()
{
  return new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QListWidget::eventFilter(QObject *, QEvent *)\n@args arg1, arg2\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_3767_0, &_call_cbs_eventFilter_3767_0, &_set_callback_cbs_eventFilter_3767_0);
}


// int QListWidget::heightForWidth(int )

static void _init_cbs_heightForWidth_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<int > ();
}

static void _call_cbs_heightForWidth_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_heightForWidth_c767_0 (arg1));
}

static void _set_callback_cbs_heightForWidth_c767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_heightForWidth_c767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_heightForWidth_c767_0 ()
{
  return new qt_gsi::GenericMethod ("heightForWidth", "@hide", true, &_init_cbs_heightForWidth_c767_0, &_call_cbs_heightForWidth_c767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_heightForWidth_c767_0 ()
{
  return new qt_gsi::GenericMethod ("heightForWidth", "@brief Virtual method int QListWidget::heightForWidth(int )\n@args arg1\nThis method can be reimplemented in a derived class.", true, &_init_cbs_heightForWidth_c767_0, &_call_cbs_heightForWidth_c767_0, &_set_callback_cbs_heightForWidth_c767_0);
}


// QModelIndex QListWidget::indexAt(const QPoint &p)

static void _init_cbs_indexAt_c2594_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPoint & > ();
  decl->set_return<class QModelIndex > ();
}

static void _call_cbs_indexAt_c2594_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPoint & arg1 = args.get_value<const class QPoint & > (gsi::type_traits<const class QPoint & >::tag ());
  ret.set_value (gsi::type_traits<class QModelIndex >::tag (), (class QModelIndex)((QListWidget_Adaptor *)cls)->cbs_indexAt_c2594_0 (arg1));
}

static void _set_callback_cbs_indexAt_c2594_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_indexAt_c2594_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_indexAt_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("indexAt", "@hide", true, &_init_cbs_indexAt_c2594_0, &_call_cbs_indexAt_c2594_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_indexAt_c2594_0 ()
{
  return new qt_gsi::GenericMethod ("indexAt", "@brief Virtual method QModelIndex QListWidget::indexAt(const QPoint &p)\n@args p\nThis method can be reimplemented in a derived class.", true, &_init_cbs_indexAt_c2594_0, &_call_cbs_indexAt_c2594_0, &_set_callback_cbs_indexAt_c2594_0);
}


// QVariant QListWidget::inputMethodQuery(Qt::InputMethodQuery query)

static void _init_cbs_inputMethodQuery_c3001_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type & > ();
  decl->set_return<class QVariant > ();
}

static void _call_cbs_inputMethodQuery_c3001_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type & arg1 = args.get_value<const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::InputMethodQuery>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<class QVariant >::tag (), (class QVariant)((QListWidget_Adaptor *)cls)->cbs_inputMethodQuery_c3001_0 (arg1));
}

static void _set_callback_cbs_inputMethodQuery_c3001_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_inputMethodQuery_c3001_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_inputMethodQuery_c3001_0 ()
{
  return new qt_gsi::GenericMethod ("inputMethodQuery", "@hide", true, &_init_cbs_inputMethodQuery_c3001_0, &_call_cbs_inputMethodQuery_c3001_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_inputMethodQuery_c3001_0 ()
{
  return new qt_gsi::GenericMethod ("inputMethodQuery", "@brief Virtual method QVariant QListWidget::inputMethodQuery(Qt::InputMethodQuery query)\n@args query\nThis method can be reimplemented in a derived class.", true, &_init_cbs_inputMethodQuery_c3001_0, &_call_cbs_inputMethodQuery_c3001_0, &_set_callback_cbs_inputMethodQuery_c3001_0);
}


// void QListWidget::keyboardSearch(const QString &search)

static void _init_cbs_keyboardSearch_2703_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QString & > ();
  decl->set_return<void > ();
}

static void _call_cbs_keyboardSearch_2703_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QString & arg1 = args.get_value<const class QString & > (gsi::type_traits<const class QString & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_keyboardSearch_2703_0 (arg1);
}

static void _set_callback_cbs_keyboardSearch_2703_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_keyboardSearch_2703_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_keyboardSearch_2703_0 ()
{
  return new qt_gsi::GenericMethod ("keyboardSearch", "@hide", false, &_init_cbs_keyboardSearch_2703_0, &_call_cbs_keyboardSearch_2703_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_keyboardSearch_2703_0 ()
{
  return new qt_gsi::GenericMethod ("keyboardSearch", "@brief Virtual method void QListWidget::keyboardSearch(const QString &search)\n@args search\nThis method can be reimplemented in a derived class.", false, &_init_cbs_keyboardSearch_2703_0, &_call_cbs_keyboardSearch_2703_0, &_set_callback_cbs_keyboardSearch_2703_0);
}


// QSize QListWidget::minimumSizeHint()

static void _init_cbs_minimumSizeHint_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QSize > ();
}

static void _call_cbs_minimumSizeHint_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QSize >::tag (), (class QSize)((QListWidget_Adaptor *)cls)->cbs_minimumSizeHint_c0_0 ());
}

static void _set_callback_cbs_minimumSizeHint_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_minimumSizeHint_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_minimumSizeHint_c0_0 ()
{
  return new qt_gsi::GenericMethod ("minimumSizeHint", "@hide", true, &_init_cbs_minimumSizeHint_c0_0, &_call_cbs_minimumSizeHint_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_minimumSizeHint_c0_0 ()
{
  return new qt_gsi::GenericMethod ("minimumSizeHint", "@brief Virtual method QSize QListWidget::minimumSizeHint()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_minimumSizeHint_c0_0, &_call_cbs_minimumSizeHint_c0_0, &_set_callback_cbs_minimumSizeHint_c0_0);
}


// QPaintEngine * QListWidget::paintEngine()

static void _init_cbs_paintEngine_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QPaintEngine * > ();
}

static void _call_cbs_paintEngine_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QPaintEngine * >::tag (), (class QPaintEngine *)((QListWidget_Adaptor *)cls)->cbs_paintEngine_c0_0 ());
}

static void _set_callback_cbs_paintEngine_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_paintEngine_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_paintEngine_c0_0 ()
{
  return new qt_gsi::GenericMethod ("paintEngine", "@hide", true, &_init_cbs_paintEngine_c0_0, &_call_cbs_paintEngine_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_paintEngine_c0_0 ()
{
  return new qt_gsi::GenericMethod ("paintEngine", "@brief Virtual method QPaintEngine * QListWidget::paintEngine()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_paintEngine_c0_0, &_call_cbs_paintEngine_c0_0, &_set_callback_cbs_paintEngine_c0_0);
}


// void QListWidget::reset()

static void _init_cbs_reset_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_reset_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_reset_0_0 ();
}

static void _set_callback_cbs_reset_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_reset_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_reset_0_0 ()
{
  return new qt_gsi::GenericMethod ("reset", "@hide", false, &_init_cbs_reset_0_0, &_call_cbs_reset_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_reset_0_0 ()
{
  return new qt_gsi::GenericMethod ("reset", "@brief Virtual method void QListWidget::reset()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_reset_0_0, &_call_cbs_reset_0_0, &_set_callback_cbs_reset_0_0);
}


// void QListWidget::scrollTo(const QModelIndex &index, QAbstractItemView::ScrollHint hint)

static void _init_cbs_scrollTo_5008_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_cbs_scrollTo_5008_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QAbstractItemView::ScrollHint>::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_scrollTo_5008_1 (arg1, arg2);
}

static void _set_callback_cbs_scrollTo_5008_1 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_scrollTo_5008_1 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_scrollTo_5008_1 ()
{
  return new qt_gsi::GenericMethod ("scrollTo", "@hide", false, &_init_cbs_scrollTo_5008_1, &_call_cbs_scrollTo_5008_1);
}

static qt_gsi::GenericMethod *_create_callback_cbs_scrollTo_5008_1 ()
{
  return new qt_gsi::GenericMethod ("scrollTo", "@brief Virtual method void QListWidget::scrollTo(const QModelIndex &index, QAbstractItemView::ScrollHint hint)\n@args index, hint\nThis method can be reimplemented in a derived class.", false, &_init_cbs_scrollTo_5008_1, &_call_cbs_scrollTo_5008_1, &_set_callback_cbs_scrollTo_5008_1);
}


// void QListWidget::selectAll()

static void _init_cbs_selectAll_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_selectAll_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_selectAll_0_0 ();
}

static void _set_callback_cbs_selectAll_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_selectAll_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_selectAll_0_0 ()
{
  return new qt_gsi::GenericMethod ("selectAll", "@hide", false, &_init_cbs_selectAll_0_0, &_call_cbs_selectAll_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_selectAll_0_0 ()
{
  return new qt_gsi::GenericMethod ("selectAll", "@brief Virtual method void QListWidget::selectAll()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_selectAll_0_0, &_call_cbs_selectAll_0_0, &_set_callback_cbs_selectAll_0_0);
}


// void QListWidget::setRootIndex(const QModelIndex &index)

static void _init_cbs_setRootIndex_3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_cbs_setRootIndex_3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_setRootIndex_3073_0 (arg1);
}

static void _set_callback_cbs_setRootIndex_3073_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_setRootIndex_3073_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_setRootIndex_3073_0 ()
{
  return new qt_gsi::GenericMethod ("setRootIndex", "@hide", false, &_init_cbs_setRootIndex_3073_0, &_call_cbs_setRootIndex_3073_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_setRootIndex_3073_0 ()
{
  return new qt_gsi::GenericMethod ("setRootIndex", "@brief Virtual method void QListWidget::setRootIndex(const QModelIndex &index)\n@args index\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setRootIndex_3073_0, &_call_cbs_setRootIndex_3073_0, &_set_callback_cbs_setRootIndex_3073_0);
}


// void QListWidget::setSelectionModel(QItemSelectionModel *selectionModel)

static void _init_cbs_setSelectionModel_3211_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QItemSelectionModel * > ();
  decl->set_return<void > ();
}

static void _call_cbs_setSelectionModel_3211_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QItemSelectionModel * arg1 = args.get_value<class QItemSelectionModel * > (gsi::type_traits<class QItemSelectionModel * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_setSelectionModel_3211_0 (arg1);
}

static void _set_callback_cbs_setSelectionModel_3211_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_setSelectionModel_3211_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_setSelectionModel_3211_0 ()
{
  return new qt_gsi::GenericMethod ("setSelectionModel", "@hide", false, &_init_cbs_setSelectionModel_3211_0, &_call_cbs_setSelectionModel_3211_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_setSelectionModel_3211_0 ()
{
  return new qt_gsi::GenericMethod ("setSelectionModel", "@brief Virtual method void QListWidget::setSelectionModel(QItemSelectionModel *selectionModel)\n@args selectionModel\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setSelectionModel_3211_0, &_call_cbs_setSelectionModel_3211_0, &_set_callback_cbs_setSelectionModel_3211_0);
}


// void QListWidget::setVisible(bool visible)

static void _init_cbs_setVisible_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_cbs_setVisible_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_setVisible_864_0 (arg1);
}

static void _set_callback_cbs_setVisible_864_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_setVisible_864_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_setVisible_864_0 ()
{
  return new qt_gsi::GenericMethod ("setVisible", "@hide", false, &_init_cbs_setVisible_864_0, &_call_cbs_setVisible_864_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_setVisible_864_0 ()
{
  return new qt_gsi::GenericMethod ("setVisible", "@brief Virtual method void QListWidget::setVisible(bool visible)\n@args visible\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setVisible_864_0, &_call_cbs_setVisible_864_0, &_set_callback_cbs_setVisible_864_0);
}


// QSize QListWidget::sizeHint()

static void _init_cbs_sizeHint_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QSize > ();
}

static void _call_cbs_sizeHint_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QSize >::tag (), (class QSize)((QListWidget_Adaptor *)cls)->cbs_sizeHint_c0_0 ());
}

static void _set_callback_cbs_sizeHint_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_sizeHint_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_sizeHint_c0_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHint", "@hide", true, &_init_cbs_sizeHint_c0_0, &_call_cbs_sizeHint_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_sizeHint_c0_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHint", "@brief Virtual method QSize QListWidget::sizeHint()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_sizeHint_c0_0, &_call_cbs_sizeHint_c0_0, &_set_callback_cbs_sizeHint_c0_0);
}


// int QListWidget::sizeHintForColumn(int column)

static void _init_cbs_sizeHintForColumn_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<int > ();
}

static void _call_cbs_sizeHintForColumn_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_sizeHintForColumn_c767_0 (arg1));
}

static void _set_callback_cbs_sizeHintForColumn_c767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_sizeHintForColumn_c767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_sizeHintForColumn_c767_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHintForColumn", "@hide", true, &_init_cbs_sizeHintForColumn_c767_0, &_call_cbs_sizeHintForColumn_c767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_sizeHintForColumn_c767_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHintForColumn", "@brief Virtual method int QListWidget::sizeHintForColumn(int column)\n@args column\nThis method can be reimplemented in a derived class.", true, &_init_cbs_sizeHintForColumn_c767_0, &_call_cbs_sizeHintForColumn_c767_0, &_set_callback_cbs_sizeHintForColumn_c767_0);
}


// int QListWidget::sizeHintForRow(int row)

static void _init_cbs_sizeHintForRow_c767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<int > ();
}

static void _call_cbs_sizeHintForRow_c767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_sizeHintForRow_c767_0 (arg1));
}

static void _set_callback_cbs_sizeHintForRow_c767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_sizeHintForRow_c767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_sizeHintForRow_c767_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHintForRow", "@hide", true, &_init_cbs_sizeHintForRow_c767_0, &_call_cbs_sizeHintForRow_c767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_sizeHintForRow_c767_0 ()
{
  return new qt_gsi::GenericMethod ("sizeHintForRow", "@brief Virtual method int QListWidget::sizeHintForRow(int row)\n@args row\nThis method can be reimplemented in a derived class.", true, &_init_cbs_sizeHintForRow_c767_0, &_call_cbs_sizeHintForRow_c767_0, &_set_callback_cbs_sizeHintForRow_c767_0);
}


// QRect QListWidget::visualRect(const QModelIndex &index)

static void _init_cbs_visualRect_c3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<class QRect > ();
}

static void _call_cbs_visualRect_c3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ret.set_value (gsi::type_traits<class QRect >::tag (), (class QRect)((QListWidget_Adaptor *)cls)->cbs_visualRect_c3073_0 (arg1));
}

static void _set_callback_cbs_visualRect_c3073_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_visualRect_c3073_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_visualRect_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("visualRect", "@hide", true, &_init_cbs_visualRect_c3073_0, &_call_cbs_visualRect_c3073_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_visualRect_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("visualRect", "@brief Virtual method QRect QListWidget::visualRect(const QModelIndex &index)\n@args index\nThis method can be reimplemented in a derived class.", true, &_init_cbs_visualRect_c3073_0, &_call_cbs_visualRect_c3073_0, &_set_callback_cbs_visualRect_c3073_0);
}


// void QListWidget::actionEvent(QActionEvent *)

static void _init_cbs_actionEvent_2501_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QActionEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_actionEvent_2501_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QActionEvent * arg1 = args.get_value<class QActionEvent * > (gsi::type_traits<class QActionEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_actionEvent_2501_0 (arg1);
}

static void _set_callback_cbs_actionEvent_2501_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_actionEvent_2501_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_actionEvent_2501_0 ()
{
  return new qt_gsi::GenericMethod ("*actionEvent", "@hide", false, &_init_cbs_actionEvent_2501_0, &_call_cbs_actionEvent_2501_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_actionEvent_2501_0 ()
{
  return new qt_gsi::GenericMethod ("*actionEvent", "@brief Virtual method void QListWidget::actionEvent(QActionEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_actionEvent_2501_0, &_call_cbs_actionEvent_2501_0, &_set_callback_cbs_actionEvent_2501_0);
}


// void QListWidget::changeEvent(QEvent *)

static void _init_cbs_changeEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_changeEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_changeEvent_1895_0 (arg1);
}

static void _set_callback_cbs_changeEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_changeEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_changeEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*changeEvent", "@hide", false, &_init_cbs_changeEvent_1895_0, &_call_cbs_changeEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_changeEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*changeEvent", "@brief Virtual method void QListWidget::changeEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_changeEvent_1895_0, &_call_cbs_changeEvent_1895_0, &_set_callback_cbs_changeEvent_1895_0);
}


// void QListWidget::childEvent(QChildEvent *)

static void _init_cbs_childEvent_2379_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QChildEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_2379_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QChildEvent * arg1 = args.get_value<class QChildEvent * > (gsi::type_traits<class QChildEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_childEvent_2379_0 (arg1);
}

static void _set_callback_cbs_childEvent_2379_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_childEvent_2379_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_childEvent_2379_0 ()
{
  return new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QListWidget::childEvent(QChildEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_2379_0, &_call_cbs_childEvent_2379_0, &_set_callback_cbs_childEvent_2379_0);
}


// void QListWidget::closeEditor(QWidget *editor, QAbstractItemDelegate::EndEditHint hint)

static void _init_cbs_closeEditor_6185_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->add_arg<const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type & > ();
  decl->set_return<void > ();
}

static void _call_cbs_closeEditor_6185_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QAbstractItemDelegate::EndEditHint>::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_closeEditor_6185_0 (arg1, arg2);
}

static void _set_callback_cbs_closeEditor_6185_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_closeEditor_6185_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_closeEditor_6185_0 ()
{
  return new qt_gsi::GenericMethod ("*closeEditor", "@hide", false, &_init_cbs_closeEditor_6185_0, &_call_cbs_closeEditor_6185_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_closeEditor_6185_0 ()
{
  return new qt_gsi::GenericMethod ("*closeEditor", "@brief Virtual method void QListWidget::closeEditor(QWidget *editor, QAbstractItemDelegate::EndEditHint hint)\n@args editor, hint\nThis method can be reimplemented in a derived class.", false, &_init_cbs_closeEditor_6185_0, &_call_cbs_closeEditor_6185_0, &_set_callback_cbs_closeEditor_6185_0);
}


// void QListWidget::closeEvent(QCloseEvent *)

static void _init_cbs_closeEvent_2397_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QCloseEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_closeEvent_2397_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QCloseEvent * arg1 = args.get_value<class QCloseEvent * > (gsi::type_traits<class QCloseEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_closeEvent_2397_0 (arg1);
}

static void _set_callback_cbs_closeEvent_2397_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_closeEvent_2397_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_closeEvent_2397_0 ()
{
  return new qt_gsi::GenericMethod ("*closeEvent", "@hide", false, &_init_cbs_closeEvent_2397_0, &_call_cbs_closeEvent_2397_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_closeEvent_2397_0 ()
{
  return new qt_gsi::GenericMethod ("*closeEvent", "@brief Virtual method void QListWidget::closeEvent(QCloseEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_closeEvent_2397_0, &_call_cbs_closeEvent_2397_0, &_set_callback_cbs_closeEvent_2397_0);
}


// void QListWidget::commitData(QWidget *editor)

static void _init_cbs_commitData_1993_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWidget * > ();
  decl->set_return<void > ();
}

static void _call_cbs_commitData_1993_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWidget * arg1 = args.get_value<class QWidget * > (gsi::type_traits<class QWidget * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_commitData_1993_0 (arg1);
}

static void _set_callback_cbs_commitData_1993_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_commitData_1993_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_commitData_1993_0 ()
{
  return new qt_gsi::GenericMethod ("*commitData", "@hide", false, &_init_cbs_commitData_1993_0, &_call_cbs_commitData_1993_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_commitData_1993_0 ()
{
  return new qt_gsi::GenericMethod ("*commitData", "@brief Virtual method void QListWidget::commitData(QWidget *editor)\n@args editor\nThis method can be reimplemented in a derived class.", false, &_init_cbs_commitData_1993_0, &_call_cbs_commitData_1993_0, &_set_callback_cbs_commitData_1993_0);
}


// void QListWidget::contextMenuEvent(QContextMenuEvent *)

static void _init_cbs_contextMenuEvent_3041_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QContextMenuEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_contextMenuEvent_3041_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QContextMenuEvent * arg1 = args.get_value<class QContextMenuEvent * > (gsi::type_traits<class QContextMenuEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_contextMenuEvent_3041_0 (arg1);
}

static void _set_callback_cbs_contextMenuEvent_3041_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_contextMenuEvent_3041_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_contextMenuEvent_3041_0 ()
{
  return new qt_gsi::GenericMethod ("*contextMenuEvent", "@hide", false, &_init_cbs_contextMenuEvent_3041_0, &_call_cbs_contextMenuEvent_3041_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_contextMenuEvent_3041_0 ()
{
  return new qt_gsi::GenericMethod ("*contextMenuEvent", "@brief Virtual method void QListWidget::contextMenuEvent(QContextMenuEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_contextMenuEvent_3041_0, &_call_cbs_contextMenuEvent_3041_0, &_set_callback_cbs_contextMenuEvent_3041_0);
}


// void QListWidget::currentChanged(const QModelIndex &current, const QModelIndex &previous)

static void _init_cbs_currentChanged_6038_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_cbs_currentChanged_6038_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  const class QModelIndex & arg2 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_currentChanged_6038_0 (arg1, arg2);
}

static void _set_callback_cbs_currentChanged_6038_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_currentChanged_6038_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_currentChanged_6038_0 ()
{
  return new qt_gsi::GenericMethod ("*currentChanged", "@hide", false, &_init_cbs_currentChanged_6038_0, &_call_cbs_currentChanged_6038_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_currentChanged_6038_0 ()
{
  return new qt_gsi::GenericMethod ("*currentChanged", "@brief Virtual method void QListWidget::currentChanged(const QModelIndex &current, const QModelIndex &previous)\n@args current, previous\nThis method can be reimplemented in a derived class.", false, &_init_cbs_currentChanged_6038_0, &_call_cbs_currentChanged_6038_0, &_set_callback_cbs_currentChanged_6038_0);
}


// void QListWidget::customEvent(QEvent *)

static void _init_cbs_customEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_customEvent_1895_0 (arg1);
}

static void _set_callback_cbs_customEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_customEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_customEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QListWidget::customEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1895_0, &_call_cbs_customEvent_1895_0, &_set_callback_cbs_customEvent_1895_0);
}


// void QListWidget::dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight)

static void _init_cbs_dataChanged_6038_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<void > ();
}

static void _call_cbs_dataChanged_6038_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  const class QModelIndex & arg2 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_dataChanged_6038_0 (arg1, arg2);
}

static void _set_callback_cbs_dataChanged_6038_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dataChanged_6038_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dataChanged_6038_0 ()
{
  return new qt_gsi::GenericMethod ("*dataChanged", "@hide", false, &_init_cbs_dataChanged_6038_0, &_call_cbs_dataChanged_6038_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dataChanged_6038_0 ()
{
  return new qt_gsi::GenericMethod ("*dataChanged", "@brief Virtual method void QListWidget::dataChanged(const QModelIndex &topLeft, const QModelIndex &bottomRight)\n@args topLeft, bottomRight\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dataChanged_6038_0, &_call_cbs_dataChanged_6038_0, &_set_callback_cbs_dataChanged_6038_0);
}


// void QListWidget::disconnectNotify(const char *signal)

static void _init_cbs_disconnectNotify_1731_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const char * > ();
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_1731_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const char * arg1 = args.get_value<const char * > (gsi::type_traits<const char * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_disconnectNotify_1731_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_1731_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_disconnectNotify_1731_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_disconnectNotify_1731_0 ()
{
  return new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QListWidget::disconnectNotify(const char *signal)\n@args signal\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_1731_0, &_call_cbs_disconnectNotify_1731_0, &_set_callback_cbs_disconnectNotify_1731_0);
}


// void QListWidget::dragEnterEvent(QDragEnterEvent *event)

static void _init_cbs_dragEnterEvent_2787_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDragEnterEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_dragEnterEvent_2787_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDragEnterEvent * arg1 = args.get_value<class QDragEnterEvent * > (gsi::type_traits<class QDragEnterEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_dragEnterEvent_2787_0 (arg1);
}

static void _set_callback_cbs_dragEnterEvent_2787_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dragEnterEvent_2787_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dragEnterEvent_2787_0 ()
{
  return new qt_gsi::GenericMethod ("*dragEnterEvent", "@hide", false, &_init_cbs_dragEnterEvent_2787_0, &_call_cbs_dragEnterEvent_2787_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dragEnterEvent_2787_0 ()
{
  return new qt_gsi::GenericMethod ("*dragEnterEvent", "@brief Virtual method void QListWidget::dragEnterEvent(QDragEnterEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dragEnterEvent_2787_0, &_call_cbs_dragEnterEvent_2787_0, &_set_callback_cbs_dragEnterEvent_2787_0);
}


// void QListWidget::dragLeaveEvent(QDragLeaveEvent *e)

static void _init_cbs_dragLeaveEvent_2770_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDragLeaveEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_dragLeaveEvent_2770_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDragLeaveEvent * arg1 = args.get_value<class QDragLeaveEvent * > (gsi::type_traits<class QDragLeaveEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_dragLeaveEvent_2770_0 (arg1);
}

static void _set_callback_cbs_dragLeaveEvent_2770_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dragLeaveEvent_2770_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dragLeaveEvent_2770_0 ()
{
  return new qt_gsi::GenericMethod ("*dragLeaveEvent", "@hide", false, &_init_cbs_dragLeaveEvent_2770_0, &_call_cbs_dragLeaveEvent_2770_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dragLeaveEvent_2770_0 ()
{
  return new qt_gsi::GenericMethod ("*dragLeaveEvent", "@brief Virtual method void QListWidget::dragLeaveEvent(QDragLeaveEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dragLeaveEvent_2770_0, &_call_cbs_dragLeaveEvent_2770_0, &_set_callback_cbs_dragLeaveEvent_2770_0);
}


// void QListWidget::dragMoveEvent(QDragMoveEvent *e)

static void _init_cbs_dragMoveEvent_2684_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QDragMoveEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_dragMoveEvent_2684_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QDragMoveEvent * arg1 = args.get_value<class QDragMoveEvent * > (gsi::type_traits<class QDragMoveEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_dragMoveEvent_2684_0 (arg1);
}

static void _set_callback_cbs_dragMoveEvent_2684_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dragMoveEvent_2684_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dragMoveEvent_2684_0 ()
{
  return new qt_gsi::GenericMethod ("*dragMoveEvent", "@hide", false, &_init_cbs_dragMoveEvent_2684_0, &_call_cbs_dragMoveEvent_2684_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dragMoveEvent_2684_0 ()
{
  return new qt_gsi::GenericMethod ("*dragMoveEvent", "@brief Virtual method void QListWidget::dragMoveEvent(QDragMoveEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dragMoveEvent_2684_0, &_call_cbs_dragMoveEvent_2684_0, &_set_callback_cbs_dragMoveEvent_2684_0);
}


// bool QListWidget::dropMimeData(int index, const QMimeData *data, Qt::DropAction action)

static void _init_cbs_dropMimeData_5738_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<const class QMimeData * > ();
  decl->add_arg<const qt_gsi::Converter<enum Qt::DropAction>::target_type & > ();
  decl->set_return<bool > ();
}

static void _call_cbs_dropMimeData_5738_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  const class QMimeData * arg2 = args.get_value<const class QMimeData * > (gsi::type_traits<const class QMimeData * >::tag ());
  const qt_gsi::Converter<enum Qt::DropAction>::target_type & arg3 = args.get_value<const qt_gsi::Converter<enum Qt::DropAction>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum Qt::DropAction>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_dropMimeData_5738_0 (arg1, arg2, arg3));
}

static void _set_callback_cbs_dropMimeData_5738_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_dropMimeData_5738_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_dropMimeData_5738_0 ()
{
  return new qt_gsi::GenericMethod ("*dropMimeData", "@hide", false, &_init_cbs_dropMimeData_5738_0, &_call_cbs_dropMimeData_5738_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_dropMimeData_5738_0 ()
{
  return new qt_gsi::GenericMethod ("*dropMimeData", "@brief Virtual method bool QListWidget::dropMimeData(int index, const QMimeData *data, Qt::DropAction action)\n@args index, data, action\nThis method can be reimplemented in a derived class.", false, &_init_cbs_dropMimeData_5738_0, &_call_cbs_dropMimeData_5738_0, &_set_callback_cbs_dropMimeData_5738_0);
}


// bool QListWidget::edit(const QModelIndex &index, QAbstractItemView::EditTrigger trigger, QEvent *event)

static void _init_cbs_edit_6883_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type & > ();
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_edit_6883_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type & arg2 = args.get_value<const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QAbstractItemView::EditTrigger>::target_type & >::tag ());
  class QEvent * arg3 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_edit_6883_0 (arg1, arg2, arg3));
}

static void _set_callback_cbs_edit_6883_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_edit_6883_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_edit_6883_0 ()
{
  return new qt_gsi::GenericMethod ("*edit", "@hide", false, &_init_cbs_edit_6883_0, &_call_cbs_edit_6883_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_edit_6883_0 ()
{
  return new qt_gsi::GenericMethod ("*edit", "@brief Virtual method bool QListWidget::edit(const QModelIndex &index, QAbstractItemView::EditTrigger trigger, QEvent *event)\n@args index, trigger, event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_edit_6883_0, &_call_cbs_edit_6883_0, &_set_callback_cbs_edit_6883_0);
}


// void QListWidget::editorDestroyed(QObject *editor)

static void _init_cbs_editorDestroyed_1980_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QObject * > ();
  decl->set_return<void > ();
}

static void _call_cbs_editorDestroyed_1980_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QObject * arg1 = args.get_value<class QObject * > (gsi::type_traits<class QObject * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_editorDestroyed_1980_0 (arg1);
}

static void _set_callback_cbs_editorDestroyed_1980_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_editorDestroyed_1980_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_editorDestroyed_1980_0 ()
{
  return new qt_gsi::GenericMethod ("*editorDestroyed", "@hide", false, &_init_cbs_editorDestroyed_1980_0, &_call_cbs_editorDestroyed_1980_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_editorDestroyed_1980_0 ()
{
  return new qt_gsi::GenericMethod ("*editorDestroyed", "@brief Virtual method void QListWidget::editorDestroyed(QObject *editor)\n@args editor\nThis method can be reimplemented in a derived class.", false, &_init_cbs_editorDestroyed_1980_0, &_call_cbs_editorDestroyed_1980_0, &_set_callback_cbs_editorDestroyed_1980_0);
}


// void QListWidget::enabledChange(bool )

static void _init_cbs_enabledChange_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_cbs_enabledChange_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_enabledChange_864_0 (arg1);
}

static void _set_callback_cbs_enabledChange_864_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_enabledChange_864_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_enabledChange_864_0 ()
{
  return new qt_gsi::GenericMethod ("*enabledChange", "@hide", false, &_init_cbs_enabledChange_864_0, &_call_cbs_enabledChange_864_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_enabledChange_864_0 ()
{
  return new qt_gsi::GenericMethod ("*enabledChange", "@brief Virtual method void QListWidget::enabledChange(bool )\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_enabledChange_864_0, &_call_cbs_enabledChange_864_0, &_set_callback_cbs_enabledChange_864_0);
}


// void QListWidget::enterEvent(QEvent *)

static void _init_cbs_enterEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_enterEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_enterEvent_1895_0 (arg1);
}

static void _set_callback_cbs_enterEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_enterEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_enterEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*enterEvent", "@hide", false, &_init_cbs_enterEvent_1895_0, &_call_cbs_enterEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_enterEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*enterEvent", "@brief Virtual method void QListWidget::enterEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_enterEvent_1895_0, &_call_cbs_enterEvent_1895_0, &_set_callback_cbs_enterEvent_1895_0);
}


// bool QListWidget::event(QEvent *e)

static void _init_cbs_event_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_event_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_event_1895_0 (arg1));
}

static void _set_callback_cbs_event_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_event_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*event", "@hide", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_event_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*event", "@brief Virtual method bool QListWidget::event(QEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1895_0, &_call_cbs_event_1895_0, &_set_callback_cbs_event_1895_0);
}


// void QListWidget::focusInEvent(QFocusEvent *event)

static void _init_cbs_focusInEvent_2407_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QFocusEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_focusInEvent_2407_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QFocusEvent * arg1 = args.get_value<class QFocusEvent * > (gsi::type_traits<class QFocusEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_focusInEvent_2407_0 (arg1);
}

static void _set_callback_cbs_focusInEvent_2407_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_focusInEvent_2407_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_focusInEvent_2407_0 ()
{
  return new qt_gsi::GenericMethod ("*focusInEvent", "@hide", false, &_init_cbs_focusInEvent_2407_0, &_call_cbs_focusInEvent_2407_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_focusInEvent_2407_0 ()
{
  return new qt_gsi::GenericMethod ("*focusInEvent", "@brief Virtual method void QListWidget::focusInEvent(QFocusEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_focusInEvent_2407_0, &_call_cbs_focusInEvent_2407_0, &_set_callback_cbs_focusInEvent_2407_0);
}


// bool QListWidget::focusNextPrevChild(bool next)

static void _init_cbs_focusNextPrevChild_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<bool > ();
}

static void _call_cbs_focusNextPrevChild_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_focusNextPrevChild_864_0 (arg1));
}

static void _set_callback_cbs_focusNextPrevChild_864_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_focusNextPrevChild_864_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_focusNextPrevChild_864_0 ()
{
  return new qt_gsi::GenericMethod ("*focusNextPrevChild", "@hide", false, &_init_cbs_focusNextPrevChild_864_0, &_call_cbs_focusNextPrevChild_864_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_focusNextPrevChild_864_0 ()
{
  return new qt_gsi::GenericMethod ("*focusNextPrevChild", "@brief Virtual method bool QListWidget::focusNextPrevChild(bool next)\n@args next\nThis method can be reimplemented in a derived class.", false, &_init_cbs_focusNextPrevChild_864_0, &_call_cbs_focusNextPrevChild_864_0, &_set_callback_cbs_focusNextPrevChild_864_0);
}


// void QListWidget::focusOutEvent(QFocusEvent *event)

static void _init_cbs_focusOutEvent_2407_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QFocusEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_focusOutEvent_2407_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QFocusEvent * arg1 = args.get_value<class QFocusEvent * > (gsi::type_traits<class QFocusEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_focusOutEvent_2407_0 (arg1);
}

static void _set_callback_cbs_focusOutEvent_2407_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_focusOutEvent_2407_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_focusOutEvent_2407_0 ()
{
  return new qt_gsi::GenericMethod ("*focusOutEvent", "@hide", false, &_init_cbs_focusOutEvent_2407_0, &_call_cbs_focusOutEvent_2407_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_focusOutEvent_2407_0 ()
{
  return new qt_gsi::GenericMethod ("*focusOutEvent", "@brief Virtual method void QListWidget::focusOutEvent(QFocusEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_focusOutEvent_2407_0, &_call_cbs_focusOutEvent_2407_0, &_set_callback_cbs_focusOutEvent_2407_0);
}


// void QListWidget::fontChange(const QFont &)

static void _init_cbs_fontChange_2479_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QFont & > ();
  decl->set_return<void > ();
}

static void _call_cbs_fontChange_2479_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QFont & arg1 = args.get_value<const class QFont & > (gsi::type_traits<const class QFont & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_fontChange_2479_0 (arg1);
}

static void _set_callback_cbs_fontChange_2479_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_fontChange_2479_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_fontChange_2479_0 ()
{
  return new qt_gsi::GenericMethod ("*fontChange", "@hide", false, &_init_cbs_fontChange_2479_0, &_call_cbs_fontChange_2479_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_fontChange_2479_0 ()
{
  return new qt_gsi::GenericMethod ("*fontChange", "@brief Virtual method void QListWidget::fontChange(const QFont &)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_fontChange_2479_0, &_call_cbs_fontChange_2479_0, &_set_callback_cbs_fontChange_2479_0);
}


// void QListWidget::hideEvent(QHideEvent *)

static void _init_cbs_hideEvent_2273_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QHideEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_hideEvent_2273_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QHideEvent * arg1 = args.get_value<class QHideEvent * > (gsi::type_traits<class QHideEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_hideEvent_2273_0 (arg1);
}

static void _set_callback_cbs_hideEvent_2273_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_hideEvent_2273_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_hideEvent_2273_0 ()
{
  return new qt_gsi::GenericMethod ("*hideEvent", "@hide", false, &_init_cbs_hideEvent_2273_0, &_call_cbs_hideEvent_2273_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_hideEvent_2273_0 ()
{
  return new qt_gsi::GenericMethod ("*hideEvent", "@brief Virtual method void QListWidget::hideEvent(QHideEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_hideEvent_2273_0, &_call_cbs_hideEvent_2273_0, &_set_callback_cbs_hideEvent_2273_0);
}


// int QListWidget::horizontalOffset()

static void _init_cbs_horizontalOffset_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_cbs_horizontalOffset_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_horizontalOffset_c0_0 ());
}

static void _set_callback_cbs_horizontalOffset_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_horizontalOffset_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_horizontalOffset_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalOffset", "@hide", true, &_init_cbs_horizontalOffset_c0_0, &_call_cbs_horizontalOffset_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_horizontalOffset_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalOffset", "@brief Virtual method int QListWidget::horizontalOffset()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_horizontalOffset_c0_0, &_call_cbs_horizontalOffset_c0_0, &_set_callback_cbs_horizontalOffset_c0_0);
}


// void QListWidget::horizontalScrollbarAction(int action)

static void _init_cbs_horizontalScrollbarAction_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_horizontalScrollbarAction_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_horizontalScrollbarAction_767_0 (arg1);
}

static void _set_callback_cbs_horizontalScrollbarAction_767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_horizontalScrollbarAction_767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_horizontalScrollbarAction_767_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalScrollbarAction", "@hide", false, &_init_cbs_horizontalScrollbarAction_767_0, &_call_cbs_horizontalScrollbarAction_767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_horizontalScrollbarAction_767_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalScrollbarAction", "@brief Virtual method void QListWidget::horizontalScrollbarAction(int action)\n@args action\nThis method can be reimplemented in a derived class.", false, &_init_cbs_horizontalScrollbarAction_767_0, &_call_cbs_horizontalScrollbarAction_767_0, &_set_callback_cbs_horizontalScrollbarAction_767_0);
}


// void QListWidget::horizontalScrollbarValueChanged(int value)

static void _init_cbs_horizontalScrollbarValueChanged_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_horizontalScrollbarValueChanged_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_horizontalScrollbarValueChanged_767_0 (arg1);
}

static void _set_callback_cbs_horizontalScrollbarValueChanged_767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_horizontalScrollbarValueChanged_767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_horizontalScrollbarValueChanged_767_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalScrollbarValueChanged", "@hide", false, &_init_cbs_horizontalScrollbarValueChanged_767_0, &_call_cbs_horizontalScrollbarValueChanged_767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_horizontalScrollbarValueChanged_767_0 ()
{
  return new qt_gsi::GenericMethod ("*horizontalScrollbarValueChanged", "@brief Virtual method void QListWidget::horizontalScrollbarValueChanged(int value)\n@args value\nThis method can be reimplemented in a derived class.", false, &_init_cbs_horizontalScrollbarValueChanged_767_0, &_call_cbs_horizontalScrollbarValueChanged_767_0, &_set_callback_cbs_horizontalScrollbarValueChanged_767_0);
}


// void QListWidget::inputMethodEvent(QInputMethodEvent *event)

static void _init_cbs_inputMethodEvent_3032_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QInputMethodEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_inputMethodEvent_3032_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QInputMethodEvent * arg1 = args.get_value<class QInputMethodEvent * > (gsi::type_traits<class QInputMethodEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_inputMethodEvent_3032_0 (arg1);
}

static void _set_callback_cbs_inputMethodEvent_3032_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_inputMethodEvent_3032_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_inputMethodEvent_3032_0 ()
{
  return new qt_gsi::GenericMethod ("*inputMethodEvent", "@hide", false, &_init_cbs_inputMethodEvent_3032_0, &_call_cbs_inputMethodEvent_3032_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_inputMethodEvent_3032_0 ()
{
  return new qt_gsi::GenericMethod ("*inputMethodEvent", "@brief Virtual method void QListWidget::inputMethodEvent(QInputMethodEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_inputMethodEvent_3032_0, &_call_cbs_inputMethodEvent_3032_0, &_set_callback_cbs_inputMethodEvent_3032_0);
}


// bool QListWidget::isIndexHidden(const QModelIndex &index)

static void _init_cbs_isIndexHidden_c3073_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->set_return<bool > ();
}

static void _call_cbs_isIndexHidden_c3073_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_isIndexHidden_c3073_0 (arg1));
}

static void _set_callback_cbs_isIndexHidden_c3073_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_isIndexHidden_c3073_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_isIndexHidden_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("*isIndexHidden", "@hide", true, &_init_cbs_isIndexHidden_c3073_0, &_call_cbs_isIndexHidden_c3073_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_isIndexHidden_c3073_0 ()
{
  return new qt_gsi::GenericMethod ("*isIndexHidden", "@brief Virtual method bool QListWidget::isIndexHidden(const QModelIndex &index)\n@args index\nThis method can be reimplemented in a derived class.", true, &_init_cbs_isIndexHidden_c3073_0, &_call_cbs_isIndexHidden_c3073_0, &_set_callback_cbs_isIndexHidden_c3073_0);
}


// void QListWidget::keyPressEvent(QKeyEvent *event)

static void _init_cbs_keyPressEvent_2192_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QKeyEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_keyPressEvent_2192_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QKeyEvent * arg1 = args.get_value<class QKeyEvent * > (gsi::type_traits<class QKeyEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_keyPressEvent_2192_0 (arg1);
}

static void _set_callback_cbs_keyPressEvent_2192_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_keyPressEvent_2192_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_keyPressEvent_2192_0 ()
{
  return new qt_gsi::GenericMethod ("*keyPressEvent", "@hide", false, &_init_cbs_keyPressEvent_2192_0, &_call_cbs_keyPressEvent_2192_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_keyPressEvent_2192_0 ()
{
  return new qt_gsi::GenericMethod ("*keyPressEvent", "@brief Virtual method void QListWidget::keyPressEvent(QKeyEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_keyPressEvent_2192_0, &_call_cbs_keyPressEvent_2192_0, &_set_callback_cbs_keyPressEvent_2192_0);
}


// void QListWidget::keyReleaseEvent(QKeyEvent *)

static void _init_cbs_keyReleaseEvent_2192_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QKeyEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_keyReleaseEvent_2192_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QKeyEvent * arg1 = args.get_value<class QKeyEvent * > (gsi::type_traits<class QKeyEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_keyReleaseEvent_2192_0 (arg1);
}

static void _set_callback_cbs_keyReleaseEvent_2192_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_keyReleaseEvent_2192_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_keyReleaseEvent_2192_0 ()
{
  return new qt_gsi::GenericMethod ("*keyReleaseEvent", "@hide", false, &_init_cbs_keyReleaseEvent_2192_0, &_call_cbs_keyReleaseEvent_2192_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_keyReleaseEvent_2192_0 ()
{
  return new qt_gsi::GenericMethod ("*keyReleaseEvent", "@brief Virtual method void QListWidget::keyReleaseEvent(QKeyEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_keyReleaseEvent_2192_0, &_call_cbs_keyReleaseEvent_2192_0, &_set_callback_cbs_keyReleaseEvent_2192_0);
}


// void QListWidget::languageChange()

static void _init_cbs_languageChange_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_languageChange_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_languageChange_0_0 ();
}

static void _set_callback_cbs_languageChange_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_languageChange_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_languageChange_0_0 ()
{
  return new qt_gsi::GenericMethod ("*languageChange", "@hide", false, &_init_cbs_languageChange_0_0, &_call_cbs_languageChange_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_languageChange_0_0 ()
{
  return new qt_gsi::GenericMethod ("*languageChange", "@brief Virtual method void QListWidget::languageChange()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_languageChange_0_0, &_call_cbs_languageChange_0_0, &_set_callback_cbs_languageChange_0_0);
}


// void QListWidget::leaveEvent(QEvent *)

static void _init_cbs_leaveEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_leaveEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_leaveEvent_1895_0 (arg1);
}

static void _set_callback_cbs_leaveEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_leaveEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_leaveEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*leaveEvent", "@hide", false, &_init_cbs_leaveEvent_1895_0, &_call_cbs_leaveEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_leaveEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*leaveEvent", "@brief Virtual method void QListWidget::leaveEvent(QEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_leaveEvent_1895_0, &_call_cbs_leaveEvent_1895_0, &_set_callback_cbs_leaveEvent_1895_0);
}


// int QListWidget::metric(QPaintDevice::PaintDeviceMetric )

static void _init_cbs_metric_c2729_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type & > ();
  decl->set_return<int > ();
}

static void _call_cbs_metric_c2729_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type & arg1 = args.get_value<const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type & > (gsi::type_traits<const qt_gsi::Converter<enum QPaintDevice::PaintDeviceMetric>::target_type & >::tag ());
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_metric_c2729_0 (arg1));
}

static void _set_callback_cbs_metric_c2729_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_metric_c2729_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_metric_c2729_0 ()
{
  return new qt_gsi::GenericMethod ("*metric", "@hide", true, &_init_cbs_metric_c2729_0, &_call_cbs_metric_c2729_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_metric_c2729_0 ()
{
  return new qt_gsi::GenericMethod ("*metric", "@brief Virtual method int QListWidget::metric(QPaintDevice::PaintDeviceMetric )\n@args arg1\nThis method can be reimplemented in a derived class.", true, &_init_cbs_metric_c2729_0, &_call_cbs_metric_c2729_0, &_set_callback_cbs_metric_c2729_0);
}


// QMimeData * QListWidget::mimeData(const QList<class QListWidgetItem *> items)

static void _init_cbs_mimeData_c5408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type & > ();
  decl->set_return<class QMimeData * > ();
}

static void _call_cbs_mimeData_c5408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QList<class QListWidgetItem *> >::target_type & >::tag ());
  ret.set_value (gsi::type_traits<class QMimeData * >::tag (), (class QMimeData *)((QListWidget_Adaptor *)cls)->cbs_mimeData_c5408_0 (arg1));
}

static void _set_callback_cbs_mimeData_c5408_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mimeData_c5408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mimeData_c5408_0 ()
{
  return new qt_gsi::GenericMethod ("*mimeData", "@hide", true, &_init_cbs_mimeData_c5408_0, &_call_cbs_mimeData_c5408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mimeData_c5408_0 ()
{
  return new qt_gsi::GenericMethod ("*mimeData", "@brief Virtual method QMimeData * QListWidget::mimeData(const QList<class QListWidgetItem *> items)\n@args items\nThis method can be reimplemented in a derived class.", true, &_init_cbs_mimeData_c5408_0, &_call_cbs_mimeData_c5408_0, &_set_callback_cbs_mimeData_c5408_0);
}


// QStringList QListWidget::mimeTypes()

static void _init_cbs_mimeTypes_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QStringList>::target_type > ();
}

static void _call_cbs_mimeTypes_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QStringList>::target_type >::tag (), (qt_gsi::Converter<class QStringList>::target_type)((QListWidget_Adaptor *)cls)->cbs_mimeTypes_c0_0 ());
}

static void _set_callback_cbs_mimeTypes_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mimeTypes_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mimeTypes_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*mimeTypes", "@hide", true, &_init_cbs_mimeTypes_c0_0, &_call_cbs_mimeTypes_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mimeTypes_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*mimeTypes", "@brief Virtual method QStringList QListWidget::mimeTypes()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_mimeTypes_c0_0, &_call_cbs_mimeTypes_c0_0, &_set_callback_cbs_mimeTypes_c0_0);
}


// void QListWidget::mouseDoubleClickEvent(QMouseEvent *event)

static void _init_cbs_mouseDoubleClickEvent_2416_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QMouseEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_mouseDoubleClickEvent_2416_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QMouseEvent * arg1 = args.get_value<class QMouseEvent * > (gsi::type_traits<class QMouseEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_mouseDoubleClickEvent_2416_0 (arg1);
}

static void _set_callback_cbs_mouseDoubleClickEvent_2416_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mouseDoubleClickEvent_2416_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mouseDoubleClickEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseDoubleClickEvent", "@hide", false, &_init_cbs_mouseDoubleClickEvent_2416_0, &_call_cbs_mouseDoubleClickEvent_2416_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mouseDoubleClickEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseDoubleClickEvent", "@brief Virtual method void QListWidget::mouseDoubleClickEvent(QMouseEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_mouseDoubleClickEvent_2416_0, &_call_cbs_mouseDoubleClickEvent_2416_0, &_set_callback_cbs_mouseDoubleClickEvent_2416_0);
}


// void QListWidget::mouseMoveEvent(QMouseEvent *e)

static void _init_cbs_mouseMoveEvent_2416_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QMouseEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_mouseMoveEvent_2416_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QMouseEvent * arg1 = args.get_value<class QMouseEvent * > (gsi::type_traits<class QMouseEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_mouseMoveEvent_2416_0 (arg1);
}

static void _set_callback_cbs_mouseMoveEvent_2416_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mouseMoveEvent_2416_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mouseMoveEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseMoveEvent", "@hide", false, &_init_cbs_mouseMoveEvent_2416_0, &_call_cbs_mouseMoveEvent_2416_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mouseMoveEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseMoveEvent", "@brief Virtual method void QListWidget::mouseMoveEvent(QMouseEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_mouseMoveEvent_2416_0, &_call_cbs_mouseMoveEvent_2416_0, &_set_callback_cbs_mouseMoveEvent_2416_0);
}


// void QListWidget::mousePressEvent(QMouseEvent *event)

static void _init_cbs_mousePressEvent_2416_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QMouseEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_mousePressEvent_2416_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QMouseEvent * arg1 = args.get_value<class QMouseEvent * > (gsi::type_traits<class QMouseEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_mousePressEvent_2416_0 (arg1);
}

static void _set_callback_cbs_mousePressEvent_2416_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mousePressEvent_2416_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mousePressEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mousePressEvent", "@hide", false, &_init_cbs_mousePressEvent_2416_0, &_call_cbs_mousePressEvent_2416_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mousePressEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mousePressEvent", "@brief Virtual method void QListWidget::mousePressEvent(QMouseEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_mousePressEvent_2416_0, &_call_cbs_mousePressEvent_2416_0, &_set_callback_cbs_mousePressEvent_2416_0);
}


// void QListWidget::mouseReleaseEvent(QMouseEvent *e)

static void _init_cbs_mouseReleaseEvent_2416_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QMouseEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_mouseReleaseEvent_2416_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QMouseEvent * arg1 = args.get_value<class QMouseEvent * > (gsi::type_traits<class QMouseEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_mouseReleaseEvent_2416_0 (arg1);
}

static void _set_callback_cbs_mouseReleaseEvent_2416_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_mouseReleaseEvent_2416_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_mouseReleaseEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseReleaseEvent", "@hide", false, &_init_cbs_mouseReleaseEvent_2416_0, &_call_cbs_mouseReleaseEvent_2416_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_mouseReleaseEvent_2416_0 ()
{
  return new qt_gsi::GenericMethod ("*mouseReleaseEvent", "@brief Virtual method void QListWidget::mouseReleaseEvent(QMouseEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_mouseReleaseEvent_2416_0, &_call_cbs_mouseReleaseEvent_2416_0, &_set_callback_cbs_mouseReleaseEvent_2416_0);
}


// QModelIndex QListWidget::moveCursor(QAbstractItemView::CursorAction cursorAction, QFlags<enum Qt::KeyboardModifier> modifiers)

static void _init_cbs_moveCursor_6792_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<unsigned int > ();
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type & > ();
  decl->set_return<class QModelIndex > ();
}

static void _call_cbs_moveCursor_6792_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  unsigned int arg1 = args.get_value<unsigned int > (gsi::type_traits<unsigned int >::tag ());
  const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum Qt::KeyboardModifier> >::target_type & >::tag ());
  ret.set_value (gsi::type_traits<class QModelIndex >::tag (), (class QModelIndex)((QListWidget_Adaptor *)cls)->cbs_moveCursor_6792_0 (arg1, arg2));
}

static void _set_callback_cbs_moveCursor_6792_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_moveCursor_6792_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_moveCursor_6792_0 ()
{
  return new qt_gsi::GenericMethod ("*moveCursor", "@hide", false, &_init_cbs_moveCursor_6792_0, &_call_cbs_moveCursor_6792_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_moveCursor_6792_0 ()
{
  return new qt_gsi::GenericMethod ("*moveCursor", "@brief Virtual method QModelIndex QListWidget::moveCursor(QAbstractItemView::CursorAction cursorAction, QFlags<enum Qt::KeyboardModifier> modifiers)\n@args cursorAction, modifiers\nThis method can be reimplemented in a derived class.", false, &_init_cbs_moveCursor_6792_0, &_call_cbs_moveCursor_6792_0, &_set_callback_cbs_moveCursor_6792_0);
}


// void QListWidget::moveEvent(QMoveEvent *)

static void _init_cbs_moveEvent_2302_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QMoveEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_moveEvent_2302_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QMoveEvent * arg1 = args.get_value<class QMoveEvent * > (gsi::type_traits<class QMoveEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_moveEvent_2302_0 (arg1);
}

static void _set_callback_cbs_moveEvent_2302_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_moveEvent_2302_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_moveEvent_2302_0 ()
{
  return new qt_gsi::GenericMethod ("*moveEvent", "@hide", false, &_init_cbs_moveEvent_2302_0, &_call_cbs_moveEvent_2302_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_moveEvent_2302_0 ()
{
  return new qt_gsi::GenericMethod ("*moveEvent", "@brief Virtual method void QListWidget::moveEvent(QMoveEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_moveEvent_2302_0, &_call_cbs_moveEvent_2302_0, &_set_callback_cbs_moveEvent_2302_0);
}


// void QListWidget::paintEvent(QPaintEvent *e)

static void _init_cbs_paintEvent_2403_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QPaintEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_paintEvent_2403_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QPaintEvent * arg1 = args.get_value<class QPaintEvent * > (gsi::type_traits<class QPaintEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_paintEvent_2403_0 (arg1);
}

static void _set_callback_cbs_paintEvent_2403_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_paintEvent_2403_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_paintEvent_2403_0 ()
{
  return new qt_gsi::GenericMethod ("*paintEvent", "@hide", false, &_init_cbs_paintEvent_2403_0, &_call_cbs_paintEvent_2403_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_paintEvent_2403_0 ()
{
  return new qt_gsi::GenericMethod ("*paintEvent", "@brief Virtual method void QListWidget::paintEvent(QPaintEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_paintEvent_2403_0, &_call_cbs_paintEvent_2403_0, &_set_callback_cbs_paintEvent_2403_0);
}


// void QListWidget::paletteChange(const QPalette &)

static void _init_cbs_paletteChange_2791_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QPalette & > ();
  decl->set_return<void > ();
}

static void _call_cbs_paletteChange_2791_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QPalette & arg1 = args.get_value<const class QPalette & > (gsi::type_traits<const class QPalette & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_paletteChange_2791_0 (arg1);
}

static void _set_callback_cbs_paletteChange_2791_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_paletteChange_2791_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_paletteChange_2791_0 ()
{
  return new qt_gsi::GenericMethod ("*paletteChange", "@hide", false, &_init_cbs_paletteChange_2791_0, &_call_cbs_paletteChange_2791_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_paletteChange_2791_0 ()
{
  return new qt_gsi::GenericMethod ("*paletteChange", "@brief Virtual method void QListWidget::paletteChange(const QPalette &)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_paletteChange_2791_0, &_call_cbs_paletteChange_2791_0, &_set_callback_cbs_paletteChange_2791_0);
}


// void QListWidget::resizeEvent(QResizeEvent *e)

static void _init_cbs_resizeEvent_2521_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QResizeEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_resizeEvent_2521_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QResizeEvent * arg1 = args.get_value<class QResizeEvent * > (gsi::type_traits<class QResizeEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_resizeEvent_2521_0 (arg1);
}

static void _set_callback_cbs_resizeEvent_2521_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_resizeEvent_2521_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_resizeEvent_2521_0 ()
{
  return new qt_gsi::GenericMethod ("*resizeEvent", "@hide", false, &_init_cbs_resizeEvent_2521_0, &_call_cbs_resizeEvent_2521_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_resizeEvent_2521_0 ()
{
  return new qt_gsi::GenericMethod ("*resizeEvent", "@brief Virtual method void QListWidget::resizeEvent(QResizeEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_resizeEvent_2521_0, &_call_cbs_resizeEvent_2521_0, &_set_callback_cbs_resizeEvent_2521_0);
}


// void QListWidget::rowsAboutToBeRemoved(const QModelIndex &parent, int start, int end)

static void _init_cbs_rowsAboutToBeRemoved_4391_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_rowsAboutToBeRemoved_4391_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_rowsAboutToBeRemoved_4391_0 (arg1, arg2, arg3);
}

static void _set_callback_cbs_rowsAboutToBeRemoved_4391_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_rowsAboutToBeRemoved_4391_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_rowsAboutToBeRemoved_4391_0 ()
{
  return new qt_gsi::GenericMethod ("*rowsAboutToBeRemoved", "@hide", false, &_init_cbs_rowsAboutToBeRemoved_4391_0, &_call_cbs_rowsAboutToBeRemoved_4391_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_rowsAboutToBeRemoved_4391_0 ()
{
  return new qt_gsi::GenericMethod ("*rowsAboutToBeRemoved", "@brief Virtual method void QListWidget::rowsAboutToBeRemoved(const QModelIndex &parent, int start, int end)\n@args parent, start, end\nThis method can be reimplemented in a derived class.", false, &_init_cbs_rowsAboutToBeRemoved_4391_0, &_call_cbs_rowsAboutToBeRemoved_4391_0, &_set_callback_cbs_rowsAboutToBeRemoved_4391_0);
}


// void QListWidget::rowsInserted(const QModelIndex &parent, int start, int end)

static void _init_cbs_rowsInserted_4391_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_rowsInserted_4391_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg3 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_rowsInserted_4391_0 (arg1, arg2, arg3);
}

static void _set_callback_cbs_rowsInserted_4391_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_rowsInserted_4391_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_rowsInserted_4391_0 ()
{
  return new qt_gsi::GenericMethod ("*rowsInserted", "@hide", false, &_init_cbs_rowsInserted_4391_0, &_call_cbs_rowsInserted_4391_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_rowsInserted_4391_0 ()
{
  return new qt_gsi::GenericMethod ("*rowsInserted", "@brief Virtual method void QListWidget::rowsInserted(const QModelIndex &parent, int start, int end)\n@args parent, start, end\nThis method can be reimplemented in a derived class.", false, &_init_cbs_rowsInserted_4391_0, &_call_cbs_rowsInserted_4391_0, &_set_callback_cbs_rowsInserted_4391_0);
}


// void QListWidget::scrollContentsBy(int dx, int dy)

static void _init_cbs_scrollContentsBy_1426_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_scrollContentsBy_1426_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  int arg2 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_scrollContentsBy_1426_0 (arg1, arg2);
}

static void _set_callback_cbs_scrollContentsBy_1426_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_scrollContentsBy_1426_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_scrollContentsBy_1426_0 ()
{
  return new qt_gsi::GenericMethod ("*scrollContentsBy", "@hide", false, &_init_cbs_scrollContentsBy_1426_0, &_call_cbs_scrollContentsBy_1426_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_scrollContentsBy_1426_0 ()
{
  return new qt_gsi::GenericMethod ("*scrollContentsBy", "@brief Virtual method void QListWidget::scrollContentsBy(int dx, int dy)\n@args dx, dy\nThis method can be reimplemented in a derived class.", false, &_init_cbs_scrollContentsBy_1426_0, &_call_cbs_scrollContentsBy_1426_0, &_set_callback_cbs_scrollContentsBy_1426_0);
}


// QList<class QModelIndex> QListWidget::selectedIndexes()

static void _init_cbs_selectedIndexes_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QList<class QModelIndex> >::target_type > ();
}

static void _call_cbs_selectedIndexes_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QList<class QModelIndex> >::target_type >::tag (), (qt_gsi::Converter<class QList<class QModelIndex> >::target_type)((QListWidget_Adaptor *)cls)->cbs_selectedIndexes_c0_0 ());
}

static void _set_callback_cbs_selectedIndexes_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_selectedIndexes_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_selectedIndexes_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*selectedIndexes", "@hide", true, &_init_cbs_selectedIndexes_c0_0, &_call_cbs_selectedIndexes_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_selectedIndexes_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*selectedIndexes", "@brief Virtual method QList<class QModelIndex> QListWidget::selectedIndexes()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_selectedIndexes_c0_0, &_call_cbs_selectedIndexes_c0_0, &_set_callback_cbs_selectedIndexes_c0_0);
}


// void QListWidget::selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)

static void _init_cbs_selectionChanged_6702_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QItemSelection & > ();
  decl->add_arg<const class QItemSelection & > ();
  decl->set_return<void > ();
}

static void _call_cbs_selectionChanged_6702_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QItemSelection & arg1 = args.get_value<const class QItemSelection & > (gsi::type_traits<const class QItemSelection & >::tag ());
  const class QItemSelection & arg2 = args.get_value<const class QItemSelection & > (gsi::type_traits<const class QItemSelection & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_selectionChanged_6702_0 (arg1, arg2);
}

static void _set_callback_cbs_selectionChanged_6702_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_selectionChanged_6702_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_selectionChanged_6702_0 ()
{
  return new qt_gsi::GenericMethod ("*selectionChanged", "@hide", false, &_init_cbs_selectionChanged_6702_0, &_call_cbs_selectionChanged_6702_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_selectionChanged_6702_0 ()
{
  return new qt_gsi::GenericMethod ("*selectionChanged", "@brief Virtual method void QListWidget::selectionChanged(const QItemSelection &selected, const QItemSelection &deselected)\n@args selected, deselected\nThis method can be reimplemented in a derived class.", false, &_init_cbs_selectionChanged_6702_0, &_call_cbs_selectionChanged_6702_0, &_set_callback_cbs_selectionChanged_6702_0);
}


// QFlags<enum QItemSelectionModel::SelectionFlag> QListWidget::selectionCommand(const QModelIndex &index, const QEvent *event)

static void _init_cbs_selectionCommand_c5555_1 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QModelIndex & > ();
  decl->add_arg<const class QEvent * > ();
  decl->set_return<qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type > ();
}

static void _call_cbs_selectionCommand_c5555_1 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QModelIndex & arg1 = args.get_value<const class QModelIndex & > (gsi::type_traits<const class QModelIndex & >::tag ());
  const class QEvent * arg2 = args.get_value<const class QEvent * > (gsi::type_traits<const class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type >::tag (), (qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type)((QListWidget_Adaptor *)cls)->cbs_selectionCommand_c5555_1 (arg1, arg2));
}

static void _set_callback_cbs_selectionCommand_c5555_1 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_selectionCommand_c5555_1 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_selectionCommand_c5555_1 ()
{
  return new qt_gsi::GenericMethod ("*selectionCommand", "@hide", true, &_init_cbs_selectionCommand_c5555_1, &_call_cbs_selectionCommand_c5555_1);
}

static qt_gsi::GenericMethod *_create_callback_cbs_selectionCommand_c5555_1 ()
{
  return new qt_gsi::GenericMethod ("*selectionCommand", "@brief Virtual method QFlags<enum QItemSelectionModel::SelectionFlag> QListWidget::selectionCommand(const QModelIndex &index, const QEvent *event)\n@args index, event\nThis method can be reimplemented in a derived class.", true, &_init_cbs_selectionCommand_c5555_1, &_call_cbs_selectionCommand_c5555_1, &_set_callback_cbs_selectionCommand_c5555_1);
}


// void QListWidget::setSelection(const QRect &rect, QFlags<enum QItemSelectionModel::SelectionFlag> command)

static void _init_cbs_setSelection_6681_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QRect & > ();
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_cbs_setSelection_6681_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QRect & arg1 = args.get_value<const class QRect & > (gsi::type_traits<const class QRect & >::tag ());
  const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & arg2 = args.get_value<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum QItemSelectionModel::SelectionFlag> >::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_setSelection_6681_0 (arg1, arg2);
}

static void _set_callback_cbs_setSelection_6681_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_setSelection_6681_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_setSelection_6681_0 ()
{
  return new qt_gsi::GenericMethod ("*setSelection", "@hide", false, &_init_cbs_setSelection_6681_0, &_call_cbs_setSelection_6681_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_setSelection_6681_0 ()
{
  return new qt_gsi::GenericMethod ("*setSelection", "@brief Virtual method void QListWidget::setSelection(const QRect &rect, QFlags<enum QItemSelectionModel::SelectionFlag> command)\n@args rect, command\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setSelection_6681_0, &_call_cbs_setSelection_6681_0, &_set_callback_cbs_setSelection_6681_0);
}


// void QListWidget::showEvent(QShowEvent *)

static void _init_cbs_showEvent_2312_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QShowEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_showEvent_2312_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QShowEvent * arg1 = args.get_value<class QShowEvent * > (gsi::type_traits<class QShowEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_showEvent_2312_0 (arg1);
}

static void _set_callback_cbs_showEvent_2312_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_showEvent_2312_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_showEvent_2312_0 ()
{
  return new qt_gsi::GenericMethod ("*showEvent", "@hide", false, &_init_cbs_showEvent_2312_0, &_call_cbs_showEvent_2312_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_showEvent_2312_0 ()
{
  return new qt_gsi::GenericMethod ("*showEvent", "@brief Virtual method void QListWidget::showEvent(QShowEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_showEvent_2312_0, &_call_cbs_showEvent_2312_0, &_set_callback_cbs_showEvent_2312_0);
}


// void QListWidget::startDrag(QFlags<enum Qt::DropAction> supportedActions)

static void _init_cbs_startDrag_4018_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & > ();
  decl->set_return<void > ();
}

static void _call_cbs_startDrag_4018_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & arg1 = args.get_value<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & > (gsi::type_traits<const qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_startDrag_4018_0 (arg1);
}

static void _set_callback_cbs_startDrag_4018_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_startDrag_4018_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_startDrag_4018_0 ()
{
  return new qt_gsi::GenericMethod ("*startDrag", "@hide", false, &_init_cbs_startDrag_4018_0, &_call_cbs_startDrag_4018_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_startDrag_4018_0 ()
{
  return new qt_gsi::GenericMethod ("*startDrag", "@brief Virtual method void QListWidget::startDrag(QFlags<enum Qt::DropAction> supportedActions)\n@args supportedActions\nThis method can be reimplemented in a derived class.", false, &_init_cbs_startDrag_4018_0, &_call_cbs_startDrag_4018_0, &_set_callback_cbs_startDrag_4018_0);
}


// void QListWidget::styleChange(QStyle &)

static void _init_cbs_styleChange_1906_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QStyle & > ();
  decl->set_return<void > ();
}

static void _call_cbs_styleChange_1906_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QStyle & arg1 = args.get_value<class QStyle & > (gsi::type_traits<class QStyle & >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_styleChange_1906_0 (arg1);
}

static void _set_callback_cbs_styleChange_1906_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_styleChange_1906_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_styleChange_1906_0 ()
{
  return new qt_gsi::GenericMethod ("*styleChange", "@hide", false, &_init_cbs_styleChange_1906_0, &_call_cbs_styleChange_1906_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_styleChange_1906_0 ()
{
  return new qt_gsi::GenericMethod ("*styleChange", "@brief Virtual method void QListWidget::styleChange(QStyle &)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_styleChange_1906_0, &_call_cbs_styleChange_1906_0, &_set_callback_cbs_styleChange_1906_0);
}


// QFlags<enum Qt::DropAction> QListWidget::supportedDropActions()

static void _init_cbs_supportedDropActions_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type > ();
}

static void _call_cbs_supportedDropActions_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type >::tag (), (qt_gsi::Converter<class QFlags<enum Qt::DropAction> >::target_type)((QListWidget_Adaptor *)cls)->cbs_supportedDropActions_c0_0 ());
}

static void _set_callback_cbs_supportedDropActions_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_supportedDropActions_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_supportedDropActions_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*supportedDropActions", "@hide", true, &_init_cbs_supportedDropActions_c0_0, &_call_cbs_supportedDropActions_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_supportedDropActions_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*supportedDropActions", "@brief Virtual method QFlags<enum Qt::DropAction> QListWidget::supportedDropActions()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_supportedDropActions_c0_0, &_call_cbs_supportedDropActions_c0_0, &_set_callback_cbs_supportedDropActions_c0_0);
}


// void QListWidget::tabletEvent(QTabletEvent *)

static void _init_cbs_tabletEvent_2499_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTabletEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_tabletEvent_2499_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTabletEvent * arg1 = args.get_value<class QTabletEvent * > (gsi::type_traits<class QTabletEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_tabletEvent_2499_0 (arg1);
}

static void _set_callback_cbs_tabletEvent_2499_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_tabletEvent_2499_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_tabletEvent_2499_0 ()
{
  return new qt_gsi::GenericMethod ("*tabletEvent", "@hide", false, &_init_cbs_tabletEvent_2499_0, &_call_cbs_tabletEvent_2499_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_tabletEvent_2499_0 ()
{
  return new qt_gsi::GenericMethod ("*tabletEvent", "@brief Virtual method void QListWidget::tabletEvent(QTabletEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_tabletEvent_2499_0, &_call_cbs_tabletEvent_2499_0, &_set_callback_cbs_tabletEvent_2499_0);
}


// void QListWidget::timerEvent(QTimerEvent *e)

static void _init_cbs_timerEvent_2408_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QTimerEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_2408_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QTimerEvent * arg1 = args.get_value<class QTimerEvent * > (gsi::type_traits<class QTimerEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_timerEvent_2408_0 (arg1);
}

static void _set_callback_cbs_timerEvent_2408_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_timerEvent_2408_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_timerEvent_2408_0 ()
{
  return new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QListWidget::timerEvent(QTimerEvent *e)\n@args e\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_2408_0, &_call_cbs_timerEvent_2408_0, &_set_callback_cbs_timerEvent_2408_0);
}


// void QListWidget::updateEditorData()

static void _init_cbs_updateEditorData_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_updateEditorData_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_updateEditorData_0_0 ();
}

static void _set_callback_cbs_updateEditorData_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_updateEditorData_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_updateEditorData_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateEditorData", "@hide", false, &_init_cbs_updateEditorData_0_0, &_call_cbs_updateEditorData_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_updateEditorData_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateEditorData", "@brief Virtual method void QListWidget::updateEditorData()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_updateEditorData_0_0, &_call_cbs_updateEditorData_0_0, &_set_callback_cbs_updateEditorData_0_0);
}


// void QListWidget::updateEditorGeometries()

static void _init_cbs_updateEditorGeometries_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_updateEditorGeometries_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_updateEditorGeometries_0_0 ();
}

static void _set_callback_cbs_updateEditorGeometries_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_updateEditorGeometries_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_updateEditorGeometries_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateEditorGeometries", "@hide", false, &_init_cbs_updateEditorGeometries_0_0, &_call_cbs_updateEditorGeometries_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_updateEditorGeometries_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateEditorGeometries", "@brief Virtual method void QListWidget::updateEditorGeometries()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_updateEditorGeometries_0_0, &_call_cbs_updateEditorGeometries_0_0, &_set_callback_cbs_updateEditorGeometries_0_0);
}


// void QListWidget::updateGeometries()

static void _init_cbs_updateGeometries_0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<void > ();
}

static void _call_cbs_updateGeometries_0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ((QListWidget_Adaptor *)cls)->cbs_updateGeometries_0_0 ();
}

static void _set_callback_cbs_updateGeometries_0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_updateGeometries_0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_updateGeometries_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateGeometries", "@hide", false, &_init_cbs_updateGeometries_0_0, &_call_cbs_updateGeometries_0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_updateGeometries_0_0 ()
{
  return new qt_gsi::GenericMethod ("*updateGeometries", "@brief Virtual method void QListWidget::updateGeometries()\n@args \nThis method can be reimplemented in a derived class.", false, &_init_cbs_updateGeometries_0_0, &_call_cbs_updateGeometries_0_0, &_set_callback_cbs_updateGeometries_0_0);
}


// int QListWidget::verticalOffset()

static void _init_cbs_verticalOffset_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_cbs_verticalOffset_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<int >::tag (), (int)((QListWidget_Adaptor *)cls)->cbs_verticalOffset_c0_0 ());
}

static void _set_callback_cbs_verticalOffset_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_verticalOffset_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_verticalOffset_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalOffset", "@hide", true, &_init_cbs_verticalOffset_c0_0, &_call_cbs_verticalOffset_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_verticalOffset_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalOffset", "@brief Virtual method int QListWidget::verticalOffset()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_verticalOffset_c0_0, &_call_cbs_verticalOffset_c0_0, &_set_callback_cbs_verticalOffset_c0_0);
}


// void QListWidget::verticalScrollbarAction(int action)

static void _init_cbs_verticalScrollbarAction_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_verticalScrollbarAction_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_verticalScrollbarAction_767_0 (arg1);
}

static void _set_callback_cbs_verticalScrollbarAction_767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_verticalScrollbarAction_767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_verticalScrollbarAction_767_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalScrollbarAction", "@hide", false, &_init_cbs_verticalScrollbarAction_767_0, &_call_cbs_verticalScrollbarAction_767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_verticalScrollbarAction_767_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalScrollbarAction", "@brief Virtual method void QListWidget::verticalScrollbarAction(int action)\n@args action\nThis method can be reimplemented in a derived class.", false, &_init_cbs_verticalScrollbarAction_767_0, &_call_cbs_verticalScrollbarAction_767_0, &_set_callback_cbs_verticalScrollbarAction_767_0);
}


// void QListWidget::verticalScrollbarValueChanged(int value)

static void _init_cbs_verticalScrollbarValueChanged_767_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<int > ();
  decl->set_return<void > ();
}

static void _call_cbs_verticalScrollbarValueChanged_767_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  int arg1 = args.get_value<int > (gsi::type_traits<int >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_verticalScrollbarValueChanged_767_0 (arg1);
}

static void _set_callback_cbs_verticalScrollbarValueChanged_767_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_verticalScrollbarValueChanged_767_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_verticalScrollbarValueChanged_767_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalScrollbarValueChanged", "@hide", false, &_init_cbs_verticalScrollbarValueChanged_767_0, &_call_cbs_verticalScrollbarValueChanged_767_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_verticalScrollbarValueChanged_767_0 ()
{
  return new qt_gsi::GenericMethod ("*verticalScrollbarValueChanged", "@brief Virtual method void QListWidget::verticalScrollbarValueChanged(int value)\n@args value\nThis method can be reimplemented in a derived class.", false, &_init_cbs_verticalScrollbarValueChanged_767_0, &_call_cbs_verticalScrollbarValueChanged_767_0, &_set_callback_cbs_verticalScrollbarValueChanged_767_0);
}


// QStyleOptionViewItem QListWidget::viewOptions()

static void _init_cbs_viewOptions_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<class QStyleOptionViewItem > ();
}

static void _call_cbs_viewOptions_c0_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  ret.set_value (gsi::type_traits<class QStyleOptionViewItem >::tag (), (class QStyleOptionViewItem)((QListWidget_Adaptor *)cls)->cbs_viewOptions_c0_0 ());
}

static void _set_callback_cbs_viewOptions_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_viewOptions_c0_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_viewOptions_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*viewOptions", "@hide", true, &_init_cbs_viewOptions_c0_0, &_call_cbs_viewOptions_c0_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_viewOptions_c0_0 ()
{
  return new qt_gsi::GenericMethod ("*viewOptions", "@brief Virtual method QStyleOptionViewItem QListWidget::viewOptions()\n@args \nThis method can be reimplemented in a derived class.", true, &_init_cbs_viewOptions_c0_0, &_call_cbs_viewOptions_c0_0, &_set_callback_cbs_viewOptions_c0_0);
}


// bool QListWidget::viewportEvent(QEvent *event)

static void _init_cbs_viewportEvent_1895_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QEvent * > ();
  decl->set_return<bool > ();
}

static void _call_cbs_viewportEvent_1895_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QEvent * arg1 = args.get_value<class QEvent * > (gsi::type_traits<class QEvent * >::tag ());
  ret.set_value (gsi::type_traits<bool >::tag (), (bool)((QListWidget_Adaptor *)cls)->cbs_viewportEvent_1895_0 (arg1));
}

static void _set_callback_cbs_viewportEvent_1895_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_viewportEvent_1895_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_viewportEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*viewportEvent", "@hide", false, &_init_cbs_viewportEvent_1895_0, &_call_cbs_viewportEvent_1895_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_viewportEvent_1895_0 ()
{
  return new qt_gsi::GenericMethod ("*viewportEvent", "@brief Virtual method bool QListWidget::viewportEvent(QEvent *event)\n@args event\nThis method can be reimplemented in a derived class.", false, &_init_cbs_viewportEvent_1895_0, &_call_cbs_viewportEvent_1895_0, &_set_callback_cbs_viewportEvent_1895_0);
}


// QRegion QListWidget::visualRegionForSelection(const QItemSelection &selection)

static void _init_cbs_visualRegionForSelection_c3405_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<const class QItemSelection & > ();
  decl->set_return<class QRegion > ();
}

static void _call_cbs_visualRegionForSelection_c3405_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  const class QItemSelection & arg1 = args.get_value<const class QItemSelection & > (gsi::type_traits<const class QItemSelection & >::tag ());
  ret.set_value (gsi::type_traits<class QRegion >::tag (), (class QRegion)((QListWidget_Adaptor *)cls)->cbs_visualRegionForSelection_c3405_0 (arg1));
}

static void _set_callback_cbs_visualRegionForSelection_c3405_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_visualRegionForSelection_c3405_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_visualRegionForSelection_c3405_0 ()
{
  return new qt_gsi::GenericMethod ("*visualRegionForSelection", "@hide", true, &_init_cbs_visualRegionForSelection_c3405_0, &_call_cbs_visualRegionForSelection_c3405_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_visualRegionForSelection_c3405_0 ()
{
  return new qt_gsi::GenericMethod ("*visualRegionForSelection", "@brief Virtual method QRegion QListWidget::visualRegionForSelection(const QItemSelection &selection)\n@args selection\nThis method can be reimplemented in a derived class.", true, &_init_cbs_visualRegionForSelection_c3405_0, &_call_cbs_visualRegionForSelection_c3405_0, &_set_callback_cbs_visualRegionForSelection_c3405_0);
}


// void QListWidget::wheelEvent(QWheelEvent *)

static void _init_cbs_wheelEvent_2396_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<class QWheelEvent * > ();
  decl->set_return<void > ();
}

static void _call_cbs_wheelEvent_2396_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  class QWheelEvent * arg1 = args.get_value<class QWheelEvent * > (gsi::type_traits<class QWheelEvent * >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_wheelEvent_2396_0 (arg1);
}

static void _set_callback_cbs_wheelEvent_2396_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_wheelEvent_2396_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_wheelEvent_2396_0 ()
{
  return new qt_gsi::GenericMethod ("*wheelEvent", "@hide", false, &_init_cbs_wheelEvent_2396_0, &_call_cbs_wheelEvent_2396_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_wheelEvent_2396_0 ()
{
  return new qt_gsi::GenericMethod ("*wheelEvent", "@brief Virtual method void QListWidget::wheelEvent(QWheelEvent *)\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_wheelEvent_2396_0, &_call_cbs_wheelEvent_2396_0, &_set_callback_cbs_wheelEvent_2396_0);
}


// void QListWidget::windowActivationChange(bool )

static void _init_cbs_windowActivationChange_864_0 (qt_gsi::GenericMethod *decl)
{
  decl->add_arg<bool > ();
  decl->set_return<void > ();
}

static void _call_cbs_windowActivationChange_864_0 (void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  bool arg1 = args.get_value<bool > (gsi::type_traits<bool >::tag ());
  ((QListWidget_Adaptor *)cls)->cbs_windowActivationChange_864_0 (arg1);
}

static void _set_callback_cbs_windowActivationChange_864_0 (void *cls, const gsi::Callback &cb)
{
  ((QListWidget_Adaptor *)cls)->cb_windowActivationChange_864_0 = cb;
}

static qt_gsi::GenericMethod *_create_cbs_windowActivationChange_864_0 ()
{
  return new qt_gsi::GenericMethod ("*windowActivationChange", "@hide", false, &_init_cbs_windowActivationChange_864_0, &_call_cbs_windowActivationChange_864_0);
}

static qt_gsi::GenericMethod *_create_callback_cbs_windowActivationChange_864_0 ()
{
  return new qt_gsi::GenericMethod ("*windowActivationChange", "@brief Virtual method void QListWidget::windowActivationChange(bool )\n@args arg1\nThis method can be reimplemented in a derived class.", false, &_init_cbs_windowActivationChange_864_0, &_call_cbs_windowActivationChange_864_0, &_set_callback_cbs_windowActivationChange_864_0);
}


template <>
gsi::Class<QListWidget_Adaptor> gsi::Class<QListWidget_Adaptor>::decl (gsi::Class<QListWidget>::decl, "QListWidget",
  gsi::Methods (_create_fp_contentsSize_c0_0 ()) +
  gsi::Methods (_create_fp_create_2208_0 ()) +
  gsi::Methods (_create_fp_create_2208_1 ()) +
  gsi::Methods (_create_fp_create_2208_2 ()) +
  gsi::Methods (_create_fp_create_2208_3 ()) +
  gsi::Methods (_create_fp_destroy_1620_0 ()) +
  gsi::Methods (_create_fp_destroy_1620_1 ()) +
  gsi::Methods (_create_fp_destroy_1620_2 ()) +
  gsi::Methods (_create_fp_dirtyRegionOffset_c0_0 ()) +
  gsi::Methods (_create_fp_doAutoScroll_0_0 ()) +
  gsi::Methods (_create_fp_drawFrame_2104_0 ()) +
  gsi::Methods (_create_fp_dropIndicatorPosition_c0_0 ()) +
  gsi::Methods (_create_fp_executeDelayedItemsLayout_0_0 ()) +
  gsi::Methods (_create_fp_focusNextChild_0_0 ()) +
  gsi::Methods (_create_fp_focusPreviousChild_0_0 ()) +
  gsi::Methods (_create_fp_horizontalStepsPerItem_c0_0 ()) +
  gsi::Methods (_create_fp_indexFromItem_c2804_0 ()) +
  gsi::Methods (_create_fp_internalDrag_4018_0 ()) +
  gsi::Methods (_create_fp_internalDrop_2300_0 ()) +
  gsi::Methods (_create_fp_itemFromIndex_c3073_0 ()) +
  gsi::Methods (_create_fp_items_c2846_0 ()) +
  gsi::Methods (_create_fp_receivers_c1731_0 ()) +
  gsi::Methods (_create_fp_rectForIndex_c3073_0 ()) +
  gsi::Methods (_create_fp_resetInputContext_0_0 ()) +
  gsi::Methods (_create_fp_resizeContents_1426_0 ()) +
  gsi::Methods (_create_fp_scheduleDelayedItemsLayout_0_0 ()) +
  gsi::Methods (_create_fp_scrollDirtyRegion_1426_0 ()) +
  gsi::Methods (_create_fp_sender_c0_0 ()) +
  gsi::Methods (_create_fp_setDirtyRegion_2684_0 ()) +
  gsi::Methods (_create_fp_setHorizontalStepsPerItem_767_0 ()) +
  gsi::Methods (_create_fp_setPositionForIndex_5559_0 ()) +
  gsi::Methods (_create_fp_setState_1530_0 ()) +
  gsi::Methods (_create_fp_setVerticalStepsPerItem_767_0 ()) +
  gsi::Methods (_create_fp_setViewportMargins_2744_0 ()) +
  gsi::Methods (_create_fp_setViewportMargins_2793_0 ()) +
  gsi::Methods (_create_fp_setupViewport_1993_0 ()) +
  gsi::Methods (_create_fp_startAutoScroll_0_0 ()) +
  gsi::Methods (_create_fp_state_c0_0 ()) +
  gsi::Methods (_create_fp_stopAutoScroll_0_0 ()) +
  gsi::Methods (_create_fp_updateMicroFocus_0_0 ()) +
  gsi::Methods (_create_fp_verticalStepsPerItem_c0_0 ()) +
  gsi::Methods (_create_cbs_doItemsLayout_0_0 ()) +
  gsi::Methods (_create_callback_cbs_doItemsLayout_0_0 ()) +
  gsi::Methods (_create_cbs_dropEvent_2300_0 ()) +
  gsi::Methods (_create_callback_cbs_dropEvent_2300_0 ()) +
  gsi::Methods (_create_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_callback_cbs_eventFilter_3767_0 ()) +
  gsi::Methods (_create_cbs_heightForWidth_c767_0 ()) +
  gsi::Methods (_create_callback_cbs_heightForWidth_c767_0 ()) +
  gsi::Methods (_create_cbs_indexAt_c2594_0 ()) +
  gsi::Methods (_create_callback_cbs_indexAt_c2594_0 ()) +
  gsi::Methods (_create_cbs_inputMethodQuery_c3001_0 ()) +
  gsi::Methods (_create_callback_cbs_inputMethodQuery_c3001_0 ()) +
  gsi::Methods (_create_cbs_keyboardSearch_2703_0 ()) +
  gsi::Methods (_create_callback_cbs_keyboardSearch_2703_0 ()) +
  gsi::Methods (_create_cbs_minimumSizeHint_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_minimumSizeHint_c0_0 ()) +
  gsi::Methods (_create_cbs_paintEngine_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_paintEngine_c0_0 ()) +
  gsi::Methods (_create_cbs_reset_0_0 ()) +
  gsi::Methods (_create_callback_cbs_reset_0_0 ()) +
  gsi::Methods (_create_cbs_scrollTo_5008_1 ()) +
  gsi::Methods (_create_callback_cbs_scrollTo_5008_1 ()) +
  gsi::Methods (_create_cbs_selectAll_0_0 ()) +
  gsi::Methods (_create_callback_cbs_selectAll_0_0 ()) +
  gsi::Methods (_create_cbs_setRootIndex_3073_0 ()) +
  gsi::Methods (_create_callback_cbs_setRootIndex_3073_0 ()) +
  gsi::Methods (_create_cbs_setSelectionModel_3211_0 ()) +
  gsi::Methods (_create_callback_cbs_setSelectionModel_3211_0 ()) +
  gsi::Methods (_create_cbs_setVisible_864_0 ()) +
  gsi::Methods (_create_callback_cbs_setVisible_864_0 ()) +
  gsi::Methods (_create_cbs_sizeHint_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_sizeHint_c0_0 ()) +
  gsi::Methods (_create_cbs_sizeHintForColumn_c767_0 ()) +
  gsi::Methods (_create_callback_cbs_sizeHintForColumn_c767_0 ()) +
  gsi::Methods (_create_cbs_sizeHintForRow_c767_0 ()) +
  gsi::Methods (_create_callback_cbs_sizeHintForRow_c767_0 ()) +
  gsi::Methods (_create_cbs_visualRect_c3073_0 ()) +
  gsi::Methods (_create_callback_cbs_visualRect_c3073_0 ()) +
  gsi::Methods (_create_cbs_actionEvent_2501_0 ()) +
  gsi::Methods (_create_callback_cbs_actionEvent_2501_0 ()) +
  gsi::Methods (_create_cbs_changeEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_changeEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_callback_cbs_childEvent_2379_0 ()) +
  gsi::Methods (_create_cbs_closeEditor_6185_0 ()) +
  gsi::Methods (_create_callback_cbs_closeEditor_6185_0 ()) +
  gsi::Methods (_create_cbs_closeEvent_2397_0 ()) +
  gsi::Methods (_create_callback_cbs_closeEvent_2397_0 ()) +
  gsi::Methods (_create_cbs_commitData_1993_0 ()) +
  gsi::Methods (_create_callback_cbs_commitData_1993_0 ()) +
  gsi::Methods (_create_cbs_contextMenuEvent_3041_0 ()) +
  gsi::Methods (_create_callback_cbs_contextMenuEvent_3041_0 ()) +
  gsi::Methods (_create_cbs_currentChanged_6038_0 ()) +
  gsi::Methods (_create_callback_cbs_currentChanged_6038_0 ()) +
  gsi::Methods (_create_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_customEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_dataChanged_6038_0 ()) +
  gsi::Methods (_create_callback_cbs_dataChanged_6038_0 ()) +
  gsi::Methods (_create_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_callback_cbs_disconnectNotify_1731_0 ()) +
  gsi::Methods (_create_cbs_dragEnterEvent_2787_0 ()) +
  gsi::Methods (_create_callback_cbs_dragEnterEvent_2787_0 ()) +
  gsi::Methods (_create_cbs_dragLeaveEvent_2770_0 ()) +
  gsi::Methods (_create_callback_cbs_dragLeaveEvent_2770_0 ()) +
  gsi::Methods (_create_cbs_dragMoveEvent_2684_0 ()) +
  gsi::Methods (_create_callback_cbs_dragMoveEvent_2684_0 ()) +
  gsi::Methods (_create_cbs_dropMimeData_5738_0 ()) +
  gsi::Methods (_create_callback_cbs_dropMimeData_5738_0 ()) +
  gsi::Methods (_create_cbs_edit_6883_0 ()) +
  gsi::Methods (_create_callback_cbs_edit_6883_0 ()) +
  gsi::Methods (_create_cbs_editorDestroyed_1980_0 ()) +
  gsi::Methods (_create_callback_cbs_editorDestroyed_1980_0 ()) +
  gsi::Methods (_create_cbs_enabledChange_864_0 ()) +
  gsi::Methods (_create_callback_cbs_enabledChange_864_0 ()) +
  gsi::Methods (_create_cbs_enterEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_enterEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_event_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_event_1895_0 ()) +
  gsi::Methods (_create_cbs_focusInEvent_2407_0 ()) +
  gsi::Methods (_create_callback_cbs_focusInEvent_2407_0 ()) +
  gsi::Methods (_create_cbs_focusNextPrevChild_864_0 ()) +
  gsi::Methods (_create_callback_cbs_focusNextPrevChild_864_0 ()) +
  gsi::Methods (_create_cbs_focusOutEvent_2407_0 ()) +
  gsi::Methods (_create_callback_cbs_focusOutEvent_2407_0 ()) +
  gsi::Methods (_create_cbs_fontChange_2479_0 ()) +
  gsi::Methods (_create_callback_cbs_fontChange_2479_0 ()) +
  gsi::Methods (_create_cbs_hideEvent_2273_0 ()) +
  gsi::Methods (_create_callback_cbs_hideEvent_2273_0 ()) +
  gsi::Methods (_create_cbs_horizontalOffset_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_horizontalOffset_c0_0 ()) +
  gsi::Methods (_create_cbs_horizontalScrollbarAction_767_0 ()) +
  gsi::Methods (_create_callback_cbs_horizontalScrollbarAction_767_0 ()) +
  gsi::Methods (_create_cbs_horizontalScrollbarValueChanged_767_0 ()) +
  gsi::Methods (_create_callback_cbs_horizontalScrollbarValueChanged_767_0 ()) +
  gsi::Methods (_create_cbs_inputMethodEvent_3032_0 ()) +
  gsi::Methods (_create_callback_cbs_inputMethodEvent_3032_0 ()) +
  gsi::Methods (_create_cbs_isIndexHidden_c3073_0 ()) +
  gsi::Methods (_create_callback_cbs_isIndexHidden_c3073_0 ()) +
  gsi::Methods (_create_cbs_keyPressEvent_2192_0 ()) +
  gsi::Methods (_create_callback_cbs_keyPressEvent_2192_0 ()) +
  gsi::Methods (_create_cbs_keyReleaseEvent_2192_0 ()) +
  gsi::Methods (_create_callback_cbs_keyReleaseEvent_2192_0 ()) +
  gsi::Methods (_create_cbs_languageChange_0_0 ()) +
  gsi::Methods (_create_callback_cbs_languageChange_0_0 ()) +
  gsi::Methods (_create_cbs_leaveEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_leaveEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_metric_c2729_0 ()) +
  gsi::Methods (_create_callback_cbs_metric_c2729_0 ()) +
  gsi::Methods (_create_cbs_mimeData_c5408_0 ()) +
  gsi::Methods (_create_callback_cbs_mimeData_c5408_0 ()) +
  gsi::Methods (_create_cbs_mimeTypes_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_mimeTypes_c0_0 ()) +
  gsi::Methods (_create_cbs_mouseDoubleClickEvent_2416_0 ()) +
  gsi::Methods (_create_callback_cbs_mouseDoubleClickEvent_2416_0 ()) +
  gsi::Methods (_create_cbs_mouseMoveEvent_2416_0 ()) +
  gsi::Methods (_create_callback_cbs_mouseMoveEvent_2416_0 ()) +
  gsi::Methods (_create_cbs_mousePressEvent_2416_0 ()) +
  gsi::Methods (_create_callback_cbs_mousePressEvent_2416_0 ()) +
  gsi::Methods (_create_cbs_mouseReleaseEvent_2416_0 ()) +
  gsi::Methods (_create_callback_cbs_mouseReleaseEvent_2416_0 ()) +
  gsi::Methods (_create_cbs_moveCursor_6792_0 ()) +
  gsi::Methods (_create_callback_cbs_moveCursor_6792_0 ()) +
  gsi::Methods (_create_cbs_moveEvent_2302_0 ()) +
  gsi::Methods (_create_callback_cbs_moveEvent_2302_0 ()) +
  gsi::Methods (_create_cbs_paintEvent_2403_0 ()) +
  gsi::Methods (_create_callback_cbs_paintEvent_2403_0 ()) +
  gsi::Methods (_create_cbs_paletteChange_2791_0 ()) +
  gsi::Methods (_create_callback_cbs_paletteChange_2791_0 ()) +
  gsi::Methods (_create_cbs_resizeEvent_2521_0 ()) +
  gsi::Methods (_create_callback_cbs_resizeEvent_2521_0 ()) +
  gsi::Methods (_create_cbs_rowsAboutToBeRemoved_4391_0 ()) +
  gsi::Methods (_create_callback_cbs_rowsAboutToBeRemoved_4391_0 ()) +
  gsi::Methods (_create_cbs_rowsInserted_4391_0 ()) +
  gsi::Methods (_create_callback_cbs_rowsInserted_4391_0 ()) +
  gsi::Methods (_create_cbs_scrollContentsBy_1426_0 ()) +
  gsi::Methods (_create_callback_cbs_scrollContentsBy_1426_0 ()) +
  gsi::Methods (_create_cbs_selectedIndexes_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_selectedIndexes_c0_0 ()) +
  gsi::Methods (_create_cbs_selectionChanged_6702_0 ()) +
  gsi::Methods (_create_callback_cbs_selectionChanged_6702_0 ()) +
  gsi::Methods (_create_cbs_selectionCommand_c5555_1 ()) +
  gsi::Methods (_create_callback_cbs_selectionCommand_c5555_1 ()) +
  gsi::Methods (_create_cbs_setSelection_6681_0 ()) +
  gsi::Methods (_create_callback_cbs_setSelection_6681_0 ()) +
  gsi::Methods (_create_cbs_showEvent_2312_0 ()) +
  gsi::Methods (_create_callback_cbs_showEvent_2312_0 ()) +
  gsi::Methods (_create_cbs_startDrag_4018_0 ()) +
  gsi::Methods (_create_callback_cbs_startDrag_4018_0 ()) +
  gsi::Methods (_create_cbs_styleChange_1906_0 ()) +
  gsi::Methods (_create_callback_cbs_styleChange_1906_0 ()) +
  gsi::Methods (_create_cbs_supportedDropActions_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_supportedDropActions_c0_0 ()) +
  gsi::Methods (_create_cbs_tabletEvent_2499_0 ()) +
  gsi::Methods (_create_callback_cbs_tabletEvent_2499_0 ()) +
  gsi::Methods (_create_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_callback_cbs_timerEvent_2408_0 ()) +
  gsi::Methods (_create_cbs_updateEditorData_0_0 ()) +
  gsi::Methods (_create_callback_cbs_updateEditorData_0_0 ()) +
  gsi::Methods (_create_cbs_updateEditorGeometries_0_0 ()) +
  gsi::Methods (_create_callback_cbs_updateEditorGeometries_0_0 ()) +
  gsi::Methods (_create_cbs_updateGeometries_0_0 ()) +
  gsi::Methods (_create_callback_cbs_updateGeometries_0_0 ()) +
  gsi::Methods (_create_cbs_verticalOffset_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_verticalOffset_c0_0 ()) +
  gsi::Methods (_create_cbs_verticalScrollbarAction_767_0 ()) +
  gsi::Methods (_create_callback_cbs_verticalScrollbarAction_767_0 ()) +
  gsi::Methods (_create_cbs_verticalScrollbarValueChanged_767_0 ()) +
  gsi::Methods (_create_callback_cbs_verticalScrollbarValueChanged_767_0 ()) +
  gsi::Methods (_create_cbs_viewOptions_c0_0 ()) +
  gsi::Methods (_create_callback_cbs_viewOptions_c0_0 ()) +
  gsi::Methods (_create_cbs_viewportEvent_1895_0 ()) +
  gsi::Methods (_create_callback_cbs_viewportEvent_1895_0 ()) +
  gsi::Methods (_create_cbs_visualRegionForSelection_c3405_0 ()) +
  gsi::Methods (_create_callback_cbs_visualRegionForSelection_c3405_0 ()) +
  gsi::Methods (_create_cbs_wheelEvent_2396_0 ()) +
  gsi::Methods (_create_callback_cbs_wheelEvent_2396_0 ()) +
  gsi::Methods (_create_cbs_windowActivationChange_864_0 ()) +
  gsi::Methods (_create_callback_cbs_windowActivationChange_864_0 ()) +
  gsi::Methods(_create_ctor_QListWidget_Adaptor_1993_0 ()) +
  gsi::Methods(_create_ctor_QListWidget_Adaptor_1993_1 ()),
  "@qt\n@brief Binding of QListWidget");

